Agilent Series V2900 Help

Click on the icons below to learn more.

Getting started | 2910 Unpack | Modulation Standards 2910 | File Management 2910
Getting started | Modulations: analog, digital and Arb files | Modulation Standards | File management
2910 Remote Control | Licensing 2910 | Settings 2910 | Utilities 2910
Instrument interface options | License functionality Move licenses | Global settings | Utilities

_____

V2920-90002

Help system build 2010.04.13.1815 for firmware version 5.0.

© 2006-2010 Agilent Technologies, Inc. All rights reserved.


Site map

Getting started

  • About the Series V2900
  • Front panel tour
  • Rear panel tour
  • Instrument interface options
  • User interface tour
  • Create a simple signal

____
Preset

____
Remote control

  • Remote control via Desktop Control Panel
  • Remote control via LXI web interface
  • Remote control via SCPI commands

Global Settings

  • ALC
  • Carrier Offsets *
  • Digital I/O
  • Frequency Reference
  • MIMO *
  • List Mode
  • Sweep
  • Sync Output
  • Trigger
  • Units
  • User flatness
  • External IQ Out *
  • Low Phase Noise *
  • Preset Type
  • Save User Preset
  • Extend Freq
  • IQ Output Cal *
  • Reprogram DSP FW
  • Background Tasks

__* applies only to V2920A

____
Utilities

  • Screen saver
  • GPIB address
  • Time and date
  • Ethernet settings
  • LAN config init
  • Firmware upgrade
  • Series V2900 Licensing
  • Calibrate touch screen
  • SCPI Debug

____
File Management

Modulation standards

  • GSM / EDGE
  • cdma2000® Forward Link
  • W-CDMA / 3GPP Downlink
  • GPS Modulation

____
Digital modulation

  • ASK
  • FSK
  • PSK
  • QAM

____
Analog modulation

  • AM
  • FM
  • PM
  • Pulse
  • Noise
  • 2 Tone

____
Arbitrary waveforms

____
External IQ


Getting started

To become familiar with the instrument visit the following tours and descriptions.

  • About the Series V2900

Describes the instrument features and capabilities of the Agilent 2920A VSG.
  • About the other VSG models

Describes the instrument features and capabilities of the Model 2910 and Model 2920 legacy instruments.
  • Front panel tour

Tours the instrument display and front panel controls.
  • Rear panel tour

Tours the instrument rear panel connections.
  • Instrument interface options

Describes the options for interacting with the Series V2900 instrument, using the touchscreen and using remote control methods.
  • User interface tour

Tours the instrument user interface that provides access to features for generating signals. This is essentially the same interface as that for the Desktop Control Panel software.
  • Create a simple signal

Describes how to set up a basic signal.


About the Series V2900

The Agilent Series V2900 offers a frequency range of 10 MHz to 4.0 GHz or 6.0 GHz and an output power range of -130 dBm to +13 dBm. Two frequency ranges are available as required instrument hardware options:

  • V2920A-504 provides a frequency range of 10 MHz to 4 GHz.
  • V2920A-506 provides a frequency range of 10 MHz to 6 GHz.

Capabilities and ranges can accommodate the following applications:

  • Product development and production test of:
    • Wireless products such as femtocells, access points, and mobile devices
    • Wireless modules and air cards
    • Wireless chipsets
  • Wireless connectivity device development and production test (802.11a,b,g,j, and n WLAN, 802.16e and 802.16e Wave 2 WiMAX)
  • Research and education in mobile communications
  • MIMO device test and research

_____
The Series V2900 also has the following capabilities and features:

  • Instrument Interface Options
  • Series V2900 Desktop Control Panel allows full operation of the instrument user interface from a PC
  • Higher speed for low cost of test
    • Fast tuning: as short as 300 µs frequency switching time
    • Fast amplitude settling: as fast as 300 µs with closed-loop control
    • Fast switching between waveforms: 1 clock cycle, using arbitrary waveform sequencing
    • Fast data download: > 100 Mb/sec I-Q signal file downloads into the Series V2900
  • Powerful built-in tools and capabilities
    • Multiple waveform generation options for analog, digital, and communications standards based signals
    • Arbitrary waveform generator, with a modulation bandwidth as wide as 80 MHz and 100 Msample memory
    • External I/Q modulation inputs
  • Excellent signal generation accuracy
    • Low phase noise: £ 135 dBc/Hz at 300 kHz offset from a 2 GHz carrier
    • WLAN 802.11n EVM < -43 dB with a 40 MHz signal bandwidth at a carrier frequency of 5.8 GHz
    • WiMAX residual Residual Constellation Error (RCE) £ -45 dB
    • WCDMA EVM < 0.85% RMS
    • ± 0.6 dB channel power accuracy below 3 GHz and down to -110 dBm
    • ± 0.05 dB relative amplitude accuracy and repeatability
  • MIMO-ready. Just add a V2895 MIMO Synchronization Unit and additional Series V2900 instruments
  • Easy to configure, easy to use
    • Intuitive, Windows® CE-based graphical user interface with USB mouse or touchscreen operator control
    • Compact size
    • Choice of remote programming interfaces: GPIB, LAN, and USB
    • Flexible remote software tools, including SignalMeister™ RF Communications Test Toolkit, as well as the Series V2900 Desktop Control Panel for full operation of the instrument user interface from a PC
    • LXI Class C compliance
    • Onboard context-sensitive help system

_____
The Series V2900 requires license files to access the standard signal formats in the source. See Series V2900 Licensing for further details.____

Order Configuration:

When you order a Series V2900 instrument, in addition to the frequency range, you must specify the RF output connector location and use configuration. Where:

  • V2920A-FPC provides a front panel RF Output connector
  • V2920A-RPC provides a rear panel RF Output connector
  • V2920A-BTK includes hardware for bench-top configuration
  • V2920A-1CM includes a rack-mount kit for one or two instruments

_____
The following hardware options are available:

  • V2920A-BBA: Baseband analog I-Q inputs and outputs
  • V2920A-LAR: Low amplitude range (<-110 dBm, down to -130 dBm)
  • V2920A-UPN: Ultra-low phase noise

See Model 2920A Licensing for further details.

_____
The following accessories are available:

  • V2999A-ADK: RF cables and RF connector adapters kit (please see: Series V2900 ADAPTER KIT option (V2999A-ADK)
  • V2999A-DCB: External RF-DC block module (please see: Series V2900 DC Block option (V2999A-DCB)
  • V2999A-1CM: Rack-mount kit with flanges for 1 or 2 instruments
  • V2999A-BTK: Additionsl Bench-top mount kit with bumpers and handles
  • V2920A-UK6: Commercial calibration certificate and test data

_____
Factory calibration report of instrument calibration data in hard copy format is backed up electronically at Agilent.


Instrument Interface Options

You may interact with the Series V2900 instrument using one of the following methods:

  • Touch screen graphical user interface (GUI)
  • Using the Desktop Control Panel interface (V2920A only): The Desktop Control Panel interface runs on a PC and provides full interaction (same functionality as the touch screen GUI, same SCPI control capability) to the Series V2900 instrument. Connection between the Desktop Control Panel and the instrument is via a high-speed USB connection (not GPIB or LAN).
  • Remote control via SCPI programming interface: Programmatic control and data handling via LAN or GPIB connection with the instrument.

    Note icon If using the Desktop Control Panel program, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument over a high-speed USB cable. When the Desktop Control Panel program is running, GPIB and LAN communication to the instrument is disabled.

  • Using the LXI web interface: Interaction to the partial instrument GUI (not all features) via a LAN connection, viewed over a web browser.


Other Series V2900 Models

There are two additional VSG models:

  • Model 2910
  • Model 2920


About the Model 2910

The Model 2910 offers a frequency range of 400 MHz to 2.5 GHz and an output power range of -125 dBm to +13 dBm. Capabilities and ranges can accommodate the following applications:

  • Testing femtocells, access points, and other mobile communications infrastructure
  • Mobile device design verification and production test
  • Wireless chipset testing
  • Wireless connectivity device development and production test (802.11b/g/j WLAN, 802.16e WiMAX)
  • Research and education in mobile communications

_____

The Model 2910 also has the following capabilities and features:

  • High speed for low cost of test
    • Fast tuning (< 1.3 ms frequency switching time)
    • Fast amplitude settling (< 1.6 ms amplitude switching time)
    • Responsive controls
    • Fast switching between waveforms: 1 clock cycle, using arbitrary waveform sequencing
  • Powerful built-in tools and capabilities
    • Multiple waveform generation options for analog, digital, and communications standards based signals
    • Arbitrary waveform generator memory, with a modulation bandwidth as wide as 40 MHz, and a 100 Msample memory
    • External 200 MHz I/Q modulation inputs
  • Excellent signal generation accuracy
    • WCDMA EVM < 1.2% RMS
    • ± 0.6 dB channel power accuracy
    • ± 0.05 dB relative amplitude accuracy and repeatability
  • Easy to configure, easy to use
    • Intuitive, Windows® CE-based graphical user interface with USB mouse or touchscreen operator control
    • Compact size
    • Choice of remote programming interfaces: GPIB, LAN, and USB
    • Flexible remote software tools, including SignalMeister™ RF Communications Test Toolkit
    • LXI Class C compliance
    • Onboard context-sensitive help system

_____
The Model 2910 requires license files to access the standard signal formats and the modulations in the source. Click here to review the license options.


About the Model 2920

The Model 2920 offers a frequency range of 10 MHz to 6.0 GHz and an output power range of -110 dBm to +13 dBm. Capabilities and ranges that can accommodate the following applications:

  • Testing femtocells, access points, and other mobile communications infrastructure
  • Mobile device design verification and production test
  • Wireless chipset testing
  • Wireless connectivity device development and production test (802.11b/g/j WLAN, 802.16e WiMAX)
  • Research and education in mobile communications
  • MIMO device test and research

_____

The Model 2920 also has the following capabilities and features:

  • High speed for maximum test time savings
    • Fast tuning (< 1.3 ms frequency switching time)
    • Fast amplitude settling
    • Responsive controls
    • Fast switching between waveforms: 1 clock cycle, using arbitrary waveform sequencing
  • Powerful built-in tools and capabilities
    • Multiple waveform generation options for analog, digital, and communications standards based signals
    • Arbitrary waveform generator memory, with a modulation bandwidth as wide as 80 MHz
    • External 200 MHz I/Q modulation inputs
  • Excellent signal generation accuracy
    • Low phase noise: £ 135 dBc/Hz at 300 kHz offset from a 2 GHz carrier
    • WLAN 802.11n EVM < -43 dB with a 40 MHz signal bandwidth at a carrier frequency of 5.8 GHz
    • WiMAX residual Residual Constellation Error (RCE) £ -45 dB
    • WCDMA EVM < 0.85% RMS
    • ± 0.6 dB channel power accuracy below 3 GHz and down to -110 dBm
    • ± 0.05 dB relative amplitude accuracy and repeatability
  • MIMO-ready. Just add a V2895 MIMO Synchronization Unit and additional Model 2920 instruments
  • Easy to configure, easy to use
    • Intuitive, Windows® CE-based graphical user interface with USB mouse or touchscreen operator control
    • Compact size
    • Choice of remote programming interfaces: GPIB, LAN, and USB
    • Flexible remote software tools, including SignalMeister™ RF Communications Test Toolkit
    • LXI Class C compliance
    • Onboard context-sensitive help system


Front panel tour

This instrument front panel tour familiarizes you with each of the connections, controls and display features of the Series V2900 front panel. Select a red box in the image to learn more:

Front Panel Tour go to Power on button go to Instrument screen.htm go to Front panel Knob go to Front panel Puck go to RF Output connector go to Local button go to USB ports go to Preset


Instrument screen

The instrument screen is four inches high by six inches wide.

The exterior interface is a resistive membrane and is not a glass plate. Therefore, some care must be taken to avoid damaging it.

To ensure comfortable viewing, the display backlight is fluorescent.

A calibration utility is provided in the instrument to allow you to calibrate the screen. After you make the initial calibration, further calibration should not be necessary. However, the calibration process is quick and simple, so carry out a calibration if screen accuracy becomes a concern.

For details on the graphical user interface features, click here.

Note icon While the Desktop Control Panel software is running, the instrument screen is disabled. When you exit the Desktop Control Panel software, the instrument screen is enabled.


Power On button

If power is applied to the instrument, and the rear panel power switch is in the On/Standby position, the button shows amber illumination. This button has a power control symbol visible on it, through which light from an amber or green LED can be seen.

Pressing the button when in the On/Standby state, turns the instrument on. When turned on, the button illumination color changes from amber to green.

Time from pressing the Power On button to when the instrument program is running and ready to be used is less than a minute. However, the generated signal accuracy cannot be guaranteed to meet instrument specifications while the oven cold indicator is displayed, if in internal reference mode.

See also: Line input module


Line input module

The line input module has three components:

  • The power input switch has two positions: "0" = off and "|" =on/standby. When the switch is in the "|" position, power is applied to the instrument's ovenized reference oscillator (even when in standby mode). With power always applied to the reference oscillator, warm up time to frequency stability is minimized.
  • Below the power input switch is a covered fuse. The fuse is a 2-amp slow blow fuse. This same fuse is used for the line voltage range of 100 to 240 Volts inclusive. It is removed after gaining access to it by pinching on either side of the fuse cover.
  • Below the fuse is the line input socket. Connect the socket to an appropriate line cord for your usage. The instrument automatically supports line voltages ranging from 100 to 240 Volts inclusive.

____________
See also:

  • Line frequency
  • Line power connection
  • Line voltage and fuses


Preset button

Select the Preset button on the front panel to restore the instrument settings to the preset state determined by SYSTem:PRESet:TYPE. If the Preset Type is FACTory, the preset state is the factory default (see Preset conditions). If the Preset Type is USER, the preset state is the state saved by SYSTem:PRESet:SAVE.

The instrument will preset in less than a second.

Note: The front panel Preset button is not active if the instrument is in the Remote or Local Lockout mode, as set by SCPI control or when running the LXI web interface (you can affect a Preset from the LXI web Interface by selecting Menu > Global Settings > Preset). The Preset button is also inactive while running the Desktop Control Panel software.

_

Note: The following settings are not affected by Preset, *RST, or save/recall state (*SAV or *RCL):

  • Background tasks
  • Extended frequency
  • Display On/Off
  • Frequency reference
  • SCPI debug
  • ARB sequence list

_
Remote command

:SYSTem:PRESet

_
See also:

  • Preset conditions
  • Extended frequency
  • Preset Type
  • Save User Preset


Preset conditions

When initially powered up, or if the Preset Type is FACTory, the instrument state is set to the following values:

Parameter | Preset value | Parameter | Preset value
Frequency | 1GHz | Trigger | Free run
Amplitude | 0dBm | Sync out | Arb
Modulation | None | ALC | On
Modulation On switch | Off | Modulation | Auto
RF On switch | Off | CW | Auto

-

NOTE: The front panel Preset button will not be active if the instrument is in the local lockout mode, as set by the remote programming interface. Nor is the Preset button active while the Desktop Control Panel software is running.

_
See Also:

  • Power On button
  • Preset Type
  • Related SCPI command: :SYSTem:PRESet


USB ports

Use these two ports to connect USB devices to the instrument.

Common USB devices include the following items:

  • Peripherals, such as a mouse and keyboards. When used in a desktop setting, a standard keyboard and mouse may be more convenient for the instrument operator.
  • USB memory devices can be connected to these ports to upload and download data files. Software and firmware upgrades can also be made using a USB memory device.


Local button

While the instrument is being remotely controlled via SCPI commands or the LXI web interface, it will not respond to input form the screen, external USB devices, or any of the front panel keys except Local. If the instrument is in remote mode but not in Local Lockout Mode, selecting the Local button will restore the instrument to local mode.

Desktop Control Panel Usage: Use the Local button on the Desktop Control Panel software user interface. The Local button on the actual instrument is disabled when the Desktop Control Panel software is running.

In local mode, the front panel buttons, screen, external USB mouse and keyboard are active.

Local Lockout Mode is set with the remote programming interface (via the :SYSTem:KLOCk[:STATe] command) and is used for situations where no front panel control is desired (except the Power On button).


RF Out connector

The RF Out connector is located on either the front or rear panel, depending on the instrument hardware option ordered.

If the RF is ON, the generated signal is available at this connector.

See also:

  • About the Model 2910
  • About the Model 2920
  • Series V2900 DC Block option (V2999A-DCB)
  • Series V2900 ADAPTER KIT option (V2999A-ADK)


Front panel knob

This knob adjusts the value of the active parameter. It is often used in conjunction with the front panel puck and the number pad dialog box to set parameter values. Go to Changing a value to see how the front panel knob functions.

See Also:

  • Front panel puck
  • Number pad


Front panel puck

The front panel puck steps the display cursor in four directions: left, right, up and down. When the center button is pressed, a Number pad appears to allow you to enter a specific value directly.

This control is used in conjunction with the front panel knob and the number pad dialog box. To see how it interacts with these two other controls, see Changing a value.

See also:

  • Front panel knob
  • Number pad


Oven cold indicator

Although the instrument is ready to be used shortly after power up, the frequency reference source may not have reached operating temperature. This condition will be shown on the bottom right corner of the front panel GUI by an "OvenCold" indicator.

Depending on the ambient temperature, after power up the frequency reference source takes a few minutes to reach operating temperature. For most accurate signal generation, keep the rear panel line input switch in the "|" position to keep standby power applied to the instrument and make sure the oven cold indicator is not displayed.

See also:

Line input module

Frequency reference source


Changing a value

How to change a parameter value (such as frequency or amplitude)

Parameters can be changed in several ways:

  • Directly enter the value into the number pad.
  • Adjust the existing value using the front panel controls.
  • Send a remote command.

This topic describes the first two methods. The method you choose depends on how close the new value is to the existing value. If the gap is large, entering a value directly sets the value in one step. If the gap is small, the front panel control can often get to the new value quicker.

Selecting the parameter to change

Parameters that can be changed are displayed in a text box. Until a parameter is selected, the parameter text boxes have a black background.

To change the parameter value, the text box must first be selected. Once selected, the background color of the text box changes from black to green.

Note icon Only one text box can be selected at a time.

Changing the value

Once the text box is selected, there are several ways to change the value:

Controls for changing a value

 | Changing a value with the number pad
Front panel knob
Front panel puck | Number pad

Direct value entry using the Number Pad

  1. Select the center button on the front panel puck or double select the parameter text box.
  2. Use the numeric keys to enter the value.
  3. Select the unit.
  4. Select Close.

Adjust the existing value using the front panel controls

Depending on how far off the new value is from the existing value, use the front panel knob and puck. Use the left and right arrows on the puck to move the cursor in the value text box. Use the up and down-arrows on the puck or front panel knob to change the value.

Set to Max and Min values

When you select the number pad, you can set the parameter value directly to its maximum or minimum value by selecting either the Set to Max or Set to Min buttons.

Default values

When you select the number pad, you can set the parameter value directly to its default value by selecting the Default button.

Stepping the value

It is sometimes useful to change the value of a parameter in constant steps. A common example would be to step the frequency in constant steps from one frequency to another. The constant steps are generated by using the vertical controls on the front panel puck. The size of the steps is set in the Number Pad.

To change the step size

  1. Bring up the number pad by either:
    • Selecting the center button on the front panel puck.
    • Double select the value text box.
  2. Select the Step Size tab.
  3. Select Step Size radio button.
  4. Enter a numeric value.
  5. Select the units.
  6. Select Close.


Rear panel tour

Select from the following list of connectors for information:

Connector | Model 2910 | Model 2920 | Series V2900
Line input module | Yes | Yes | Yes
Reference IN and OUT | Yes | Yes | Yes
RF OUT connector | Yes | Yes | Yes
IEEE-488 connector | Yes | Yes | Yes
VGA OUT connector | Yes | Yes | Yes
DIGITAL I/O connector | Yes | Yes | Yes
USB connectors | Yes | Yes | Yes
LAN connector | Yes | Yes | Yes
I-IN, Q-IN connectors | Yes | Yes | Yes
I-OUT, Q-OUT connectors | No | Yes | Yes
TRIG IN connector | Yes | Yes | Yes
SYNC OUT | Yes | Yes | Yes
EVEN SEC IN, OUT connectors | Yes | Yes | Yes
LO IN and LO OUT | No | Yes | Yes
100 MHz IN and 100 MHz OUT | No | Yes | Yes


Line frequency

The instrument operates at line frequencies from 50 to 60 Hz. There are no user settings for line frequency.


Line power connection

Follow the procedure below to connect the instrument to line power and power it up:

1. Check to see that the line voltage supply is within 100 to 240 VAC; 50 to 60 Hz.

CAUTION: Operating the instrument on an incorrect line voltage may cause damage to the instrument, possibly voiding the warranty.

2. The power switch is located on the rear panel power module. Before plugging in the power cord, make sure that the power switch is in the Off position. The Off position has the "O" symbol depressed on the rear panel power switch rocker.

3. Connect the female end of the supplied power cord to the AC receptacle on the rear panel. Connect the other end of the power cord to a grounded AC outlet.

Note icon If the power switch on the instrument will not be easily accessible after it is set-up for bench-top use or rack mounted, use a power strip that has a power switch. This will allow you to turn the instrument on or off from the power strip.

WARNING: The power cord supplied with the instrument contains a separate ground wire for use with grounded outlets. When proper connections are made, the instrument chassis is connected to power line ground through the ground wire in the power cord. Failure to use a grounded outlet may result in personal injury or death due to electric shock.

4. Turn on the instrument by pressing the front panel Power On button.


Line voltage and fuses

The instrument is designed to accept a line voltage range of 100 to 240 Volts. No line voltage switch settings are available.

A fuse protects the power line input of the instrument. If the line fuse needs to be replaced, perform the following steps:

WARNING: Make sure the instrument is disconnected from the AC line and other equipment before changing the line fuse. There is a risk of injury or death when handling an instrument that is still connected to the AC line.

1. Using a small flat-blade screwdriver, push the retaining clip toward the center of the module to release the fuse holder assembly.

2. Pull the fuse holder out of the power module.

3. Remove the blown fuse and replace it with similar 2.0 Amp, 250 Volt 5 x 20 mm slow-blow fuse.

CAUTION: For continued protection against fire or instrument damage, only replace fuses with the type and rating listed. If the instrument repeatedly blows fuses, return the unit to Agilent.


REF IN and OUT connectors

REF IN connector

The 1 to 20 MHz REF IN connector allows an external frequency source to lock the instrument oscillator circuit to a range of from 1 to 60 MHz, which can improve measurement accuracy. A dialog box is used to synchronize the instrument to the external reference source.

  • Connector type: BNC
  • Amplitude range: -10 to 10 dBm Input (DC blocked)
  • Coupling: DC blocked
  • Impedance: 50 Ohms
  • Lock range: At 10 MHz +/-10 ppm
  • Frequency Range: 1 MHz to 60 MHz, user selectable with 1Hz resolution

REF OUT connector

The 10 MHz external REF OUT connector is used in a daisy-chain configuration with other measurement instruments to improve measurement accuracy.

  • Connector type: BNC
  • Output impedance: 50 Ohms
  • Output frequency: 10 MHz
  • Amplitude: 5 dBm approximately

    Note icon Instruments using a firmware upgrade prior to release 9194 are limited to a maximum frequency reference of 20 MHz. See Upgrade firmware for details.


RF OUT connector

If the RF is ON, the generated signal is available at this connector.

The RF Out connector is located on either the front or rear panel, depending on the options ordered.

See also:

About the Series V2900

Series V2900 DC Block option (V2999A-DCB)

Series V2900 ADAPTER KIT option (V2999A-ADK)


IEEE-488 connector

The IEEE-488 connector is also known as the GPIB connector, and is part of the instrument remote programming interface.

The instrument can be controlled through this connector by commands from a remote host computer over a Remote control interface.

Also see the following topics:

  • GPIB Address
  • System Setup for Remote Control


VGA OUT connector

This is a standard VGA output connector. By connecting a standard VGA cable and monitor to this port, you can view the instrument display remotely, providing the convenience of viewing the instrument display on a larger monitor.


DIGITAL I/O connector

The Digital I/O connector allows for inter-instrument communications between multiple Agilent units.

To learn more, see Digital IO .


Digital I/O

NOTE: This feature is disabled while the Desktop Control Panel program is running.

The Series V2900 Digital I/O port is accessed at a male DB-9 connector located on the rear panel. There are four output (write) bits and one input (read) bit.

Select the following topics to learn more about the digital I/O functionality in the Series V2900.

  • Digital I/O connector pin out
  • Digital input
  • Digital outputs
  • Setting digital output lines

.


USB connectors

There are two USB connectors (ports) on the rear panel ("A" and "B"). The "B" connector is labeled "(FROM HOST)" and is normally used to connect the instrument to a host computer.

The USB connectors (ports) are a part of the Remote control interface. Through the USB "B" connector, the instrument can be controlled by commands from a remote host computer.

See also:

Controlling the instrument via Desktop Control Panel

Controlling Multiple Instances of Desktop Control Panel


LAN connector

Note icon This feature is disabled while the Desktop Control Panel program is running.

The LAN connector is a standard RJ45 LAN connector, and is part of the instrument remote programming interface. The instrument can be controlled through this connector by commands from a remote host computer over a Remote control interface.

See Also:

  • LAN Config init.


I-IN, Q-IN connectors

The I-IN and Q-IN connectors on the Series V2900 rear panel allow you to connect an external arbitrary generator to the instrument I/Q modulator. This gives you additional control of the RF signals that you can generate. The rear-panel I-IN and Q-IN connectors may be activated in two ways:

  • From the instrument front panel, select Modulation > External IQ In. Then press the Load button to enable the IQ input.
  • With the [:SOURce]:RADio:ARB:EIQ[:STATe] command.

___
Connector type:

  • Model 2910: female BNC.
  • Models 2920 and Series V2900: female SMB.

The I-IN connector accepts the in-phase component of I/Q modulation. The Q-IN connector accepts the quadrature-phase component of I/Q modulation.

The external I and Q inputs are designed for a 50 Ohm input impedance and have a bandwidth of greater than 100 MHz.

The user should supply an I and Q signal that is 1.6 Volt peak-to-peak amplitude centered around a nominal 0 Volts. To achieve good carrier and sideband suppression, you will have to adjust DC offset, amplitude, and phase of the baseband inputs.

_
See Also:

  • External IQ input modulation
  • I-OUT and Q-OUT connectors


External IQ input modulation

The I-IN and Q-IN connections on the instrument's rear panel allow you to connect an external arbitrary generator to the Series V2900 I/Q modulator. This gives you additional control of the RF signals that you can generate.

  • The I-IN connector (back panel) accepts the in-phase component of I/Q modulation.
  • The Q-IN connector (back panel) accepts the quadrature-phase component of I/Q modulation.

___
Connector type:

  • Model 2910: female BNC.
  • Model 2920 and the V2920A: female SMB.

_____
The external I and Q inputs are designed for a 50 Ohm input impedance and have a bandwidth of greater than 100 MHz.

The user should supply an I and Q signal that is 1.6 Volt peak-to-peak amplitude, centered around a nominal 0 Volts. To achieve good carrier and sideband suppression, you will have to adjust DC offset, amplitude, and phase of the baseband inputs.

The rear-panel I-IN and Q-IN connectors may be activated in two ways:

  • From the instrument front panel, select Modulation > External IQ In. Then press the Load button to enable the IQ input.
  • With the [:SOURce]:RADio:ARB:EIQ[:STATe] command.

_
See Also:

  • [:SOURce]:RADio:ARB:EIQ[:STATe] -- Queries or switches on/off the external IQ input modulation.
  • I-IN and Q-IN connectors
  • I-OUT and Q-OUT connectors


I-OUT, Q-OUT connectors

NOTE: This feature is not available on the Model 2910.

_____
The I-OUT and Q-OUT rear panel SMB connectors allow you to connect to the an instrument I/Q demodulator or external signal analysis software. The I-OUT and Q-OUT connectors may be activated in two ways:

  • From the instrument front panel: Select/enable External IQ Out in the Global Settings menu.
  • With the :OUTPut:IQ:STATe command, which turns external IQ outputs on/off. RF output must be on for the signal to be routed to the IQ outputs (for example, :OUTP:IQ:STAT 1 enables the external IQ outputs).

_
See Also:

  • I-IN, Q-IN connectors
  • External IQ input modulation


TRIG IN connector

The TRIG IN connector allows another device to initiate an event in the instrument. To learn more on how this can be done see Trigger description and uses.

TRIG IN is a high impedance (10 KOhms in parallel with 22 pF), diode clamped Schmidt trigger input. A logic signal greater than 1.3 Volts initiates a trigger. The input is diode clamped for protection; absolute maximum levels on this line are -0.4 to 3.7VDC. This input may be terminated into 50 Ohms using a feed-through termination (not supplied) at the rear panel.

See also Sync Out.


SYNC OUT connector

The SYNC OUT connector allows the instrument to communicate with another device. It is often used in conjunction with the trigger input signal to notify another device that the event requested has been performed. To learn more on how this can be done, see SYNC OUT description and uses.

The SYNC OUT is a low impedance TTL-compatible bus driver output signal capable of sourcing 30 mA or sinking 60 mA maximum.

See also TRIG IN connector.


EVEN SEC IN, OUT connectors

Like the REF IN and REF OUT connectors, the EVEN SEC IN and EVEN SEC OUT connectors are used in conjunction with other devices for accurate frequency locking purposes.

EVEN SEC IN is a high impedance (10 KOhms in parallel with 22 pF), diode clamped Schmidt trigger input. A logic signal greater than 1.3 Volts initiates a trigger. The input is diode clamped for protection, and absolute maximum levels on this line are -0.4 to 3.7 VDC. This input may be terminated into 50 Ohms using a feed-through termination (not supplied) at the rear panel.

EVEN SEC OUT is a low impedance, TTL compatible bus driver output signal capable of sourcing 30 mA or sinking 60 mA maximum.


100 MHz IN and 100 MHz OUT

These connections are for external synchronizing of multiple units. Do not feed external signals into these ports. These connections must have the supplied jumper attached for normal operation.


LO IN and LO OUT

These connections are for external synchronizing of multiple units. Do not feed external signals into these ports. These connections must have the supplied jumper attached for normal operation.


Frequency reference

In making measurements, it is often found useful to lock several instruments to the same frequency reference. For example, to achieve better frequency accuracy than the instrument internal frequency reference provides, a precision frequency reference source can be connected to the instrument, through a rear panel connector.

To change the instrument frequency reference source from the instrument screen or the LXI web interface, follow the steps below.

  1. Select Preset.
  2. Select Menu > Global Settings > Frequency Reference...
  3. Select the source of the frequency reference: Internal | Even Second In | External.
  • If you selected Internal or Even Second In, press Close to accept the settings.
  • If you selected External, select and change the value, if necessary.

    Values allowed for the frequency reference are between 1 MHz and 52 MHz. The default value is 20 MHz.

    NOTE: Instruments using a firmware upgrade prior to release 9194 are limited to a maximum frequency reference of 20 MHz. See Upgrade Firmware for details.

The Reference status indicator on the instrument screen shows the following indications:

  • Ref External Present if External is selected and an external reference is detected.
  • Ref External Missing if External is selected and no external reference is detected.

___
See Also:

  • Reference IN and OUT connector
  • EVEN SEC IN, OUT connectors
  • [:SOURce]:ROSCillator:SOURce
  • [:SOURce]:IEVensecond:POLarity
  • [:SOURce]:ROSCillator:EXTernal:FREQuency


User Interface Tour

Press on one of the red box selections to learn more.

go to Menu choices go to Select Modulation Choices go to What's this Help go to Frequency value go to Amplitude value go to Modulation On go to RF On go to Reference Frequency Source go to ALC go to Sync go to Trigger


Frequency value

  • Press instrument Preset

By default the frequency value is set to 1 GHz.

If necessary change the value of frequency.


Amplitude value

By default the amplitude value is set to -10 dBm.

If necessary change the value of amplitude.


Modulation On button

This button, when on, applies a loaded modulation to the IQ modulator and the RF carrier signal.


RF On button

Select this button to connect the modulated RF waveform to the RF Out connector.


Select modulation choices

Select one of the modulation formats to learn more:

  • Home
  • Modulation standards
  • Digital
  • Analog modulation
  • ARB waveforms
  • External IQ


Menu choices

Click on one of the menu choices to learn more:

  • File
  • Global Settings
  • Utilities
  • Help


File

Click on one of the file selections to learn more

  • Load setup
  • Save setup
  • Shared network folders


Open setup...

Instrument settings that have been previously saved, can be loaded and restored on the instrument.

An instrument setup file can be loaded from:

  • A memory location inside the instrument.
  • A memory device connected to a USB port.
  • A Shared network folder.

Refer to How to load an instrument setup file.

Refer to Shared network folders to see how setup files can be loaded from a remote location.


Load an instrument setup file

The instrument setup file save and load operations have the following features:

  • If you save an instrument setup file from the front panel interface, you will only be able to load the file from the front panel interface.
  • If you save an instrument setup file remotely using programming commands, you will only be able to load the file with programming commands.

Note: If a sequence file is open at the time an instrument setup is saved, the sequence file will be part of the saved setup file. When the instrument setup file is later opened, the sequence file will also be opened if the following conditions exist: the recalled sequence file is located in the User directory and the arbitrary waveform files that are referenced in the sequence file are added to the arbitrary waveform playback table.

With the front panel interface:

  1. Select Menu > File > Open Setup.
    • If you want to load a setup file from the User directory, select (highlight) the file in the User directory.
    • If you want to load a setup file from another location, select the folder or drive that includes the file you want in the Look In field. Select (highlight) the file.
  2. Select Load.

With the remote programming interface:

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

*SAV 2 | ' Save present setup in memory location 2.
*RST | ' Restore GPIB defaults.
*RCL 2 | ' Recall location 2 setup.

Note: The frequency reference is not affected by Preset, *RST, or save/recall state.


Save setup...

Instrument settings can be saved for future reloading in three locations.

  • A memory location inside the instrument.
  • A memory device connected to a USB port.
  • A Shared network folder.

See How to save an instrument setup file.

  • Select the Look in field to select User or USB.

In this example select User to save the setup as a file in the internal flash memory.


Save an instrument setup file

The instrument setup file save and load operations have the following restrictions:

  • If you save an instrument setup file from the front panel interface, you will only be able to load the file from the front panel interface.
  • If you save an instrument setup file remotely using programming commands, you will be only able to load the file with programming commands.
    __

    Note icon If a sequence file is open at the time an instrument setup is saved, the sequence file will be part of the saved setup file. When the instrument setup file is later opened, the sequence file will also be opened if the following conditions exist: the recalled sequence file is located in the User directory and the arbitrary waveform files that are referenced in the sequence file are added to the arbitrary waveform playback table.

_
With the front panel interface:

Set up the instrument to the values that you want:

  1. Select Menu > File > Save Setup.
  2. Select the File name: field or the keyboard button and type a name.
  3. Select Enter > Save.

_
With the remote programming interface:

The following example summarizes the basic command sequence for saving and recalling a setup remotely. The current setup is stored in memory location 2, GPIB defaults are restored, and the setup in memory location 2 is recalled.

*SAV 2 | ' Saves present setup in memory location 2.
*RST | ' Restores all instrument settings.
*RCL 2 | ' Recalls location 2 setup.

Note icon The frequency reference is not affected by Preset, *RST, or save/recall state.


Shared network folders...

Use this dialog box to manage shared network folders

Learn about:

Folder or drive sharing

Share a drive, files or folders

Share a drive, files or folders on the network:

You can make a connection between the instrument and any Microsoft® Windows computer drive to share or manage files across multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

______

Note icon You can only establish a shared folder from the front panel interface, and if a password is required, you will need a USB keyboard attached to the instrument.

______

Note icon When the power is cycled on the instrument, the drive sharing path must be re-established.

______

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

After setting up the shared folder, all file dialogs will include the shared folder as a selection under Look In. If the shared path has multiple directories, only the last directory is displayed in Look In.

For example:

\\mycomputer\public shows as "public"

\\mycomputer\public\example shows as "example"

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address.

  1. From the instrument screen, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.
  5. This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.
  6. Select Close to close the dialog.


Folder or drive sharing

You can make a connection between the instrument and any Windows computer drive to share or manage files across the multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

Note icon You can only establish a shared folder from the front panel interface and if a password is required, you will need a USB keyboard attached to the instrument.

Note icon When the power is cycled on the instrument, the drive sharing path must be re-established.


Global Settings

Global Settings Menu

_____
The Series V2900 provides the following global instrument settings:

  • ALC
  • Carrier Offsets *
  • Digital I/O
  • Frequency Reference
  • MIMO *
  • List Mode
  • Sweep
  • Sync Output
  • Trigger
  • Units
  • User flatness
  • External IQ Out *
  • Preset Type
  • Save User Preset
  • Advanced:
    • Extend Freq
    • Auto Power Up
    • Low Phase Noise *
    • IQ Output Cal *
    • Reprogram DSP FW
    • Background Tasks

_

NOTE: * denotes features not available on the Model 2910.


ALC (automatic leveling control)

The ALC dialog box allows automatic leveling control settings to be made from the instrument screen or from the LXI web interface.

_____
ALC for Modulated Waveforms:
ALC may be set for modulated waveforms with two options:

  • Auto
  • Sample/Hold (Default: ALC for Modulated Waveforms enabled with Sample/Hold selected)

_____
ALC for CW:
ALC may be set for CW waveforms with the following five options:

  • Auto
  • Sample/Hold
  • Fast
  • Medium
  • Slow
  • Max Power

_____
Blank when Tuning:
When ON, the maximum attenuation will be switched in while the system is tuning. When OFF, no changes in attenuation are made during tuning.

_____
Refresh Sample and Hold:
If the Sample/Hold operation is enabled for the output signal, an RF leveling operation is initiated, the ALC switches on, the signal is allowed to settle, and then the ALC switches off. This is useful if the source settings have not changed, but it is possible that there was some drift due to an extended time period, or a change in temperature or RF output loading conditions.

_____
This dialog box also enables you to turn ALC on or off and to refresh a sample and hold process.

_____
To learn more, see Automatic Leveling Control.


Automatic leveling control

The Series V2900 can automatically control the RF output amplitude. This automatic leveling control compensates for variations that may occur from an extended time period, or a change in temperature or RF output loading conditions. You are able to control the ALC settings independently for modulated signals and CW signals.

  • Analog or digital modulated signals (modulation ON)
  • Continuous wave signals (modulation OFF)

To set up the ALC from the front panel interface:

  1. Select Menu > Global Settings > ALC.
  2. Select the status of the ALC operation.
    • If you want automatic leveling applied to the RF output signal when it is modulated, select the On check box next to ALC for modulated waveforms.
    • If you want automatic leveling applied to the RF output signal when it is in CW mode, select the On check box next to ALC for CW.
  3. Select the down-arrow on each drop-down menu and choose the ALC setting for a modulated signal and for a CW signal.
    • Auto:
      For a modulated signal, the Series V2900 uses the Sample/Hold setting, with the following exception:

      For the Model 2910 only, ALC is turned off in Arb playback, including Sequence Mode.

      For a signal without modulation, the Series V2900 uses the Fast (wide bandwidth) setting.

    • Sample/Hold: When the frequency or power setting is changed, the ALC switches on (fast setting). The signal is allowed to settle to the new power value. Then the ALC switches off. If the signal is modulated, the modulation switches off momentarily when the frequency or power setting is changed. When the source is settled, the modulation is re-enabled. (Default: ALC for Modulated Waveforms enabled with Sample/Hold selected)

      For best amplitude accuracy, re-sampling (Refresh Sample and Hold) with the [:SOURce]:POWer:ALC:SHOLd:REFResh command after 300 ms may be required.

    • Fast (CW signals only): Wide bandwidth (1000 Hz) allows for the fastest response (10x faster than medium) to changes in the source output. However, the output level has more noise and variability. This setting is not recommended for signals with modulation or two-tone applications.
    • Medium (CW signals only): Medium bandwidth (100 Hz) allows for a response time (10x faster than slow) to changes in the source between the Fast and Slow settings. The level of noise in the output is also between what you observe with Fast and Slow settings.
    • Slow (CW signals only): Narrow bandwidth (10 Hz) has the slowest response time to changes in the source output. This setting offers the lowest noise level and variability of the RF output.
    • Max Power (CW signals only): When selected, the host automatically unchecks the On box. This takes the place of a confirmation dialog since turning this on could result in a substantial power increase. The confirmation act is pressing On to enable.
  4. Enable or disable Blank when Tuning.
    • ON = The maximum attenuation will be switched in while the system is tuning.
    • OFF = No changes in attenuation are made during tuning.
      _

Refresh Sample and Hold: If the Sample/Hold operation is enabled for the output signal, an RF leveling operation is initiated, the ALC switches on, the signal is allowed to settle, and then the ALC switches off. This is useful if the source settings have not changed, but it is possible that there was some drift due to an extended time period, or a change in temperature or RF output loading conditions.

_
To set up the ALC from the remote programming interface:

The following commands are examples of ALC settings made from the remote interface. See SOURce:POWer:ALC commands for details.

[:SOURce]:POWer:ALC:BOTune[:STATe]

[:SOURce]:POWer:ALC:CWAVe:TYPE SHOLd|FAST|MEDium|SLOW|AUTO|DEFault|MPOWer

[:SOURce]:POWer:ALC:CWAVe:TYPE?

[:SOURce]:POWer:ALC:CWAVe[:STATe]?

[:SOURce]:POWer:ALC:CWAVE[:STATe] ON|OFF|0|1|DEFault

[:SOURce]:POWer:ALC:MODulation:TYPE SHOLd|AUTO|DEFault

[:SOURce]:POWer:ALC:MODulation:TYPE?

[:SOURce]:POWer:ALC:MODulation[:STATe]?

[:SOURce]:POWer:ALC:MODulation[:STATe] ON|OFF|0|1|DEFault

[:SOURce]:POWer:ALC:SHOLd:REFResh


Carrier Offsets

_____

NOTE: This feature is not available on the Model 2910.

_____

Use the Carrier Offsets dialog to set the Carrier Phase and Frequency Offset.

  • Carrier Phase: Enables you to initiate a carrier phase shift of 0.0 degrees to ±180 degrees in relation to the frequency reference source. With two sources using a common external reference, this feature allows phase adjustment of the output of one source in relation to the phase of the other source. This capability is useful in beamforming applications where you need to steer antenna patterns.
    __
    Related SCPI command: [:SOURce]:PHASe:ADJust
    __
  • Frequency Offset: Enables you to initiate a digitally implemented frequency translation independent of the frequency synthesizer circuitry. This is particularly useful when units are in a multi-channel configuration, sharing a common carrier or local oscillator via the Model 2895 synchronization unit. Adjusting this frequency offset allows independent frequency variation on each channel while still maintaining the precision timing and carrier synchronization of the multi-channel configuration.
    __
    Related SCPI command: [:SOURce]:FREQuency:OFFSet


Digital I/O connector pin out

The connector location and pin designations are shown.


Digital input

Pin 8 of the Digital I/O is the digital input line. You can apply a TTL high or TTL low to this line. The state of the input (high or low) can be determined from the front panel or over the bus.

From the instrument front panel interface:

Select Menu > Global Settings > Digital I/O.

From the remote interface:

TTL:INPut?

If a high TTL level is on the input, this command will return a "1." If a low TTL level is present, a "0" will be returned.


Digital outputs

The digital I/O port has four digital outputs. Each digital output can be used in the following ways.

  • A sink mode to control devices (for example, relays).
  • A source mode to provide input to external logic circuitry (TTL or CMOS).

The simplified schematic for the digital outputs are shown in the following graphic. Notice that this illustration shows the schematic for one digital output. All four digital output circuits are identical.

Digital output port simplified diagram

Sink mode

Controlling external devices

Each output can be operated from an external supply (voltage range from +5 V to +30 V applied through the external device being driven). The high current sink capacity of the output driver allows direct control of relays, solenoids, and lamps (no additional circuitry needed).

As shown in the graphic above, each of the digital, open-collector outputs includes a built-in pull up resistor connected to +5 V. The output transistor is capable of sinking 250 mA from voltages up to +30 V. Each output channel contains a fly-back diode for protection when switching inductive loads (such as a low power solenoid or relay coils). To use these fly-back diodes, connect the external supply voltage to pin 9 of the digital I/O port. Make sure the external supply voltage is between +5 V and +30 V and the current required by the device does not exceed 250 mA.

CAUTION: On pin 9, do not exceed +30 V. For the output lines, do not exceed the maximum sink current. The maximum sink current for an output line is 250mA. Exceeding these limits may cause damage to the instrument that is not covered by the warranty.

An externally powered relay connected to the digital output port is shown in the graphic. Other externally powered devices can be similarly connected by replacing the relay with the device. When the output line is pulled low (0 V), the output transistor sinks current through the external device. In the high state, the output transistor is off (transistor switch open). This interrupts current flow through the external device.

Internal +5 V supply -- The +5 V supply of the Digital I/O (pin 7) can be used to drive low power devices. The maximum current that can be delivered to a DUT load is 100mA. Do not exceed this limit. In the following figure, the internal 5 V supply can be used instead of the External Power source by connecting the high side of the coil to pin 7 of the Digital I/O. Make sure both the coil and External Power source are disconnected from pin 9.

Controlling externally powered relays

Source mode (logic control)

The digital outputs can be used as logic inputs to active TTL, low-power TTL, or CMOS inputs. For this mode of operation, the output lines can source up to 2 mA.

CAUTION: Each output line can source up to 2 mA. Exceeding 2 mA may cause damage to Model 2910 that is not covered by the warranty.

The following graphic shows how to connect a logic device to one of the output lines. When the output line is pulled high, the transistor will turn off (transistor switch open) to provide a reliable TTL logic high output. When the output line goes low, the transistor turns on (transistor switch closed) to route current to digital ground. As a result, a low TTL logic output is provided at the output. If the second input (B) of the NAND gate is connected to another output line of the port, the output of the NAND gate will go to logic 0 when both digital outputs are set high.

NAND gate control


Setting digital output lines

From the front panel interface:

An output line can be set high (H) or low (L). From the front panel, the decimal equivalent of the bit pattern is set. Use This table to determine the decimal value for the bit pattern. For example, to set output 4 high and the outputs 1, 2, and 3 low, use decimal value "8" as shown.

  1. Press Menu > Global Settings > Digital I/O.
  2. Type in the desired digital output pattern (in decimal) and press Enter.
  3. Select the Close button.
Output patterns for NRf parameter
Out 4 | Out 3 | Out 2 | Out 1 | Decimal
L | L | L | L | 0
L | L | L | H | 1
L | L | H | L | 2
L | L | H | H | 3
L | H | L | L | 4
L | H | L | H | 5
L | H | H | L | 6
L | H | H | H | 7
H | L | L | L | 8
H | L | L | H | 9
H | L | H | L | 10
H | L | H | H | 11
H | H | L | L | 12
H | H | L | H | 13
H | H | H | L | 14
H | H | H | H | 15

From the remote interface:

The SOURce:TTL subsystem commands are used to set the logic level for the four output lines of the Digital I/O. These commands are listed in SOURce:TTL commands.

You can set the control the digital I/O output settings:

TTL [MAXimum | MINimum | DEFault]

An output line can be set high (H) or low (L). When using the decimal format to set the bit pattern, use the table to determine the decimal value for the parameter.

Example:

To set output 4 high and the outputs 1, 2, and 3 low, use parameter value "8" as shown in the table below.

When using one of the non-decimal formats, convert the decimal value for the bit pattern to the equivalent binary, octal or hexadecimal value. Be sure to use the appropriate header (#B, #Q, or #H) with the non-decimal number. For example, for decimal 8 the binary equivalent for the parameter is #B1000.

When using the query command to read the set bit pattern, the format for the returned value depends on the presently set data format for SOURce:TTL commands.

Example:

Set outputs 4 and 2 high and outputs 3 and 1 low:

:TTL:LEV #B1010 | ' Binary format.
[:SOURce]:TTL[:LEVel] <NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Specify bit pattern for the four digital output lines 15.
[:SOURce]:TTL[:LEVel]? | Query set bit pattern.
[:SOURce]:TTL:INPut? | Query digital input state: Hi (1) or Lo (0).

Parameters:

Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | = 0 to 15 | Decimal format |
<NDN> | = #Bxxxx | Binary format | xxxx = 0000 to 1111
 | = #Hx | Hexidecimal format | x = 0 to F
 | = #Qx | Octal format | x = 0 to 17


Frequency Reference...

You can use a common frequency reference for all the equipment in a measurement setup by choosing from three frequency reference sources:

Frequency source | Rear panel access | Description
Internal (10 MHz) | REF OUT | Used in a daisy-chain configuration with other measurement instruments to improve measurement accuracy.
External (1 to 60 MHz) | REF IN | Allows an external frequency source to lock the instrument oscillator circuit, which can improve measurement accuracy. The locking range is 1 to 60MHz.
Even Second Input | EVEN SEC IN | Even Sec Input/Output allows synchronization to certain GPS or other frequency references that provide a pulse every two seconds.

Note: The frequency reference is not affected by Preset, *RST, or save/recall state.

Note: Instruments using a firmware upgrade prior to release 9194 are limited to a maximum frequency reference of 20 MHz. See Upgrade Firmware for details.

From the front panel interface:

  1. Select Menu > Global Settings > Frequency Reference....
  2. Select the Frequency Reference Source:
    • If you want to use the frequency source internal to the instrument, select Internal.
    • If you want to use an external frequency source, select External and enter the frequency of the external source. The default external frequency reference is 20 MHz.
    • If you want to synchronize to GPS or other frequency references, select Even Second In and set the Even Second In Polarity (rising or falling).
  3. Select the Even Second Out Polarity:

    MIMO Systems: Note that the same even second inputs/outputs are used for MIMO synchronization. Therefore it is important to set the Even Second Out Polarity to Off to prevent potential interference with MIMO operation if the unit will be connected to a Agilent V2895 MIMO Synchronization Unit. Not doing so will cause a problem if you are not using that particular instrument in MIMO operation, but other instruments connected to the V2895 sync unit are in MIMO mode. For example, you have four V2820A units connected to a V2895, but you want to make a 2-channel measurement. You would set two units to non-MIMO mode, being careful to set the Even Second Out polarity to Off. The other two units would be set to MIMO mode.

  4. Check the reference status indicator located in the lower right-hand portion of the instrument screen with the Ref heading.
  5. Close the dialog when you are finished.

_
Related SCPI Commands:

  • Series V2800 VSA Instruments
    • [:SOURce]:ROSCillator:SOURce
    • [:SOURce]:ROSCillator:EXTernal:FREQuency
    • :SOURce:EEVensecond:POLarity:IN
    • :SOURce:EEVensecond:POLarity:OUT
  • Series V2900 VSG Instruments
    • [:SOURce]:ROSCillator:SOURce
    • [:SOURce]:ROSCillator:EXTernal:FREQuency
    • [:SOURce]:IEVensecond:POLarity
    • [:SOURce]:ROSCillator:EEVensecond:POLarity


MIMO

The MIMO (multiple input multiple output) system transmits multiple, independently modulated OFDM signals on the same channel. All analyzers share common LO (local oscillator) and clock signals. The master unit provides the LO, a digital clock and trigger synchronization to the MIMO synchronization unit. The latter unit distributes those signals to all of the other units. Signal sampling is aligned to within ±1ns.

Note icon This feature is not available on the Model 2910 or the Model 2810.

__
To initiate a MIMO measurement:

  1. Select Preset.
  2. Select Global Settings > MIMO.

This brings up the MIMO dialog.

Caution: Unused units tied into a MIMO system must be powered on and their Even Second Out Polarity set to "off"; otherwise, these units will prevent the MIMO system handshaking from operating properly.

_____

Note icon It is important to keep the center frequency of the master and all slaves the same. If you attempt to change the Center Frequency on a unit that is a Master or a Slave, the unit will respond with the error message "Verify MIMO Master and all MIMO Slaves are tuned to same frequency."

_____
See Also:

  • Mode
  • MIMO Sync
  • Master Sync
  • Internal Clock
  • VCO
  • LO Power
  • For MIMO related SCPI commands, see :MIMO
  • MIMO Application Guide

_

_

Mode

Caution: This control is not typically used during normal operation.

_____
The MIMO Mode drop-down menu offers the following choices:

  • Off - This selection configures the instruments for non-MIMO operation. The VCO and the Internal Clock are turned ON and the MIMO Sync is turned OFF. The instrument is not waiting for external synchronization.
  • Master - This mode establishes the instrument as the master to any other similar instruments connected to the synchronization unit. The master unit generates the RF carrier, which is then distributed to the other instruments. When you set an instrument to master:
    • MIMO Sync is turned ON.
    • VCO (voltage controlled oscillator) is turned ON.
    • Internal Clock is turned OFF.
  • Slave - This mode establishes the instrument as the slave to the master instrument connected to the synchronization unit.
    • MIMO Sync is turned ON.
    • VCO (voltage controlled oscillator) is turned OFF.
    • Internal Clock is turned OFF.

      Note icon Turning VCO and Internal Clock OFF produces a signal with less noise.

  • Manual - This mode is intended for factory debugging. If you use this mode to control MIMO Sync, Master Sync, VCO, or Internal Clock it is best utilized with the assistance of a Agilent Instruments application engineer.

Related SCPI command:

  • :MIMO:MODE

MIMO Sync

Caution: This control is not typically used during normal operation.

_____
MIMO Sync sets the instrument to generate and use the MIMO synchronization handshaking signals. This selection allows for manual control when debugging with the assistance of an Agilent application engineer.

Related SCPI command:

  • :MIMO:SYNC[:STATe]

Master Sync

Caution: This control is not typically used during normal operation.

_____
Master Sync makes the unit the master in charge of controlling the MIMO synchronization signals. This selection allows for manual control when debugging with the assistance of an <company application engineer.

Related SCPI command:

  • :MASTer:SYNC[:STATe]

Internal Clock

The internal clock is turned OFF for MIMO operation. For standard instrument operation (no master/slave configuration) the internal clock is turned ON.

Note icon When in MIMO mode, the Ref indicator in the lower-right corner of the instrument screen displays "MIMO".

Related SCPI command:

  • [:SOURce]:INTernal:CLOCk[:STATe]

VCO

The VCO (voltage-controlled oscillator) is turned ON in the master unit and OFF for all slave units.

Related SCPI command:

  • [:SOURce]:VCO[:STATe]

LO Power

Local oscillator (LO) power must be present at the LO IN connector of every instrument in the MIMO configuration. When sufficient LO power is present at the prescribed instrument, the indicator at the bottom of the MIMO dialog displays LO Power: Present. When no LO signal is present at the LO IN connector the indicator displays LO Power: Low.

To the right of this indicator is a button labeled Read Power. This selection allows for manual control when debugging with the assistance of an Agilent application engineer.

Caution: This control is not typically used during normal operation.


List mode

This dialog box allows the Series V2900 to produce a signal from a list of frequency, power, and dwell time settings. Because these settings can be arbitrary, List Mode allows more flexibility than Sweep Mode.

To learn more, see the following topics:

  • Sweep and signal generation
  • Sweep/list description and use
  • To set up a list mode

___

In the User folder, an example list mode file (Example List.csv) is provided for you to customize for your purposes.

___


Sweep

This dialog box allows the Series V2900 to produce a signal that sweeps across a frequency range, a power range or both.

To learn more, see the following topics:

Sweep and signal generation

Sweep and signal operations


Sweep and signal generation

Select the sweep description to learn about the sweep and signal generation. Or, select one of the procedures to learn how to set up and control the signal generated in the Series V2900.

  • Sweep/list description and use
  • Sweep/list trigger description and use
  • Sync pulse description and use
  • Sweep/list dwell description and use
  • Procedures:
    • Setting up a CW signal
    • Setting up a frequency or power sweep
    • Setting up a list mode
    • Making a single sweep/list with commands
    • To set the trigger
    • Generating sync pulses


Sweep/list description and use

In the default (preset) mode, the Series V2900 generates an RF carrier at a fixed frequency and power. However, if you need the output signal to vary in frequency/amplitude in a specified sequence, the Series V2900 can generate stepped-sweep and list modes. You can specify the source values for these modes as follows:

Stepped frequency and power sweep:

  • 400 MHz to 2.5 GHz for the Model 2910 and 10 MHz to 6 GHz for the Model 2920
  • -125 dBm to +13 dBm for the Model 2910 and -130 dBm to +13 dBm for the Model 2920
  • List mode: frequency/power combinations

Here are some examples of how you could use the different sweep and list modes:

  • Stepped-sweep mode could trace out a filter response.
  • List mode could tune the source to one test frequency/power, make some measurements, and then tune to another frequency/power.

For details, see Sweep setup and List Setup to learn how to make faster measurements.


Sweep/list triggering description and use

When you switch the source to sweep or list mode, the Series V2900 starts stepping through the frequency and power values immediately. When the source reaches the last values in the sweep or list, it immediately returns to the first values of the sweep or list, repeating the sweep continuously.

If you want the instrument to wait until you are ready for it to change states, you can set up a trigger. The Series V2900 has trigger options that allow you to control when the instrument does the following operations:

  • Starts a continuous sweep.
  • Starts a single sweep.
  • Changes to the next step (frequency/power values) in a stepped sweep or list.
  • Starts an arbitrary waveform playback.
  • Starts a sequence of arbitrary waveforms.
  • Changes to the next step (waveform/settings) in a sequence playback.

A trigger delay is typically used to align an event within the source with other events within the system (for example, aligning a signal burst from the Series V2900 with a signal burst from another instrument). You can also control how the trigger is generated:

  • Trigger Now button in the trigger or sweep dialog interface
  • SCPI command (*TRG)
  • External TTL input with a rising edge
  • External TTL input with a falling edge

___

Note: There are speed and repeatability advantages to using the TTL trigger input, rather than using the Trigger Now button or the SCPI command *TRG. The trigger event goes directly to the signal generation hardware.

___

Note: All trigger events, including the front panel Trigger Now button, will be delayed by the trigger delay time.

___
For details, see the following topics:

  • Sync pulse description and uses
  • Sweep/list dwell description and uses
  • Sweep and signal operations
  • Example measurement applications


Sync out description and uses

The sync pulse output can trigger an external device or circuit to perform a particular operation. The Series V2900 can generate a sync out signal at the following events:

  • Beginning of a sweep, list or arb file sequence (Begin)
  • End of a sweep, list or arb file sequence (End)
  • When an arbitrary waveform playback repeats (Wrap)
  • End of a dwell time at each step in a stepped sweep, list mode or arb file sequence (Dwell)
  • When the source settles at each step in a stepped sweep, list mode or arb file sequence (Step)
  • No sync pulses are allowed to be generated (Never)

You can set the polarity of the 200 ns TTL (3.3 V) sync pulse generated:

  • Positive going pulse with sync on the rising edge
  • Negative going pulse with sync on the falling edge

In many measurement applications, the source must settle before the receiver can acquire data. You can send the *OPC query at the end of a programming message so the source indicates when it has settled and finished executing the command by sending a "1" to the computer. The "1" sent is a TTL pulse on the Series V2900 Sync Out connector. This allows you to synchronize your device measurements with the source output. The syntax for the message is the same whether you are sending commands over GPIB, LAN, or USB.

You can also use the *WAI, *OPC, and *OPC? commands to query the Series V2900 status to synchronize operations with other equipment. Refer to IEEE 488.2 common commands.

Note: The sweep and list execution respond to *WAI, *OPC and *OPC? when the sweep or list has started. The INIT:IMM; command causes a single sweep (or list) and delays *WAI, *OPC and *OPC? until the end of the sweep.

Example:

The computer sends the following message to the source:

FREQ 926.6 MHz; POW -2 dBm; *OPC?

The source goes to the new frequency and power. Then the source responds with a "1" when it is settled.

The source is settled at the current setting when the following conditions are met:

  • The frequency is within 100 Hz of the value set.
  • The output power has settled according to the current ALC mode.
  • The modulation waveform has been calculated and is being played back, if applicable.

You can set the polarity of the 200 ns sync pulse generated:

  • TTL (3.3 V) output on a rising edge
  • TTL (3.3 V) output on a falling edge

For details, see To set the sync out and Example measurement applications to learn how to make fast measurements using the sync out pulse.


Sweep/list dwell description and uses

Both sweep and list modes accept a dwell time. The dwell time is the minimum delay between the changes of the frequency/power state throughout a sweep. This setting allows you to control the sweep rate, and sweep time. The sweep/list dwell time operates as follows:

  • If the source takes longer to settle for a particular state change than the requested dwell time, the instrument waits the longer time.
  • The sync pulse occurs when the source is settled, not at the start of the dwell time.
  • If you need the instrument to wait at the current frequency/power for a specified length of time, specify a dwell time that is the sum of the settling time and the required wait time. You can find out the actual settle time remotely. Execute the sweep or list with a zero dwell time, then use one of the following commands:
    • SWEep:SETTle? returns the worst case observed settle time over the sweep.
    • LIST:SETTle? returns the per-point observed settle time.

The source is settled at the current setting when the following conditions are met:

  • The frequency is within 100 Hz of the value set.
  • The output power has settled according to the current ALC mode.
  • The modulation waveform has been calculated and is being played back, if applicable.

    Note: The settle time varies with ALC settling time.


Sweep and signal operations

Select from the following procedure categories to learn how to set up and control various sweeps and signals generated by the Series V2900:

  • Setting up a CW signal
  • Setting up a frequency or power sweep
  • Setting up a list mode
  • Making a single sweep/list with commands
  • Triggering a sweep or list
  • Generating sync pulses
  • Example measurement applications


To set up a continuous wave (CW) signal

From the front panel interface:

  1. Select the Preset button on the front panel.
  2. Select the Frequency field and enter a value:
    • Use the front panel puck or knob to increase or decrease the value.
    • Use the keypad interface to enter a value and then select the correct terminators (GHz, MHz, kHz, Hz).
  3. Select the Amplitude field and enter a power level:
    • Use the front panel puck or knob to increase or decrease the value.
    • Use the keypad interface to enter a value and then select Enter.
  4. Ensure that the state is set for the following check boxes:
    • Modulation ON check box is unselected (cleared).
    • RF check box is selected.

From the remote programming interface:

*RST

FREQuency 998 MHZ;

POWer -10 dBm;


To set up a frequency or power sweep

Note: If either the list mode or the arbitrary waveform sequence mode is active on the Series V2900, you must stop the signal generation for that mode before starting a sweep. The sweep, list, and waveform sequence modes must have exclusive operation of the Series V2900. Switch one mode off before attempting to switch another mode on.

From the front panel interface or the LXI web interface:

  1. Select the Preset button on the front panel.
  2. Select Menu > Global Settings > Sweep.
  3. Select the fields in the Sweep dialog and enter values using one of the following methods:
    • Adjust the front panel puck or knob to change the value.
    • Double-click a value field and enter a value from the keypad, followed by the correct terminator.
  4. Select the Start Frequency or Start Power field and enter a value. This is the frequency or power setting of the first step in the sweep.
  5. Select the Stop Frequency or Stop Power field and enter a value. This is the frequency or power setting of the last step in the sweep (you can set the stop frequency to a value that is lower than the start frequency so that the frequency sweeps from a higher to a lower frequency value).
  6. Select the Number of steps field and enter a value (the default is 201 and the maximum is 2000). As the source sweeps the power or frequency range, it divides the range by this number, resulting in the number of individual instrument settings that the instrument makes when progressing through the sweep range. The maximum step size is 100.000 seconds.
  7. Select the Dwell Time field and enter a value (the default and minimum value is 0 seconds, the maximum value is 999.9999 seconds). This is the minimum time, including settling time, the instrument stays at the specific settings for each step in the sweep range.
    • If the instrument dwell time is greater than the settling time, the instrument will remain settled for (dwell time -- settling time).
    • If the instrument dwell time is less than settling the time, the instrument will settle and then immediately move to the next point.
  8. Select the Sweep Now button in the Sweep dialog to start the sweep.
  9. Select the Stop Sweep button in the Sweep dialog to stop the sweep.

    Note: The main status area shows the sweep values and whether the instrument is currently sweeping.

From the remote programming interface:

*RST

FREQuency:STARt 998 MHZ;

FREQuency:STOP 1002 MHZ;

POWer:STARt -20 dBm;

POWer:STOP -15 dBm;

SWEep:DWELL 0 s;

SWEep:STEP 101;

SWEep:STATE [ON | OFF];


To set up a list mode

The source can step through a list of frequency/power combinations with associated dwell times. The values are loaded from a list file of comma separated value (*.csv). You can create/edit this file in Microsoft® ExcelTM or any text editor that can save in plain text format.

Example list file:

LIST Version 0.1,,

Begin Table,,

Frequency(Hz),Power(dBm),Dwell(sec)

9.95E+08,0,0

9.97E+08,0,0

9.99E+08,0,0

1.00E+09,0,0.1

1.00E+09,0,0.2

1.01E+09,0,0.1

Note: If either the sweep mode or the arbitrary waveform sequence mode is active on the Series V2900, you must stop the signal generation for that mode before starting a list. The list, sweep, and waveform sequence modes must have exclusive operation of the Series V2900. Switch one mode off before attempting to switch another mode on.

From the front panel interface:

  1. Select Menu > Global Settings > List Mode > Open List File.
    • If the file is in the User directory, select the list filename and then select Load.
    • If you do not see the file that you want in the User directory, select the Look in: drop-down arrow and then select the directory where the file is located. Select the list filename and then select Load.
    • If the file is on an external drive, you may want to save the file to the instrument User directory.

      If the file contains extended features, you can load it only if Extended Frequency is enabled.

  2. Select Start List. The source starts stepping through the list of values. The Series V2900 main status area shows the instrument is currently in list mode.
  3. Select Stop List to stop the sweep of listed values.

From the remote programming interface:

[:SOURce]:LIST:LOAD "LIST_NAME"

[:SOURce]:LIST:SETTle?

[:SOURce]:LIST[:STATE] ON | OFF

See SOURce:LIST commands for details on the commands.


To make a single sweep/list using commands

Some measurement applications require that you launch a single sweep/list from a SCPI command, and then wait until the sweep is complete. The INIT:IMM;*OPC? command provides this functionality.

  1. Configure the sweep/list and set the sweep state to ON.
  2. Issue the command INIT:IMM;*OPC? as a single message. Sending INIT:IMM as one message, then *OPC? as a separate message, aborts the initiated sweep.
  3. The source aborts the current sweep, starts a new sweep, and returns a "1" when the sweep is complete.
    • If the trigger is set up to start a sweep by the external TTL trigger input, the source must receive the trigger to start the sweep.
  4. You can abort the sweep by sending another SCPI command or by pressing the front panel Local key. This allows the Series V2900 to abort a sweep remotely that may be waiting for an external trigger that never occurs.

    Note: The command (INIT:IMM;*OPC?)only triggers the start of a sweep, not individual steps in a sweep/list. The command initiates a new sweep, aborting the current sweep. Use the *TRG command to trigger individual steps in a sweep/list.

See INIT:IMM and IEEE commands for details.


To set the trigger

From the front panel interface:

  1. Select Menu > Global Settings > Trigger > Trigger Mode down-arrow and choose what operation the trigger event will initiate:
    • Free Run continuously triggers the source RF output.
    • Trigger steps in sweep/list changes to the next step (frequency/power values) in a stepped sweep.
    • Trigger a sweep/list starts a stepped sweep or list sweep.
    • Trigger start of arb waveform starts the playback of an arbitrary waveform.
    • Trigger arb start and sweep/list steps starts the playback of an arbitrary waveform and changes to the next step (frequency/power values) in a stepped sweep or list.
  2. Select Arb Sequence Trigger Mode down-arrow and choose what operation will be initiated by a trigger event when you are playing back a sequence of arbitrary waveforms:
    • Start and Step requires a trigger to initiate the start of a sequence and the transition to the next step in a sequence when specified in the sequence mode.
    • Stepping Only requires a trigger to transition to the next step in a sequence when specified in the sequence mode.
  3. Select Trigger Source down-arrow and choose the source of the trigger pulse that will be received by the instrument.
    • SCPI or Front Panel Trigger sets the instrument to receive a trigger from a program that sends the SCPI command (*TRG) or allows you to invoke a trigger from the instrument Trigger Now button.
    • Rising Edge of External TTL Input sets the instrument to receive a trigger from an external device that sends a TTL signal pulse with a rising edge.
    • Falling Edge of External TTL Input sets the instrument to receive a trigger from an external device that sends a TTL signal pulse with a falling edge.
  4. Select the Trigger Delay field and enter a delay value, if desired. After the instrument receives a trigger, it will wait the desired time before launching the trigger event. The delay applies to all trigger sources. There is a minimum trigger delay associated with each playback sample rate, even though the GUI setting is set to zero. This minimum delay is needed to synchronize the digital upconverter to a known phase. The minimum delay is the greater of (1.28 us, 8 sample periods). Or, if you prefer, another way to state it is 8 sample periods for Fs < 6.25 MHz and 1.28 us for Fs >= 6.25 MHz. The trigger delay resolution is 10 nanoseconds.

    If you set a delay value that is less than the minimum realizable delay, a message is displayed: "The minimum realizable trigger delay is <value> sec". This is an informational message and not an error message.

  5. Select the Trigger Now button or send the trigger as you have selected. Trigger Now is active only for SCPI or front panel trigger mode.

From the remote interface:

TRIGger:MODE [OFF | TUNE | START | ARB] AST

TRIGger:SOURce [RISing | FALLing | BUS]

TRIGger:DELay [value]

:TRIGger:DELay:ACTual

*TRG

See TRIGger commands for more information on using the trigger commands.

NOTE The trigger commands take effect immediately upon execution.


To set the sync out

From the front panel interface or from the LXI web interface:

  1. Select Menu > Global Settings > Sync out.
  2. Select the arrow for the Generate a Sync Pulse drop-down menu and choose the event to generate the sync out pulse.
    • Never -- Never sends a sync out pulse.
    • On ARB waveform wrap -- Sends a pulse at the start of the repeat of an arbitrary waveform playback.
    • At beginning of a sweep/ list/sequence -- Sends a pulse when the source starts a sweep, list, or arbitrary waveform sequence.
    • At end of each step in sweep / list / sequence -- Sends a pulse when the source settles at the specific values (frequency/power/modulation) for each step in a sweep, list mode or arbitrary waveform sequence playback.
    • At end of dwell time in sweep / list / sequence -- Sends a pulse when the source reaches the end of the specified dwell time value for each step in a sweep, list mode or arbitrary waveform sequence playback.
    • At end of sweep / list / sequence -- Sends a pulse when the source settles at the values of the last point in the sweep or list, or at the last step of an arbitrary waveform sequence.
  3. If you select On ARB waveform wrap for the Generate option, set the Sync Offset. This sets the sync out relative to the ARB wrap as a percentage of the ARB waveform duration. Additionally, you may set the Wraps Per Sync field to a number greater than 1. This field indicates the number of ARB waveform wraps that occur between each sync out pulse that is generated. The minimum, and default, value is 1, with a maximum of 1000. Note that the Sync Offset setting is a percentage of a single ARB waveform repetition, regardless of the setting of the Wraps Per Sync field.
  4. Select the arrow for the Rising/Falling drop-down menu and choose the polarity of the sync out pulse.

    If you want to immediately generate a sync out pulse, select Pulse Sync Out.

_
See Sync Out connector for specifications on the output signal.

_
From the remote interface:

:SOUTput:MODE [OFF | WRAP | STEP | START | STOP]

:SOUTput:POLarity [RISing | FALLing]

:SOUTput:OFFSet

See :SOUTput commands for more information on using the sync out commands.


Sync Output

A sync output is a pulse generated from the Series V2900 to initiate control of other equipment that receives the RF output. The Series V2900 has a single TTL-level sync output. The Series V2900 supports the SCPI *WAI, *OPC and *OPC? synchronization methods. See the following topics for more information.

  • Sync pulse description and uses
  • To set the sync out
  • Connections


Triggering and sync out

The Series V2900 has two main control signals that allow you to synchronize the instrument with other equipment and test devices in the measurement system.

  • Trigger allows you to control when certain Series V2900 operations happen.
  • Sync out allows you to initiate control of other equipment that receives the Series V2900 RF output.

Select the description topics to learn about controlling the sweep and signal generation. Or, select one of the following procedures to learn how to set up the trigger and sync out control signals.

  • Triggering description and use
  • Sync out description and use
  • Procedures:
    • To set the trigger
    • To set the sync out
    • Example measurement applications


Sync out procedures

Select from the following procedures to learn how to control the various sweeps and signals generated by the vector signal generator:

  • To set a sync out pulse
  • Example measurements:
    • Basic remote synchronization example
    • Arbitrary waveform synchronization example
    • Frequency list mode example


To set the sync out

From the front panel interface or from the LXI web interface:

  1. Select Menu > Global Settings > Sync out.
  2. Select the arrow for the Generate a Sync Pulse drop-down menu and choose the event to generate the sync out pulse.
    • Never -- Never sends a sync out pulse.
    • On ARB waveform wrap -- Sends a pulse at the start of the repeat of an arbitrary waveform playback.
    • At beginning of a sweep/ list/sequence -- Sends a pulse when the source starts a sweep, list, or arbitrary waveform sequence.
    • At end of each step in sweep / list / sequence -- Sends a pulse when the source settles at the specific values (frequency/power/modulation) for each step in a sweep, list mode or arbitrary waveform sequence playback.
    • At end of dwell time in sweep / list / sequence -- Sends a pulse when the source reaches the end of the specified dwell time value for each step in a sweep, list mode or arbitrary waveform sequence playback.
    • At end of sweep / list / sequence -- Sends a pulse when the source settles at the values of the last point in the sweep or list, or at the last step of an arbitrary waveform sequence.
  3. If you select On ARB waveform wrap for the Generate option, set the Sync Offset. This sets the sync out relative to the ARB wrap as a percentage of the ARB waveform duration. Additionally, you may set the Wraps Per Sync field to a number greater than 1. This field indicates the number of ARB waveform wraps that occur between each sync out pulse that is generated. The minimum, and default, value is 1, with a maximum of 1000. Note that the Sync Offset setting is a percentage of a single ARB waveform repetition, regardless of the setting of the Wraps Per Sync field.
  4. Select the arrow for the Rising/Falling drop-down menu and choose the polarity of the sync out pulse.

    If you want to immediately generate a sync out pulse, select Pulse Sync Out.

_
See Sync Out connector for specifications on the output signal.

_
From the remote interface:

:SOUTput:MODE [OFF | WRAP | STEP | START | STOP]

:SOUTput:POLarity [RISing | FALLing]

:SOUTput:OFFSet

See :SOUTput commands for more information on using the sync out commands.

Connections for TRIG IN and SYNC OUT


Pulse Sync Out

If you want to immediately generate a sync out pulse, select Pulse Sync Out.


To set the trigger

From the front panel interface:

  1. Select Menu > Global Settings > Trigger > Trigger Mode down-arrow and choose what operation the trigger event will initiate:
    • Free Run continuously triggers the source RF output.
    • Trigger steps in sweep/list changes to the next step (frequency/power values) in a stepped sweep.
    • Trigger a sweep/list starts a stepped sweep or list sweep.
    • Trigger start of arb waveform starts the playback of an arbitrary waveform.
    • Trigger arb start and sweep/list steps starts the playback of an arbitrary waveform and changes to the next step (frequency/power values) in a stepped sweep or list.
  2. Select Arb Sequence Trigger Mode down-arrow and choose what operation will be initiated by a trigger event when you are playing back a sequence of arbitrary waveforms:
    • Start and Step requires a trigger to initiate the start of a sequence and the transition to the next step in a sequence when specified in the sequence mode.
    • Stepping Only requires a trigger to transition to the next step in a sequence when specified in the sequence mode.
  3. Select Trigger Source down-arrow and choose the source of the trigger pulse that will be received by the instrument.
    • SCPI or Front Panel Trigger sets the instrument to receive a trigger from a program that sends the SCPI command (*TRG) or allows you to invoke a trigger from the instrument Trigger Now button.
    • Rising Edge of External TTL Input sets the instrument to receive a trigger from an external device that sends a TTL signal pulse with a rising edge.
    • Falling Edge of External TTL Input sets the instrument to receive a trigger from an external device that sends a TTL signal pulse with a falling edge.
  4. Select the Trigger Delay field and enter a delay value, if desired. After the instrument receives a trigger, it will wait the desired time before launching the trigger event. The delay applies to all trigger sources. There is a minimum trigger delay associated with each playback sample rate, even though the GUI setting is set to zero. This minimum delay is needed to synchronize the digital upconverter to a known phase. The minimum delay is the greater of (1.28 us, 8 sample periods). Or, if you prefer, another way to state it is 8 sample periods for Fs < 6.25 MHz and 1.28 us for Fs >= 6.25 MHz. The trigger delay resolution is 10 nanoseconds.

    If you set a delay value that is less than the minimum realizable delay, a message is displayed: "The minimum realizable trigger delay is <value> sec". This is an informational message and not an error message.

  5. Select the Trigger Now button or send the trigger as you have selected. Trigger Now is active only for SCPI or front panel trigger mode.

From the remote interface:

TRIGger:MODE [OFF | TUNE | START | ARB] AST

TRIGger:SOURce [RISing | FALLing | BUS]

TRIGger:DELay [value]

:TRIGger:DELay:ACTual

*TRG

See TRIGger commands for more information on using the trigger commands.

NOTE The trigger commands take effect immediately upon execution.

Connections for TRIG IN and SYNC OUT


Example measurement applications

The following examples show how to use the trigger and synchronization capabilities to make fast measurements.

  • Basic remote synchronization
  • Fast measurements with arbitrary waveform synchronization
  • Fast measurements with list frequency mode


Example: Basic remote synchronization

When you are controlling the Series V2900 with SCPI commands, you can send the *OPC query at the end of a programming message so the source indicates when it has finished executing the command by placing an ASCII '1' in the Output Queue. The '1' in the Output Queue will be sent to the computer in the form of a TTL pulse on the Series V2900 Sync Out connector. This allows you to synchronize your device measurements with the source output. The syntax for the message is the same whether you are sending commands over GPIB, LAN or USB.

The computer sends the following message to the source:

FREQ 926.6 MHz; POW -2 dBm; *OPC?

The source goes to the new frequency and power. Then the source responds with a "1" when it is settled.

The source is settled at the current setting when the following conditions are met:

  • The frequency is within 100 Hz of the value set.
  • The output power has settled according to the current ALC mode.
  • The modulation waveform has been calculated and is being played back, if applicable.

If you send a query at the end of a programming message that sets the trigger to start a sweep, *OPC will return as soon as the sweep launches.

One disadvantage to this approach is that the program is blocked until the source responds. This prevents the program from other SCPI communications until the source is settled. To avoid this delay, use the SCPI serial poll mechanism (SPOLL) to check the Message Available (MAV) bit on the source. This is a non-blocking call that allows the program to check the source many times. When the "1" is ready to be read back, MAV will be true. Refer to Serial polling and SRQ for details.


Example: Fast measurements with arbitrary waveform synchronization

The Series V2900 allows you to optimize your measurement speed when your device testing requires switching between waveforms of various modulation types. You can add the waveforms to a modulation table that allows you to quickly switch from playing one waveform to another. For details, see Arbitrary Waveforms. You can add the following files to the arbitrary modulation table:

  • Existing waveforms from the instrument modulation menu.
  • Edited waveforms based on the existing instrument modulations.
  • Existing arbitrary files (.arb) created from an external application.

When the source plays back an arbitrary waveform, it continuously wraps back to the start of the waveform when it reaches the end. This creates a repetitive waveform. In some situations, you can make faster measurements if you synchronize device measurements with the event of the source returning to the start of the modulation waveform.

  • Measurement results settle faster because the signal analyzer receives the same modulation envelope on each measurement.
  • IQ data averaging allows you to reduce the noise floor because you don't have to average the envelope data.
  • Measurement-to-measurement variations are reduced by measuring at the same point in the arbitrary waveform.

The following configuration allows you to synchronize your device measurements with the modulation waveform playback.

Note: You can also playback a sequence of arbitrary waveforms and synchronize device measurements with the beginning of the sequence, the end of the sequence or the end of each step of the sequence. For details, refer to Arbitrary Waveforms.

From the instrument front panel interface

  1. Select Menu > Setup > Sync Out.
  2. From the Generate a Sync Pulse: drop-down menu, select On ARB waveform wrap.

From the remote interface

SOUT:MODE WRAP

For details, refer to Arbitrary Waveforms and Sync out description and uses.


Example: Fast measurements with frequency list mode

The source hardware is capable of switching speeds of 1ms under certain conditions. However, when you are controlling the source with SCPI commands over the communication bus, the switching speed is much longer than 1ms. To avoid the delay of the communication bus, you can set up the following conditions for your device measurements:

  • Load an arbitrary frequency list into the source.
  • Install a Digital I/O card in the controller.
  • Send a TTL trigger to step the source through the list values.

Example:

If a test requires a measurement at 3 frequency points in 4 different bands, you would perform the following steps:

  1. Load the 12 frequencies into the source by recalling a description file (*.csv) (see To set up a list mode for details).
  2. Configure the required modulation (see "Modulation types" for details).
  3. Set up the sync out:
    1. Select Menu > Setup > Sync Out....
    2. In the Generate a Sync Pulse: drop-down menu, select At end of sweep or list.
  4. Over SCPI: SOUTput:SOURce STOP
  5. Set up the trigger:
    1. Select Menu > Setup > Trigger....
    2. In the Trigger Mode drop-down menu, select Sweep/list.
  6. Over SCPI: TRIGger:MODE START
  7. Configure the equipment as shown in the following graphic.
    1. When the source receives a TTL trigger from the Digital I/O card, it moves to the first frequency, and responds when it is settled.
    2. The host controller triggers the device measurements.
    3. When the source receives another TTL trigger from the Digital I/O card, it moves to the next frequency in the list, and responds when it is settled.
    4. The process repeats, continuing through the remaining frequency list values.

For details, see Digital I/O.

Note: Although modulation can be on during an arbitrary list sequence, you will have to restart the sequence if you change modulation type or parameters.

If the device under test is able to manage triggers from instruments, you could use the following configuration. This allows the device under test to trigger the source and receive the source-settled sync out pulse. See Trigger and sync out operations for details.


Trigger

From the instrument screen or the LXI web interface, select: Menu > Global Settings > Trigger...

A trigger is an input to the instrument that causes it to initiate an operation. The Series V2900 has a single analog, TTL level input for hardware triggers, and will accept SCPI trigger commands. How the Series V2900 responds to a trigger is software configurable.

NOTE: The changes made in the Trigger dialog take effect immediately upon being selected. Likewise, the trigger-related SCPI commands take effect immediately upon execution.

_____
See the following topics for more information.

  • Trigger description and uses
  • Trigger and sync out
  • To set the trigger
  • Trigger connections


Trigger procedures

Select from the following procedures to learn how to control the various sweeps and signals generated by the Series V2900:

  • To set the trigger
  • Example measurements:
    • Basic remote synchronization example
    • Arbitrary waveform synchronization example
    • Frequency list mode example


Trigger start of arb waveform

Caution: The "Trigger start of arb waveform" selection on the trigger mode menu is provided to allow the user to synchronize the modulation being generated on two different RF sources. In this mode, the instrument will tune to the desired frequency and power, and then wait for a trigger. When the trigger is received, the modulation waveform starts to play. The waveform will play in a continuous loop once started, not waiting for another trigger until the waveform is changed or turned off. For example, changing the frequency or power does not cause the waveform to restart. Changing a modulation parameter, on the other hand, will cause the waveform to restart, and the instrument will hold off until a trigger is received.

This trigger works with any of the Series V2900 modulations.

Do not use this trigger if a sweep or list is active. The instrument will behave incorrectly and will generate errors.

When using SCPI *OPC or the Sync Out function, the instrument will respond when the instrument is ready to receive the trigger, not when the trigger has been received and modulation is on.


Units (frequency)

This selection allows the user to choose the unit of frequency that is displayed in the Frequency: entry field. The choices are: Hz, kHz, MHz, and GHz. The selected frequency unit is immediately displayed in the Frequency: entry field. Upon Preset, the frequency unit returns to Hz. To change the frequency unit, select Menu > Settings > Units...


User flatness

With this feature, the user can create or open a user flatness data file to implement a level offset that compensates for path losses.

Access the user flatness dialog box from the front panel interface: select Menu > Global Settings > User Flatness....

When you open a data file or create a new one, the application checks for the following requirements:

  • The maximum of 20 rows is not exceeded.
  • The frequencies are listed in ascending order.
  • The frequencies listed are within the limits of 0 Hz to 100 GHz. See User flatness range
  • The minimum frequency spacing of 1 KHz is maintained.
  • All offsets are within the limits of ±100 dB.
    _____

    Note: An error message appears at the bottom of the screen if the instrument detects any of the conditions listed above with the user flatness file. Select Dismiss to remove the error message. Otherwise, the error message will stay on the screen and it may block any subsequent messages associated with other user flatness files that you attempt to load.

_____
Example user flatness file:

FLATNESS Version 1.0,

Begin Table,

Frequency(Hz),Offset(dB)

9.980E+08,10

9.981E+08,10

9.982E+08,10

9.983E+08,10

9.984E+08,10

9.985E+08,10

9.986E+08,10

_____
The following control buttons are on the top of the user flatness dialog box:

  • Data File allows manipulation of files with the following choices:
    • Open... opens a file browser window to enable you to select a file from the "user" folder, a USB memory stick, or a shared network folder. The name of the opened file appears (in brackets) in the title bar. If an open file is modified, an asterisk appears next to the file name. If you choose to create a new file or open another existing file, you are prompted to save the modified file. If you select "No," the new file table or the selected file is opened and your modifications to the last file are not saved.

      In the User folder, an example user flatness file (Example User Flatness.csv) is provided for you to customize for your purposes.

    • New... opens a blank file table that you can modify by inserting and modifying rows. Once you have created a new frequency/offset table, you can save and name it.
    • Save... saves the current active file under the bracketed name displayed in the upper-left title bar (next to the label User Flatness). When no previously saved file is open, this choice is grayed out.
    • Save as... allows saving a new or modified file under a new name.
  • Insert Above creates the first row in a table, or if you first select an existing row, a new row is inserted above it with data in the Frequency(Hz) and Offset(dB) columns. By default the new row is 1 kHz lower in frequency than the row below it and has the same offset.
  • Insert Below creates the first row in a table or if you first select an existing row, a new row is inserted below it with data in the Frequency(Hz) and Offset(dB) columns. By default the new row is 1 kHz higher in frequency than the row above it and has the same offset.
  • Delete deletes an existing row. As rows are deleted, the row above the deleted one becomes the selected row. If the user flatness file is turned On, you can delete all but the last row while maintaining the User Flatness On. If the last row is deleted, the user flatness feature is turned Off.
  • On/Off toggles the amplitude offset On and Off.

You can use the standard controls (front panel knob, or puck) to modify the contents of any cell on the file table. If you double-click on any cell within the file table or press the center button on the puck, the number pad is called up to set the value of that cell. Refer to Changing a value for further details on editing values.

Once a file has been opened and modified, an asterisk appears next to the file name in the title bar and remains until the file is saved.

_____
Related SCPI commands:

  • [:SOURce]:UFLatness:LOAD selects and loads the user flatness data file. The default file extension is .csv and directory aliases are recognized.
  • [:SOURce]:UFLatness:STATe switches the user flatness on/off.

Under remote programming, no confirmation messages (for example, "Do you want to save changes before continuing?") are present if a new file is called up after changes have been made to the previous file.


User flatness range

The range of frequencies possible in a user flatness data file is 0 Hz to 100 GHz. Although this range of frequencies is outside the range of the instrument, it has been designed to accommodate customer calibration operations that may be outside the frequency range of the instrument.


External IQ Out

This control (when checked) switches the internally modulated IQ signal to the rear panel (I-OUT and Q-OUT connectors). The modulation is not applied to the RF out, and Internal IQ calibrations are disabled.

The functionality of External IQ Out is also provided with the :OUTPut:IQ[:STATe] command.

NOTE: This feature is not available on the Model 2910.

_
See Also:

  • External IQ

_
Related SCPI commands:

  • :OUTPut:IQ[:STATe]


Preset Type

Menu > Global Settings > Preset Type

Select the preset type to use when setting the instrument to preset values. The preset is performed by pressing the front panel Preset button, powering the system on, or sending a :SYSTem:PRESet command. The choices are:

  • Factory Preset. If Factory Preset is chosen, the instrument is set to the factory default state.
  • User Preset. If User Preset is chosen, the instrument is set to the state saved by SYSTem:PRESet:SAVE.

_
Remote control command:

:SYSTem:PRESet:TYPE

_
See also:

  • Preset button
  • Preset conditions


Save User Preset

Select Save User Preset to set the current instrument state as a user-defined preset. This state is recalled if :SYSTem:PRESet:TYPE is set to USER when:

  • The Preset button is selected.
  • The instrument is powered up
  • The :SYSTem:PRESet command is used

_
Remote control command:

:SYSTem:PRESet:SAVE

_
See also:

  • Preset button
  • Preset conditions


Advanced

The capabilities listed in the advanced hardware settings dialog box are new features that are best utilized with the assistance of a Agilent application engineer. Use of these features may effect other functions of the instrument.

  • Extend Freq
  • Low Phase Noise
  • IQ Output Cal
  • Reprogram DSP FW
  • Background Tasks


Extend Freq

_
The Extend Freq feature allows you to run the instrument at a slightly extended frequency range.

Access the extended frequency feature by selecting Menu > Global Settings > Advanced > Extend Freq.

_
Model 2910

  • The specified frequency range of the Model 2910 is 400 MHz to 2.5 GHz.
    • The extended frequency range of the standard instrument is 325 MHz to 2.7 GHz.

      NOTE: The instrument operating specifications do not apply to the extended frequency ranges of 325 to 400 MHz and 2.5 to 2.7 GHz.

When the instrument is operating in the extended frequency range, the frequency value appears in red. For example, with the standard instrument, 399 MHz would appear in red text and 400 MHz would appear in black text.

_E: The instrument operating specifications do not apply above 6.0 GHz.

Extended Frequency, if enabled, is saved when the instrument state is saved to a file (Menu > File > Save Setup).
_

NOTE: If a feature (for example List Mode or Arbitrary Waveform Sequencing) has a list loaded that includes an extended frequency, then that feature may be turned on only if Extend Freq is enabled.

_
Error Conditions

Extended frequency cannot be disabled while one or more features are using extended frequencies. If you attempt to disable Extend Freq when a feature is using extended frequencies, the following error message is displayed (SCPI interface returns error code 15):

Extended frequency range cannot be turned off while in use;<list>, where <list> is a list of the features using extended frequencies.

Arbitrary waveform sequencing: You can load a sequence of arbitrary waveforms from a file containing extended features only if Extend Freq is enabled.

For a frequency that is outside the specified range but within the extended range, the following message is displayed:

FILE ERROR: Frequency requires extended frequency range to be on, Line <lineNum>, where <lineNum> is the line number in the file of the out-of-range frequency. (no SCPI error code is returned)

For a frequency that is outside the extended range the following message is displayed:

FILE ERROR: Frequency incorrect, Line <lineNum>, where <lineNum> is the line number in the file of the out-of-range frequency. (no SCPI error code is returned)

List Mode: A frequency in the list file that is out of range is limited to the nearest value in range. If this happens, one of two messages is displayed.

If any of the frequencies in the list file are outside the extended frequency range, the following error is displayed (SCPI interface returns error code 230):

At least one frequency in list limited

If at least one of the frequencies is in the extended frequency range and none of the frequencies are outside the extended range, the following error is displayed (SCPI interface returns error code 235):

At least one frequency in list limited because extended frequency range is off

_
See Also:

  • List Mode
  • Arbitrary Waveform Sequencing

_
Related SCPI Commands:

  • :DIAGnostic:FREQuency:EXTend[:STATe]


Auto Power Up

The normal power up procedure requires that you first set the power switch (located on the rear panel Line input module) to the On/Standby position. Then, you may turn on the front panel Power On button This button has a power control symbol; when the unit is powered on, a green LED can be seen. .

If the Auto Power Up feature is enabled (checked) you do not need to press the front panel Power On button to start the instrument. This capability makes it possible to rack-mount the instrument and start all racked instruments simply by turning on the power bus strip to which they are connected.

This condition persists until you open the Advanced dialog and disable the Auto Power Up feature.

This feature is not available for the Model 2910.


Low Phase Noise

This feature is presently available only for the Series V2900 with the Ultra Low Phase Noise option (V2920A-UPN).

The Low Phase Noise setting allows you to enable or disable the -UPN option -- if this option is available in the instrument. Enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals

_
The following phase noise plot shows the typical phase noise performance in the 2920A with the -UPN option.

UPN Phase Noise Plot

_
See Also:

  • Managing licenses
  • [:SOURce]:LPNoise[:STATe]


IQ Output Cal

This dialog box allows you to adjust factory default settings for:

  • IQ Gain.
  • I Gain
  • I Offset
  • Q Phase
  • Q Gain
  • Q Offset

Parameter | Description | Default | Minimum | Maximum
IQ Gain | Adjusts course IQ gain | 0 | 0 | 15
I Gain | Adjusts I gain | 0 | -128 | 127
I Offset | Adjusts I dc offset | 0 | -4096 | 4095
Q Phase | Adjusts phase relative to I | 0 | -10.00 | 10.00
Q Gain | Adjusts Q gain | 0 | -128 | 127
Q Offset | Adjusts Q dc offset | 0 | -4096 | 4095

Adjustments made using this dialog box take place immediately and persist through a saved setup. They are not persistent through a Preset or power cycle.

NOTE: This feature is not available on the Model 2910.


Reprogram DSP FW

The capabilities listed in the advanced hardware settings dialog box are new features that are best utilized with the assistance of an Agilent application engineer. Use of these features may effect other functions of the instrument. These features will evolve over time with new releases of firmware.


Background Tasks

Background tasks include checks on lock status, oven heater temperature, and overall temperature.


Utilities

The items available from the Utilities menu choice help you adjust the instrument computer settings and configure connection settings. Select from the list to learn more:

  • Screen saver
  • GPIB address
  • Time and date
  • Ethernet settings
  • LAN config init
  • Firmware upgrade
  • Series V2900 Licensing
  • Calibrate touch screen
  • SCPI Debug


Screen saver

Note icon This feature is disabled while the Desktop Control Panel program is running.

You can set the screen to switch off after a specified time.

Access the Screen Saver dialog box by selecting Menu > Utilities > Screen Saver.

The selection range is 1 to 600 minutes. The default value is 60 minutes.

  1. Select the Screen Saver Delay to change the value.
  2. Select the Screen Saver On button to apply the change.

Notice the button background color changes to green.


GPIB Address

You can change the GPIB address of the instrument to any value within the range of numbers 0 to 30. The default GPIB address of the Series V2900 is 12.

Access the GPIB Address dialog box by selecting Menu > Utilities > GPIB Address...

To change the value of the GPIB Address, select it and enter a different value.

When the power to this instrument is cycled, the address will remain as it was before the power cycling.

For details on connecting a GPIB system, see GPIB configuration.

Note icon When using the Agilent Desktop Control Panel application, communication with the instrument using GPIB is disabled.


Time and date

You can adjust the instrument computer time and date settings.

Access the Time and Date dialog box by selecting Menu > Utilities > Time and Date...

The current settings are shown. The value range for each field is as follows:

  • Hour (1 - 24)
  • Minute (1 - 60)
  • Second (1 - 60)
  • Month (1 - 12)
  • Day (Depends on the month)
  • Year (2005 - 9999)

To save changes, select the Set System Time and Date To Above Values button.


Ethernet settings

You can adjust the Ethernet (LAN) settings directly or automatically. Select a method to learn more:

  • Obtain an IP address via DHCP
  • Specify an IP address
  • Advanced tab

Access the dialog box by selecting Menu > Utilities > Ethernet Settings...

Note icon When using the Desktop Control Panel program, the Ethernet Settings dialog is read-only. The IP address is automatically the IP address of the PC on which the Desktop Control Panel program is running, as the instruments are connected to the PC using USB ports. See Controlling Multiple Instances of Desktop Control Panel for more information.


Obtain an IP address via DHCP

Select: Menu > Utilities > Ethernet Settings...

The default condition is to obtain an IP address by means of DHCP as shown. In this condition all IP address and named server fields are grayed out and cannot be changed.

Note icon When using the Desktop Control Panel program, the Ethernet Settings dialog is read-only. The IP address is automatically the IP address of the PC on which the Desktop Control Panel program is running, as the instruments are connected to the PC using USB ports. See Controlling Multiple Instances of Desktop Control Panel for more information.

______

If Specify an IP address is selected:


Specify an IP address
  1. Select Specify an IP address. The IP address and named server text fields are now available for modification.
  2. After modifying these text fields, select Apply to accept the changes, or Cancel to keep the Ethernet setting selection by way of DHCP.

_____

Note icon When using the Desktop Control Panel program, the Ethernet Settings dialog is read-only. The IP address is automatically the IP address of the PC on which the Desktop Control Panel program is running, as the instruments are connected to the PC using USB ports. See Controlling Multiple Instances of Desktop Control Panel for more information.

______

______

Advanced tab

Select this tab if you want to select the network speed or change sockets numbers.

Network speed:

The default mode is auto-negotiate and this is the recommended setting

Selections for 10 Mbps and 100 Mbps are provided for troubleshooting when network difficulties are experienced.

To change a the network speed setting:

  1. Select one of the three radio buttons
  2. Select Apply
  3. Disconnect the LAN cable for 30 seconds or recycle power for the system to recognize the change

______

SCPI listen port:

This is the socket port that an application can open to communicate with the instrument using SCPI commands.

______

Applet listen port:

This is the socket port that the Web applet uses to communicate with the instrument.

Note icon You don't normally need to change this number except in cases where this default socket number is not available within your network. In such cases, contact your IT department.

See also:

  • Desktop Control Panel Port number conflict
  • Controlling the instrument via Desktop Control Panel


DHCP address assignment

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address:

  1. From the Series V2800, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.

    This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.

  5. Select Close to close the dialog box.


LAN config init

You can restore the following default LAN configuration conditions:

  • The IP address is obtained by way of DHCP
  • The user name is the original value (admin)
  • The password is the original value (admin)

Access the LAN Config Init dialog box by selecting Menu > Utilities > LAN Config Init... Select Yes to restore the default conditions.


Advanced tab - Ethernet

Select the Ethernet settings Advanced tab to adjust the network speed or change sockets numbers.

Network speed:

The default mode is auto-negotiate. This mode is the recommended setting.

Selections for 10 Mbps and 100 Mbps are provided for troubleshooting when network difficulties are experienced.

To change the network speed setting:

  1. Select one of the three radio buttons.
  2. Select Apply.
  3. Disconnect the LAN cable for 30 seconds or recycle power for the system to recognize the change.

SCPI listen port:

This is the socket port that an application can open to communicate with the instrument using SCPI commands. See Controlling the Desktop Control Panel via SCPI for more information on assigning port numbers and using the SCPI listen port.


Firmware Upgrade

Use one of the following procedures to upgrade the instrument's firmware.

Note icon Be certain you are downloading and installing the correct firmware for your instrument. There are two types of installation files available:
1. Firmware files for the Agilent Series V2800 and Series V2900 instrument (with a .cab file extension)
-or-
2. Software files for the Agilent Desktop Control Panel application installed on a PC (with a .exe file extension)
_
If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

______
Using the front panel interface:

  1. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  2. Save the file to a location that you can access from the instrument.

    Note icon A USB memory device is convenient for this purpose as you can then use it to transfer the file to the instrument.

  3. On the instrument select Menu > Utilities > Upgrade Firmware.
  4. Navigate to the location of the upgrade file that you just downloaded and saved.
  5. Select (highlight) the file and select Open.
  6. Follow the on-screen prompts to complete the installation.

_
Using the web interface:

Although you can upgrade the instrument firmware from the web interface, you will not be able to detect the progress of the upgrade from the remote interface. You may want to upload the upgrade file to the instrument, and then run the upgrade process locally.

  1. Connect the instrument to a web network that includes your computer.
  2. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  3. Save it to a directory on the computer.
  4. In the web browser, use the instrument IP address as the URL.
    • If you do not know the instrument IP address, select Menu > Utilities > Ethernet Settings from the instrument front panel.
  5. Click Instrument on the web page. The virtual front panel is shown.
  6. Click Menu > Utilities > Upgrade Firmware.
  7. You may need to type the username / password (default is admin / admin) to proceed.
  8. Click Browse and navigate to the location of the file that you just downloaded from the Agilent website.
  9. Click Upload. This copies the file to the instrument firmware upgrade directory.

    Before proceeding, wait for the message "Successfully uploaded file ... Click 'Start Upgrade' to begin the upgrade process."

  10. Click Start Upgrade and then click the file that you uploaded to the instrument.
  11. Click Load.
  12. Follow the prompts to complete the installation.

_

Making room on the instrument's Storage Card

If, in the process of upgrading the firmware, you receive a message that the Storage Card (the instrument's internal memory) is full, use one of the following procedures to remove old .cab (firmware installer) files:

_
Using the Select Upgrade File dialog

Firmware files
-

  1. While in the Select Upgrade File dialog, make sure that "User" is the selected Look In directory.
  2. In the File list, scroll to the bottom of the list to see the old .cab files.

    Note icon Any .cab files listed in the File list are old installer files. Deleting them will not affect the instrument's operation with the present firmware installation.

  3. Select an old .cab file and press the Delete button in the dialog's upper toolbar.
  4. Repeat Step 3 for each old .cab file.

_
Using SCPI commands

  1. Use the :MMEMory:CATalog? command to ascertain what old .cab files existing on the Storage Card.
    • :MMEMory:CATalog? command for Series V2800 instruments
    • :MMEMory:CATalog? command for Series V2900 instruments
  2. Use the :MMEMory:DELete command to delete the old .cab files.
    • :MMEMory:DELete command for Series V2800 instruments
    • :MMEMory:DELete command for Series V2900 instruments


Calibrate touch screen

Not applicable when using the Desktop Control Panel program.

You can calibrate the instrument touch screen by aligning the screen and displayed image at five locations.

Access the Calibrate Touch Screen panel by selecting Menu > Utilities > Calibrate Touch Screen.

  1. Select the center of each of the five cross cursors for the instrument to determine touch screen readings associated with each cursor position.
  2. Tap the screen to save the new readings.

_

Note icon If you do not tap the screen within 30 seconds the previous values will be restored.


SCPI Debug

SCPI Debug is a feature that can be turned on for diagnostic purposes. Once enabled, all remote commands received by the instrument are displayed on the instrument screen.

This feature is accessed by selecting: Menu > Utilities > SCPI Debug...

Open this dialog and press the On button to enable display of the SCPI commands. Press the On button again to disable it.

Notice from the figure below that you can display errors and/or responses to queries. If Logging is selected, everything displayed on the instrument screen is included. You may clear the log, and save the log. The log is saved as a *.txt file. It may be saved to the instrument or to any USB memory device that is connected to the instrument. This text file is limited to between 10,000 and 15,000 lines. If the 15,000 line limit is exceeded, the limit then drops down to 10,000 lines.

2800 SCPI debug

For relevant SCPI commands see: :DIAGnostic.


Managing Series V2900 Licenses

Refer to these links for more information:

  • Add licenses 2900
  • Transfer licenses 2900
  • View licenses - 2900
  • RF Product Software License Agreement

_____
Refer to the modulation personality licensing options available for your instrument:

  • Firmware upgrade
  • Series V2900 Licensing


View licenses

To view the licenses installed on your Agilent Series V2900 VSA, go to Menu > Utilities > Licenses > View to open the dialog that displays the current licenses and the instruments' License ID. The License ID is needed to add new licenses to the instrument or to transfer licenses from one instrument to another.

View Licenses
_____

NOTE: The license ID is usually too long to display the entire number in the text box. Do not use this displayed value when a license ID is required for purchasing or transferring licenses - always use the File... button or the Clipboard.

_____
From the Desktop Control Panel:

  1. Make sure the Agilent Series V2900 is connected to your PC using a USB cable.
  2. Launch the Desktop Control Panel software.
  3. Go to Menu > Utilities > Licenses > View... to open the window shown [:SENSe]:WCDMa:DOWNlink:AVERage:TYPE above.
  4. The current list of measurement personality licenses is shown in the table.

From the instrument front panel interface:

  1. Select Menu > Utilities > Licenses > View....
  2. View the current list of instrument option licenses in the displayed table.
  3. View the license ID at the bottom of the displayed dialog.
  4. To save the license ID, select File... to save the instrument license ID to a *.txt file.
  5. In the Save License ID window, navigate to a location that you can access from your computer. A USB memory stick is convenient for this purpose.
  6. Name the file to save:
    • If you want to overwrite an existing file, select the file in the directory structure.
    • If you want to save the file as new, select the keyboard button and enter the filename.txt, then select Enter.

With the LXI web interface:

  1. Connect the instrument to a web network that includes a computer.
  2. On the computer, launch a web browser and use the instrument IP address as the URL.
    • If you do not know what the instrument IP address is, you can find it from the instrument screen interface by selecting Menu > Utilities > Ethernet Settings.
  3. From the LXI web interface, click Licensing.
  4. The current list of instrument option licenses is shown in the displayed table.
  5. Click Import. The license ID is shown in the Instrument License Identifier row of the displayed table.

Related topics:

  • Managing licenses (overview)
  • Adding licenses
  • Transferring licenses
  • Model V2920A license files
  • RF Product Software License Agreement

Trouble viewing licenses (front panel and LXI web interface only)

If you have trouble viewing licenses (where they appear to be missing from the View Licenses window), especially after downgrading to an earlier version of Series V2900 VSG firmware, you must first upgrade to the latest version of firmware (available at www.agilent.com, then revert to the desired, older version using a correctly named .CAB file. That is, a .CAB file that has not been saved under a different name.

For more information, see Upgrading firmware.


Add licenses

______

This procedure shows you how to add a newly-purchased license file to the instrument, or import (add) a license file from another instrument. The first part of this procedure shows you how to obtain the necessary information for ordering additional licenses. You can purchase licenses when ordering an instrument, or any time after receiving the instrument shipment. Fill out the license certificate that was part of the instrument shipment and contact your Agilent sales representative to arrange the purchase of desired digital modulation licenses.

The keyboard shortcuts (Ctrl+C, Ctrl+V) in this procedure are for MS Windows®.

  • See Transfer license files for instructions on how to transfer license files between instruments.
  • See Licensing for details on license files.

From the instrument's front panel -or- the Desktop Control Panel program:

  1. Locate the License Certificate that was part of the instrument shipment. Fill out the necessary information to purchase additional licenses. If you misplaced this document, contact your Agilent representative for assistance in obtaining a replacement or with ordering additional licenses.
  2. To find the instrument license ID, select Menu > Utilities > Licenses > View to open the View Licenses window.

    View Licenses
  3. Select the Copy to: File... button or the Clipboard button to save the instrument License ID to an ASCII text (*.txt) file.
  4. In the Save License ID window, either type in the path or use the Browse button to navigate to a location that you can access from your computer.___

    Note icon A USB memory device is convenient for this purpose as you can then use it to transfer the license file.

  5. Name the file:
    • If you want to overwrite an existing file, select the file in the directory structure then select Save.
    • If you want to save the file as new, select the keyboard button to open the virtual keyboard (from the instrument front panel) or use the keyboard from your PC (Desktop Control Panel) and enter the <filename>.txt, then select Enter > Save.
  6. To purchase a license:
    1. Contact your Agilent sales representative to arrange for the purchase of the desired licenses.
    2. When you receive a return e-mail message from Agilent, copy (Ctrl+C) the text of the message and paste (Ctrl+V) it into a newly created *.txt file.
    3. Go to Step 8.
  7. To import a license:
    1. Obtain the License ID from the source instrument (see Transfer license files).
    2. Go to Step 8.
  8. Save the file to a location that you can access from the instrument.

    Note icon A USB memory device is convenient for this purpose.

  9. Close the View window.
  10. Select Menu > Utilities > Licenses > Add.
  11. Import the license by navigating to the location of the *.txt file that you just created and saved (if the license was saved to a file), or from the Clipboard (if the license was saved to the clipboard).
  12. The list of licenses to import is displayed.
  13. Click Add Licenses.

    Note icon Agilent custom measurements that require a license will not be enabled by a new license until the system is restarted.

With the LXI Web interface:

  1. Locate the License Certificate that was part of the instrument shipment. Fill out the necessary information to purchase additional licenses. If you misplaced this document, contact Agilent for a replacement.
  2. Connect the instrument to a Web network that includes a computer.
  3. On the computer, launch a Web browser and use the instrument IP address as the URL.
    • If you do not know what the instrument IP address is, you can find it from the front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  4. Click Licensing > Import from the instrument Web page.
  5. Find the Instrument License Identifier row of the displayed table, highlight the instrument ID, copy it (Ctrl+C), and then paste it (Ctrl+V) into a new text file.
  6. Save the file.
    ______

    Copy License ID
    ______

  7. Contact your Agilent Instruments representative to arrange for the purchase of the desired measurement personality licenses for your instrument.
  8. When you receive a return e-mail message from Agilent, submit the license information through the Web page:
    • If you want to keep a copy of the license information, highlight the text of the received e-mail message, copy it (Ctrl+C), and then paste it (Ctrl+V) it into a newly created *.txt file. Save the file to a location that you can access from the instrument. In the instrument Web page, click Licensing > Import > Browse. Navigate to the location of the license *.txt file that you just created and saved and click Open.
    • If you don't need to save a copy of the license information, highlight the text of the received e-mail message and copy it (Ctrl+C). On the instrument Web page, click Licensing > Import and then paste it (Ctrl+V) it in the appropriate field.
      ______

      Paste license text
      ______

  9. Click Submit. The current license status of the instrument is displayed.

______

See also:

  • Managing licenses (overview)
  • Viewing licenses
  • Transferring licenses
  • Model V2920A license files
  • RF Product Software License Agreement


Transfer licenses

This procedure shows you how to transfer existing license files between instruments. The license file transfer can be done from the Desktop Control Panel software, from the instrument front panel, or from the instrument web page interface. The keyboard shortcuts for Copy and Paste (Ctrl+C, Ctrl+V) in this procedure are for MS Windows®. For information on saving a newly purchased license, see To add a license file.

Throughout this procedure, these terms will be used to designate a particular instrument:

  • "Source instrument" designates the instrument that has the existing licenses that will be transferred or exported.
  • "Destination instrument" designates the instrument that will receive or import the existing licenses.

_____

Note icon If you are transferring (exporting) licenses from more than one instrument, you must perform the steps in a particular sequence because the instrument license identifier changes as licenses are transferred. For example, if Instrument A is going to import licenses that are exported from both Instrument B and Instrument C, follow this sequence of steps:
1. Export licenses from instrument B.
2. Instrument A imports licenses from instrument B.
3. Export licenses from instrument C.
4. Instrument A imports licenses from instrument C.

From the instrument's front panel or the Desktop Control Panel program:

2900 Transfer Licenses

_____

  1. Obtain the License ID of the instrument you want to transfer the license(s) to (the destination instrument).
  2. Go to Menu > Utilities > Licenses > Transfer to view the screen shown above.
  3. Import the license ID using either the Paste from Clipboard function (if the license was copied to the clipboard) or by selecting the File... button (if the license ID is stored in a file).
  4. Select the license(s) to export by checking them in the Transfer column.
  5. Import the license(s) into the destination instrument.

Web interface procedure

  1. Connect both the source instrument and the destination instrument to a Web network that includes a computer.
  2. On the computer, launch a Web browser and use the source instrument IP address as the URL.
    • If you do not know an instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  3. Launch another Web browser and use the destination instrument IP address as the URL.
  4. In the destination instrument Web page, click Licensing > Import.
  5. In the Instrument License Identifier row of the displayed table, highlight the instrument ID and copy it (Ctrl+C).
    ______

    Copy License ID
    ______

  6. In the source instrument Web page, click Licensing > Export.
  7. In the Target Instrument License Identifier field, paste (Ctrl+V) the destination instrument license ID.
    _______

    licenseIDexport
    _______

  8. In the Export column, select the check boxes for the licenses that you want to transfer to the destination instrument. Click Submit.
  9. Highlight the text in the license file and copy it (Ctrl+C).
    ______

    licenseCopy
    ______

  10. In the destination instrument Web page, paste (Ctrl+V) the license file contents in the appropriate field. Click Submit.

See Also:

  • Managing licenses (overview)
  • Viewing licenses
  • Adding licenses
  • Series V2900 Licensing
  • RF Product Software License Agreement


Model 2920A Licensing

The Series V2900 instruments require license files to access the standard signal formats and the modulations in the source. To view the current licenses select Menu > Utilities > Licensing. You can purchase the following licenses for your instrument.

License option | Description | Dependencies * | Waveform creation tool
V2900A-101 | Flexible analog modulation signal generation license | none | Embedded in Series V2900 instrument
V2900A-102 | Flexible digital modulation signal generation license | none | Embedded in Series V2900 instrument
V2900A-103 | GSM, GPRS, and EDGE signal generation license | V2920A-Bxx (xx = any) | Embedded in Series V2900 instrument
V2900A-104 | cdma2000®, IS-95A forward link signal generation license | V2920A-Bxx (xx = any) | Embedded in Series V2900 instrument
V2900A-105 | W-CDMA FDD downlink signal generation license (includes WCDMA-D) | V2920A-Bxx (xx = any | Embedded in Series V2900 instrument
V2900A-106 | PS signal generation license | V2920A-Bxx (xx = any) | Embedded in Series V2900 instrument
V2900A-201 | SignalMeister™ license for cdma2000®, 1XEV-DV forward, reverse (includes 2900-CDMA-F) | V2920A-Bxx (xx = any) | SignalMeister™ version 2.0 or later
V2900A-202 | SignalMeister™ license for W-CDMA FDD up/down link | V2920A-Bxx (xx = any) V2900A-105 | SignalMeister™ version 2.0 or later
V2900A-203 | SignalMeister™ license for HSPA, including HSPA+ | V2920A-Bxx (xx = any) V2900A-202 | SignalMeister™ version 2.0 or later
V2900A-204 | 3GPP Channel Model Signal Generation SignalMeister™ license | none | SignalMeister™ version 3.0 or later
V2900A-205 | SignalMeister™ license for 802.11a,b,g,j WLAN | V2920A-Bxx (xx = any) | SignalMeister™ version 2.0 or later
V2900A-206 | SignalMeister™ license for 802.11n WLAN | V2900A-205 V2920A-Bxx (xx ³ 40) | SignalMeister™ version 2.0 or later
V2900A-207 | SignalMeister™ license for WLAN channel models | V2920A-Bxx (xx = any) | SignalMeister™ version 3.0 or later
V2900A-208 | SignalMeister™ license for 802.16e WiMAX, WIBRO | V2920A-Bxx (xx ³ 40) | SignalMeister™ version 2.0 or later
V2900A-209 | WiMAX Channel Model signal generation SignalMeister™ license | none | SignalMeister™ version 3.0 or later
V2900A-212 | SignalMeister™ license for TD-SCDMA | V2920A-Bxx (xx = any) | SignalMeister™ version 1.02
V2900A-213 | SignalMeister™ license for digital video broadcasting (DVB) signal generation, (DVB-H, DVB-T, and ISDB-T signals) | V2920A-Bxx (xx = any) | SignalMeister™ version 3.0 or later
V2900A-214 | MIMO Channel Sounding Signal Generation License | none | n/a
V2920A-B20 | 100 mega-sample arbitrary waveform generation license, 20 MHz bandwidth | none | n/a
V2920A-B40 | 100 mega-sample arbitrary waveform generation license, 40 MHz bandwidth | none | n/a
V2920A-B80 | 100 mega-sample arbitrary waveform generation license, 80 MHz bandwidth --- Not available for Model 2910 --- | none | n/a
V2920A-BBA | Baseband analog I-Q inputs and outputs --- Not available for Model 2910 --- | none | n/a
V2920A-LAR | Low amplitude range, <-110 dBm, down to-130 | none | n/a
V2920A-UPN | Generator ultra low phase noise option | none | n/a

* Arbitrary waveform generation licenses include V2920A-B20 (20 MHz BW), V2920A-B40 (40 MHz BW), and V2920A-B80 (80 MHz BW). In the Dependencies column, "any" means any one of the ARB licenses may be used to satisfy the dependency.

_____

Firmware release

You may choose to upgrade to a later firmware release to access new enhanced capabilities and correct firmware bugs. All firmware releases may be found at www.agilent.com. We suggest upgrading to the most current firmware.

Purchasing instrument option licenses

You can purchase option license files when you order your instrument, or at any time after you have received your instrument.

Contact your Agilent sales representative with the description of the licenses that you would like to purchase.

Refer to To open an option license for details on how to purchase and install a license.

Refer to RF product software license agreement to view the instrument option licensing agreement.

Instrument option license ID

The option license identification (ID) contains information that describes the particular instrument and the current license status. The license ID is unique and therefore changes each time the license status is modified. For example, the license ID would change in the following situations:

  • When the instrument imports newly purchased licenses.
  • When the instrument imports existing licenses that were transferred from another instrument.
  • When the instrument exports licenses to another instrument.

For information on viewing and saving the current license ID, see: To view instrument option licenses.

Transferring option licenses

You can move licenses between instruments. For example, if you do not require the GSM license in one instrument, you can move the license to another instrument that is in a test system that requires the GSM signal format capability.

You can also transfer option licenses from two separate instruments into a third instrument; however, you must perform the steps in a particular sequence.

You must use the LXI web interface to transfer licenses between instruments.

Refer to To move instrument option license files for details on how to transfer existing license files between instruments.


Series V2900 ADAPTER KIT option (V2999A-ADK)

The Series V2900 Adapter kit option (V2999A-ADK) has been made available to help customers more conveniently set up and integrate the Series V2900 instruments into their existing systems.

The kit contains cables for conveniently routing signals to and from the Series V2900. These signals include RF Out, SYNC OUT, TRIG IN, even second and reference frequency. In addition a USB cable is included for remote programming and an adapter for the Series V2900 Adapter kit option

The 2910-ADAPTER-KIT contains the following:

Qty | Description | Length (meters)
2 | Type-N Male to Type-N Male Cable | 1
2 | SMB Male to SMB Male Cable | 1
2 | SMB Male to SMB Male Cable | 0.3
4 | SMB Male to BNC Male Cable | 1
2 | BNC Male to BNC Male Cable | 1
2 | Type-N Male to SMA Female Adapter | n/a
1 | USB Host to USB Device Cable | 1

_____
See also

  • Front panel tour
  • Rear panel tour
  • Series V2900 DC Block option (V2999A-DCB)


Series V2900 DC Block option (V2999A-DCB)

The <Series DC block option (V2999A-DCB) is available to provide some isolation between the output of the Series 2900 and any device under test (DUT) connected to that output.

Connecting this option puts an inline capacitor between the Series V2900 output circuitry and the customer DUT. This capacitor blocks up to 50Volts of DC that may be present on the DUT from entering the instrument. It also isolates the 50-Ohm output impedance of the Series V2900 from potentially loading the input of the customer DUT applied to the Series V2900 RF output.

Connecting the Series V2900 DC Block

The Series V2900 DC block is a single component with SMA connectors on both ends. To connect the DC Block to RF Output, a Type-N to SMA female adapter is needed. Note: For customers that don't have one available, a Type-N to SMA female adapter is included in the Series V2900 Accessory Kit option (V2999A-ADK).

_____
See also

  • Series V2900 ADAPTER KIT option (V2999A-ADK)
  • Front panel tour
  • Rear panel tour


Help

Click on one of the Help selections to learn more:

  • Instrument Help
  • About V2920A


Instrument Help

Instrument Help provides more topic information, and topics are linked allowing browsing between them. This form of user assistance uses the whole touch screen to display information and interacts with the user. There is a table of contents and an index provided as further reference tools.

Here is how to access Instrument help:

Menu > Help > Help System...

The instrument help system replaces the application program on the display.

There are two major regions in the instrument help system, menu bar and page display. Both have navigation controls and using the two in combination, it is possible to navigate and find content.

Menu Bar

There are several buttons on the menu bar:

  • Home: Select this to open the instrument help home page. This acts as good starting point to move into major categories of information.
  • Back: Select this to go back to the previous help page backwards in a time line of help pages. This is handy for coming back from links that didn't have what you were looking for.
  • Forward: Select this to go forward to the next help page forward in a time line of help pages. This is handy for going backwards and forwards between two related help pages.
  • Site map: Select this to browse individual topics. All major topics in the instrument help system can be opened and viewed from here.
  • Index: Select this to open an index help page. All major topics in the instrument help system can be viewed in alphabetical order and opened from here. This is handy if you are looking for a particular topic and are not sure where it would be located.

Help Page Display Region

This region displays the target help pages from the navigation links. The navigation links can be the buttons on the menu bar, or links within the help pages themselves. Many large topics start with a list of topics that can be jumped to and then end with "See Also" links to topics that may be related or of interest.

Some links are termed expanded line links and are designed to keep the user on the same page by giving a little more information about a particular topic.


About V2920A

This screen is accessed by: Menu > Help > About 2920...

Use this as a reference to access data unique to the instrument.

Alternately, you can access this screen through the LXI web interface by selecting: IP Configuration.

If you choose to modify this information, you are presented with the administration password control box.

Note: the above image is for the Model 2910 instrument. Models 2920 and 2920A have some different parameters displayed, such as "AMP PLD Rev:".


Create a simple signal

These two sections are designed to give an overview of how a simple RF signal is produced.

  1. Simplified block diagram gives an overview of the Series V2900 hardware.
  2. Graphical user interface controls the hardware allowing different signal parameters to be selected and set.

Simplified block diagram

The RF modulated signal is produced by the program GUI controlling these six hardware components.

1 | Frequency Control is set by a divide by N frequency synthesizer and then applied to the IQ modulator.
2 | Amplitude Control: The output level of the modulated carrier signal is adjusted using an ALC loop.
3 | Select Modulation from a list of formats generated by the DSP processor.
4 | Load Modulation after it has been configured to be applied to the carrier signal.
5 | Apply modulation to the IQ modulator using the Modulation On button
6 | Use the Switch RF On to apply signal power to the output connector.


Graphical user interface

The display looks like this when the instrument is powered up or Preset.

There are three regions on this GUI:

  • The top menu bar is a fixed region consisting of menu, modulation selection and "What's this?" Help.
  • The right side panel is also fixed. It allows the frequency and amplitude values to be changed. It also allows modulation and RF to be turned on and gives information on the modulation selected.
  • The content in the left pane is variable. Shown here is data selected from the Menu and Select Modulation buttons. This modulation data can be edited and loaded for application to the RF carrier signal.


Modulations: Analog, digital and Arb files

Select from the following:

  • Analog modulation
  • Digital modulation
  • ARB waveforms


Analog modulation

The Series V2900 firmware version 2.0 requires an instrument license option to generate analog modulation signals. Refer to Series V2900 Licensing for details. From the following list of modulation types, select one to learn how to create an analog modulated signal:

  • Amplitude mod (AM)
  • Frequency mod (FM)
  • Phase mod (PM)
  • Pulse Mod
  • Noise
  • 2 Tone


Amplitude modulation (AM)

This procedure steps through setting up a CW carrier signal amplitude modulated by a sine wave.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure AM modulation

  1. Select the Select Modulation button.
  2. Select Analog > AM..
  3. If necessary, select the AM Rate field and change the value.
  4. If necessary, select the AM Depth field and change the value.
  5. If necessary, select the type of modulation Waveform (Sine, Ramp Down, Ramp Up or Triangle).
  6. Select the Load button to load the AM modulation. Notice the amplitude modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Frequency modulation (FM)

This procedure steps through setting up a CW carrier signal frequency modulated by a sine wave.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure FM modulation

  1. Select the Select Modulation button.
  2. Select Analog > FM.
  3. If necessary, select the FM Rate field and change the value.
  4. If necessary, select the FM Deviation field and change the value.
  5. If necessary, select the type of modulation Waveform, (Sine, Ramp Down, Ramp Up or Triangle).
  6. Select the Load button to load the FM modulation. Notice the frequency modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Phase modulation (PM)

This procedure steps through setting up a CW carrier signal phase modulated by a sine wave.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure phase modulation

  1. Select the Select Modulation button.
  2. Select Analog > f M.
  3. If necessary, select the f M Rate field and change the value.
  4. If necessary, select the f M Deviation field and change the value.
  5. Select the Load button to load the phase modulation. Notice the phase modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Pulse modulation

This procedure steps through setting up a pulse modulated CW carrier signal.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure pulse modulation

  1. Select the Select Modulation button.
  2. Select Analog > Pulse.
  3. If necessary, select the Pulse Rate field and change the value. The actual value of pulse period generated by the instrument is shown below the Pulse Rate field. To find out why there may be a difference, see Pulse Modulation Sample Rate.
  4. If necessary, select the Duty Cycle field and change the value. The actual value of pulse width generated by the instrument is shown below the Duty Cycle field. To find out why there may be a difference, see Pulse Modulation Sample Rate.
  5. Select the Load button to load the pulse modulation. Notice the pulse modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Noise modulation

This procedure steps through setting up a noise modulated CW signal.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure noise modulation

  1. Select the Select Modulation button.
  2. Select Analog > Noise.
  3. Select the Noise Bandwidth field and change the value as required.
  4. Select the Load button to load the noise modulation. Notice the noise modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


2 Tone modulation

This procedure steps through setting up a 2 Tone modulated CW signal.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure 2 tone modulation

  1. Select the Select Modulation button.
  2. Select Analog > 2 Tone.
  3. Change the 1 kHz default 2 Tone Freq Span value if necessary.
  4. Select the Load button to load the 2 Tone modulation. Notice the 2 Tone modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Digital modulation

Modulation is the process of varying a high-frequency sinusoid waveform (carrier signal), to transmit information. The following characteristics of a sine wave can be modified to create a modulated signal.

  • Amplitude
  • Phase
  • Frequency

Digital modulation, or shift keying, modifies a carrier signal characteristic with a set of defined values or symbols. This defined set of symbols is known as a modulation alphabet. Each of the following digital modulation methods uses values from a specific symbol alphabet:

  • Amplitude-shift keying (ASK) uses a defined set of amplitude values.
  • Frequency-shift keying (FSK) uses a defined set of frequency values.
  • Phase-shift keying (PSK) uses a defined set of phase values.
  • Signed-Amplitude Shift Keying (SASK) uses a defined set of signed-amplitude values.Signed-amplitude may or may not include a 180° phase shift.
  • Quadrature-amplitude modulation (QAM) uses a defined set of complex vectors.

Each of the symbols represents a number of binary bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01 or 10 which makes a modulation alphabet of four symbols. The symbol then represents a specific phase, frequency, amplitude, or complex vector. The more bits per symbol, the more choices in signal state are available at each symbol instant. Therefore, symbol rate and bit rate are not the same, unless the symbol is made up of one bit.

The symbols that make up the modulation alphabet are shown on a constellation diagram for the PSK, ASK, and QAM methods of digital modulation in the complex phasor plane. This diagram represents the complex numbers for each symbol as set up by the real axis (x axis) and the imaginary axis (y axis). The real axis is also known as the in phase (I) axis and the imaginary axis is also known as the quadrature (Q) axis.

For example, the following diagram shows the simplest symbol that represents one bit/symbol and a modulation alphabet of two symbols.

The next example diagram shows symbols that have two bits/symbol and a modulation alphabet of four symbols.

4 bit constellation

This example diagram shows symbols that have three bits/symbol and a modulation alphabet of eight symbols.

This last example shows another configuration of the constellation diagram when there are four bits/symbol and a modulation alphabet of 16 symbols.

See also:

  • To digitally modulate the carrier
  • To edit a digital modulation


ASK (amplitude-shift-keying)

Amplitude-shift-keying (ASK) is a form of amplitude modulation where the modulating signal shifts the carrier output amplitude between predetermined values in accordance with the bit stream, keeping frequency and phase constant. The level of amplitude represents binary logic 0s and 1s. On a constellation diagram, the real and imaginary axes are termed the in-phase and quadrature axes, respectively, due to their 90° separation. The amplitude of each point along the in-phase axis is used to modulate a cosine (or sine) wave.

Typically, the ASK modulation requires no carrier synchronization in the receiver so it is used for simpler types of systems. A variant of ASK exists known as signed amplitude-shift-keying (SASK) that does require synchronization. This scheme allows a phase reversal as the only additional change without any imaginary (Q) component to the signal.

Following are definitions of the ASK modulation waveform parameters.

See also:

  • To digitally modulate the carrier
  • To edit a digital modulation

_________
Modulation:

  • Symbol Type options: OOK (ASK 2), ASK 4, SASK 2, and SASK 4. Click here for details.
  • Symbols/s: Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.

Differential Encoding: This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, it is the changes in the symbol alphabet that are transmitted, not the symbols themselves.

_________
Filter:

  • Filter options: NRZ (non-return-to-zero), RC (raised cosine), RRC (root-raised-cosine), Gaussian, Wideband, and NRZ Gauss. Click here for details
  • Factor: Set as needed. (n/a to NRZ)

_________
Data:

Pattern and Length: In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

  • PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.
  • Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.
  • Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.
  • Invert: Data invert changes Off (0) to On (1) and On (1) to Off (0) in the data pattern.

_________
ASK related commands:

[:SOURce]:ASK:DENCoding

[:SOURce]:ASK:FILTer

[:SOURce]:ASK:LOAD

[:SOURce]:ASK:PATTern

[:SOURce]:ASK:PATTern:COUNt

[:SOURce]:ASK:PATTern:INVert

[:SOURce]:ASK:SPS

[:SOURce]:ASK:STYPe


Data Pattern and Length

In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

  • PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.
  • Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.
  • Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.


Data Invert

Data invert changes Off (0) to On (1) and On (1) to Off (0) in the data pattern.


ASK symbol types

ASK OOK (amplitude-shift-keying) (on-off keying) is a special case of general ASK that operates as a switch, using the presence of a carrier wave to indicate a binary '1' and its absence to indicate a binary '0.'

ASK4 (amplitude-shift-keying4) represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.

SASK2 (signed amplitude-shift-keying2) uses an additional amplitude level to represent data. This constellation diagram is the same as the BPSK constellation diagram.

SASK4 (signed amplitude-shift-keying4) represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.


ASK related commands

[:SOURce]:ASK:DENCoding

[:SOURce]:ASK:FILTer

[:SOURce]:ASK:LOAD

[:SOURce]:ASK:PATTern

[:SOURce]:ASK:PATTern:COUNt

[:SOURce]:ASK:PATTern:INVert

[:SOURce]:ASK:SPS

[:SOURce]:ASK:STYPe


FSK (frequency-shift-keying)

Frequency-shift-keying (FSK) is a form of frequency modulation where the modulating signal shifts the output frequency between predetermined values in accordance with the bit stream. For FSK 2 the frequency shift represents binary logic 0s and 1s.

Following are definitions of the FSK modulation waveform parameters.

See also:

  • To digitally modulate the carrier
  • To edit a digital modulation

_________
_________
Modulation:

  • Symbol Type: FSK2 is made by having one frequency represent binary 1 and another frequency represent binary 0. The modulation frequency separation sets the relative value that the frequency shifts between the two discrete values termed the mark frequency and the space frequency.
  • Symbols/s: Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.

Differential Encoding: This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, it is the changes in the symbol alphabet that are transmitted, not the symbols themselves.

_________
Filter:

  • Filter options: Rectangular, RC (raised cosine), RRC (root-raised-cosine), Gaussian, Wideband, and NRZ Gauss. Click here for details.
  • Factor: Set as needed.

_________
Data:

Pattern and Length: In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

  • PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.
  • Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.
  • Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.
  • Invert: Data invert changes Off (0) to On (1) and On (1) to Off (0) in the data pattern.

_________
FSK related commands:

[:SOURce]:FSK:DENCoding

[:SOURce]:FSK:FILTer

[:SOURce]:FSK:LOAD

[:SOURce]:FSK:PATTern

[:SOURce]:FSK:PATTern:COUNt

[:SOURce]:FSK:PATTern:INVert

[:SOURce]:FSK:SPS


  • Rectangular
  • (RC) raised cosine
  • (RRC) root-raised-cosine
  • Gaussian
  • Wideband
  • NRZ Gauss

FSK filter settings

Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference (ISI). However, achieving these two goals requires you to consider balancing the results.

Rectangular filter shape has an impulse response that is constant, centered, and one symbol wide.

RC (raised-cosine) filter provides good bandwidth suppression while minimizing inter-symbol interference (ISI). The raised-cosine filter is an implementation of a low-pass Nyquist filter, where the pulse shape exhibits a zero crossing at the sampling point of all other interacting pulse intervals. In the frequency domain, the filter transition is shaped with a raised cosine wave that yields a complicated waveform in the time domain.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the alpha (a) parameter where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

RRC (root-raised-cosine) filter has a frequency response that is expressed as the square root of magnitude spectrum P (j) of the raised-cosine filter shape. This filter is useful when sharing the pulse-shaping load between the transmitter and receiver where a root-raised-cosine filter is typically used at each end of the communication system. The total response of the system is then raised-cosine.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the parameter alpha (a) where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

NRZ Gaussian and pure Gaussian filter types:

The Gaussian filter functions are used to limit the bandwidth of a symbol in the frequency domain and manage its inter-symbol interference (ISI) impact in the time domain, just as Raised-Cosine (RC) and Root Raised-Cosine (RRC) filters do. Furthermore, the Gaussian filter shapes provide a manageable bandwidth limitation for frequency modulation schemes such as FSK. By contrast, RC and RRC filter responses, once transformed by frequency modulation, do not provide a rapid stop-band transition and thereby allow unacceptable residual signal amplitude in adjacent channels.

The Gauss Function (sometimes known as the Normal Distribution Function) pulse shape is of the form e-t2. This is implemented in Agilent's general-purpose modulations as the Gaussian filter type. The filter factor, B*T, determines the compromise between occupied bandwidth and ISI. The BT product parameter is B (the filter's 3dB bandwidth) times the input signal's symbol period. Low B*T numbers limit bandwidth and high numbers reduce ISI. The basic Gaussian function shape is centered on the instant of the symbol impulse. Within these limits, the symbol shape approaches an impulse as B*T increases. The following figure shows the Gaussian pulse shapes for various BT values.

The Error function, which is the integral of the Gaussian function, is the basis of the NRZ Gauss filter type. Two copies of the error function (one centered at the symbol instant and another, inverted, centered at the following symbol instant) are added to form a shaped rectangular pulse beginning at the symbol being transmitted and ending at the following symbol instant. Again, the filter factor, B*T, determines the compromise between occupied bandwidth and ISI. Low B*T numbers limit bandwidth and high numbers reduce ISI. Within these limits, as B*T increases, the symbol shape approaches a rectangular zero-order hold function. An alternative interpretation of the NRZ Gauss option is a rectangular filter (NRZ) convolved with the pure Gaussian pulse. The following figure shows the NRZ Gauss pulse shapes for various BT values.

Wideband does not apply any pulse shaping filters to the modulation symbol. Ideally, the symbol is an impulse that remains intact when this modulation filter is selected.

___
See [:SENSe]:FSK:FILTer for further details.


FSK related commands

[:SOURce]:FSK:DENCoding

[:SOURce]:FSK:FILTer

[:SOURce]:FSK:LOAD

[:SOURce]:FSK:PATTern

[:SOURce]:FSK:PATTern:COUNt

[:SOURce]:FSK:PATTern:INVert

[:SOURce]:FSK:SPS


PSK (phase-shift-keying)

Phase-shift keying (PSK) is a digital modulation scheme that transmits data by changing the phase of a reference signal (the carrier wave) by predetermined values in accordance with the bit stream.

On a constellation diagram, the real and imaginary axes are called the "in-phase" and "quadrature" axes respectively, due to their 90° separation. The point's distance from the origin represents the amplitude and the angle that this vector makes with respect to the horizontal axis represents the phase of the carrier at this instant in time.

In PSK, the constellation points are positioned with uniform angular spacing around a circle. This gives maximum phase-separation between adjacent points, providing the best immunity to data corruption. Because the points are positioned on a circle, they are all transmitted with the same amplitude.

Following are definitions of the PSK modulation waveform parameters.

___

See also:

  • To digitally modulate the carrier
  • To edit a digital modulation

_________
Modulation:

  • Symbol Type options: BPSK (binary phase-shift keying), QPSK (quaternary or quadriphase phase-shift keying), p / 4–QPSK, 3p / 4-QPSK, OQPSK (offset quaternary or quadriphase phase-shift-keying), and 8 PSK (eight phase-shift- keying). Click here for details
  • Symbols/s: Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.

Differential Encoding: This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, it is the changes in the symbol alphabet that are transmitted, not the symbols themselves.

_________
Filter:

  • Filter options: NRZ (non-return-to-zero), RC (raised cosine), RRC (root-raised-cosine), Gaussian, Wideband, and NRZ Gauss. Click here for details.
  • Factor: Set as needed. (n/a to NRZ)

_________
Data:

Pattern and Length: In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

  • PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.
  • Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.
  • Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.
  • Invert: Data invert changes Off (0) to On (1) and On (1) to Off (0) in the data pattern.

_________
PSK related commands:

[:SOURce]:PSK:DENCoding

[:SOURce]:PSK:FILTer

[:SOURce]:PSK:LOAD

[:SOURce]:PSK:PATTern

[:SOURce]:PSK:PATTern:COUNt

[:SOURce]:PSK:PATTern:INVert

[:SOURce]:PSK:SPS

[:SOURce]:PSK:STYPe


PSK symbol types

BPSK (binary phase-shift keying) uses two phases that are separated by 180°. This modulation is the most robust of all the PSKs but is only able to modulate at 1 bit/symbol.

________
QPSK (quaternary or quadriphase phase-shift keying) uses four phases or points on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 2 bits/symbol.

You can use this modulation in the following applications:

  • Double the data rate compared to a BPSK while maintaining the bandwidth of the signal.

    or

  • Maintain the data-rate of BPSK but halve the bandwidth needed.

Although QPSK can be viewed as a quaternary modulation, you can also see it as two independently modulated quadrature carriers. With this interpretation, the even (or odd) bits are used to modulate the in-phase component of the carrier, while the odd (or even) bits are used to modulate the quadrature-phase component of the carrier.

________
p / 4–QPSK is a version of QPSK uses two identical constellations which are rotated by 45° (p / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a p / 4 rotation added to select points from the other constellation. This reduces the phase shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that may happen from changing the phase by as much as 180°.

The construction of the modulated signal is the same as for ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the blue constellation.
  • The second symbol (00) is taken from the orange constellation.

The signal's magnitude at the symbol time is restricted and remains constant, which keeps the amplitude from passing through zero amplitude, shutting off the RF for a short duration.

________
3 p / 4-QPSK is a version of QPSK that uses two identical constellations rotated by 135° (p / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a 3p / 4 rotation added to select points from the other constellation. This reduces the phase-shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The construction of the modulated signal is the same as that of ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the blue constellation.
  • The second symbol (00) is taken from the orange constellation.

The signal's magnitude at the symbol time remains constant. The amplitude will never pass through zero amplitude, shutting off the RF for that short duration because of this restriction on available symbol locations.

________
OQPSK (offset quaternary or quadriphase phase-shift-keying) delays one of the two symbol components (in-phase or quadrature) by the duration of half a symbol (one bit). Since the symbol only changes a half symbol at a time, the trajectory will never cross through the origin. As the constellation diagram for QPSK shows, each adjacent symbol differs only by one bit. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The following graphic shows the difference in the behavior of the phase shifts between QPSK and OQPSK. The phase in the QPSK graph changes by 180° at once, where the phase changes in the OQPSK graph are never greater than 90°.

OQPSK vs QPSK

________
8 PSK (eight phase-shift- keying) uses eight phases (or points) on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 3 bits/symbol.

With more than eight phases, the error-rate for a given output power is very high because of the small vector difference between symbols. For this reason, it may be better to use other available modulations such as quadrature amplitude modulation (QAM).


PSK related commands

[:SOURce]:PSK:DENCoding

[:SOURce]:PSK:FILTer

[:SOURce]:PSK:LOAD

[:SOURce]:PSK:PATTern

[:SOURce]:PSK:PATTern:COUNt

[:SOURce]:PSK:PATTern:INVert

[:SOURce]:PSK:SPS

[:SOURce]:PSK:STYPe


QAM (quadrature-amplitude-modulation)

Quadrature-amplitude-modulation (QAM) is a modulation scheme that conveys data by changing carrier waves with a finite set of amplitude/phase combinations (complex vectors).

The points in a QAM constellation diagram are usually arranged in a grid with equal vertical and horizontal spacing. Because the points are no longer arranged equally distant around a circle, as was the case with PSK, the amplitude and phase must both change. Since the data is binary, the number of points in the grid is usually a power of 2. It is possible to transmit more bits per symbol when using a higher-order constellation. Yet, to keep the mean energy of the constellation the same, the points must be closer together. This makes the data more susceptible to noise, resulting in a higher bit error rate. Therefore, higher-order QAM can transmit more data but less reliably than lower-order QAM for a given signal-to-noise ratio.

Quadrature amplitude modulation (QAM) uses many different phases known as states. The Series V2900 has the following states available: 16, 32, 64, 128, and 256. Each state is defined by a specific amplitude and phase. Each time the number of possible states per symbol is increased the total data and bandwidth increases.

Following are definitions of the QAM modulation waveform parameters.

See also:

  • To digitally modulate the carrier
  • To edit a digital modulation

_________
Modulation:

  • Symbol Type options: QAM 16, QAM 32, QAM 64, QAM 128, QAM 256. Click here for details.
  • Symbols/s: Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.

Differential Encoding: This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, it is the changes in the symbol alphabet that are transmitted, not the symbols themselves.

_________
Filter:

  • Filter options: NRZ (non-return-to-zero), RC (raised cosine), RRC (root-raised-cosine), Gaussian, Wideband, and NRZ Gauss. Click here for details
  • Factor: Set as needed. (n/a to NRZ)

_________
Data:

Pattern and Length: In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

  • PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.
  • Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.
  • Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.
  • Invert: Data invert changes Off (0) to On (1) and On (1) to Off (0) in the data pattern.

_________
QAM related commands:

[:SOURce]:QAM:DENCoding

[:SOURce]:QAM:FILTer

[:SOURce]:QAM:LOAD

[:SOURce]:QAM:PATTern

[:SOURce]:QAM:PATTern:COUNt

[:SOURce]:QAM:PATTern:INVert

[:SOURce]:QAM:SPS

[:SOURce]:QAM:STYPe


QAM symbol types

QAM 16 (quadrature amplitude modulation) uses 16phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 4 bits/symbol.

QAM 32 (quadrature amplitude modulation) uses 32phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing. This modulation is able to modulate at 5 bits/symbol. QAM32 is a square 6x6 pattern with the 4 corner states removed.

QAM 64 (quadrature amplitude modulation) uses 64phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 6 bits/symbol.

QAM 128 quadrature amplitude modulation) uses 128phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing. This modulation is able to modulate at 7 bits/symbol. QAM128 is a square 12x12 pattern with a square block of 4 states removed from each corner.

QAM 256 (quadrature amplitude modulation) uses 256phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 8 bits/symbol.


QAM related commands

[:SOURce]:QAM:DENCoding

[:SOURce]:QAM:FILTer

[:SOURce]:QAM:LOAD

[:SOURce]:QAM:PATTern

[:SOURce]:QAM:PATTern:COUNt

[:SOURce]:QAM:PATTern:INVert

[:SOURce]:QAM:SPS

[:SOURce]:QAM:STYPe


To digitally modulate the carrier

  1. Choose Select Modulation > Digital and select the type of modulation.
  2. Select the modulation file that you want to output from the Series V2900.
    • If you want to output the modulation with the default settings, select Load.
    • If you want to output a file that has been previously saved, select Waveform File > Open. Navigate to the location of the file, select the file and then Load.
  3. Select RF On to enable the RF output.
  4. To stop the Series V2900 from modulating the carrier, select Unload.

From the remote control interface:

ASK related commands

[:SOURce]:ASK:DENCoding

[:SOURce]:ASK:FILTer

[:SOURce]:ASK:LOAD

[:SOURce]:ASK:PATTern

[:SOURce]:ASK:PATTern:COUNt

[:SOURce]:ASK:PATTern:INVert

[:SOURce]:ASK:SPS

[:SOURce]:ASK:STYPe

FSK related commands

[:SOURce]:FSK:DENCoding

[:SOURce]:FSK:FILTer

[:SOURce]:FSK:LOAD

[:SOURce]:FSK:PATTern

[:SOURce]:FSK:PATTern:COUNt

[:SOURce]:FSK:PATTern:INVert

[:SOURce]:FSK:SPS

PSK related commands

[:SOURce]:PSK:DENCoding

[:SOURce]:PSK:FILTer

[:SOURce]:PSK:LOAD

[:SOURce]:PSK:PATTern

[:SOURce]:PSK:PATTern:COUNt

[:SOURce]:PSK:PATTern:INVert

[:SOURce]:PSK:SPS

[:SOURce]:PSK:STYPe

QAM related commands

[:SOURce]:QAM:DENCoding

[:SOURce]:QAM:FILTer

[:SOURce]:QAM:LOAD

[:SOURce]:QAM:PATTern

[:SOURce]:QAM:PATTern:COUNt

[:SOURce]:QAM:PATTern:INVert

[:SOURce]:QAM:SPS

[:SOURce]:QAM:STYPe


To edit a digital modulation

From the front panel interface or the LXI web interface:

  1. Choose Select Modulation > Digital > (your choice variable).
  2. Select the modulation file that you want to output from the instrument.
    • If you want to output the modulation with the default settings, select Load.
    • If you want to output a file that has been previously saved, select Waveform File > Open. Navigate to the location of the file, select the file and then Load.
  3. Select RF On to enable the RF output.
  4. Select Edit.
  5. Make changes to the following settings, as necessary:
    • Symbol Type

      Each available digital modulation has a choice of modulation symbols. For details on the symbol type for each digital modulation, refer to the following topics:

      • ASK symbol types
      • FSK symbol types
      • PSK symbol types
      • QAM symbol types

    • Symbols/s
    • Diff. Encoding
    • Filter:
      _ ASK filter options
      _ FSK filter options
      _ PSK filter options
      _ QAM filter options
    • Data pattern
    • Data invert
  6. Select Load to make the changes to the modulation output from the instrument.
  7. Select Close.
  8. Select Waveform File and then choose the appropriate save function:
    • If you want to save an existing modulation file, select Save.
    • If you want to save a new modulation file, select Save As… and enter filename in the desired directory location. Refer to Save File for details.
  9. To stop the instrument from modulating the carrier, select Unload.

From the remote control interface:

ASK related commands

[:SOURce]:ASK:DENCoding

[:SOURce]:ASK:FILTer

[:SOURce]:ASK:LOAD

[:SOURce]:ASK:PATTern

[:SOURce]:ASK:PATTern:COUNt

[:SOURce]:ASK:PATTern:INVert

[:SOURce]:ASK:SPS

[:SOURce]:ASK:STYPe

FSK related commands

[:SOURce]:FSK:DENCoding

[:SOURce]:FSK:FILTer

[:SOURce]:FSK:LOAD

[:SOURce]:FSK:PATTern

[:SOURce]:FSK:PATTern:COUNt

[:SOURce]:FSK:PATTern:INVert

[:SOURce]:FSK:SPS

PSK related commands

[:SOURce]:PSK:DENCoding

[:SOURce]:PSK:FILTer

[:SOURce]:PSK:LOAD

[:SOURce]:PSK:PATTern

[:SOURce]:PSK:PATTern:COUNt

[:SOURce]:PSK:PATTern:INVert

[:SOURce]:PSK:SPS

[:SOURce]:PSK:STYPe

QAM related commands

[:SOURce]:QAM:DENCoding

[:SOURce]:QAM:FILTer

[:SOURce]:QAM:LOAD

[:SOURce]:QAM:PATTern

[:SOURce]:QAM:PATTern:COUNt

[:SOURce]:QAM:PATTern:INVert

[:SOURce]:QAM:SPS

[:SOURce]:QAM:STYPe


Arbitrary waveforms

Select the arbitrary waveform description to learn more about the arbitrary waveform capabilities of the Series V2900. Or, select one of the procedures to learn how to set up and control arbitrary waveforms in the Series V2900.

  • Arbitrary waveform description and use
  • Procedures
  • Example measurement
  • Example: Arbitrary Waveform

NOTE: When transitioning from RF Off to On,or modulation Off to On, and with no triggering set, the playback is started with the amplitude set very low. Then, the amplitude is raised to the correct level. If leveling is enabled, about 30 µseconds of the first playing of the arb waveform is lost. It is done this way to ensure that there are no output spikes during startup of the digital upsampling filters. Use a triggered arb start or configure an arb sequence if you want the level-set to occur prior to starting the arb.


Arbitrary waveform description and use

The Series V2900 can be expanded to generate an unlimited variety of modulations using the arbitrary waveform capability. When you provide a file that contains samples of the baseband IQ modulation, the Series V2900 uses that information to modulate an RF carrier. You can also playback waveforms that were internally generated by the Series V2900. If you create a sequence file, you can control the playback of multiple arbitrary waveforms.

Select from the following topics to learn more about the arbitrary waveform capabilities:

  • Arbitrary waveforms overview
  • Optimize measurement speed
  • Arbitrary waveform file characteristics
  • Arbitrary waveform playback tables
    • Waveform playback table
    • Sequence playback table
  • Arbitrary waveform procedures


Optimize measurement speed

The Series V2900 allows you to optimize your measurement speed when your device test requires switching between waveforms of various signal formats and modulation types. This measurement speed is accomplished with the arbitrary waveform capability that allows you to add waveform files to a playback table and quickly switch from playing one waveform to another.

The arbitrary waveform sequence capability provides more control over the playback of multiple arbitrary waveforms. This capability allows you to select a waveform from the playback table and have it play repeatedly, for a set number of times, or until you select another waveform to play back. You can add the following types of files to the arbitrary waveform playback table:

  • Arbitrary waveform files (*.arb) created from an external application
  • Existing waveforms from the internally-generated modulations
  • Edited waveforms based on the existing internally-generated modulations

The waveforms can be saved to the Series V2900 memory, in the arbitrary waveform default User directory.

_____
See Also

  • Arbitrary waveform procedures


Arbitrary waveform playback table

You can playback arbitrary waveforms with the following two methods:

  • Playback arbitrary waveforms individually by loading files separately.
  • Playback multiple arbitrary waveforms in a sequence by creating a controlling file.

An arbitrary waveform file defines the following values for a waveform playback:

  • Sample rate
  • Number of samples
  • Power factor
  • Pulsed Arb Blanking state

A sequence file defines the following values for each step of the sequence playback:

  • Arbitrary waveform file
  • Carrier frequency
  • Output amplitude
  • Sequence step mode:
    • Repetitions specifies how many times the waveform plays
    • Dwell specifies how long the waveform plays
    • Trigger specifies that the transition to the next step is initiated by a trigger event
    • Hold specifies that the waveform repeats continuously

Select from the following topics to learn more about the methods for playing back arbitrary waveforms:

  • Waveform playback table
  • Sequence playback table
  • Arbitrary waveform procedures

_____

NOTE: The arb list and arb sequence list are not affected by an instrument preset, save state, recall state, *RST, :SYSTem:PRESet, *RCL, or *SAV. Both the arb list and arb sequence list are preserved when transferring control between the instrument touchscreen interface and the Desktop Control Panel interface.


Waveform playback table

You can add files to the arbitrary waveform playback table to quickly switch from playing one waveform to another.

An example of four arbitrary waveform files added to the playback table are shown. The columns indicate information about the files.

Arb Waveform Table

The arbitrary waveform table has the following columns and associated buttons:

  • 1, 2, 3... indicates a specific row where you can load the associated waveform for playback or delete it. You can also reference this row number in a programming command to specify the waveform to playback or delete.
  • Name shows the filename of the arbitrary waveform, without the file path or extension. You can also specify this name in a programming command to identify the waveform to playback or delete.
  • Sample Rate shows the sample rate of the arbitrary waveform. To select a different rate, click on the table cell and select a new rate from the pop list.
  • # Samples indicates the length of the waveform, based on the number of IQ symbol pairs. You cannot edit this value from the table interface.
  • Power Factor specifies the rms power of the signal out, relative to full scale. You can change this value (in the cell), if the waveform is loaded and the RF is on.

    You can not change the Power Factor of an arb file while the arb sequence is running. If you attempt to change the Power Factor while the arb sequence is running, the instrument will respond with SCPI error 243.

  • Pulse Blank: If this checkbox is selected, Pulsed Arb Blanking is enabled for the waveform.

    When you add a waveform to the table, Pulsed Arb Blanking is enabled by default.

    _____

  • Add Arb starts the process of adding a waveform file to the arbitrary waveform table.
  • Delete Arb deletes the waveform associated with a selected row. All the remaining waveform files below the deleted file move up a row in the table to fill the empty row.
  • Load (Row: *) selects and continuously plays the waveform associated with the selected row. The Modulation and RF check boxes must be selected to playback the waveform through the RF output.
  • Unload stops the current waveform playback.
  • Trigger Now allows you to invoke a trigger that starts the waveform playback, if the trigger source is set to SCPI or Front Panel Trigger. See To set the trigger.
    _____
  • Modulation: On enables and disables modulation of the carrier.
  • RF: On enables and disables the RF output.
  • Loaded: shows the name and table row of the waveform currently playing.

_____

NOTE: The arb list and arb sequence list are not affected by an instrument preset, save state, recall state, *RST, :SYSTem:PRESet, *RCL, or *SAV. Both the arb list and arb sequence list are preserved when transferring control between the instrument touchscreen interface and the Desktop Control Panel interface.

_____
See Also

  • Arbitrary waveform overview
  • Arbitrary waveform procedures


Sequence playback table

You can playback multiple arbitrary waveforms in a sequence by defining the following items in each step:

  • Arbitrary waveform playback table row
  • Frequency and power settings
  • Sequence step mode

You can create a sequence file with the following methods:

  • Build the sequence from the sequence table interface.
  • Create a sequence file from Microsoft® ExcelTM or any text editor.

The arbitrary waveform files specified in the sequence must already be added to the playback table. See To add an existing arbitrary waveform file to the table or To add an internally-generated modulation to the waveform table for details.

An example of a sequence file loaded on the Series V2900 is shown.

The arbitrary waveform sequence table has the following columns and associated buttons:

  • 1, 2, 3... indicates a step in the sequence that includes the waveform reference and related settings.
  • Frequency (Hz) shows the carrier frequency.
  • Power (dBm) shows the output power.
  • Arb Row indicates the arbitrary waveform file to play by referencing to the row in the waveform playback table.
  • Mode indicates the sequence step operation:
    • Repetitions sets that the waveform is to play a set number of times.
    • Dwell sets that the waveform is to play for a set length of time.
    • Trigger sets that a trigger is required to proceed to the next step in the sequence.
    • Hold sets that the waveform file is to repeat continuously.
  • Param sets the parameter for the selected Mode.
    • Specifies the number of times the waveform file repeats for the Repetitions mode.
    • Specifies the length of time the waveform plays in seconds for the Dwell mode.
    • Specifies if the trigger event happens immediately or when the waveform plays to the end of the file.
    • Specifies there is no parameter necessary for the Hold mode.
      _____
  • File shows a drop-down menu that allows you to clear an existing sequence file, save a sequence file, or open a sequence file from a local or mapped drive.

    In the User folder, an example arb sequence file (Example Sequence.csv) is provided for you to customize for your purposes.

  • Start / Restart (depending on how the Arb Sequence Trigger Mode and sequence play are set) one of the following actions takes place:
    • Starts the sequence play back.
    • Arms the trigger to start the sequence.
    • Restarts the sequence.
  • Single / Continuous / Auto Restart sets whether the sequence plays a single time, repeats continuously or restarts and plays continuously.
  • Stop stops playing the sequence.
  • Load loads the open sequence file. This makes the file available to play.
  • Unload unloads the sequence file. The sequence stops immediately, if it was playing.
  • Trigger Now allows you to invoke a trigger if the trigger source is set to SCPI or Front Panel Trigger. See To set the trigger.
  • Insert Above inserts a copy of the selected row above the selected row in the sequence table.
  • Insert Below inserts a copy of the selected row below the selected row in the sequence table..
  • Move Up rearranges steps in the sequence by moving the selected step up one position.
  • Move Down rearranges steps in the sequence by moving the selected step down one position.
  • Delete deletes the selected row in the sequence table
    _____
  • Modulation: On enables and disables the modulation on the carrier.
  • RF: On enables and disables the RF output.
  • Loaded: shows the name of the sequence currently playing.

_____

NOTE: The arb list and arb sequence list are not affected by an instrument preset, save state, recall state, *RST, :SYSTem:PRESet, *RCL, or *SAV. Both the arb list and arb sequence list are preserved when transferring control between the instrument touchscreen interface and the Desktop Control Panel interface.


Arbitrary waveform procedures

The following procedures show you how to setup and control arbitrary modulation waveforms in the Series V2900.

  • To add an existing arbitrary waveform file
  • To add an internally-generated modulation
  • To play back an arbitrary waveform
  • To stop an arbitrary waveform playback
  • To delete arbitrary waveforms
  • To invoke Pulsed Arb Blanking
  • To control arbitrary waveforms remotely
  • To create a waveform sequence file externally to the Series V2900
  • To create a sequence file internally to the Series V2900
  • To play back a sequence of arbitrary waveforms
  • To stop a sequence playback
  • To delete a sequence

_____
See Also:

  • Arbitrary waveforms overview


To add an existing arbitrary waveform file to the table

From the front panel interface:

  1. Choose Select Modulation > Arb > Add Arb > Add Arb File.
  2. Locate and load the *.arb file:
    • If the file is in the User directory, select the filename and then select Open.
    • If you do not see the file that you want in the User directory, select the Look in: drop-down arrow and select the directory where the file is located. Select the filename and then select Open.
    • If the file is on an external drive, you may want to save the file to the instrument User directory. See Copy or move a file.

      Note: If you just connected the Series V2900 to a USB memory device or another external drive, you may need to select Refresh to update the Look In: directory list.

Also see To playback an arbitrary waveform.

From the remote programming interface:

These examples assume an existing waveform file "myfile.arb" in the following directory or location:

  • From the User directory:

    :RAD:ARB:OPEN myfile.arb

  • From a USB memory device:

    :RAD:ARB:OPEN \USB\myfile.arb

  • From a mounted Windows directory call myDir:

    \\myDir\myfile.arb

You can use the programming command MMEM:DATA to create a file (with specified contents) in a directory in the Series 2900 or a USB memory device inserted in the Series V2900 USB port. To copy a file to one of the available directories, use the following paths in the programming message:

Series V2900 Directory | Directory Path in Programming Message
cdma2000 User | \cdma2000 Forward Link\User
W-CDMA User | \W-CDMA 3GPP Downlink\User
GSM / EDGE User | \GSM EDGE\User
Arbitrary User | \ARB Waveform\User
Arbitrary Sequence User | \ARB Sequence\User
List User | \List\User
User Flatness User | \User Flatness\User
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4
Instrument Setups | \Setups

Note: All Standards modulation waveform reference directories in the Series V2900 are read-only.

The following command creates a file named "example1.txt" on a USB memory device that is inserted in the USB port of the Series V2900:

MMEM:DATA "\USB\example1.txt", #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the contents of the file "example1.txt."


To add an internally-generated modulation to the waveform table

You can add any internally-generated modulation that is currently playing on the Series V2900 to the arbitrary waveform playback table.

Note: To add a GPS modulation to the arbitrary waveform table, the data pattern must be < 32bits.

From the front panel interface:

  1. Choose Select Modulation > Standards (or Analog) and select the type of modulation you want.
  2. Select Load and modify the waveform as necessary. Refer to the appropriate modulation topic for details on editing the modulation parameters.
  3. Select RF On and Modulation On to enable the RF out and the modulation on the carrier.
  4. Choose Select Modulation > Arb > Add Arb > Add a copy of the currently outputting modulation.

Also see To playback an arbitrary waveform.

From the remote programming interface:

After loading the desired modulation:

:RAD:ARB:COPY

Example:

To generate a default GSM waveform and save a copy in the ARB memory:

:RAD:GSM:LOAD DEF

:OUTP:MOD

:OUTP

:RAD:ARB:COPY

To find the selected row number and name of the file in the arbitrary waveform table:

:RAD:ARB:ROW?


To playback an arbitrary waveform

The Series V2900 can be expanded to playback an unlimited variety of modulations using the arbitrary waveform capability. When you provide a file that contains samples of the baseband IQ modulation, the Series V2900 uses that information to modulate an RF carrier. You can also playback waveforms that were internally generated by the Series V2900. If you create a sequence file, you can control the playback of multiple arbitrary waveforms.

Also see the following related topics:

  • Arbitrary waveform file characteristics
  • To stop an arbitrary waveform playback
  • To add an existing *.arb file to the waveform table
  • To add an internally-generated modulation to the waveform table
  • To invoke Pulsed Arb Blanking
  • To create a sequence file externally to the Series V2900
  • To create a sequence file internally to the Series V2900
  • To playback a sequence of arbitrary waveforms

    Note: The Series V2900 does not attempt to continuously level arbitrary waveforms during playback. The instrument briefly switches on a CW waveform, lets the automatic leveling control (ALC) settle, then locks the ALC. The arbitrary waveform is then played back. This leveling control is called Sample and Hold. You should refresh the sample and hold if the waveform playback lasts more than a few minutes (select Menu > Global Settings > ALC > Refresh Sample and hold). The sample and hold automatically refreshes when frequency, power, or an arbitrary waveform is changed.

With the front panel interface or the LXI web interface:

  1. Choose Select Modulation > Arb.
  2. Select the row of the table that has the modulation waveform file that you want to play back through the RF output.
    • If you have not already added files to the playback table, see To add an existing *.arb file to the waveform table and To add an internally-generated modulation to the waveform table.
  3. Select Load (Row: *).
  4. Make sure that the following conditions exist:
    • Modulation check box is selected.
    • RF check box is selected.
    • Loaded: section of the main status area shows the correct arbitrary file name.

      Note: If the file you provided has a sample rate specified in the header that is not directly supported by the Series V2900, the instrument automatically interpolates the data up to the next higher supported output sample rate. To avoid a discontinuity as the waveform transitions from the end of the data record back to the beginning, make sure that an exact integer number of modulation periods fits within an even number of samples at the output sampling rate and that the data is continuous across this boundary.

  5. If the trigger mode is set to Trigger start of arb waveform, and the trigger source is set to SCPI or Front Panel Trigger, select Trigger Now to start the waveform playback. See To set the trigger.
  6. To playback another file in the waveform table, select the row of the waveform you now want to play and select Load, and Trigger Now if necessary.
  7. To change the sample rate of the waveform playback, select the sample rate value listed for the waveform and choose from the available rates shown.
  8. To change the power factor of the waveform playback to scale the data that is loaded into playback memory, select the power factor value listed for the waveform and enter the new value. By changing this value, you can balance maximum amplitude, distortion, and noise performance.

    Note: The waveform must be loaded and the RF must be on to edit the power factor. If you reduce the power factor enough that clipping occurs, you must reload the waveform to remove the clipping.

From the remote programming interface:

[:SOURce]:RADio:ARB:COPY

[:SOURce]:RADio:ARB:DELete

[:SOURce]:RADio:ARB:EIQ

[:SOURce]:RADio:ARB:LIST?

[:SOURce]:RADio:ARB:MEM?

[:SOURce]:RADio:ARB:OPEN

[:SOURce]:RADio:ARB:PBLank

[:SOURce]:RADio:ARB:PFACtor

[:SOURce]:RADio:ARB:PLAY

[:SOURce]:RADio:ARB:ROW

[:SOURce]:RADio:ARB:SRATe

[:SOURce]:RADio:ARB:STATe

Example:

  • To playback the modulation waveform from row 1 of the modulation table:

    :RAD:ARB:PLAY 1

  • To playback a waveform ("myfile") loaded from "myfile.arb."

    :RAD:ARB:PLAY myfile


To stop an arbitrary waveform playback

From the front panel interface:

  1. Choose Select Modulation > Arb.
  2. Select Unload to stop an arbitrary waveform playback.

From the remote programming interface:

:RAD:ARB:STATE OFF


To delete arbitrary waveforms

You can delete an arbitrary waveform from the playback table when the memory is full or you are finished with the waveform. When you delete a waveform from the table, all the remaining waveform files, below the deleted file, move up a row in the table to fill the empty row.

NOTES:

(A) You cannot delete an arbitrary waveform file while it is loaded or while it is playing. You must first stop the arbitrary waveform playback and then delete the file.

(B) The RF is turned off during the deletion, and turned back on once the deletion is complete.

(C) If a sequence file is open, you cannot delete the arbitrary waveform files that are listed as part of the sequence. See To delete a sequence.

(D) Presetting the instrument or opening an instrument setup file will not change or delete the arbitrary waveform files in the waveform playback table. To delete arbitrary waveform files, you must follow the procedure below, using the waveform playback interface or programming commands.

From the front panel interface:

  1. Choose Select Modulation > Arb.
  2. Select the row that has the waveform file that you want to delete.
  3. Select Delete Arb and choose from the following:
    • Select Delete Selected Entry (Row:*) if you only want to delete the selected file from the playback table.
    • Select Delete All Row Entries if you want to delete all of the waveform files from the playback table.

From the remote programming interface:

  • To delete row 1 from the arbitrary modulation table:

    :RAD:ARB:DEL 1

  • To delete a waveform loaded from "myfile.arb:"

    :RAD:ARB:DEL myfile

  • To delete all the modulation waveforms from the arbitrary modulation table:

    :RAD:ARB:DEL ALL

    Note: When you delete a waveform from the table, all the remaining waveform files, below the deleted file, move up a row in the table to fill the empty row. This takes time to execute. Alternatively, the RAD:ARB:DEL ALL command executes very fast because there is no rearrangement of the remaining rows in the table.


To invoke Pulsed Arb Blanking

Pulsed Arb Blanking (enabled by default) increases the on/off ratio of pulsed arb waveforms by setting the output attenuator to a high level when a sequence of zeros is detected in the arb waveform.

NOTE: Because the attenuator can take several microseconds to respond, it may not be desirable for all pulsed applications. If an arb waveform has brief off periods in the active part of the burst, the blanking can be triggered accidentally, turning off the output and corrupting the output waveform.

_____
To enable Pulsed Arb Blanking

  1. Choose Select Modulation > Arb and select the Waveforms tab to view the waveform playback table.
  2. If the table does not contain waveforms, add them.
  3. In the waveform table, row by row, use the Pulse Blank checkbox to enable or disable Pulsed Arb Blanking as desired.
  4. Playback the arbitrary as desired (see To playback an arbitrary waveform).

_
See Also:

  • [:SOURce]:RADio:ARB:PBLank[:STATe]
  • Arbitrary waveform procedures


To control the arbitrary waveforms remotely

Use the following commands to control arbitrary modulation waveforms, remotely.

  • [:SOURce]:RADio:ARB:COPY
  • [:SOURce]:RADio:ARB:DELete <row> | ALL
  • [:SOURce]:RADio:ARB:EIQ
  • [:SOURce]:RADio:ARB:LIST
  • [:SOURce]:RADio:ARB:LIST2
  • [:SOURce]:RADio:ARB:LIST3
  • [:SOURce]:RADio:ARB:MEMory?
  • [:SOURce]:RADio:ARB:OPEN
  • [:SOURce]:RADio:ARB:PBLank
  • [:SOURce]:RADio:ARB:PFACtor
  • [:SOURce]:RADio:ARB:PLAY <filename> | <row>
  • [:SOURce]:RADio:ARB:ROW <row>
  • [:SOURce]:RADio:ARB:SRATe <value> | MAX | MIN | DEF
  • [:SOURce]:RADio:ARB:STATe ON | OFF | 1 | 0

Example: arbitrary waveform

This example shows how to select a waveform, play it, and then delete the waveform.

RAD:ARB:OPEN "waveform1.arb" | Specify file name. This copies the waveform into arb memory, but does not play it.
RAD:ARB:PLAY "waveform1" | Tell instrument play the waveform back.
RAD:ARB:DEL "waveform1" | When you are finished, delete the waveform.

If there is a possibility that a waveform with the same name is already loaded, you can use integers to specify the row number of a waveform. The row numbers start at 1.

Note: A row number may change for a specific arbitrary waveform when a file is deleted from the table, and all the remaining waveforms below the deleted file move up a row in the table to fill the empty row.

This example shows how to specify a filename and then copy it into arb memory for playback.

RAD:ARB:OPEN "waveform1.arb" | Specifies filename and copies the waveform into arb memory, but does not play it.
RAD:ARB:ROW? | This returns a comma separated string. For example: 1, "waveform1", 2500000, 1001 The first value is the row number, the second value is the filename, the third value is the sample rate, and the fourth value is the number of samples.
RAD:ARB:PLAY 1 | Playback waveform 1.
RAD:ARB:DEL 1 |

See [:SOURce]:RADio:ARBitrary commands for more information on using the arbitrary waveform commands.


To create a waveform sequence file externally to the Series V2900

You can playback multiple arbitrary waveforms in a sequence by loading a controlling *.csv file into the sequence memory. You can create and edit this file with Microsoft Excel or any text editor that can save in plain text format. The resulting file must be a comma separated value format (*.csv).

Note: The sequence file refers to waveforms that are currently in a specific row of the arbitrary waveform table.

See To create a sequence file internally to the Series 2900 to learn how to create and save a sequence file from the Series V2900 front panel interface.

Note: Keep sequence steps consecutive that have similar settings. For example, keep steps with similar power settings or frequency settings in contiguous steps, if possible.

Example sequence file (*.csv):

SEQUENCE Version 1.0 |  |  |  |
Begin Table |  |  |  |
Frequency(Hz), | Power(dBm), | Arb Row, | Mode, | Param
9.95E+08, | -10, | 3, | Repetitions, | 35
9.97E+08, | -13, | 1, | Dwell, | 1
9.98E+08, | -13, | 1, | Trigger, | End of Step
9.97E+08, | -13, | 2, | Dwell, | 1.23E-03
9.97E+08, | -13, | 2, | Dwell, | 1.23E-06
9.97E+08, | -13, | 2, | Hold, | N/A

_

  • Begin Table indicates the beginning of the sequence table contents.
  • Frequency (Hz) shows the carrier frequency.
  • Power (dBm) shows the output power.
  • Arb Row indicates the arbitrary waveform file to play by pointing to the row in the arbitrary waveform playback table.
  • Mode indicates the sequence step operation:
    • Repetitions sets that the waveform is to play a set number of times.
    • Dwell sets that the waveform is to play for a set length of time.
    • Trigger sets that a trigger is required to proceed to the next step in the sequence.
    • Hold sets that the waveform file is to repeat continuously.
  • Param sets the parameter for the selected Mode.
    • Specifies the number of times the waveform file repeats for the Repetitions mode (integer).
    • Specifies the length of time the waveform plays in seconds for the Dwell mode (floating point).
    • Specifies if the trigger event happens immediately (Immediate) or when the waveform plays to the end of the file (End of Step).
    • Specifies no parameter applies (N/A) for the Hold mode (string).

_

Note: To avoid a discontinuity as the waveform transitions from the end of the data record back to the beginning, make sure that an exact integer number of modulation periods fits within an even number of samples at the output sampling rate and that the data is continuous across this boundary.

_
_____

NOTE: The arb list and arb sequence list are not affected by an instrument preset, save state, recall state, *RST, :SYSTem:PRESet, *RCL, or *SAV. Both the arb list and arb sequence list are preserved when transferring control between the instrument touchscreen interface and the Desktop Control Panel interface.

_____

For more information on the arbitrary waveform sequence capability see the following topics:

  • To playback a sequence of arbitrary waveforms
  • Arbitrary waveform sequence table


To create a sequence file internally to the Series V2900

Using the sequence table interface of the Series V2900, you can create a sequence file to playback multiple arbitrary waveforms,

Note: The sequence file refers to waveforms that are currently in a specific row of the arbitrary waveform table.

Also see To create a sequence file externally to the Series V2900 to learn how to create a sequence file from an application that is external to the Series V2900, such as Microsoft® ExcelTM or any other text editor.

  1. Choose Select Modulation > Arb.
  2. Add the waveform files that you want to playback to the arbitrary waveform table. See To add an existing arbitrary waveform file to the table or To add an internally-generated modulation to the waveform table for details.
  3. Select the Sequence tab.
  4. Select Insert Above or Insert Below to create a row in the table that contains default values.
  5. Select the value in the Arb Row column and enter the row of the arbitrary waveform playback table that has the Arb file you want to play in this step of the sequence.
  6. Select the value in the Frequency (Hz) column and enter the carrier frequency.
  7. Select the value in the Power (dBm) column and enter the output power.
  8. Select the setting in the Mode column and choose the desired operation:
    • Repetitions specifies that the waveform is to play a set number of times.
    • Dwell specifies that the waveform is to play for a set length of time.
    • Trigger specifies that a trigger is required to proceed to the next step in the sequence.
    • Hold specifies that the waveform file is to repeat continuously.
  9. Select the setting in the Param column and enter the parameter for the selected mode:
    • For the Repetitions mode, enter the number of repetitions.
    • For the Dwell mode, enter the length of time in seconds.
    • For the Trigger mode, set if the trigger event happens immediately or when the waveform plays to the end of the Arb file.
    • For the Hold mode, there is no parameter to enter.
  10. Create another step in the sequence by adding another row to the sequence table:
    • Select Insert Above if you want the new row to define a sequence step that plays before the currently selected row.
    • Select Insert Below if you want the new row to define a sequence step that plays after the currently selected row.

    The new row will have the same values as the selected row.

    Note: Keep sequence steps consecutive that have similar settings. For example, keep steps with similar power settings or frequency settings in contiguous steps, if possible.

  11. Select the newly created row in the sequence table and repeat steps 5 through 10 until you have defined the entire sequence.
  12. To rearrange the steps in the sequence, select a row and then select Move Up or Move Down to place the row in the desired position.
  13. To remove a row from sequence table, select the row and then select Delete.
  14. Select File > Save As.
  15. Select the keyboard button and type a name. Select Enter > Save.

    Note: To avoid a discontinuity as the waveform transitions from the end of the data record back to the beginning, make sure that an exact integer number of modulation periods fits within an even number of samples at the output sampling rate and that the data is continuous across this boundary.

For more information on the arbitrary waveform sequence capability see the following topics:

To playback a sequence of arbitrary waveforms

Arbitrary waveform sequence table


To playback a sequence of arbitrary waveforms

You can play multiple arbitrary waveforms when you create a sequence file that controls the playback of waveforms that are currently added to the playback table. See To create a sequence file externally to the Series V2900 or To create a sequence file internally to the Series V2900.

Note: If either the sweep mode or the list mode is active on the Series V2900, you must stop the signal generation for that mode before starting a sequence playback. The sweep, list, and waveform sequence modes must have exclusive operation of the Series V2900. Switch one mode off before attempting to switch another mode on.

-

Note: If you want to playback a sequence file that is part of an instrument setup file, the following conditions must exist when you load the instrument setup file: the recalled sequence file is located in the User directory and the arbitrary waveform files that are referenced in the sequence file are added to the arbitrary waveform playback table.

_
From the front panel interface:

  1. Select Menu > Global Settings > Trigger... > Trigger Source > SCPI or Front Panel Trigger.

    This allows you to invoke a trigger from the sequence table interface, if a trigger event is required in the sequence.

  2. Select Arb Sequence Trigger Mode and choose what operation will be initiated by a trigger event:
    • Start and Step requires a trigger to initiate the start of a sequence and the transition to the next step in a sequence when specified in the sequence mode.
    • Stepping Only requires a trigger to transition to the next step in a sequence when specified in the sequence mode.
  3. Choose Select Modulation > Arb.
    • If your sequence file refers to arbitrary waveform files that are not currently added to the playback table, then add those files to the table now. See To add an existing *.arb file to the waveform table.
  4. Select the Sequence tab and then select File > Open.
    • If the sequence file is in the User directory, select the filename and then select Open.
    • If you do not see the sequence file that you want in the User directory, select the Look in: drop-down arrow and select the directory where the file is located. Select the filename and then select Open.
  5. Select Load.

    If the file contains extended features, you can load it only if Extended Frequency is enabled.

  6. Choose how you want to play the sequence:
    • If you want the sequence to play once, select Single.
    • If you want the sequence to repeat continuously, select Continuous.
  7. Select RF On.
  8. Select Start and one of the following events happens, depending on how the Arb Sequence Trigger Mode is set:
    • Starts the sequence playback.
    • Arms the trigger to start the sequence where you must select Trigger Now to initiate the sequence.

      The sequence run status and active row is displayed in the right-hand panel when an arb sequence is loaded. If a sequence is waiting for a trigger, the display shows "Waiting for trigger". When a sequence has not been started, or if it completes in Single mode, the Active Row shows "None".

  9. If any of the sequence steps have the Mode specified as Trigger, you must select Trigger Now to transition to the next step in the sequence.
  10. Select Stop to stop the sequence playback.

    Note: If the sequence finishes and is set to play a single time, the RF output is switched off.

  11. Select Restart (and provide a trigger if necessary), to start the sequence again.
  12. Select Unload to remove the file.

    Note: You can edit the sequence file at any time. If you change any value when the sequence is running, the sequence will restart at the beginning. See To create a sequence file internally to the Series V2900.

_
Refer to the following topics for more information:

  • To stop a sequence playback
  • To playback an arbitrary waveform
  • To set the trigger
  • Extended frequency

_
From the remote programming interface:

  • [:SOURce]:RADio:ARB:SEQuence:AROW
  • [:SOURce]:RADio:ARB:SEQuence:DELete
  • [:SOURce]:RADio:ARB:SEQuence:FREQuency
  • [:SOURce]:RADio:ARB:SEQuence:OPEN
  • [:SOURce]:RADio:ARB:SEQuence:POWer
  • [:SOURce]:RADio:ARB:SEQuence:RUNNing
  • [:SOURce]:RADio:ARB:SEQuence:STARt
  • [:SOURce]:RADio:ARB:SEQuence:STATe
  • [:SOURce]:RADio:ARB:SEQuence:STOP
  • [:SOURce]:RADio:ARB:SEQuence:SWEep
  • [:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE
  • :STATus:OPERation:ARB:ENABle?
  • :STATus:OPERation:ARB[:EVENt]?


To stop a sequence playback

From the front panel interface:

  1. Choose Select Modulation > Arb.
  2. Select the Sequence tab.
    • Select Stop if you want to stop the sequence playback and keep the file loaded in the sequence memory.
    • Select Unload if you want to stop the sequence playback and unload the file from the sequence memory.

From the remote programming interface:

[:SOURce]:RADio:ARB:SEQuence:STOP


To delete a sequence

You can delete an entire sequence file or selected rows from the sequence table memory. If you only delete a single row from the table, all the remaining sequence steps, below the deleted row, move up a row in the table to fill the empty row.

Note: Deleting a sequence does not delete the referenced arbitrary waveforms from the waveform playback table.

From the front panel interface:

  1. Choose Select Modulation > Arb.
  2. Select the Sequence tab.
  3. To delete a single row of the table, select the row and then select Delete.

    All the remaining sequence steps below the deleted row move up a row in the table to fill the empty row.

  4. To delete the entire sequence file, use one of the following methods:
    • Select File > New.
    • Select Preset from the instrument front panel.

    The arbitrary waveform files still remain unchanged in the playback table.

_____
See Also:

  • [:SOURce]:RADio:ARB:SEQuence:DELete
  • Arbitrary waveform procedures


Arb list and Arb sequence list are retained

_____

NOTE: The arb list and arb sequence list are not affected by an instrument preset, save state, recall state, *RST, :SYSTem:PRESet, *RCL, or *SAV. Both the arb list and arb sequence list are preserved when transferring control between the instrument touchscreen interface and the Desktop Control Panel interface.


Example: Fast measurements with arbitrary waveform synchronization

The Series V2900 allows you to optimize your measurement speed when your device testing requires switching between waveforms of various modulation types. You can add the waveforms to a playback table that allows you to quickly switch from playing one waveform to another. For details, refer to Arbitrary waveforms. You can add the following file type to the arbitrary waveform playback table:

  • Arbitrary files (*.arb) created from an external application
  • Existing waveforms from the internally-generated modulations
  • Edited waveforms based on the existing internally-generated modulations

When the source plays back an arbitrary waveform, it continuously wraps back to the start of the waveform when it reaches the end. This creates a repetitive waveform. In some situations, you can make faster measurements if you synchronize device measurements with the event of the source returning to the start of the modulation waveform.

  • Measurement results settle faster because the signal analyzer receives the same modulation envelope on each measurement.
  • IQ data averaging allows you to reduce the noise floor because you do not have to average the envelope data.
  • Measurement-to-measurement variations are reduced by measuring at the same point in the arbitrary waveform.

The following configuration allows you to synchronize your device measurements with the modulation waveform playback.

From the instrument front panel interface

  1. Select Menu > Global Settings > Sync Output.
  2. From the Generate a Sync Pulse: drop-down menu, select On ARB waveform wrap.

From the remote interface

SOUT:MODE WRAP

For details, see Arbitrary Waveforms and Sync pulse description and uses.


Arbitrary waveform file characteristics

The Series V2900 can playback any waveform that has the following characteristics:

  • Bandwidth occupies less than 80% of the sample rate
  • Peaks scale to fit within 16-bit signed integers, interleaved I and Q
  • Playback length is a multiple of two (even)

The arbitrary waveform capability can playback modulation waveform types not originated by the Series V2900. Arbitrary waveform files can easily be generated directly in Matlab or LabView. Waveforms from EDA tools and RF system simulators can also be converted to the Series V2900 format.

See To create an arbitrary waveform file.

Note: Example files with IQ descriptions of a waveform are available for download from the Agilent website. If you need a waveform that is slightly different from the existing Series V2900 modulations, contact your Agilent representative. Our application team can generate modified waveforms for specific applications.

Note: To play arbitrary waveform files on the Series V2900 requires the Arbitrary Waveform Generator License Option V2920A-B20 , V2920A-B40 or V2920-B20.See Series V2900 Licensing.

Arbitrary waveform file contents

A Series V2900 arbitrary waveform file (*.arb) is a binary file that contains IQ pairs stored as 16-bit signed integers, the values are interleaved. Preceding the data is a 16-byte header that encodes the sample rate as a 32-bit floating point number and an arbitrary waveform power factor.

The arbitrary waveform power factor specifies the rms power of the signal out, relative to full scale.

Where:

1 = Header
2 = Interleaved I and Q, 16-bit signed integers
3 = Sample rate 32-bit float, sample rate is in Hz
4 = Power factor 32-bit float, where rms_norm is the rms power in the waveform, normalized to unity full scale (divided by 215)
5 = Reserved 32-bit float

The I and Q values are 16-bit signed integers. The largest possible value is 1, but for best distortion, scale so peak voltage is half of that value.

The signed 16-bit format is very common.

  • "short int" in C
  • "*int16" in Matlab
  • "I16" representation in LabView

The floating point 32-bit format is the IEEE 32-bit format.

  • "float" in C
  • "single" in matlab
  • "SGL" representation in LabView

Note: To avoid a discontinuity as the waveform transitions from the end of the data record back to the beginning, make sure that an exact integer number of modulation periods fits within an even number of samples at the output sampling rate and that the data is continuous across this boundary.

Arbitrary waveform power factor

The arbitrary waveform power factor specifies the rms power of the signal out, relative to full scale. By changing this value, you can balance maximum amplitude, distortion, and noise performance.

Example:

If two *.arb files have the same waveform, but one is 10 times smaller, the file with the smaller waveform will output at 10 dB less power, unless the power factor value indicates to the Series V2900 to increase the power. The power factor is in dB.

Power Factor = -10*log10(rms_norm)

Where rms_norm is the rms power in the waveform, normalized to unity full scale. (Divided by 215).

rms =

rms power localized

waveform record size

I and Q Values

Each arbitrary waveform point has an I and a Q value that can range from -1.0 to +1.0. To achieve lower distortion, limit the I and Q values to a range of -0.5 to +0.5.

The resultant magnitude of any I/Q pair is the vector sum of the two values:

Example:

If the I and Q values are equal in scaled magnitude and you want to achieve a vector sum of 0.5, then I and Q would be set at the following values:

Output power

The maximum output power at any arbitrary waveform sample point is +13 dBm.

Example:

If the magnitude of an IQ pair is 0.5, the maximum power available at that sample point would be as follows:

ARB output power

Unless the arbitrary waveform power factor is calculated and supplied with the file, the Series V2900 will indicate the amplitude is 13 dBm, when the actual power is 6.98 dBm.

For this example with a constant amplitude of 0.5, applying an arbitrary waveform power factor of 6.02 dB in the file header makes the Series V2900 indicate the correct output power.


Examples: arbitrary waveform

This example shows how to select a waveform, play it, and then delete the waveform.

RAD:ARB:OPEN "waveform1.arb", 2.5e6; | Specify file name and sample rate. This copies the waveform into arb memory, but does not play it.
RAD:ARB:PLAY "waveform1"; | Tell instrument play the waveform back.
RAD:ARB:DEL "waveform1" | When you are finished, delete the waveform.

If there is a possibility that a waveform with the same name is already loaded, you can use integers to specify the waveform number. The integers start at 1.

Note: Integers become invalid when a record is deleted and the waveforms at the bottom of the table are rippled up.

This example shows how to specify a file name and sample rate and then copy it into arb memory for playback.

RAD:ARB:OPEN "waveform1.arb", 2.5e6; | Specifies file name and sample rate. Also copies the waveform into arb memory, but does not play it.
RAD:ARB:ROW? | This returns a comma separated string, for example: 1, "waveform1", 2500000, 1001 The first value is the row number.
RAD:ARB:PLAY 1 | Playback waveform 1.
RAD:ARB:DEL 1 | Delete waveform 1.


Modulation standards

The Series V2900 can generate waveforms with modulation standards formats. You can edit the waveforms that are provided in the Reference directory for each signal format and save the edited waveform in the User directory for later use. Select one of the modulation formats to learn more:

  • GSM / EDGE
  • cdma2000® Forward Link
  • W-CDMA / 3GPP Downlink
  • GPS Modulation

Note: Generating modulated waveforms on the Series V2900 requires instrument option licenses. See Series V2900 Licensing.


GSM / EDGE

Follow this procedure to set up a GSM / EDGE signal:

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure GSM / EDGE modulation

  1. Press instrument Preset.
  2. Select the Select Modulation button.
  3. Select GSM / EDGE.
  4. Select Waveform File.
  5. Select Open....
  6. Navigate to file to open a waveform file. The file for a GSM / EDGE waveform will have a *.csv notation, indicating it is in a comma separated value format.
  7. Select Waveform file > Load to make the waveform ready for editing or applying to the RF carrier signal.
  8. If necessary, edit the waveform file and then select Load to apply the changes to the waveform.
  9. Select Modulation to apply the modulation to the RF carrier. Notice that the waveform modulation details appear below the Modulation On button.

Select an item from the list to learn more:

  • GSM Waveform File
  • GSM Load
  • GSM Edit
  • GSM Unload

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


GSM edit waveform

The following example and procedure shows how to edit GSM / EDGE waveform files in preparation to applying the waveform to the RF carrier signal.

Access the GSM Edit Dialog box by choosing Select Modulation > GSM / EDGE > Edit.

Note: The following image shows the default GSM / EDGE modulation waveform. Whenever the instrument is Preset, this waveform is automatically chosen for display and editing. Notice that Timeslot 0 as active; it has a green background to the timeslot number. Also, it has a GSM Data Traffic channel burst type at 0dB and PN15 data type.

Alternatively another GSM / EDGE waveform can be loaded and edited.

To edit a GSM timeslot

  • Press the timeslot to be edited, in this example press timeslot 2.

Notice that timeslot 2 is now active with the green background. Timeslot 0 is no longer active.

Also notice, the "Channel Burst Type" text box shows as "Off," as nothing is assigned to it at present.

To edit the channel burst type

  • Press the "Channel Burst Type" text box to change the selection.
  • Press one of the four burst types to select one.

In this example, "Control Downlink" will be selected.

Notice that channel 2 has now been assigned as "Control Downlink."

To edit Timeslot Attenuation

  • Press the Attenuation text box and adjust the front panel knob.

The value was changed to 15.00 dB in this example.

To edit Data Type

  • Press the "Data Type" text box to change the selection.
  • Press one of the eight data types to select one.

In this example, "All Ones" will be selected.

Notice that Data Type text box shows "All Ones."

To edit "Number of frames:"

  • Press the Number of frames text box and adjust the front panel knob.

The value will be changed from 26 to 52 in this example.

Notice the "Number of frames:" text box shows 52.

To edit "Burst mode":

  • Press the "Burst mode" text box to change the selection.
  • Press one of the two burst modes to select one.

In this example, "On - 8 time slots" will be left selected.


GSM waveform file

From here you can open an existing waveform, create a new waveform or rename and save the waveform from the display.


GSM unload

The Unload button has just been selected and the modulation waveform is unloaded. The Modulation Button is not green, and the modulation details below it show no modulation currently loaded.


GSM load

The load button has just been selected and the GSM modulation waveform is loaded. The Modulation Button is green and the modulation details are below it.


cdma2000® forward link

Follow this procedure to set up a cdma2000® signal:

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure cdma2000® modulation

  1. Press instrument Preset.
  2. Select the Select Modulation button.
  3. Select cdma2000® Forward Link.
  4. Select Waveform File.
  5. Select Open....
  6. Navigate to file to open a waveform file. The file for a cdma2000® Forward Link waveform will have a *.csv notation indicating it is in a comma separated variable format.
  7. Select Waveform file > Load to make the waveform ready for editing or applying to the RF carrier signal.
  8. If necessary, edit the waveform file and then select Load to apply the changes to the waveform.
  9. Select Modulation to apply the modulation to the RF carrier. Notice that the waveform modulation details appear below the Modulation On button.

Select an item from the list to learn more:

  • cdma2000® Waveform File
  • cdma2000® Load
  • cdma2000® Edit Waveform
  • cdma2000® Unload
  • cdma2000® Code Domain

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


cdma2000® Edit waveform

This form allows channels to be added subtracted and sorted. Parameters can be selected and edited. The waveform can then be loaded.

Access the cdma2000® Edit dialog box by choosing Select Modulation > cdma2000® Forward Link > Edit.

Notice that when selecting the edit button, the following operations can be carried out:

  • All columns can be selected to be sorted on
  • Existing channels can be selected and deleted (see note below)
  • Additional channels can be added
  • All channels can be turned on or off
  • Selected channels can be normalized to 0 dB. In this example, two channels are at 0 dB, giving a combined power of 3 dB. If the Normalized Power Sum selection is made, the Power Sum would be set to 0 dB and the two individual channels in this example would be set to -3 dB each.
  • The PN Offset for any channels can be set to a value within the range of 0 to 511. The PN Offset for all channels can be set to the same value by selecting: Set All > PN Offset and then choosing a value and selecting: OK.

    Note: Data Symbols type of All Zeros is no longer allowed with Quick Paging channel type. This is done because Quick Paging uses On Off Keying; All Zeros results in no power.


cdma2000® Waveform file

From here you can open an existing waveform, create a new waveform or rename and save the waveform from the display.


cdma2000® Sort Rows

Select Sort Rows and then one of the channel parameters from the drop-down list. The table will then sort on that parameters. For more information look here.


cdma2000® Unload

The Unload button has just been selected and the modulation waveform is unloaded. The Modulation button is not green and the modulation details below it show no modulation currently loaded.


cdma2000® Load

The Load button has just been selected and the modulation waveform is loaded. The Modulation Button is green and the modulation details are below it.


cdma2000® Code Domain

The data held in the table view is displayed graphically in the Code Domain view. The Edit button can be selected to change the waveform.


W-CDMA / 3GPP downlink

Follow this procedure to set up a W-CDMA / 3GPP downlink signal:

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1 GHz default frequency setting as required.

Step 2: Set the signal amplitude

Change the 0 dBm default Amplitude setting as required.

Step 3: Configure W-CDMA modulation

  1. Select the Select Modulation button.
  2. Select the W-CDMA / 3GPP Downlink option.
  3. Select Open...
  4. Navigate to file to open a waveform file. The file for a W-CDMA / 3GPP Downlink waveform will have a *.csv notation indicating it is in a comma separated variable format.
  5. Select Waveform file > Load to make the waveform ready for editing or to apply it to the RF carrier signal.
  6. If necessary, edit the waveform file and then select Load to apply the changes to the waveform.
  7. Select Modulation to apply the modulation to the RF carrier. Notice that the waveform modulation details appear below the Modulation On button.

Select an item from the list to learn more:

  • W-CDMA Waveform File
  • W-CDMA Load
  • W-CDMA Edit Waveform
  • W-CDMA Unload
  • W-CDMA Code Domain

Step 4: Apply RF signal to the output

Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


W-CDMA edit waveform

This form allows channels to be added subtracted and sorted. Parameters can be selected and edited. The waveform can then be loaded.

Access the W-CDMA Edit dialog box by choosing Select Modulation > Standards > W-CDMA / 3GPP Downlink > Edit.

Notice that when selecting the edit button, the following operations can be carried out:

  • All columns can be selected to be sorted on
  • Existing channels can be selected and deleted (see note below)
  • Additional channels can be added
  • All channels can be turned on or off
  • Selected channels can be normalized to 0 dB. In this example, two channels are at 0dB, giving a combined power of 3 dB. If the Normalized Power Sum selection is made, the Power Sum would be set to 0 dB and the two individual channels in this example would be set to -3 dB each.
  • The Scrambling code for all channels can be set to a value within the range of 0 to 511. The Scrambling code for all channels can be set to the same value by selecting: Set All > Scrambling Code and then choosing a value and selecting: OK.

    Note: Data Symbols type of All Zeros is no longer allowed with Quick Paging channel type. This is done because Quick Paging uses On Off Keying; All Zeros results in no power.


W-CDMA waveform file

From here you can open an existing waveform, create a new waveform or rename and save the waveform from the display.


W-CDMA sort rows

Select Sort Rows and then one of the channel parameters from the drop-down list. The table will then sort on the selected parameters. For more information look here.


W-CDMA load

The load button has just been selected and the modulation waveform is loaded. The Modulation Button is green and the modulation details are below it.


W-CDMA unload

The Unload button has just been selected and the modulation waveform is unloaded. The Modulation Button is not green and the modulation details below it show no modulation currently loaded.


W-CDMA code domain

The data held in the table view is displayed graphically in the Code Domain view. The Edit button can be selected to change the waveform.


GPS

The Series V2900 has the ability to simulate a single global positioning system (GPS) receiver testing that allows you to set up the following testing scenarios:

  • Transmit a signal with one of 37 available satellite (space vehicle) ID numbers to test how accurately and quickly your GPS receiver can acquire the satellite signal.
  • Transmit of an RF signal to test the GPS functionality of cellular phones.
  • Capture the signal-to-noise ratio and bit error rate (BER) of your receiver.
  • Observe the effect of adding Doppler shifts.

To learn more about the GPS modulation operation, select one of the following topics:

  • GPS Modulation window
  • To set up a GPS modulation

    Note: Generating a GPS modulated waveform on the Series V2900 requires an instrument option license. See Instrument option license files.


GPS Modulation window

The GPS modulation window allows you to set up and control the modulation:

  • C/A Code enters the satellite or space vehicle ID (SVID). You can choose 1 to 37. The L1 carrier phase will be modulated with the C / A code
  • Data Pattern -- selects from a pre-defined pattern from the drop-down list, or the option to load a user-defined pattern.
    • PN9 Selects a data pattern made up of a PN9 pseudorandom binary sequence.
    • PN15 Selects data pattern made up of a PN15 pseudorandom binary sequence.
    • All Ones Selects a data pattern made up of all binary 1s.
    • All Zeros Selects a data pattern made up of all binary 0s.
    • Square-One Bit Selects a data pattern made up of alternating 0s and 1s.
    • Square-Two Bits Selects a repeating data pattern made up of two 0s and then two 1s.
    • Square-Four Bits Selects a repeating data pattern made up of four 0s and then four 1s.
    • Square-Eight Bits Selects a repeating data pattern made up of eight 0s and then eight 1s.
    • Square-Sixteen Bits Selects a repeating data pattern made up of sixteen 0s and then sixteen 1s.
    • User File Specifies the user-defined pattern file (text file *.csv) that is loaded. This file allows you to modulate the carrier signal with a message of navigation data. The format of the file is as follows:

      <patternLength><separator><patternData>

      where,

<patternLength> = | Decimal value specifying the length of the pattern in bits. This value may be preceded by any amount whitespace or comments and must be in the range of 1 to 37504 bits (300 bits/subframe x 5 subframe/frame x 25 frames/message + 4 to fill the last byte).
<separator> = | A comment, a comma or whitespace (space, tab or newline).
<patternData> = | Hexadecimal digits (0–9, A–F or a–f) interspersed with any amount of separators or comments.
comment = | All characters starting with a '#' character and ending with the first subsequent newline character. An error is generated if any character other than a valid hexadecimal digit, comma or whitespace is in the file outside of a comment.
  • Doppler Shift Enters a value to specify a Doppler shift.
  • L1 carrier Changes the frequency to 1575420000.0 Hz, which is the value that all GPS satellites use as the L1 carrier frequency.
  • Load Generates the GPS modulation waveform. The RF On and Modulation On must also be selected to output a signal from the Series V2900.
  • Unload Stops generating the GPS modulation waveform. The Series V2900 output stops immediately.
  • Modulation On Enables and disables the modulation capability.
  • RF On Enables and disables the RF output.


To set up a GPS modulation

You can set up a GPS modulation waveform from the GPS modulation window. You can control the GPS modulation generation from the modulation window or from the arbitrary waveform table, if the data pattern is < 32 bits. See To playback an arbitrary waveform.

For selected data patterns > 32 bits, the following conditions exist:

  • List mode and sweep mode cannot be enabled.
  • GPS modulation cannot be loaded if list mode or sweep are already enabled.
  • SyncOut on Wrap selection is a SyncOut on Bit Transition.
  • GPS waveform cannot be added to the arbitrary waveform table.

From the front panel interface:

  1. Choose Select Modulation > Standards > GPS.
  2. Select C / A Code and enter the satellite or space vehicle ID (SVID). You can choose 1 to 37. The L1 carrier phase will be modulated with the C / A code.
  3. Select Data Pattern and choose a pre-defined pattern from the drop-down list, or the option to load a user-defined pattern.
    • PN9 -- pseudorandom sequence
    • PN15 -- pseudorandom sequence
    • All Ones -- 11
    • All Zeros -- 00
    • Square-One Bit -- 01
    • Square-Two Bits -- 0011
    • Square-Four Bits -- 00001111
    • Square-Eight Bits -- 0000000011111111
    • Square-Sixteen Bits -- 0000000000000000111111111111
    • User File -- user-created file
  4. If you want to base the data pattern on a file that you have created, select User File > Open.... Navigate to the file location then select the filename and Load.

    The user-defined pattern is loaded from a text file (*.csv) where the format of the file is as follows:

    <patternLength><separator><patternData>

    where,

    <patternLength> = Decimal value specifying the length of the pattern in bits. This value may be preceded by any amount whitespace or comments and must be in the range of 1–37504 bits (300 bits/subframe x 5 subframe/frame x 25 frames/message + 4 to fill the last byte).

    <separator> = A comment, a comma or whitespace (space, tab or newline).

    <patternData> = Hexadecimal digits (0–9, A–F or a–f) interspersed with any amount of separators or comments.

    comment = All characters starting with a '#' character and ending with the first subsequent newline character. An error is generated if any character other than a valid hexadecimal digit, comma or whitespace is in the file outside of a comment.

    Note: The pattern is transmitted in the order of data listed in the file: first to last, starting with the MSB of each digit. Data beyond the specified length are ignored. If the length is not a multiple of four (the number of bits in a hexadecimal digit) only the most significant bits of the final hexadecimal value are transmitted.

  5. Select Doppler Shift and enter a value to specify a Doppler shift in the range of -10 kHz to +10 kHz.
  6. Select Set Frequency to L1 Carrier to change the frequency to 1575420000.0 Hz.
  7. Select Load to output the GPS modulation waveform from the instrument RF output.
  8. Select Modulation On and RF On to enable the modulation and the RF output.
  9. If the data pattern is < 32 bits, you can add the GPS modulation to the arbitrary waveform playback table to quickly switch from playing one waveform to another. You can choose to have the selected waveform play repeatedly, for a set number of times, or until you select another waveform to play back. You can add GPS modulation files with the following types of pre-defined data patterns to the arbitrary waveform table:
    • All Ones
    • All Zeros
    • Square-One Bit
    • Square-Two Bits
    • Square-Four Bits
    • Square-Eight Bits
    • Square-Sixteen Bits
  10. Choose Select Modulation > Arb > Add Arb.
  11. Select Add a copy of the currently outputting modulation.
  12. See To playback an arbitrary waveform and To playback a sequence of arbitrary waveforms.

From the remote programming interface:

[:SOURce]:RADio:GPS:CACode

[:SOURce]:RADio:GPS:DSHift

[:SOURce]:RADio:GPS:PATTern

[:SOURce]:RADio:GPS:PATTern:OPEN

[:SOURce]:RADio:GPS:STATe


File management

The Series V2900 VSG allows you to manage various files that are used by the instrument. Select one of the following categories to learn more about file management for the Series V2900.

  • Upgrading firmware
  • Directory types
  • File information types
  • Managing Series V2900 Licenses
  • External drives
  • File management window
  • File management operations
  • Remote file browser


Upgrading firmware

Note icon Be certain you are downloading and installing the correct firmware for your instrument. There are two types of installation files available:
1. Firmware files for the Agilent Series V2800 and Series V2900 instrument (with a .cab file extension)
-or-
2. Software files for the Agilent Desktop Control Panel application installed on a PC (with a .exe file extension)
_
If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

______
Using the front panel interface:

  1. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  2. Save the file to a location that you can access from the instrument.

    Note icon A USB memory device is convenient for this purpose as you can then use it to transfer the file to the instrument.

  3. On the instrument select Menu > Utilities > Upgrade Firmware.
  4. Navigate to the location of the upgrade file that you just downloaded and saved.
  5. Select (highlight) the file and select Open.
  6. Follow the on-screen prompts to complete the installation.

_
Using the web interface:

Although you can upgrade the instrument firmware from the web interface, you will not be able to detect the progress of the upgrade from the remote interface. You may want to upload the upgrade file to the instrument, and then run the upgrade process locally.

  1. Connect the instrument to a web network that includes your computer.
  2. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  3. Save it to a directory on the computer.
  4. In the web browser, use the instrument IP address as the URL.
    • If you do not know the instrument IP address, select Menu > Utilities > Ethernet Settings from the instrument front panel.
  5. Click Instrument on the web page. The virtual front panel is shown.
  6. Click Menu > Utilities > Upgrade Firmware.
  7. You may need to type the username / password (default is admin / admin) to proceed.
  8. Click Browse and navigate to the location of the file that you just downloaded from the Agilent website.
  9. Click Upload. This copies the file to the instrument firmware upgrade directory.

    Before proceeding, wait for the message "Successfully uploaded file ... Click 'Start Upgrade' to begin the upgrade process."

  10. Click Start Upgrade and then click the file that you uploaded to the instrument.
  11. Click Load.
  12. Follow the prompts to complete the installation.

_

Making room on the instrument's Storage Card

If, in the process of upgrading the firmware, you receive a message that the Storage Card (the instrument's internal memory) is full, use one of the following procedures to remove old .cab (firmware installer) files:

_
Using the Select Upgrade File dialog

Firmware files
-

  1. While in the Select Upgrade File dialog, make sure that "User" is the selected Look In directory.
  2. In the File list, scroll to the bottom of the list to see the old .cab files.

    Note icon Any .cab files listed in the File list are old installer files. Deleting them will not affect the instrument's operation with the present firmware installation.

  3. Select an old .cab file and press the Delete button in the dialog's upper toolbar.
  4. Repeat Step 3 for each old .cab file.

_
Using SCPI commands

  1. Use the :MMEMory:CATalog? command to ascertain what old .cab files existing on the Storage Card.
    • :MMEMory:CATalog? command for Series V2800 instruments
    • :MMEMory:CATalog? command for Series V2900 instruments
  2. Use the :MMEMory:DELete command to delete the old .cab files.
    • :MMEMory:DELete command for Series V2800 instruments
    • :MMEMory:DELete command for Series V2900 instruments


Directory types

The Series V2900 has default directories for saving and opening specific types of files.

  • Instrument setups user directory is for saving and opening setup files that describe the entire instrument state.
  • Firmware upgrade user directory is for uploading the latest firmware upgrade file so you can load it into the instrument. You can also upgrade the firmware directly from a USB flash drive or a networked directory.
  • List mode user directory is for saving list description files to open in list mode. Each list point includes a value for frequency, power, and dwell. You can sequence any modulated or unmodulated waveform through a list.
  • License import user directory is for saving modulation waveform license files.
  • cdma2000® reference directory is for opening read-only cdma2000® signal format files.
  • cdma2000® user directory is for saving and opening edited cdma2000® signal format files.
  • W-CDMA reference directory is for opening read-only W-CDMA signal format files.
  • W-CDMA user directory is for saving and opening edited W-CDMA signal format files.
  • GSM/EDGE reference directory is for opening read-only GSM/EDGE signal format files.
  • GSM/EDGE user directory is for saving and opening edited GSM/EDGE signal format files.
  • ASK user directory is for saving and opening edited ASK modulation files.
  • FSK user directory is for saving and opening edited FSK modulation files.
  • PSK user directory is for saving and opening edited PSK modulation files.
  • QAM user directory is for saving and opening edited QAM modulation files.
  • Arbitrary user directory is for modulation waveforms that you can play back through the arbitrary waveform generator.
  • Sequence user directory is for saving and opening arbitrary waveform sequence files.

    Note: The Series V2900 has 2 Gb of combined memory storage available for the various User and Reference directories.


File information types

The Series V2900 allows you to save, open, and manage files with the following types of information:

  • Instrument setups
  • Arbitrary modulation file characteristics
  • List descriptions
  • Modulation waveforms
  • License files
  • Firmware upgrades


Firmware upgrade

On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com and run the installation from the instrument screen or the LXI web interface.

  • For the Agilent V2820A, www.agilent.com/find/V2820A.
  • For the Agilent V2920A, www.agilent.com/find/V2920A

Access the firmware upgrade dialog box by selecting Menu > Utilities > Upgrade Firmware...

See Upgrading firmware for instructions.


AGILENT TECHNOLOGIES, INC. SOFTWARE LICENSE TERMS

____

ATTENTION: USE OF THE SOFTWARE IS SUBJECT TO THE LICENSE TERMS SET FORTH BELOW.

IF YOU DO NOT AGREE TO THESE LICENSE TERMS, THEN (A) DO NOT INSTALL OR USE THE SOFTWARE, AND (B) YOU MAY RETURN THE SOFTWARE FOR A FULL REFUND, OR, IF THE SOFTWARE IS SUPPLIED AS PART OF ANOTHER PRODUCT, YOU MAY RETURN THE ENTIRE PRODUCT FOR A FULL REFUND. NOTWITHSTANDING ANYTHING TO THE CONTRARY IN THIS NOTICE, INSTALLING OR OTHERWISE USING THE SOFTWARE INDICATES YOUR ACCEPTANCE OF THESE TERMS.

____

AGILENT SOFTWARE LICENSE TERMS

____

Software. "Software" means one or more computer programs in object code format, whether stand-alone or bundled with other products, and related documentation.

License Grant. Agilent grants you a non-exclusive license to use one copy of the Software for internal purposes in accordance with these License Terms and the documentation provided with the Software. Such documentation may include license terms provided by Agilent's third party suppliers, which will apply to the use of the Software and take precedence over these License Terms. In the absence of documentation specifying the applicable license, you may use one copy of the Software on one machine or instrument. If the software is licensed for concurrent or network use, you may not allow more than the maximum number of authorized users to access and use the software concurrently.

License Restrictions. You may make copies or adaptations of the Software only for archival purposes or only when copying or adaptation is an essential step in the authorized use of the Software. You must reproduce all copyright notices in the original Software on all permitted copies or adaptations. You may not copy the Software onto any public or distributed network.

Upgrades. This license does not entitle you to receive upgrades, updates or technical support. Such services may be purchased separately.

Ownership. The Software and all copies thereof are owned and copyrighted by Agilent or its third party suppliers. Agilent and its third party suppliers retain all right, title and interest in the Software. Agilent's third party suppliers may protect their rights in the Software in the event of any violation of these License Terms.

No Disassembly. You may not disassemble or otherwise modify the Software without written authorization from Agilent, except as permitted by law. Upon request, you will provide Agilent with reasonably detailed information regarding any permitted disassembly or modification.

High Risk Activities. The Software is not specifically designed, manufactured or intended for use in the planning, construction, maintenance or direct operation of a nuclear facility, nor for use in on line control or fail safe operation of aircraft navigation, control or communication systems, weapon systems or direct life support systems.

Transfer. You may transfer the license granted to you here provided that you deliver all copies of the Software to the transferee along with these License Terms and pay any applicable fees to the extent permissible under local laws. The transferee must accept these License Terms as a condition to any transfer. Your license to use the Software will terminate upon transfer.

Termination. Agilent may terminate your license upon notice for breach of these License Terms. Upon termination, you must immediately destroy all copies of the Software.

Export Requirements. If you export, re-export or import Software, technology or technical data licensed hereunder, you assume responsibility for complying with applicable laws and regulations and for obtaining required export and import authorizations. Agilent may terminate this license immediately if you are in violation of any applicable laws or regulations.

U.S. Government Restricted Rights. Software and technical data rights granted to the federal government include only those rights customarily provided to end user customers. Agilent provides this customary commercial license in Software and technical data pursuant to FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for the Department of Defense, DFARS 252.227-7015 (Technical Data - Commercial Items) and DFARS 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation).


External drives (memory storage)

In addition to the instrument internal file storage directories, you have the following external drives available to help you manage your files.

  • USB memory sticks (up to four)
  • Networked drives (Windows OS)

See Share files or folders for details on managing files on networked drives.


File management window

All file management windows have the following buttons and information fields:

  • Refresh updates the directories and files to show the current structure.
  • Up moves the current directory up one level in the directory structure.
  • Copy duplicates a highlighted (selected) file to the location you specify.
  • Cut removes a highlighted (selected) file from the directory and allows you to place it (paste) in a different location that you specify.
  • Paste places a file in a location that you have specified.
  • Rename changes the name of a highlighted file.
  • Delete removes a highlighted file from the directory.
  • New Folder creates a new folder that you name in the current directory.
  • Look In: displays a menu of the available directories or drives.
  • Save or Open saves or opens a highlighted file, depending on the type of file operation.
  • File name: shows the name of the file currently highlighted (selected).
  • Files of type: shows the type of file currently highlighted (selected).


File management operations

Select from the following procedure categories to learn how to manage various types of files:

  • Save a file
  • To save a digital modulation waveform
  • To save an instrument setup file
  • Open or load a file
  • Upgrading firmware
  • To open a digital modulation waveform file
  • To load a list description file
  • Playback an arbitrary waveform
  • Load an instrument setup file
  • Copy or move a file
  • Rename a file or folder
  • Delete a file or folder
  • Folder or drive sharing
  • Share a drive, files or folders
  • Managing Series V2900 Licenses


Save a file

Select the following procedures to learn how to save the various types of files:

  • Instrument setups
  • Signal formats and digital modulations


To save a modulation file

You can save a signal format and modulation file in the following ways:

  • After you have opened a licensed signal format file from the Reference directory (standard signal formats, only) and modified it, you can save it with a different file name in the User directory.
  • After you have opened a modified signal format or modulation file from the User directory, you can either save it with the same name and location, or save it with a different name or location.

With the front panel interface:

  1. Choose Select Modulation and select the modulation type of the file you want to save.
  2. Select Waveform File.
    • If you want to save a licensed signal format file, select (highlight) the file in the Reference directory and select Copy. In the Look In field, select the User directory or another directory location. Select Paste.
    • If you want to save an opened file, select Save or Save As..., select the keyboard button, and enter a filename. In the Look In field, select a folder or drive location. Select Save.

With the remote programming interface:

See To copy or move a file for details on using the command MMEM:DATA to copy a signal format or digital modulation file to a User directory.


Open or load a file

Select the following procedures to learn how to open or load the various types of files:

  • Instrument setups
  • Playback an arbitrary waveform
  • Lists descriptions
  • Modulation files
  • Instrument software upgrades


To open a digital modulation waveform file

You can save the following files to open and load into the Series V2900 to output from the instrument RF out:

  • Analog modulations:
    • AM
    • FM
    • Pulse
    • Phase
    • Noise
    • 2 Tone
  • Standard signal formats:
    • GSM / EDGE
    • cdma2000
    • W-CDMA
    • GPS
  • Digital modulations:
    • ASK
    • FSK
    • PSK
    • QAM

With the front panel interface, or with the LXI Web Interface:

  1. Choose Select Modulation and the type of modulation you want.
    • For standard signal formats, select Standard and then the signal format.
    • For digital modulations, select Digital and then the modulation.
    • For analog modulations, select Analog and then the modulation.
  2. Select Waveform File > Open.
    • If the file that you want is in the Reference directory (standard signal formats, only) select the file.
    • If the file is in the User directory or another location, in the Look in: select the directory where the file is located. Select the filename.
  3. Select Open > Load.
  4. Make sure that the following conditions exist:
    • Modulation check box is selected.
    • RF check box is selected.
    • Correct modulation file name appears under the Loaded: section of the main status area.

With the remote programming interface:

You can use the programming command RAD:CDMA|GSM|WCDMa:LOAD to load a file from a directory in the instrument, a USB memory device inserted into the instrument, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory Path in Programming Message
CDMA Reference (default) | filename
CDMA User | \User\filename
GSM / EDGE Reference (default) | filename
GSM / EDGE User | \User\filename
W-CDMA Reference (default) | filename
W-CDMA User | \User\filename
Another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

Note: All modulation waveform Reference directories in the instrument are read-only.

Example:

Use the following to load a file from the appropriate User directory.

:RAD:CDMA:LOAD "\user\myFile.csv"

:RAD:GSM:LOAD "\user\myFile.csv"

:RAD:WCDMa:LOAD "\user\myFile.csv"


To load a list description file

You can load a list description file that has already been copied to the instrument list User directory. You must create the list description file in an external application, such as Excel or Notepad. You must make all modifications to the list file from the application that you used to create it.

Example list file:

LIST Version 0.1,,

Begin Table,,

Frequency(Hz),Power(dBm),Dwell(sec)

9.95E+08,0,0.1

9.97E+08,0,0.1

9.99E+08,0,0.1

1.00E+09,0,0.1

1.00E+09,0,0.1

1.01E+09,0,0.1

Note: If either the sweep mode or the arbitrary waveform sequence mode is active on the Series V2900, you must stop the signal generation for that mode before starting the list mode. The sweep, list, and waveform sequence modes must have exclusive operation of the Series V2900. Switch one mode off before attempting to switch another mode on.

With the front panel interface:

  1. Select Menu > Global Settings > List Mode > Open List File.
  2. If the file that you want is in the User directory, select (highlight) the file.
  3. If the file is in another location, in the Look in: field, select the directory where the file is located. Select the list filename.
  4. Select Load > Start List.
  5. Make sure that the following conditions exist:
    • Frequency and Amplitude fields show List.
    • RF check box is selected.

With the remote programming interface:

You can use the programming command LIST:LOAD to load a file from a directory in the instrument, a USB memory stick inserted into the instrument, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory Path in Programming Message
List User (default) | filename
Another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

To open a list file that is already in the instrument List User directory, use the SCPI command :LIST:LOAD "\user\listname.csv".


Rename a file or folder

  1. Open the directory that contains the file (folder) you want to rename (in Look In, select the drive or folder that contains the file (folder) you want to rename).
  2. Select (highlight) the file (folder) you want to rename.
  3. Select Rename.
  4. Type the new name and select Enter.


To copy or move a file

The first copy/move procedure is intended for the following file types:

  • Instrument setups
  • Arbitrary modulation waveforms
  • Lists descriptions
  • Modulation files

The last move procedure is intended only for the following file type:

  • Instrument option licenses

With the front panel interface:

  1. Open the directory that contains the file you want to copy (In Look In:, select the drive or folder that contains the file you want to copy).
    • For instrument setup files, choose Menu > Load Setup.
    • For arbitrary waveform files, choose Select Modulation > Arb > Add Arb > Add Arb File.
    • For list description files, select Menu > Global Settings > List Mode > Open List File.
    • For signal format or digital modulation files, choose Select Modulation > the desired modulation > Waveform File > Open.
  2. Select (highlight) the file you want to copy or move.
    • To copy the file, select Copy.
    • To move the file, select Cut.
  3. In Look in:, select the directory or drive where you want to place the file.
  4. Select Paste.

Refer to Remote File Browser for information on the browser built into the LXI web interface.

With the remote programming interface:

To copy the currently playing digital modulation to the User Arb directory.

:RAD:ARB:COPY

You can also use the programming command MMEM:DATA to copy a file to a directory in the instrument or a USB memory stick inserted into the instrument. To copy a file to one of the available directories, use the following paths in the programming message.

Model 2910 Directory | Directory Path in Programming Message
cdma2000® User | \cdma2000®\Forward Link\User
W-CDMA User | \W-CDMA\Down Link\User
GSM / EDGE User | \GSM EDGE\User
Arbitrary User | \ARB\User
List User | \List\User
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

Note: All modulation waveform Reference directories in the instrument are read-only.

Example:

The following command creates a file named "example1.txt" on a USB memory stick that is inserted in the instrument.

MMEM:DATA "\USB\example1.txt", #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the contents of the file "example1.txt."


To delete a file or folder

_____
From the front panel interface:

  1. From the relevant modulation dialog, click the Open or Add button to view the dialog that shows the directory contents on the instrument.
  2. Open the directory that contains the file (folder) you want to delete.
  3. In the Look In box, select the drive or folder that contains the file (folder) you want to delete.
  4. Select (highlight) the file (folder) you want to delete.
  5. Select Delete.

From the front panel interface:

  1. Open the LXI web interface and use the Remote File Browser to browse for the file or folder.
  2. Select and delete the target file or folder.

_____
Using the remote programming interface:

  • [:SOURce]:RADio:ARB:DELete
  • :MMEMory:DELete


Folder or drive sharing

You can make a connection between the instrument and any Windows computer drive to share or manage files across the multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

Note icon You can only establish a shared folder from the front panel interface and if a password is required, you will need a USB keyboard attached to the instrument.

Note icon When the power is cycled on the instrument, the drive sharing path must be re-established.

Share a drive, files or folders

Share a drive, files or folders on the network:

You can make a connection between the instrument and any Microsoft® Windows computer drive to share or manage files across multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

______

Note icon You can only establish a shared folder from the front panel interface, and if a password is required, you will need a USB keyboard attached to the instrument.

______

Note icon When the power is cycled on the instrument, the drive sharing path must be re-established.

______

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

After setting up the shared folder, all file dialogs will include the shared folder as a selection under Look In. If the shared path has multiple directories, only the last directory is displayed in Look In.

For example:

\\mycomputer\public shows as "public"

\\mycomputer\public\example shows as "example"

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address.

  1. From the instrument screen, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.
  5. This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.
  6. Select Close to close the dialog.


Remote file browser

The LXI web interface offers a generic file manager for moving PC files to the instrument and for managing files on the instrument. You will find that this feature is similar to Microsoft® Windows Explorer®.

To access the remote browser:

  1. To access the LXI web interface, launch a web browser and use the LAN-connected instrument IP address for the URL; for example, http://192.40.128.183.
    • If you do not know the instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, refer to Ethernet Settings.
  2. In the left-hand navigation area on the LXI web interface, click Instrument.
  3. In the instrument front panel view, Menu > File > Remote File Browser...
  4. When you are presented with a dialog box to enter a user name and password, use admin for both the user name and password fields.

_____
The following functions are supported:

  • Up moves the current directory up one level in the directory structure
  • Cut removes a highlighted (selected) file from the directory and allows you to place it (paste) in a different location that you specify
  • Copy duplicates a highlighted (selected) to the location that you specify
  • Paste places a file in a location that you have specified
  • New folder creates a new folder that you name in the current directory
  • Delete removes a highlighted file from the directory
  • Rename changes the name of a highlighted file
  • Folder options allows you to Select All, Select None, or Invert Selection of the folders selected
  • Upload allows you to upload waveform files to the instrument
  • Sorting allows you to sort files or folders by name, size, type or date modified

Ctrl-left click allows you to select multiple files from a list for manipulation. Drag-and-drop operation is not supported.

Insert a USB memory stick into any of the standard USB ports on the instrument, and the remote file browser can access the device for file manipulation or uploading of waveform files contained in the USB memory stick.


Controlling the Instrument via Desktop Control Panel

This feature is presently available only for the Agilent V2920A instrument.

---------
The Agilent Series V2900 Vector Signal Generator Desktop Control Panel application provides full control of your instrument from the convenience of your PC. Using Desktop Control Panel, you have the same control of the instrument as you would by using the instrument's touch screen user interface. Likewise, you have the same remote control capability with SCPI interface.

________________
For details, see:

  • Desktop Control Panel Overview
  • Desktop Control Panel Interface vs. Instrument Touchscreen Interface
  • Installing the Desktop Control Panel Program
  • Running the Desktop Control Panel Program
  • Controlling Multiple Instances of Desktop Control Panel
  • Using Desktop Control Panel in a MIMO Application
  • Controlling the Desktop Control Panel via SCPI
  • Desktop Control Panel Troubleshooting


Desktop Control Panel Overview

---------

This feature is presently available only for the Model V2920A instrument.

---------
The Agilent Series V2900 Desktop Control Panel program provides full control of your Series V2900 Vector Signal Generator from the convenience of your PC. Using Desktop Control Panel, you have the same control of the instrument as you would by using the instrument's touch screen user interface. Likewise, you have the same remote control capability with SCPI interface.

View of Series V2800 VSA Desktop Control Panel user interface

Series 2800 Desktop Control Panel

View of Series V2900 VSG Desktop Control Panel user interface

Series 2900 Desktop Control Panel

____
See Also:

  • Differences between Desktop Control Panel interface and instrument touchscreen interface
  • While the Desktop Control Panel software is running
  • Installing the Desktop Control Panel Program
  • Running the Desktop Control Panel Program
  • Controlling Multiple Instances of Desktop Control Panel
  • Using Desktop Control Panel in a MIMO Application
  • Controlling the Desktop Control Panel via SCPI
  • Desktop Control Panel Troubleshooting
  • Instrument touchscreen interface tour
    • Series V2800 only
    • Series V2900 only
  • SCPI command reference
    • Series V2800 only
    • Series V2900 only


Desktop Control Panel Interface vs. Instrument Touchscreen Interface

Following is a list of the differences between the instrument's Desktop Control Panel user interface and the Series V2900 touchscreen user interface:

While Desktop Control Panel program is running the following are disabled:

  • Touchscreen interface
  • LXI web interface
  • Digital I/O on the instrument back panel
  • Preset and Local buttons, knob and puck on the instrument front panel
  • Communication with the instrument over GPIB, USB, and LAN at the instrument's IP address (communication via LAN [socket only] at the PC's IP address is still supported)
    ____

_

When you exit the Desktop Control Panel program the above items are re-enabled, and the instrument performs a system preset (:SYSTem:PRESet). The following settings are retained when you switch between the instrument touchscreen interface and the Desktop Control Panel program:

  • Frequency reference settings
  • Low phase noise setting
  • Arbitrary waveforms and sequence (Series V2900 instruments only)

___
See Also:

__

Series V2800 VSA

Series V2900 VSG

Touchscreen interface tour

Touchscreen interface tour

LXI web interface

LXI web interface

Digital I/O

Digital I/O

Front panel tour

Front panel tour

Frequency reference settings

Frequency reference settings

Low phase noise setting

Low phase noise setting

Arbitrary waveforms and sequence

___
File management:

  • The Desktop Control Panel interface uses the PC hard drive and any peripheral or network storage devices.
  • When using the :MMEMory:DATA command, you must specify the path to the file.

___
Differences in Desktop Control Panel menu selections

  • No Screen Saver (use the PC's screen saver capability)
  • Dialogs related to remote communication are removed
  • Ethernet settings changed (some menus gone)
  • Additional menu command: Menu > Exit

--------

See Also:

  • Controlling the instrument via Desktop Control Panel


Installing the Desktop Control Panel Program

Use the applicable procedure for installing the Agilent Series V2900 Desktop Control Panel program on your computer.

Note icon Be certain you are downloading and installing the correct software for your PC. There are two types of installation files available, one for the Desktop Control Panel application (*.exe) and one for the Series V2900 instrument firmware (*.cab). The installation file for the Desktop Control Panel must end with the file extension .EXE. If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

______

  • Installation instructions for Windows® XP® (Desktop Control Panel)
  • Installation instructions for Windows® Vista® (Desktop Control Panel)

_________
See also:

  • System Requirements
  • Troubleshooting the Series V2900 Desktop Control Panel Installation (Windows XP)
  • Troubleshooting the Series V2900 Desktop Control Panel Installation (Windows Vista)
  • Controlling Multiple Instances of Desktop Control Panel


System Requirements for Desktop Control Panel

PC Requirements

  • 2.4 GHz Intel® Pentium® processor or better
  • Minimum 2.0 GB RAM
  • 10 GB free disk space
  • Minimum 1024 x 768 screen resolution
  • Microsoft® Windows® XP Professional (Service Pack 2 or later)
    -- or --
    Microsoft® Windows® Vista Business or Vista Business 64-bit

USB Cable Requirements

  • USB 2.0 A/B cable

    The FROM HOST connector on the instrument is a female Type B (standard) USB connector.

  • Maximum recommended length
    • Single cable: 5 meters (16 feet)
    • USB hub: Up to 5 USB hubs are allowed in a chain. The maximum distance is 30 meters (98 feet) between the computer and the instrument.


Installation instructions for Windows® XP® Desktop Control Panel

These are the installation instructions for the Desktop Control Panel software, that allows full control of the Agilent Series V2900 Vector Signal Generator from your PC.

Note icon These instructions are for Windows XP 32-bit systems only.

What you will need

  • Latest version of Desktop Control Panel software
  • Agilent Series V2900 Vector Signal Generator
  • Desktop or laptop PC with at least one available USB port, running Windows® XP® (32-bit)
  • USB cable with standard Female A and Female B connectors. Length determined by proximity of instrument to the PC but not to exceed 15 feet. Longer extensions require signal amplification.
    (Click here to view picture)

    USB Cable Photos

Part 1. Get the software

  • Download the software:
    • For the Series V2800, go to www.agilent.com/find/V2820A.
    • For the Series V2900, go to www.agilent.com/find/V2920A.

    - or -

  • Install the software directly from the Agilent Series V2900 CD.

    - or -

  • Contact your Agilent representative.

    Note icon Be certain you are downloading and installing the correct software for your PC. There are two types of installation files available, one for the Agilent Desktop Control Panel application (*.exe) and one for the Agilent Series V2900 Vector Signal Generator (*.cab). The installation file for the Desktop Control Panel must end with the file extension .EXE. If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

Part 2. Install the software

  1. Disconnect any Agilent USB devices from the PC.
  2. Launch the Desktop Control Panel installer by using one of the following methods:
    1. Double-click the 2910.exe file.
    2. Select Start > Run then use the Browse button to navigate to the 2910.exe file, then click OK.
  3. When the Series V2900 Desktop Control Panel installation wizard opens, click Next.
  4. Read the license agreement and accept the terms, then click Next.

    2800-PC license agreement
  5. Select Complete from the Setup Type installation screen.
  6. Click Next from the Ready to Install dialog.
  7. If you have not already removed all Agilent USB devices from your PC, do so now, then click Next to dismiss the warning.
  8. There are several "Windows Logo testing" warning dialogs displayed during this phase of the installation process, and will take several minutes to complete. Please click Continue Anyway on each of them.

    Compatibility testing warning
  9. Click Finish on the Agilent installation wizard when prompted.

Part 3. Connect your hardware

  1. Power up your Agilent Series V2900 Vector Signal Generator.
  2. Connect the instrument to an available USB port on the PC and to the USB port on the rear panel of the signal analyzer labeled (FROM HOST).
  3. The "Welcome to the Found New Hardware Wizard" is displayed. . Select "No, not this time" then click Next

    2800-PC Found New Hardware Wizard
  4. Choose "Install the software automatically (Recommended)" then click Next to continue.

    2800-PC Found New Hardware wizard
  5. When the Windows Logo testing dialog is displayed, click Continue Anyway.

    Compatibility testing warning
  6. Repeat Steps 3, 4 and 5 until the "Found New Hardware Wizard" and "Windows Logo testing" cautions are no longer displayed. This occurs several times and is a normal part of the installation process. There are several USB drivers and driver updates being installed at this time.

    Note icon If you have problems installing the Desktop Control Panel software or drivers, please refer to Troubleshooting the Series V2900 Vector Signal Generator Desktop Control Panel Installation for more information.

    _

  7. Watch for the hardware installation icon Windows XP hardware installation icon in the System Tray (lower-right corner of the screen), as it will disappear when the hardware installation is complete. It may take a few moments for this process to complete.
  8. You can now start the Desktop Control Panel software and connect your equipment. See Running the Desktop Control Panel software for information about starting and running the software.


Installation instructions for Windows® Vista® Desktop Control Panel

These are the installation instructions for the Desktop Control Panel software, that allows full control of the Agilent Series V2900 from your PC.

Note icon These instructions are for Windows® Vista® 32-bit systems only.

What you will need

  • Latest version of Desktop Control Panel software
  • Agilent Series V2900 Vector Signal Generator
  • Desktop or laptop PC with at least one available USB port, running Windows® Vista® (32-bit)
  • USB cable with standard Female A and Female B connectors. Length determined by proximity of instrument to the PC but not to exceed 15 feet. Longer extensions require signal amplification.
    (Click here to view picture)

    USB Cable Photos

Part 1. Get the software.

  • Download the software:
    • For the Series V2800, go to www.agilent.com/find/V2820A.
    • For the Series V2900, go to www.agilent.com/find/V2920A.

    - or -

  • Install the software directly from the Agilent Series V2900 CD.

    - or -

  • Contact your Agilent representative.

Note icon Be certain you are downloading and installing the correct software for your PC. There are two types of installation files available, one for the Agilent Desktop Control Panel application (*.exe) and one for the Agilent Series V2900 Vector Signal Generator(*.cab). The installation file for the Desktop Control Panel must end with the file extension .EXE. If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

Part 2. Install the software

Note icon Windows Vista has an additional security feature called User Account Control. This prevents unauthorized installation of programs on your PC, and requires you to approve each step of the installation. To disable this feature, go to Start > Control Panel > User Accounts> Turn User Account Control On or Off then select Off.

  1. Disconnect any Agilent USB devices from the PC.
  2. Launch the Desktop Control Panel installer by using one of the following methods:
    1. Double-click the 2910.exe file
    2. Select Start > Run then use the Browse button to navigate to the 2910.exe file, then click OK.
  3. When the AgilentSeries V2900 Desktop Control Panel installation wizard opens, click Next.
  4. Read the license agreement and accept the terms, then click Next.

    2800-PC license agreement
  5. Select Complete from the Setup Type installation screen then click Next.
  6. Click Install from the Ready to Install dialog.
  7. If you have not already removed all Agilent USB devices from your PC, do so now, then click OK to dismiss the warning.
  8. There are several "Windows Security" warning dialogs displayed during this phase of the installation process. Please click Install this driver software anyway or Install on each of them.

    2800-PC Vista Driver Installation Warning
    Windows Vista Security Warning
  9. Click Finish on the Agilent installation wizard when prompted.

Part 3. Connect your hardware

  1. Power up your Agilent Series V2900 Vector Signal Generator.
  2. Connect the instrument to an available USB port on the PC and to the USB port on the rear panel of the signal analyzer labeled (FROM HOST).
  3. The "Installing device driver software" dialog is displayed.

    2800-PC Installing device drivers (Vista)
  4. When the device drivers are installed, the "Your devices are ready to use" dialog is displayed.

    2800-PC Windows Driver Install (Vista)

    Note icon If you have problems installing the Desktop Control Panel software or drivers, please refer to Troubleshooting the Series V2900 Vector Signal Generator Desktop Control Panel Installation for more information.

  5. You can now start the Desktop Control Panel software and connect your equipment. See Running the Desktop Control Panel software for information about starting and running the software.


Troubleshooting the Series V2900 Vector Signal Generator Desktop Control Panel Installation (Windows XP)

Hardware installation fails:---

Problem:

The hardware is not installed, and the following Hardware Installation wizard error is displayed:

2800-PC Hardware installation error

This indicates that your PC is configured to block drivers that have not passed WHQL certification. Use the following procedure to manually install the drivers.

---------

Solution:

Note icon To install the driver, you must have Administrator privileges on your PC.

  1. Go to Start > Control Panel > System, click on the Hardware tab then click the Driver Signing button to open the dialog shown below.

    2800-PC driver signing options dialog
  2. Choose either the Warn or Ignore option, deselect the Administrator option "Make this action the system default".
  3. Click OK.
  4. Disconnect, then reconnect, your Series V2900 USB cable to open the New Hardware Found wizard again.
  5. If you select Ignore, no error dialogs are displayed and the driver is installed.
  6. If you select Warn, you will continue to receive the Windows Logo testing error, and will have to select the Continue Anyway button several times to complete the driver installation.

_________

Problem:

The automatic driver installation procedure fails.

---------

Solution:

If the automatic installation fails for any reason, follow the procedure below to install the drivers manually.

Note icon Note the name of the device, "Agilent Vector Signal Generator" or "Agilent V2920A USB Device" shown in the Found New Hardware wizard as you will need that in a later step.

  1. Disconnect then reconnect the Agilent Series V2900 Vector Signal Generator's USB cable to open the Hardware Update Wizard again.
  2. From the "Welcome to the Hardware Update Wizard" select "Install from a list or specific location (Advanced)" then click Next.

    New Hardware Wizard - Windows XP
  3. Select "No, not this time" then click Next.

    2800-PC Found New Hardware wizard
  4. Select "Search for the best drivers in these locations" and "Include this location in the search" then click the Next button.

    Windows XP Found New Hardware Wiz
    1. If the detected USB hardware is named "Agilent Vector Signal Generator" navigate to C:\Program Files\Agilent Technologies\Agilent Series V2900 RF Signal Generator\Drivers\FtdiUsb and click Next to complete the installation.
    2. If the detected USB hardware is named "Agilent V2920A USB Device" browse to C:\Program Files\AgilentTechnologies\Agilent Series V2900 RF Signal Generator\Drivers\CypressUsb and click Next to complete the installation.
  5. Windows should now find the correct drivers.
  6. From the Windows Logo testing warning, click Continue Anyway. You may need to do this several times.

    Compatibility testing warning
  7. When the procedure is complete you can start the Desktop Control Panel software.

    Note icon The program paths noted above are the default installation locations for the Desktop Control Panel software. If you have installed the software to a different location, use that path instead.

Install the driver manually

Note icon To install the driver, you must have Administrator privileges on your PC.

Go to the Device Manager and look at the Universal Serial Bus controllers.

  1. Go to Start > Control Panel > System to open the System Properties dialog.
  2. Click the Hardware tab, then click the Device Manager button to open the dialog window.
  3. Scroll down the list then open the Universal Serial Bus controllers entry.
  4. Note the listings with the yellow warning icon (image below is example only, showing controllers for the Series V2800):

    2800-PC device manager usb error
  5. Double-click the desired USB device to open the USB Device Properties window.
  6. Select the Driver tab, then click the Uninstall button.
  7. From the Confirm Device Removal window, click the OK button to remove the USB device.
  8. Reinstall the device driver using one of the following methods:
    1. Either unplug the USB cable of the instrument and plug it back in to the PC prompt the Found New Hardware wizard.
      -or-
    2. From the Device Manager select Action > Scan for Hardware Changes or click the Scan for Hardware Changes icon to have Windows scan for the new hardware.
  9. Install the drivers according the instructions for your operating system.

______

See also:

Desktop Control Panel installation instructions for Windows® XP®


Troubleshooting the Series V2900 Vector Signal Generator Desktop Control Panel Installation (Windows Vista)

Hardware installation fails:

------------------

Problem:

The automatic installation procedure fails.

---------

Solution:

If the automatic hardware installation fails for any reason, follow the procedure below to install the drivers manually.

Note icon Note the name of the device, "Agilent Vector Signal Generator" or "Agilent V2920A USB Device" shown in the Found New Hardware wizard as you will need that in a later step.

  1. Disconnect then reconnect the Agilent Series V2900's USB cable to open the Found New Hardware wizard again.
  2. From the "Windows needs to install driver software for your RF Products DSP (COM5)" select "Locate and install driver software (recommended)".

    Found New Hardware dialog
  3. From the next window, select "I don't have the disc. Show me other options."

    Insert Disc to Continue
  4. Select "Browse my computer for driver software (advanced)" to locate and install the driver software manually.

    Select the Browse button
    1. If the detected USB hardware is named "Agilent Vector Signal Generator" navigate to C:\Program Files\Agilent Technologies\Agilent Series V2900 RF Signal Generator\Drivers\FtdiUsb and click Next to complete the installation.
    2. If the detected USB hardware is named "Agilent V2920A USB Device" browse to C:\Program Files\Agilent Technologies\Agilent Series V2900 RF Signal Generator\Drivers\CypressUsb and click Next to complete the installation.

    USB driver path

  5. Windows will now find the correct drivers.
  6. From the Windows Security warning window, select "Install this driver anyway".

    Select Install this driver anyway
  7. When the procedure is complete, a window is displayed indicating the device was successfully installed. Click the Close button.
  8. You can now start the Desktop Control Panel software.

Note icon The program paths noted above are the default installation locations for the Desktop Control Panel software. If you have installed the software to a different location, use that path instead.

______

Install the driver manually

Note icon To install the driver, you must have Administrator privileges on your PC.

Problem:

The hardware is not installed, and the following Hardware Installation wizard error is displayed:

Vista Hardware Installation Failure

---------

Solution:

Note icon To install the driver, you must have Administrator privileges on your PC.

  1. Go to Start > Control Panel > System, then click the Device Manager link in the Tasks pane.

    Vista Select Device Manager
  2. Double-click the RF Products DSP listing with the warning icon to open the driver properties page.

    Vista Device Manager Tree
  3. Click the Driver tab then click the Uninstall button.
  4. From the Confirm Device Uninstall window, click the OK button to remove the USB device.
  5. Reinstall the device driver using one of the following methods:
    1. Either unplug the USB cable of the instrument and plug it back in to the PC prompt the Found New Hardware wizard.
      -or-
    2. From the Device Manager right-click on the USB device with the warning icon then select Scan for Hardware Changes to have Windows scan for the new hardware.
  6. Install the drivers according the instructions for your operating system.

_______

See also:


Running the Desktop Control Panel software

To run the Desktop Control Panel software, go to Start > Programs > Agilent Technologies > Series V2900 Desktop Control Panel.

Host-on-PC Launch
__NOTE: Illustration above shows program group links for Series V2800 Desktop Control Panel installation.

---------

If you have more than one Agilent device connect via USB, you will be prompted to select the instrument according to its serial number.

---------

When the Desktop Control Panel software launches, the start-up status displays briefly before the main user interface is displayed.

____________

Help System: A link to the Series V2900 help system is also included in the program group, thus providing easy access to product user documentation.

____________
See Also:

  • Launching Desktop Control Panel from the command line
  • While the Desktop Control Panel software is running
  • Desktop Control Panel troubleshooting


Launching Desktop Control Panel from the command line

The goal of the command line options is to allow you to strictly control:

  • The instrument hardware (serial number) the Desktop Control Panel software connects to
  • The SCPI listen port the Desktop Control Panel software uses

_
This is especially important in a multi-instrument system (for example, a 4x4 MIMO system controlled by SignalMeister).

_
The command line syntax is:

<path>\2910.exe [/sn SerialNumber] [/scpiport Port]

where,

  • SerialNumber is the serial number of the instrument the Desktop Control Panel software should connect to (e.g., /sn 2300012)
  • Port is the port number the Desktop Control Panel software uses for LAN socket SCPI communications

_
Potential error conditions:

  • If /sn is used and the specified device cannot be found, the Desktop Control Panel software will exit without any prompts.
  • If /scpiport is used and the specified port is in use, the application will auto-assign another port and display a warning similar to:

    SCPI Listen Port conflict

_
See Also:

  • Desktop Control Panel troubleshooting


Do not run 3D applications while Desktop Control Panel is running

To ensure proper performance, do not run the Desktop Control Panel software at the same time as any 3D application that uses the entire screen (for example, a 3D screen saver).


While the Desktop Control Panel software is running

While Desktop Control Panel program is running the following are disabled:

  • Touchscreen interface
  • LXI web interface
  • Digital I/O on the instrument back panel
  • Preset and Local buttons, knob and puck on the instrument front panel
  • Communication with the instrument over GPIB, USB, and LAN at the instrument's IP address (communication via LAN [socket only] at the PC's IP address is still supported)
    ____

_

When you exit the Desktop Control Panel program the above items are re-enabled, and the instrument performs a system preset (:SYSTem:PRESet). The following settings are retained when you switch between the instrument touchscreen interface and the Desktop Control Panel program:

  • Frequency reference settings
  • Low phase noise setting
  • Arbitrary waveforms and sequence (Series V2900 instruments only)

___
See Also:

__

Series V2800 VSA

Series V2900 VSG

Touchscreen interface tour

Touchscreen interface tour

LXI web interface

LXI web interface

Digital I/O

Digital I/O

Front panel tour

Front panel tour

Frequency reference settings

Frequency reference settings

Low phase noise setting

Low phase noise setting

Arbitrary waveforms and sequence


Controlling Multiple Instances of Desktop Control Panel Software

You can run more than one instance of the Desktop Control Panel program on your computer to control multiple instruments. However, since the IP address is the address of your PC for each instance that is running, the Desktop Control Panel program assigns a different Socket Port number (SCPI Listening Port number) for each instrument connected to the PC. You will need this port number for your SCPI code to enable communication to each instrument connected to your PC.

_________________
To open multiple instances of the Desktop Control Panel program:

  1. Launch the Desktop Control Panel program: Start > Programs > Agilent Technologies > Series V2900 Desktop Control Panel
  2. In the Instrument USB Connection dialog, select the serial number for the instrument you want to control, and click OK. For example:

  3. The Desktop Control Panel program opens.

    The serial number for the instrument being controlled by the Desktop Control Panel program is located in the window title bar. For example:

    Desktop Control Panel Instrument Serial Number

  4. Once you are viewing the desired instrument's instance of the Desktop Control Panel interface, click Menu > Utilities > Ethernet Settings... to display the dialog showing the SCPI Listening Port number.
  5. Use this unique port number in your SCPI code to enable communication with that instrument. See the picture below.
    ______

    Note icon The first instrument connected to your PC is always assigned port number 5025, as that is the default Registered Port assigned for the SCPI listen port. To avoid conflicts, any additional instruments added to the PC are automatically assigned available Dynamic port numbers in the range of 49152 to 49251 as defined by the Internet Assigned Numbers Authority (IANA) in [RFC4340], Section 19.9. The port numbers assigned as Well Known Ports (0 through 1023) and Registered Ports (1024 through 49151) should not be used without IANA registration.

______

Desktop Control Panel Ethernet Settings

___________
See Also:

  • Using the Desktop Control Panel in a MIMO Application


Using Desktop Control Panel in a MIMO Application

To use instruments in a multiple-in multiple-out (MIMO) configuration, you will need to have at least multiple USB ports available on the PC that will be running multiple instances of the Desktop Control Panel program.

-------------
Using SignalMeister™

Using Desktop Control Panel in a MIMO configuration with SignalMeister™ you will need to change the Socket Port # for each of the instruments in your setup. For example, if you have two instances of Desktop Control Panel on your computer, you will need to make sure the instrument Nx MIMO elements are communicating to the same LAN IP address (the IP address of the computer running the Desktop Control Panel program, but with different Socket Port numbers. See illustration below.

You can assign a port number on the command line using the command /scpiport no where no is the port number. For example, /scpiport 49152. You must select a number that is not in use by any other application running on the PC. The default for a SCPI Port raw socket is 5025. However, only one instrument running at a time can use this port number.

When selecting a port number, you need to be certain that it is not a number from the Well Known Ports list, which are assigned to specific applications. When the instrument automatically assigns port numbers it uses Dynamic Ports in the range of 49152 to 49251. For a list of Well Known Ports, go to www.iana.org.assignments/port-numbers.

The following illustration shows and communication setup for the Series V2800 instrument:

__ Host-on-PC MIMO socket setting

__________
See also:

  • Controlling Multiple Instances of Desktop Control Panel
  • MIMO Application Guide


Controlling the Desktop Control Panel via SCPI

The V2920A Vector Signal Generator and the Desktop Control Panel program share a common SCPI interface. This allows you to easily port a test automation program between the V2920A GPIB or LAN interfaces and Desktop Control Panel socket interface.

When using VISA for communication, you need to change the VISA resource string to the correct interface in the viOpen command (see examples below).

For the Desktop Control Panel program, the VISA resource is the IP address of the computer and the SCPI listen socket number. Normally, socket 5025 is used for the Desktop Control Panel program as this is the default SCPI raw socket port number. However, only one instrument at a time running on the PC can use this port number. In the case where multiple instances of the Desktop Control Panel program are running, each instance has a unique socket number. See Ethernet Settings for information on viewing the SCPI Listen Socket number.

When the Desktop Control Panel program is run without specifying a port number on the command line, it uses the port number associated with the instrument's serial number. However, the first time the Desktop Control Panel is run and connects to an instrument, the association between the serial number and the port number has not been established, so the Desktop Control Panel automatically assigns a port number and creates an association between the serial number and the port number.

If you are controlling multiple instruments, you must select a port number that is not already in use by another application on the PC. When selecting a port number you need to be aware that many port numbers, referred to as Well Known Ports, are assigned to specific applications by the IANA (Internet Assigned Numbers Authority). When the instrument automatically assigns port numbers, they are Dynamic Ports in the range of 49152 to 49251. For a list see www.iana.org.assignments/port-numbers.

When a port number is specified on the command line, it becomes associated with the serial number of the instrument, overriding any previous association. If the port number was previously associated with another instrument, that association is deleted.

If a port number specified on the command line is already in use by another application, the instrument automatically selects an unused port number. A dialog is displayed alerting you to that condition, and allows you the option of accepting that association between the instrument serial number and the automatically assigned port number, or exiting the Desktop Control Panel.

If the Desktop Control Panel is run with an instrument that already has its associated port number in use by another application, then Desktop Control Panel automatically opens an available port. A dialog is displayed alerting you to that condition, and allows you the option of associating the serial with this new port number or of retaining the previous association.

The Desktop Control Panel program can run on either the same PC as the test automation program, or on a different PC. If the Desktop Control Panel program and test automation program are running on the same PC, either the PC IP address or the loop-back IP address, 127.0.0.1, can be used.

-------------

EXAMPLES

GPIB Connection:

status = viOpen(defaultRM, "GPIB0::10::INSTR", VI_NULL, VI_NULL, &vsa);

LAN Socket Connection to V2920A:

status = viOpen(defaultRM, "TCPIP0::192.168.1.69::49152::SOCKET", VI_NULL, VI_NULL, &vsa);

LAN Instrument Connection to V2920A:

status = viOpen(defaultRM, "TCPIP0::192.168.1.69::INSTR", VI_NULL, VI_NULL, &vsa);

Socket Connection to Desktop Control Panel Program running on same PC:

status = viOpen(defaultRM, "TCPIP0::127.0.0.1::5025::SOCKET", VI_NULL, VI_NULL, &vsa);

Socket Connection to Desktop Control Panel Program running on different PC:

status = viOpen(defaultRM, "TCPIP0:: 192.168.1.70::5025::SOCKET", VI_NULL, VI_NULL, &vsa);

______

See also:

  • Controlling Multiple Instances of Desktop Control Panel
  • Ethernet Settings
  • Overview of remote control via SCPI Commands:
    • Series V2800
    • Series V2900
  • Series V2800 SCPI command tree
  • Series V2900 SCPI command tree


Desktop Control Panel Troubleshooting

The following are solutions to potential problems you may encounter when operating the Desktop Control Panel software.

  • Desktop Control Panel Hardware error
  • Desktop Control Panel Slow computer screen refresh/response
  • Desktop Control Panel No instrument detected
  • Desktop Control Panel Port number conflict
  • Desktop Control Panel does not show up on PC display

_____

_____

Hardware error

Symptoms:

  • The user interface freezes (e.g., graph no longer updates), and after several seconds a hardware error message similar to the following is displayed:

    Hardware Error

    Followed by Diagnostic Log notice similar to this:
    Diagnostic Log

    Followed by an error message similar to this:
    Hardware Error

___
Probable Cause(s):

  • USB cable between the computer and the instrument was disconnected.
  • The instrument lost power or was turned off.

___
Recovery:

  1. (Optional) You can save the current instrument setup if you wish (Menu > File > Save Setup...). This preserves the instrument's configuration.
  2. Exit the Desktop Control Panel program.
  3. Cycle power to the instrument.
  4. Make sure the USB cable is properly connected between the instrument and your PC.
  5. Launch the Desktop Control Panel program.
  6. (Optional) Restore the instrument setup by selecting Menu > File > Open Setup... and choosing the .set file you saved in Step 1.

-

Slow computer screen refresh/response

Symptom:

  • Computer screen freezes and is slow to refresh while the Desktop Control Panel software is running.

___
Probable Cause(s):

  • Your computer is running a full-screen 3D application (such as a 3D screen saver or game) at the same time the Desktop Control Panel software is running.
  • There is a problem with your PC's video card's ability to process the screen update adequately.

___
Recovery:

  • To ensure proper performance, do not run the Desktop Control Panel software at the same time as any 3D application that uses the entire screen (for example, a 3D screen saver).
  • There is a known issue with the Lenovo T60 notebook with ATI Mobility Radeon X1300 video card. One potential work-around is to install the Lenovo version 8.293.1.0 (79d162ww.exe) video driver.

_

No instrument detected

Symptoms:

  • When you launch the Desktop Control Panel software, the Instrument USB Connections dialog appears and shows no instruments are detected, or is missing a known instrument that should be available.

    No Instrument Detected

___
Recovery:

  1. Try the Refresh List button to see if the instrument appears. If that does not work, continue to Step 2.
  2. Unplug the USB cable to the instrument.
  3. Cycle power on the instrument.
  4. Reconnect the USB cable.
  5. Try the Refresh List button to see if the instrument appears.

Port number conflict

If a port number specified on the command line is already in use by another application, the instrument automatically selects an unused port number. A dialog is displayed alerting you to that condition (shown below). Click Yes to accept the association between the instrument serial number and the automatically assigned port number, or click No to keep the original association and exit the Desktop Control Panel program.

SCPI Listen Port error

If the Desktop Control Panel specifies an instrument that already has its associated port number in use by another application, then Desktop Control Panel automatically opens an available port. A dialog is displayed alerting you to that condition (shown below). Click Yes to associate the instrument serial number with this new port number, click No to keep the previous association or click Cancel to exit the application.

SCPI Listen Port error

If the Desktop Control Panel specifies a port on the command line that is already associated with the serial number of another instrument. The user is informed of the change in serial number/port number association.

If the port number specified on the command line is not already in use it will be opened regardless of any existing association with the serial number of another Agilent RF instrument.

If the port number specified on the command line is successfully opened then an association is created with the current instrument's serial number regardless of any prior associations.

Cancel SCPI Listen Port association error

___
See also:

  • Controlling the Desktop Control Panel via SCPI
  • Ethernet Settings

Desktop Control Panel does not show up on PC display

Symptoms:

  • When you launch the Desktop Control Panel software, the application does not show up on the screen. The application functions appropriately if you send SCPI commands to it, and it appears in the task bar and the task manager.

___
Recovery options:

  • Right-click on the icon in the task bar and select Move to Center of Desktop.
  • Launch the Desktop Control Panel software with the command line argument /position <left>x<top>, where <left> and <top> are the pixel locations for the top left corner of the Desktop Control Panel window.
    Example: For the Series V2900 Desktop Control Panel software, 2910.exe /position 100x200 opens the application with the top left corner of the window at position 100 x 200 pixels.

    CAUTION. No checking is performed on the window position when using this command line argument. Therefore, it could result in the Desktop Control Panel window being completely off screen

_____


LXI web interface

The Series V2900 has a web interface that complies with LXI class C requirements and offers a convenient way to communicate with the instrument from a PC browser. For more information on LXI compliance, refer to www.lxistandard.org/home. The LXI Class C compliance includes the following features:

  • Instrument Welcome page
  • IP configuration control
  • Status information: security, errors/warnings
  • Administration password control

The web interface also offers the following features:

  • Virtual instrument front panel access
  • Print screen capability from a web browser
  • Instrument help
  • Modulation license file management
  • Remote file browser

To access the web interface, launch a web browser and use the LAN-connected instrument IP address for the URL; for example, http://192.40.128.183.

  • If you do not know the instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
  • If you need details on configuring the Ethernet settings, refer to Ethernet Settings.

The web interface menu offers the following selections:

Welcome Page describes the instrument model and manufacturer, serial number, LXI class, host name, address, firmware revision, and VISA resource string.

IP Configuration lists the instrument Ethernet configuration and allows you to modify the Ethernet configuration, which includes enabling or disabling support for ping.

Status lists the status for the instrument security, and errors and warnings.

Instrument offers a virtual front panel interface to the Series V2900. This interface is a subset of the functionality that is available with the actual instrument front panel. Here are a few differences between the true instrument front panel interface and the virtual interface:

  • All editable fields are highlighted on the virtual interface so you can make multiple setting modifications and then select Submit to send the modifications to the instrument.
  • Changes made to the settings from the true instrument front panel will not be indicated on the virtual interface until you select Refresh.

Administration offers a dialog box that allows administration password control. The default user/password is admin/admin. The user/password authorization is required to modify the Ethernet configuration, use the remote file browser, upgrade the instrument firmware, or export an instrument option license over the web. Once you enter the correct user/password, the browser caches the login to enable you to use other password-dependent features without additional password inputs.

Licensing shows the current licenses in the instrument and allows you to export or import license files. See To move instrument option license files or To open an option license file for details. For general licensing information, see Series V2900 Licensing. License files cannot be exported from the instrument front panel. You can only export license files from the web interface through a password controlled page that has the same password used in the Administration page, described above.

Screen Capture allows you to capture an image of the current instrument screen. Select Screen Capture each time you want to update the image.

NOTE: If you are using Microsoft® Internet Explorer browser, and you are experiencing a failure to update screen captures: First, from the instrument front panel, select: Menu > Utilities > Time and Date... and verify that the time and date are correct. Then, change the browser caching policy by following these steps: In the browser window, click Tools > Internet Options. In the General tab, click Settings. In the Check for newer version of stored pages: section, select Every visit to the page. Click OK.

Print offers the standard Windows Print dialog so you can print the screen image.

Help offers the same Help topics that are available when you select Menu > Help > Help System.

ID button when selected, visually indicates that a particular Series V2900 is connected through the LXI web interface by displaying a blinking green light on the lower-left corner of the front panel of the connected instrument. This can be helpful when more than one instrument is connected to the LAN. This green indicator is always lit when the instrument is connected to an operational LAN. If there is a LAN error, this indicator changes from green to red. A LAN disconnection indicator is also shown at the lower-right portion of the instrument front panel.

LXI web interface feature | Link for more information
Help about: serial number, options, firmware version, calibration data | About V2920A
File manager to move files to, and managing files on, the instrument | Remote file browser
Save/Recall setups | Save setup
Preset instrument | Preset
Software/Firmware Upgrade | Firmware Upgrade
Turn RF On/Off | RF On button
Turn Modulation On/Off | Modulation On button
Set Frequency value | Frequency value
Set Amplitude value | Amplitude value
GPS modulation window | GPS Modulation window
General purpose digital modulation | Digital modulation
Open, load/unload a modulation waveform file | To open a modulation file
Add a waveform | To add an internally-generated modulation to the waveform table
Add/Delete an Arb file to the waveform table | To add an existing arbitrary waveform file to the table
Load/Unload an Arb file | Playback an arbitrary waveform
Specify Arb file sample rate in arbitrary waveform table | Arbitrary waveform playback table
Adjust parameters - analog modulations | Analog modulation
Set ALC for CW or modulated waveforms | ALC
Set Frequency reference Source | Frequency reference source
Set up the Trigger | Trigger
Set up Sync Out | Sync Out
To set up a frequency or power sweep | To set up a frequency or power sweep
Turn Display On/Off | Turn Display On/Off
Enable/Disable Extend Freq (extended frequency range) | Extend Freq
Enable/Disable SCPI Debug | SCPI Debug
Set List mode | List Mode
Enable User Flatness | User flatness
Select External IQ | External IQ

Related topics:

To view the current licenses select Menu > Utilities > Licensing from the instrument screen.

  • Series V2900 Licensing


Turn Display On/Off

From the LXI Web Interface, Select Menu > Utilities > Display Enable.

This toggle control turns the instrument display On and Off. Disabling the display can shorten measurement times.


Remote Control via SCPI Commands

You can automate commonly recurring test procedures by sending remote control SCPI commands to the instrument over GPIB or Ethernet (LAN). To learn about the configuration requirements and programming commands, see the following topics:

  • Remote and local operation differences
  • Communicating with RF test accessory equipment
  • System setup for remote control
  • Programming messages
  • Programming syntax
  • Status structure
  • Command locator
  • SCPI command tree
  • SCPI command error messages

----------

Note icon Desktop Control Panel: When using the Desktop Control Panel program, GPIB and LAN communication to the instrument is disabled. Instead, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument via a high-speed USB cable. For details, see Controlling the Desktop Control Panel via SCPI.

_____
See Also:

  • Instrument interface options
  • LXI web interface


Remote and local operation differences

In addition to controlling the instrument from the front panel, you can control the instrument remotely through the LXI web interface or by sending SCPI commands. When you send a command to the instrument, it goes from local operation to remote mode operation, where the following conditions occur:

  • All front panel control keys except Local are disabled.
  • All menus and dialogs are exited.
  • All pending front panel operations are aborted.
  • An "In Remote" message is displayed in the upper-left of the instrument screen.

Press the Local key to return the instrument to the local mode. When the instrument switches from remote to local operation, the following conditions occur:

  • All front panel control keys are enabled.
  • If Preset is selected, the display is enabled (if it was previously disabled), see :DISPlay:ENABle[:STATe] for details.
  • The "In Remote" message disappears.


Communicating with RF test accessory equipment

RF test accessories, such as the V2891A Upconverter and V3500A Portable RF PowerMeter, can be programmed through an Agilent Series V2800 or Series V2900. SCPI programming commands sent from the PC through the instrument on the GPIB, LAN, or USB bus pass through the Series V2800 or Series V2900 instrument (by way of a USB cable) to the RF test accessory product. For details, refer to the following:

  • Power meter command pass-through
  • V2891A SCPI command pass-through


V2891A SCPI command pass-through

The Agilent V2891A Upconverter can be programmed through a Agilent Series V2800 or Series V2900. SCPI programming commands sent from the PC through the instrument on the GPIB, LAN, or USB bus pass through the instrument to the V2891A Upconverter by way of a USB cable between the instrument and the V2891A Upconverter.

The following SCPI command is used to pass-through the commands to the power meter.

:MBOX:COMMand <command><LF>

To read data back from the power meter use the following syntax:

:MBOX:COMMand? <query><LF>

_____
Examples:

:MBOX:COMM *RST<LF>

:MBOX:COMM :BASeband:SWAP<LF>
_____

:BASeband:SWAP is a command that is specific to the V2891A Upconverter and is not covered in the Series V2800 or Series V2900 list of SCPI commands..


Power meter SCPI command pass-through

The Agilent V3500A Portable RF PowerMeter® (power meter) can be programmed through an Agilent Series V2800 or Series V2900. SCPI programming commands sent from the PC through the instrument on the GPIB, LAN, or USB bus pass through the instrument to the power meter by way of a USB cable between the instrument and the power meter. This capability is useful when calibrating the test equipment.

The following SCPI command is used to pass-through the commands to the power meter.

:PMETer:COMMand <command><LF>

To read data back from the power meter use the following syntax:

:PMETer:COMMand? <query><LF>

_____
Examples:

:PMET:COMM? *TRG<LF>

:PMET:COMM? PWR?<LF>

:PMET:COMM ZERO<LF>
_____

NOTE: ZERO, *TRG and PWR? are commands that are specific to the PowerMeter and are not covered in the list of SCPI commands.

____


System setup for remote control

  • Connecting system components
  • Configuring GPIB connections
  • Configuring USB connections
  • Configuring LAN (Ethernet) connections

_____

Desktop Control Panel

Note icon When using the Desktop Control Panel program, GPIB and LAN communication to the instrument is disabled. Instead, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument via a high-speed USB cable. For details, see Controlling the Desktop Control Panel via SCPI.

GPIB interface configuration

To avoid communication conflicts over the GPIB bus, each device in a GPIB system must have a unique primary address. If you want to verify the GPIB address or change it, perform the following steps:

  1. Select Menu > Utilities > GPIB Address.
  2. Use the front panel knob to change the GPIB address, if necessary.
  3. Select Close.

NOTE: You may also want to install the Agilent IVI-COM/IVI-C Driver for the instrument. This instrument driver provides access to the functionality of the instrument through a COM server or C API, which also complies with the IVI specifications. This driver works in any development environment that supports COM programming, including Microsoft® Visual Basic, Microsoft Visual C++, Microsoft .NET, Agilent VEE Pro, National Instruments LabView, National Instruments LabWindows, and others. The IVI-COM driver can be installed from the Agilent website at www.agilent.com.

Verify remote control over GPIB

For additional details about GPIB configuration and verification, refer to the Agilent Connectivity Guide (http://cp.literature.agilent.com/litweb/pdf/E2094-90009.pdf).

LAN (Ethernet) interface configuration

It is necessary to assign an IP address to the Series V2900. The IP address is a persistent state, and is not affected by an instrument preset or a power cycle. Ensure that you have connected the equipment as instructed in "Connecting system components" before proceeding with the LAN configuration.

The appropriate procedure depends on the Series V2900 connection configuration. Refer to the procedure that applies to your system configuration:

  • Existing site network configuration

or

  • Direct connection configuration

    NOTE: Ensure that the instrument is connected to the LAN using a CAT 5e or better patch cable before performing this procedure.

You may also want to install the Agilent IVI-COM/IVI-C Driver for the Series V2900. This instrument driver provides access to the functionality of the Series V2900 through a COM server or C API, which also complies with the IVI specifications. This driver works in any development environment that supports COM programming, including Microsoft® Visual Basic®, Microsoft® Visual C++, Microsoft® .NET, Agilent VEE Pro, National Instruments LabView, National Instruments LabWindows, and others. The IVI-COM driver can be installed from the Agilent website at .


Existing site network configuration

Contact your I.T. administrator to determine the preferred method of assigning IP addresses. Refer to the procedure that applies to your system:

  • Static IP address assignment

DHCP address assignment

Static IP address assignment

Perform the following steps to assign a static IP address for an instrument in an existing site network:

  1. From the Series V2800, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Enter an IP address:
    1. Select Specify an IP address.
    2. Select the IP Address field or the keyboard button next to it.
    3. Repeatedly select the ¬?(backspace) button to clear the current IP address.
    4. Select the desired IP address and then select Enter.
  4. Enter a subnet mask:
    1. Select the Subnet Mask field or the keyboard button next to it.
    2. Repeatedly select the ¬ (backspace) button to clear the current subnet mask.
    3. Select the desired subnet mask and then select Enter.
  5. Set the following values per your I.T. administrator's recommendations (you can leave the values blank if there are no recommendations):
    • Default gateway
    • Primary DNS
    • Primary WINS
  6. Select the Apply button.
  7. Select Close to close the dialog.

    Note icon Ensure that the combination of Series V2800 IP address and subnet mask is within the range of directly-addressable IP addresses of the computer.

For example:

Computer IP address: 192.168.1.50
Computer subnet mask: 255.255.255.0
Series V2900 IP address: 192.168.1.51
Series V2900 subnet mask: 255.255.255.0


Direct connection configuration

Assigning a static IP address is the preferred method of assigning an IP address for a configuration that has the Series V2900 directly connected to the computer. Optionally, you can use the DHCP method, which results in a Link Local Address (LLA) being assigned to the Series V2900. Refer to the procedure that applies to your system:

  • Static IP address assignment
  • DHCP address assignment

_____
See Also:

  • Controlling the instrument via Desktop Control Panel

Static IP address assignment

Perform the following steps to assign a static IP address for an instrument that has a direct connection to a computer:

  1. From the Series V2800, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Enter an IP address:
    1. Select Specify an IP address.
    2. Select the IP Address field or the keyboard button next to it.
    3. Repeatedly select the ¬ (backspace) button to clear the current IP address.
    4. Select the desired IP address and then select Enter.
  4. Enter a subnet mask:
    1. Select the Subnet Mask field or the keyboard button next to it.
    2. Repeatedly select the ¬ (backspace) button to clear the current subnet mask.
    3. Select the desired subnet mask and then select Enter.
  5. Set the following values per your I.T. administrator's recommendations (you can leave the values blank if there are no recommendations):
    • Default gateway under the IP Address tab
    • Primary DNS under the Name Servers tab
    • Primary WINS under the Name Servers tab
  6. Select the Apply button.
  7. Select Close to close the dialog box.

    Note icon Ensure that the combination of Series V2800 IP address and subnet mask is within the range of directly-addressable IP addresses of the computer.

For example:

Computer IP address: 192.168.1.50
Computer subnet mask: 255.255.255.0
Series V2900 IP address: 192.168.1.51
Series V2900 subnet mask: 255.255.255.0

DHCP address assignment

Optionally, you can use the DHCP method to assign an IP address. Since there is no DHCP server in a configuration that directly connects the instrument to a computer, the instrument will timeout and then automatically assign itself a Link Local Address (LLA). This process takes 60-90 seconds.

  1. From the instrument, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button. This attempts to configure the signal generator as a DHCP client.
  5. Select Close to close the dialog box.
  6. When the LAN error indicator disappears (60-90 seconds), select Menu > Utilities > Ethernet Settings. The LLA that was automatically assigned appears in the IP Address field.
  7. Select Close to close the dialog box.


Verify remote control over LAN

For additional details about LAN configuration and verification, refer to the Agilent Connectivity Guide (http://cp.literature.agilent.com/litweb/pdf/E2094-90009.pdf).


LAN Troubleshooting

The instrument defaults to an Ethernet setting of "Auto-negotiation On" to detect the speed of the network and set the instrument operation speed to match the network speed. If the autonegotiation process fails, the operation speed must be set manually.

Note icon If the instrument speed does not match the network speed, Auto-negotiation On is the recommended setting.

  1. Select Menu > Utilities > Ethernet Settings.
  2. Select the Advanced tab.
  3. Select the appropriate speed:
    • 10 Mbps
    • 100 Mbps
  4. Select Apply.

To ensure that both the instrument and the network recognize the speed change, you may need to disconnect and then reconnect the LAN cable.


USB configuration

A USB driver must be loaded onto the computer that will be running the remote control program. For convenience, the USB driver can be installed from the Series V2900 Vector Signal Generator Product Information CD-ROM. Updates for the USB driver can be downloaded from the Agilent website at www.agilent.com .

Installing USB driver from the CD-ROM

Perform the following steps to install the USB driver to your computer:

  1. Insert the Series V2900 Vector Signal Generator Product Information CD-ROM into the disk drive of the computer.
  2. With the Series V2900 powered on, connect a USB cable between the PC and the USB (FROM HOST) connector on the Series V2900 rear panel.

Follow the operating system instructions to load the USB driver.

Installing USB driver from the Agilent Website

Perform the following steps to look for updates of the USB driver to install on your computer:

  1. With the computer connected to the Internet, insert the Series V2900 Vector Signal Generator Product Information CD-ROM into the computer disk drive.
  2. After the CD-ROM launches, click Online Updates to get to the Agilent website:
    • For the V2820A VSA, go to www.agilent.com/find/V2820A
    • For the V2920A VSG, to to www.agilent.com/find/V2920A
  3. From the left pane select: RF Spectrum Analysis, Signal Generation and Switching.
  4. From the SELECT ONE dialog box in the center pane select: Vector Signal Analyzers (Spectrum Analyzers).
  5. From the VECTOR SIGNAL ANALYZERS list select: any one of the Series V2900 analyzers.
  6. From the DOWNLOADS menu in the left pane select: software driver.
  7. Scroll to and select: the USB driver for the Series V2900.
  8. Download the Series V2900 USB driver from the website

Click the driver setup file that you just downloaded.

Verify remote control over USB

For additional details about USB configuration and verification, refer to the Agilent Connectivity Guide (http://cp.literature.agilent.com/litweb/pdf/E2094-90009.pdf).


Connecting system components

NOTE: The figure below represents a typical installation, with the Series V2900 connected to the system controller. This arrangement facilitates making screen captures of the Series V2900 display. The rear panel SCPI control connectors are the same on both instruments. Therefore, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

1. REF IN can accept an input frequency reference of 1 MHz to 60 MHz.


GPIB connections

  • Connect a GPIB bus cable equipped with standard IEEE-488 connectors to the instrument back panel IEEE-488 connector.

or

  • Connect many instruments to one instrument, using parallel connections that stack the connectors.

    CAUTION: To prevent physical damage, do not stack more than three connectors on any one unit.

    Two screws are located on each connector to ensure that connections remain secure. Present standards call for metric threads, which are identified with dark-colored screws. Earlier versions have different screws, which are silver-colored. Do not use these silver-colored types of screws on the instrument; it is designed for metric threads.

To minimize interference caused by electromagnetic radiation, use only shielded IEEE-488 cables.


LAN (Ethernet) connections

  • Connect a computer controller to the Series V2900 back panel USB (FROM HOST) connector.
  • Connect all other USB devices to the Series V2900 back panel USB (TO DEVICE) connector, or to the two USB connectors on the front panel.
  • Connect the Series V2900 back panel LAN connector to an existing site network through a router, switch, or hub. Use a standard patch cable for this connection.

or

  • Connect the Series V2900 back panel LAN connector directly to a computer. You must use a crossover cable for this connection to ensure that the computer transmit connections are input to the Series V2900 receive connections, and the other way around.
  • NOTE: The Ethernet crossover cable can be up to 100 meters in length.
  • Connect a computer controller to the Series V2900 back panel USB (FROM HOST) connector.
  • Connect all other USB devices to the Series V2900 back panel USB (TO DEVICE) connector, or to the two USB connectors on the front panel.


USB connections

  • Connect a computer controller to the Series V2900 back panel USB (FROM HOST) connector.
  • Connect all other USB devices to the Series V2900 back panel USB (TO DEVICE) connector, or to the two USB connectors on the front panel.


Programming messages

Programming messages are made up of one or more command words sent by the computer to the instrument. These SCPI commands show how command words are structured to formulate program messages.

:SYSTem (path)

:SYSTem:DATE Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). (command and parameter)

:SYSTem:DATE? ( query command)

:SYSTem:PRESet (command)

Select from the following categories of programming message information.

  • Types of commands
  • Types of messages
  • Programming syntax

    Tips for fastest operation: Use all upper case, use the short form, do not send optional data, do not use a colon at the beginning of a programming message, and disable the display circuitry.

    Note: SCPI remote error messages are in English, they are not localized.


Types of commands

  • SCPI commands
  • Common commands
  • Query commands

SCPI commands

SCPI commands are used to control most instrument operations of the instrument. For details on these commands, see SCPI commands.

Common commands

Common commands are device commands that are common to all devices on the bus. These commands are designated and defined by the IEEE-488.2 standard.

For details on these commands, see Common commands.

Query commands

This type of command requests (queries) the current instrument state. It is identified by the question mark (?) at the end of the fundamental form of the command.

Most commands have a query form.

Example:

:IDN? Queries the identification code of the instrument that includes the manufacturer, model number, serial number, and firmware revision.

Most commands that require a numeric parameter (no) can also use the DEFault, MINimum, and MAXimum parameters for the query form. These query forms are used to determine the *RST default value and the upper and lower limits for the fundamental command.


Types of messages

  • Single command messages
  • Multiple command messages
  • SCPI/Common command messages
  • Response messages

Single command messages

The single-command examples below have a structure with three levels:

  • The first level is made up of the root command (STATus) and serves as a path.
  • The second level is made up of another path (:OPERation).
  • The third level is a command (:ENABle).

Example:

:STATus:OPERation:ENABle

STAT:OPER:ENAB?

The commands in this example can be executed by sending two separate program messages.

In each of the above program messages, the path pointer starts at the root command (stat) and moves down the command levels until the command is executed.

The next command example is made up of one command for the :STATus path.

Example:

:STAT:PRES

Multiple command messages

You can send multiple command messages in the same program message as long as you separate them by semicolons (;). The following example shows two commands in one program message.

Example:

STAT:OPER?; :STAT:OPER:ENAB Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).

When the above message is sent, the first command word is recognized as the root command (STAT). When the next colon is detected, the path pointer moves down to the text command level and executes the command. When the path pointer sees the colon after the semicolon (;), it resets back to the root level and starts over.

Commands that are on the same command level can be executed without having to retype the entire command path.

Example:

STAT:OPER:ENAB Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).; ENAB?

After the first command (:ENAB) is executed, the path pointer is at the third command level in the structure. Since :ENAB? is also on the third level, it can be typed in without repeating the entire path name. Notice that the leading colon for :ENAB? is not included in the program message. If a colon were included, the path pointer would reset to the root level and expect a root command. Since :ENAB? is not a root command, an error would occur.

SCPI and common commands in the same message

Both SCPI and common commands can be used in the same message, as long as you separate them by semicolons (;). A common command can be executed at any command level and will not affect the path pointer.

Example:

STAT:OPER:ENAB Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).; *ESE Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).

Response messages

A response message is the message sent by the instrument to the computer in response to a query command. The following sequence takes place:

  1. A query message is sent to the instrument.
  2. The instrument responds to the query by placing a response message in the output queue.
  3. The instrument is addressed to talk.
  4. The response message is sent from the output queue to the computer.

    Note: The complete response message must be received by the computer before another program message can be sent to the instrument. Also, remember to read the trailing line feed.

Multiple response messages

If you send more than one query command in the same program message, the following happens:

  • The multiple response messages for all the queries are sent to the computer when the instrument is addressed to talk.
  • The responses are sent in the order the query commands were sent and are separated by semicolons (;).
  • Items within the same query are separated by commas (,).

The following example shows the response message for a program message that contains four single item query commands.

Example:

0; 1; 1; 0

Response message terminator (RMT)

Each response is terminated with an LF (line feed) and EOI (end or identify). The following example shows how a multiple response message is terminated.

Example:

0; 1; 1; 0 <RMT>


Programming syntax

The following information explains the message syntax and rules for IEEE 488.2 common SCPI commands and SignalMeister™ related SCPI commands.

  • Case sensitivity
  • Long-form and short-form versions
  • Short-form rules
  • Command path rules
  • Program message terminator
  • Command execution rules
  • Communicating with RF test accessory equipment

See Also:

Series V2800 SCPI Commands

Series V2900 SCPI Commands

Case sensitivity

IEEE 488.2 Common commands and SCPI commands are not case sensitive. You can use upper or lower case and any case combination.

Example:

*RST = *rst

:OUTPut? = :output?

:SYSTem:PRESet = :system:preset

Long-form and short-form versions

A SCPI command word can be sent in its long-form version, its short-form version or an acceptable combination of both. The commands are listed in the long-form version in all SCPI commands documented here, with the short-form version indicated by upper case characters.

Examples:

:SYST:PRES (short-form)

:SYSTem:PRESet (long-form)

:SYSTem:PRES (long-form and short-form combination)

______

NOTE: Each command word must be in long-form, short-form or an acceptable combination of long- and short-form and not something in-between. For example, :SYSTem:PRESe is an illegal command that generates an error. The command will not be executed.

Short-form rules

Use the following rules to determine the short-form version of any SCPI command:

  • If the length of the command word is four letters or less, no short-form version exists.

    Example:

    :DATA? = :data?

  • If the fourth letter of the command word is a vowel (including the letter "y"), delete it and all the letters after it.

    Example:

    IMMediate = IMM = imm

  • If the fourth letter of the command word is a consonant, retain it but drop all the letters after it.

    Example:

    FORMat = FORM

  • If the command contains a question mark (?; query) or a non-optional number included in the command word, you must include it in the short-form version.

    Example:

    :OUTput? = :OUT? = :out?

  • Command words or characters that are enclosed in brackets [ ] are optional in the program message.

    Example:

    :PROJect2:WIMax2[:SENSe]:DBURst = :PROJ2:WIM2:SENS:DBUR = :PROJect2:WIMax2:DBURst = :PROJ2:WIM2:DBUR

_______

NOTE: Short-form SCPI commands provide the fastest response times.

Command path rules

Each new program message must begin with the root command, unless it is optional (for example, [:SOURce]). If the root is optional, treat a command word on the next level as the root.

______

NOTE: For fastest operation, do not send optional data.

______

A colon (:) can be used at the beginning of a program message. However, using the colon slows down execution time.

Example:

STAT:PRES = :STAT:PRE

______

When the path pointer detects a colon (:) it moves down to the next command level. An exception is when the path pointer detects a semicolon (;), which is used to separate commands within the program message.

When the path pointer detects a colon (:) that immediately follows a semicolon (;), it resets back to the root level.

The path pointer can only move down. It cannot be moved up a level. Executing a command at a higher level requires that you start over at the root command.

Program message terminator (PMT)

Each program message must be terminated with an LF (line feed), OEI (end or identify), or an LF+EOI. The following command shows how a program message must be terminated.

Example:

inp:prot:stat on <PMT>

Command execution rules

  • Commands execute in the order that they are presented in the program message.
  • An invalid command generates an error and is not executed.
  • Valid commands that precede an invalid command in a multiple-command program message are executed.
  • Valid commands that follow an invalid command in a multiple-command program message are ignored.


Status structure

The center of the status structure is the status byte register. This register can be read by a test program to determine if a service request (SRQ) has occurred and what event caused it. To learn more about the status structure, select from the following topics:

  • Status byte and service request (SRQ)
  • Status register sets
  • Queues

_
The instrument allows the operator to monitor and manipulate the various instrument events through the status register structure:

  • Status byte register
  • Four status register sets
    • Standard event register
    • Operation event register (includes the Arb even register for Series V2900 instruments only)
    • Measurement event register
    • Questionable event register
  • Two queues
    • Output queue
    • Error queue

_
Each of the four status register sets contain the following:

  • Condition register (read-only)
  • Event register (read-only)
  • Event enable register (programmable)

_
The Operation, Measurement, and Questionable event registers have transition filters you can use for precise programmed control based on status register bit conditions.

_
A condition register is a read-only register that constantly updates to reflect the present operating conditions of the instrument.

An event register bit sets to 1 when an event occurs -- the bit remains latched to 1 until the register is reset. An event is defined by the condition register as filtered by the transition filter.

When an event register bit is set and its corresponding enable bit is set (as programmed by the user), the output (summary) of the register will set to 1. This sets the summary bit of the status byte register.

_
Click the image to see more information:


Status byte and service request (SRQ)

Service request is controlled by two 8-bit registers:

  • Status Byte Register
  • Service Request Enable Register

The graphic below shows the structure of these registers.

The following sequence happens with this part of the status structure:

  1. Register sets and queues monitor the various instrument events.
  2. An enabled event occurs.
  3. A summary bit is set in the Status Byte Register.
  4. The corresponding enable bit is set in the Status Byte (as programmed by the user).
  5. The RQS/MSS bit is set to indicate that an SRQ has occurred.
    • The following graphic shows the status byte and service request portion of the overall status structure.
    • Click on the graphic to see the overall status structure graphic.
Status byte and service request diagram

1 = Service request generation
2 = Status summary message
3 = Read by serial poll
4 = Status byte register
5 = Read by *STB?
6 = Service request enable register

Status byte register

The summary messages from the status registers and queues are used to set or clear the appropriate bits (B0, B2, B3, B4, B5, and B7) of the Status Byte Register. These summary bits do not latch and their states (0 or 1) are solely dependent on the summary messages (0 or 1).

Example:

The Standard Event Register is read; its register then clears. As a result, its summary message resets to 0, which then resets the ESB bit in the Status Byte Register.

The bits of the Status Byte Register are described as follows:

  • Bit B0, Measurement Summary Bit (MSB) -- set summary bit indicates that an enabled measurement event has occurred.
  • Bit B1 -- not used.
  • Bit B2, Error Available (EAV) -- set summary bit indicates that an error or status message is present in the Error Queue.
  • Bit B3, Questionable Summary Bit (QSB) -- set summary bit indicates that an enabled questionable event has occurred.
  • Bit B4, Message Available (MAV) -- set summary bit indicates that a response message is present in the Output Queue.
  • Bit B5, Event Summary Bit (ESB) -- set summary bit indicates that an enabled standard event has occurred.
  • Bit B6, Request Service (RQS)/Master Summary Status (MSS) -- set bit indicates that an enabled summary bit of the Status Byte Register is set.
  • Bit B7, Operation Summary Bit (OSB) -- set summary bit indicates that an enabled operation event has occurred.

Depending on how it is used, bit B6 of the status byte register is either the Request for Service (RQS) bit or the Master Summary Status (MSS) bit:

  • When using the serial poll sequence of the instrument to obtain the status byte (serial poll byte), B6 is the RQS bit. See Serial polling and SRQ for details on using the serial poll sequence.
  • When using the *STB? command to read the status byte, B6 is the MSS bit.

Service request enable register

The generation of a service request is controlled by the service request enable register. You program this register to enable or disable the setting of bit B6 (RQS/MSS) by the status summary message bits (B0, B2, B3, B4, B5, and B7) of the status byte register.

As shown in the status byte and service request diagram, the summary bits are logically ANDed (&) with the corresponding enable bits of the service request enable register. When a set (1) summary bit is ANDed with an enabled (1) bit of the enable register, the logic "1" output is applied to the input of the OR gate and, therefore, sets the MSS bit in the status byte register.

  • To set or clear the individual bits of the service request enable register, use the *SRE common command.
  • To read the service request enable register, use the *SRE? query command.
  • To clear the service request enable register, cycle the power or send a parameter value of 0 with the *SRE command (*SRE 0).

The commands to program and read the SRQ enable register are listed in Status byte and service request commands.


Serial polling and SRQ

Any enabled event summary bit that goes from 0 to 1 will set bit B6 and generate an SRQ (service request). In your test program, you can periodically monitor (poll) the status byte to check if an SRQ has occurred and what caused it.

For example:

If an SRQ occurs, the program can branch to an appropriate subroutine that will service the request.

Typically, SRQs are managed by the serial poll sequence of the instrument.

  • If an SRQ does not occur, bit B6 (RQS) of the status byte register will remain cleared and the program will proceed normally after the serial poll is performed.
  • If an SRQ does occur, bit B6 of the status byte register is set and the program can branch to a service subroutine when an SRQ is detected by the serial poll.

The serial poll automatically resets RQS of the status byte register. This allows subsequent serial polls to monitor bit B6 for an SRQ occurrence generated by other event types. After a serial poll, the same event can cause another SRQ, even if the event register that caused the first SRQ has not been cleared.

The serial poll does not clear MSS. The MSS bit stays set until all status byte summary bits are reset.

SPE, SPD (serial polling)

The SPE, SPD General Bus Command sequence is used to serial poll the instrument. Serial polling obtains the serial poll byte (status byte). Typically, serial polling is used by the controller to determine which of several instruments has requested service with the SRQ line.


Status byte and service request commands

The commands to program and read the status byte register and service request enable register are listed in the following table. For details on programming and reading registers, see Programming enable registers and Reading registers.

Note: To reset the bits of the service request enable register to 0, use 0 as the parameter value for the *SRE command (*SRE 0).

Status Byte and Service Request Enable Register commands

Command | Description
*STB? | Read status byte register.
*SRE <NDN> Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Program the service request enable register:
 | <NDN> | = #Bxx...x | Binary format (each x = 1 or 0)
 |  | = #Hx | Hexadecimal format (x = 0 to 377)
 |  | = #Qx | Octal format (x = 0 to 377)
 | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | = 0 to 255 | Decimal format
*SRE? | Read the service request enable register

Note: *CLS and :STATus:PRESet have no effect on the service request enable register.

Programming Example

Set MSS (B6) when error occurs

The second command in the following sequence enables EAV (error available). When an invalid command is sent (line 4), bits B2 (EAV) and B6 (MSS) of the status byte register set to 1. The last command reads the status byte register using the binary format (which directly indicates which bits are set). The command to select format (:FORMat:SREGister) is documented in the table in Reading registers.

To determine the exact nature of the error, you will have to read the error queue (see Error queue).

*CLS | ' Clear error queue.
*SRE 4 | ' Enable EAV.
:FORM:SREG BIN | ' Select binary format.
*XYZ | ' Generate error.
*STB? | ' Read status byte register.


Status structure diagram

Click the image to see more information.

________
See Also:

  • Transition Filter functionality


Transition Filter functionality

If you want to be notified when a bit on the condition register goes to zero, set the corresponding bit of PTRansition register to 0 and the corresponding bit in the NTRansition register to 1.

If you want to be notified when a bit on the condition register goes to one, set the corresponding bit of PTRansition register to 1 and the corresponding bit in the NTRansition register to 0.


Status register sets

As shown in the status structure diagram, there are four status register sets in the status structure of the instrument:

  • Standard event register
  • Operation event register
  • Measurement event register
  • Questionable event register


Standard event register

The used bits of the standard event register (see following diagram) are described as follows:

  • Bit B0, Operation Complete (OPC) -- set bit indicates that all pending selected device operations are completed and the instrument is ready to accept new commands. This bit only sets in response to the *OPC? query command. See Common commands for details on *OPC and *OPC?.
  • Bit B1 -- not used.
  • Bit B2, Query Error (QYE) -- set bit indicates that you attempted to read data from an empty output queue.
  • Bit B3, Device-Specific Error (DSE) -- set bit indicates that an instrument operation did not execute properly due to some internal condition.
  • Bit B4, Execution Error (EXE) -- set bit indicates that the instrument detected an error while trying to execute a command. Places error message -200 in the error queue.
  • Bit B5, Command Error (CME) -- set bit indicates that a command error has occurred. Places error message -100 in the error queue. Command errors include:
    • IEEE-488.2 syntax error -- instrument received a message that does not follow the defined syntax of the IEEE-488.2 standard.
    • Semantic error -- instrument received a command that was misspelled or received an optional IEEE-488.2 command that is not implemented.
    • The instrument received a group execute trigger (GET) inside a program message.
  • Bit B6, User Request (URQ) -- set bit indicates that the LOCAL key on the instrument front panel was pressed.
  • Bit B7, Power On (PON) -- set bit indicates that the instrument has been turned off and turned back on since the last time this register has been read.
Standard event status register diagram

1 = standard event status register
2 = standard event status enable register


Operation and Arb event registers

The bits of the operation event register (see following diagram) are described as follows:

  • Bits B0, Calibrating (Cal) -- not used. -- set bit indicates that the instrument is calibrating.
  • Bit B1 Arb Sequence Completed (ASC) -- set bit indicates that the arb sequence has completed (if the sequence playback mode is set to "Single").

    Bit B1 (ASC) is applicable only to the Arb event register and Arb event enable register used by the Series V2900 instruments.

  • Bits B2 through B7 -- not used.
  • Bit B8 Output Active Event (OAE) -- set bit indicates source output is activated, such as when an arb is started.

    Bit B8 (OAE) is applicable only to Series V2900 instruments.

  • Bit B9 Arb Event Summary (AES) -- set bit indicates Arb waveform playback has completed.

    Bit B9 (AES) is applicable only to Series V2900 instruments.

  • Bit B10, Idle State (Idle) -- set bit indicates the instrument is in the idle state.
  • Bits B11 through B15 -- not used.

Bit B5, Waiting for Trigger (Trig) -- set bit indicates that the instrument is in the trigger layer waiting for a trigger event to occur. !NOT IMPLEMENTED YET!

Operation and Arb event status register diagram

Operation and Arb event status registers

1 = Arb event register (Series V2900 use only)
2 = Arb event enable register (Series V2900 use only)
3 = Operation condition register
4 = Transition filter (set by NTRansition and PTRansition)
5 = Operation event register
6 = Operation event enable register

_____
Transition filter functionality

If you want to be notified when a bit on the condition register goes to zero, set the corresponding bit of PTRansition register to 0 and the corresponding bit in the NTRansition register to 1.

If you want to be notified when a bit on the condition register goes to one, set the corresponding bit of PTRansition register to 1 and the corresponding bit in the NTRansition register to 0.

Example:

If you want to be notified when waiting for a trigger, or when calibration is finished, use the following SCPI commands:

# Request notification if

# a) Waiting for Trigger (bit5 = 1 in condition register)

# b) Calibration complete (bit0 = 0 in condition register)

:STATus:OPERation:NTRansition 1

:STATus:OPERation:PTRansition 32

:STATus:OPERation:ENABle 33

# Check the Operation event register

:STATus:OPERation?


Measurement event register

The used bits of the Measurement Event Register (following graphic) are described as follows:

  • Bit B0, External Reference Detected (ERD) -- Set bit indicates that an external reference is connected and has been detected. See next bit to determine if the external reference is locked in.
  • Bit B1, External Reference Lock (ERL) -- Set bit indicates that the external reference has been locked.
  • Bits B2 through B9 -- Not used.
  • Bit B10, Overload (OL) -- Set bit indicates an input overload.

    Bit B8 (OAE) is applicable only to Series V2800 instruments.

  • Bits B11 through B15 -- Not used.

Measurement event status register diagram

1 = Measurement condition register
2 = Transition filter (set by NTRansition and PTRansition)
3 = Measurement event register
4 = Measurement event enable register

_____
Transition filter functionality

If you want to be notified when a bit on the condition register goes to zero, set the corresponding bit of PTRansition register to 0 and the corresponding bit in the NTRansition register to 1.

If you want to be notified when a bit on the condition register goes to one, set the corresponding bit of PTRansition register to 1 and the corresponding bit in the NTRansition register to 0.

Example:

If you want to be notified when the external reference goes from locked (1) to unlocked (0), or if the overload bit is set (1), use the following SCPI commands:

# Request notification if

# a) External reference is unlocked (bit1 = 0 in condition register)

# b) Input overload (bit10 = 1 in condition register)

:STATus:MEASurement:NTRansition 2

:STATus:MEASurement:PTRansition 1024

:STATus:MEASurement:ENABle 1026

# Check the measurement event register

:STATus:MEASurement?


Questionable event register

The used bits of the questionable event register (see following diagram) are described as follows:

  • Bits B0 through B7 -- not used.
  • Bit B8, Calibration Summary (Cal) -- set bit indicates that an invalid calibration constant was detected during the power-up sequence. The instrument will instead use a default calibration constant. This error will clear after successful calibration of the instrument.
  • Bits B9 through B13 -- not used.
  • Bit B14, Command Warning (Warn) -- set bit indicates that a signal-oriented measurement command parameter has been ignored. Places status message +414 in the status queue.
  • Bit B15 -- not used.

    NOTE: Whenever a questionable event occurs, the ERR annunciator turns on. The annunciator turns off when the questionable event clears.

Questionable event status register diagram

1 = Questionable condition register
2 = Transition filter (set by NTRansition and PTRansition)
3 = Questionable event register
4 = Questionable event enable register

_____
Transition filter functionality

If you want to be notified when a bit on the condition register goes to zero, set the corresponding bit of PTRansition register to 0 and the corresponding bit in the NTRansition register to 1.

If you want to be notified when a bit on the condition register goes to one, set the corresponding bit of PTRansition register to 1 and the corresponding bit in the NTRansition register to 0.

Example:

If you want to be notified in the event of a command warning, use the following SCPI commands:

# Request notification if command warning (bit14 = 1 in condition register)

:STATus:QUESTionable:NTRansition 0

:STATus:QUESTionable:PTRansition 16384

:STATus:QUESTionable:ENABle 16384

# Check the Questionable event register

:STATus:QUESTionable?


Condition registers

As the status structure diagram shows, each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. For example, while the instrument is in the idle state, bit B10 (Idle) of the operation condition register will be set. When the instrument is taken out of idle, bit B10 clears.

The commands to read the condition registers are listed in the following table. For details on reading registers, see Reading registers.

Condition register commands

Command | Description
:STATus:OPERation:CONDition? | Reads operation condition register.
:STATus:MEASurement:CONDition? | Reads measurement condition register.
:STATus:QUEStionable:CONDition? | Reads questionable condition register.

NOTE: format of the response messages for the above queries is set by the :FORMat:SREGister commands.


Event registers

Each status register set has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register.

*CLS resets all four event registers.

The commands to read the event registers are listed in the following table. For details on reading registers, see Reading registers.

Event register commands

Command | Description
*ESR? | Reads standard event status register.
:STATus:OPERation[:EVENt]? | Reads operation event register.
:STATus:MEASurement[:EVENt]? | Reads measurement event register.
:STATus:QUEStionable[:EVENt]? |

NOTE: The format of the response messages for the above queries is set by the :FORMat:SREGister commands. Power-up and *CLS reset all bits of all event registers to 0. The :STATus:PRESet command has no effect.


Event enable registers

As the status structure diagram shows, each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. Therefore, this sequence takes place:

  1. An event bit is set.
  2. The corresponding enable bit is set (as programmed by the user).
  3. The output (summary) of the register is set to 1.
  4. The Status Byte Register summary bit is set.

The commands to program and read the event enable registers are listed in the following table. For details on programming and reading registers, see Programming enable registers and Reading registers.

Note: The bits of any enable register can be reset to 0 by sending the 0 parameter value using STATus:OPERation:ENABle 0.

Event enable register commands

Command |  |  | Description
*ESE <NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). |  |  | Programs standard event enable register.
*ESE? |  |  | Reads standard event enable register.
STATus:OPERation:ENABle <NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). |  |  | Programs operation event enable register.
STATus:OPERation:ENABle? |  |  | Reads enable register.
STATus:MEASurement:ENABle<NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). |  |  | Programs measurement event enable register.
STATus:MEASurement:ENABle? |  |  | Reads enable register.
STATus:QUEStionable:ENABle <NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). |  |  | Programs questionable event enable register.
STATus:QUEStionable:ENABle? |  |  | Reads enable register.
Parameters: |  |
<NDN> | = #Bxx...x | Binary format (each x = 1 or 0)
 | = #Hx | Hexadecimal format (x = 0 to 7FFF)
 | = #Qx | Octal format (x = 0 to 77777)
Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | = 0 to 32767 | Decimal format

Note: The format of the response messages for the above queries is set by the :FORMat:SREGister commands. Power-up and :STATus:PRESet reset all bits of all event registers to 0. *CLS has no effect.

Programming example

Program and read a register set

The following command sequence programs and reads the measurement register set:

:FORM:SREG BIN | ' Select binary format to read registers.
:STAT:MEAS:ENAB 512 | ' Enable BFL (buffer full).
:STAT:MEAS:COND? | ' Read measurement condition register.
:STAT:MEAS? | ' Read measurement event register.

Programming example

Read RAV bit of measurement event register

The following command sequence demonstrates the proper method to read the RAV bit of the measurement event register. In general, the state of an event register bit is determined by enabling the event bit, then reading the status byte (*STB?).

*RST | ' Put instrument in one-shot mode.
*CLS | ' Clear measurement event register.
:STAT:PRES | ' Clear measurement event enable register.
:STAT:MEAS:ENAB 32 | ' Enable RAV bit (B5) of the measurement event register.
:INIT | ' Trigger one measurement.
*STB? | ' Read status byte register.

*CLS and :STAT:PRES reset the measurement register bits to zero. The :ENAB command enables the reading available bit B5 (RAV) of the measurement event register. When a reading is triggered and becomes available, bit B0 (MSB) of the status byte will set. INIT triggers a reading and *STB? reads the status byte.

Since you are only interested in bit B0 of the status byte, it is recommended that your program routing mask out the other bits, which may also be set. For example, *STB? may return decimal "17." The binary bit pattern for decimal 17 is as follows:

B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0 |
0 | 0 | 0 | 1 | 0 | 0 | 0 | 1 | *STB? returns decimal "17" (B4 and B0 set)

If, in your program, you logically AND the above returned binary value with 00000001, you will mask out bits B1 through B7:

B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0 |
0 | 0 | 0 | 1 | 0 | 0 | 0 | 1 | *STB? returns decimal "17" (B4 and B0 set)
0 | 0 | 0 | 0 | 0 | 0 | 0 | 1 | Mask to read B0 (decimal 1)
-------------------------------------------------- |  |  |  |  |  |  |  |
0 | 0 | 0 | 0 | 0 | 0 | 0 | 1 | Result of logic AND operation (decimal 1)

As shown in the above result for the AND operation, when B0 is set, your program routine will generate a "1" to indicate that RAV is set. If B0 is not set (0), the AND operation will result in "0" to indicate that RAV is not set.


Queues

The instrument uses two queues, which are first-in first-out (FIFO) registers:

  • Output queue -- holds query response messages.
  • Error queue -- holds error and status messages.
  • Programming example

The status structure diagram shows how the two queues are structured with the other registers.

When a queue contains data, it sets the appropriate summary bit of the status byte register.

Note: While operating within the trigger mode (not in idle), you cannot send a status mode command (for example, *ESE?). These commands can only be executed when the instrument is in idle.

Output queue

The output queue holds data that pertains to the normal operation of the instrument.

Example sequence:

  1. A query command is sent.
  2. The response message is placed in the output queue.
  3. The message available (MAV) bit in the status byte register sets.
  4. A data message is cleared from the output queue when it is read.
  5. The output queue is considered cleared when it is empty.
  6. An empty output queue clears the MAV bit in the status byte register.
  7. A message is read from the output queue over that particular bus (GPIB, USB or LAN) after the appropriate query is sent.

Error queue

The error queue holds error and status messages.

Example sequence:

  1. An error or status event occurs.
  2. A message that defines the error/status is placed in the error queue.
  3. The error available (EAV) bit in the status byte register is set.
  4. An error/status message is cleared from the error queue when it is read.
  5. The error queue is considered cleared when it is empty.
  6. An empty error queue clears the EAV bit in the status byte register.

_____
The error queue holds up to 10 error/status messages. The commands to read the error queue are listed in the following table. When you read a message in the error queue, the "oldest" message is read and then removed from the queue.

  • The message "350, 'Queue Overflow'" will occupy the last memory location, if the queue becomes full.
  • The message "0, No Error" is placed in the queue, when it is empty. On power-up, the error queue is empty.

Messages in the error queue are preceded by a code number. Negative (-) numbers are used for SCPI-defined messages and positive (+) numbers are used for Agilent-defined messages.

  • On power-up, all error messages are enabled and will go into the error queue as they occur.
  • Status messages are not enabled and will not go into the queue.

As listed in the following table, there are commands to enable and/or disable messages. For these commands, the <list> parameter is used to specify which messages to enable or disable. The messages are specified by their codes. The following examples show various forms for using the <list> parameter.

<list> | = (-110) | Single message
 | = (-110:-222) | Range of messages (-110 through -222)
 | = (-110:-220, -220) | Range entry and single entry (separated by a comma)
  • When you enable messages, messages not specified in the list are disabled.
  • When you disable messages, each listed message is removed from the enabled list.
    _____

    NOTE: To prevent all messages from entering the error queue, send the null list parameter as :STATus:QUEue:ENABle ().

Command | Description
:STATus:QUEue:CLEar | Clears message from error queue.
:SYSTem:ERRor:ALL? | Reads the all errors in the queue.
:SYSTem:ERRor[:NEXT]? | Reads the next error in the queue (queue is LIFO).
:SYSTem:CLEar | Clears messages from error queue.
*CLS | Clears messages from error queue.

NOTE: Power-up and *CLS empties the error queue. The :STATus:PRESet command has no effect. Power-up enables error messages and disables status messages. *CLS and :STATus:PRESet have no effect.

Programming example

The following command reads the next error in the FIFO error queue:

:STAT:ERR:NEXT?


Programming and reading registers

See Programming enable registers and Reading registers for detailed information on registers.

Programming enable registers

The enable registers are the only registers that you can program. All other registers in the status structure are read-only registers.

The following section explains how to ascertain the parameter values for the various commands used to program enable registers.

A command to program an event enable register is sent with a parameter value that determines the desired state (0 or 1) of each bit in the appropriate register. An enable register can be programmed using any of the following data formats for the parameter value:

  • binary
  • decimal
  • hexadecimal
  • octal

The bit positions of the register (see the following table) indicate the binary parameter value.

Example:

To set bits B4, B3 and B1, the binary value would be 11010 (where B4=1, B3=1, B1=1 and all other bits are 0).

When you use one of the other formats, convert the binary number to its decimal, hexadecimal, or octal equivalent.

Example:

Binary 11010 = Decimal 26 = Hexadecimal 1A = Octal 32

Note that the following tables include the decimal weight for each register bit. To set bits B4, B3, and B1, the decimal parameter value would be the sum of the decimal weights for those bits (16+8+2 = 26).

16-bit status register -- Bits 0 through 7

Bit Position | B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0
Binary Value | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1
Decimal | 128 | 64 | 32 | 16 | 8 | 4 | 2 | 1
Weights | (27) | (26) | (25) | (24) | (23) | (22) | (21) | (20)

16-bit status register -- Bits 8 through 15

Bit Position | B15 | B14 | B13 | B12 | B11 | B10 | B9 | B8
Binary Value | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1
Decimal | 32768 | 16384 | 8192 | 4096 | 2048 | 1024 | 512 | 256
Weights | (215) | (214) | (213) | (212) | (211) | (210) | (29) | (28)

The <NDN> (non-decimal numeric) parameter type is used to send non-decimal values. These values require a header (#B, #H, or #Q) to identify the data format being sent. The letter in the header can be upper or lower case. The Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). (numeric representation format) parameter type is used to send decimal values and does not use a header. The following examples show the proper parameter syntax for setting bits B5, B3, and B2:

#b101100 | Binary format (<NDN> parameter type)
#h2C | Hexadecimal format (<NDN> parameter type)
#q54 | Octal format (<NDN> parameter type)
44 | Decimal format (Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). parameter type)

Valid characters for the non-decimal parameter values are shown as follows:

<NDN> format | Valid characters
Binary | 1s and 0s
Hexadecimal | 0 through 9 and A through F
Octal | 0 through 7

Reading registers

Any register in the status structure can be read by using the appropriate query (?) command. The following explains how to interpret the returned value (response message).

The response message will be a value that indicates which bits in the register are set. That value (if not already binary) will have to be converted to its binary equivalent.

Example:

For a binary value of 100101, bits B5, B2, and B0 are set.

The returned value can be in the binary, decimal, hexadecimal, or octal format. The FORMat:SREGister command is used to select the data format for the returned value (see the following table).

For non-decimal formats, one of the following headers will accompany the returned value to indicate which format is selected:

#B = Header for binary values

#H = Header for hexadecimal values

#Q = Header for octal values

Data format command for reading status registers

Command | Description |  |  | Default
:FORMat:SREGister <name> | Select data format for reading status registers: |  |  | ASCii
 | <name> = | ASCii | Decimal format |
 |  | HEXadecimal | Hexadecimal format |
 |  | OCTal | Octal format |
 |  | BINary | Binary format |


Clearing registers and queues

When the instrument is turned on, the bits of all registers in the status structure are cleared (reset to 0) and the two queues are empty. Commands to reset the event registers, event enable registers, and the error queue are listed in the following table. In addition to these commands, any enable register can be reset by sending the 0 parameter value with the individual command to program the register.

Note: :SYSTem:PRESet and *RST have no effect on status structure registers and queues.

Commands |  | Description
To reset registers: |  |  |
 | *CLS | Reset all bits of the following event registers to 0:
 |  |  | Standard event register
 |  |  | Operation event register
 |  |  | Measurement event register
 |  |  | Questionable event register
 | :STATus:PRESet | Reset all bits of the following enable registers to 0:
 |  |  | Operation event enable register
 |  |  | Measurement event enable register
 |  |  | Questionable event enable register
To clear error queue: |  |  |
 | *CLS | Clear all messages from error queue
 | :STATus:QUEue:CLEar | Clear messages from error queue
 | :SYSTem:ERRor:CLEar | Clear messages from error queue
  • The standard event enable register is not reset by :STATus:PRESet or *CLS. Send the 0 parameter value with *ESE to reset all bits of that enable register to 0 (see Status byte and service request commands).
  • The :STATus:PRESet command has no effect on the error queue. Use either of the two clear commands to clear the error queue.


Series V2900 SCPI command locator

Find commands in the category of instrument operation.

Basic Operation

:OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

*RST

:STATus:PRESet

:SYSTem:PRESet

:SYSTem:PRESet:SAVE

:SYSTem:PRESet:TYPE

Modulations

GSM

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GSM:LOAD

cdma2000

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD

W-CDMA

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:WCDMa:LOAD

:RADio:WCDMa:STATe

GPS

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe

ASK Digital

:ASK:DENCoding

:ASK:FILTer

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:COUNt

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STATe

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation

FSK Digital

:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:COUNt

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STATe

:FSK:STYPe

:OUTPut

:OUTPut:MODulation

PSK Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:COUNt

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STATe

:PSK:STYPe

QAM Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:COUNt

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STATe

:QAM:STYPe

Analog

:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM[:DEViation]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation

Arbitrary Waveforms

:OUTPut

:OUTPut:MODulation

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

IQ

:MODulation:IGAin

:MODulation:IOFFset

:MODulation:QGAin

:MODulation:IQGain

:MODulation:QOFFset

:MODulation:QPHase

:OUTPut:IQ

Corrections

:UFLatness:LOAD

:UFLatness:STATe

Sweep

:OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

:SWEep:DWELl

:SWEep:SETTle?

:SWEep:STEP

:SWEep:STATe

:UFLatness:LOAD

:UFLatness:STATe

List mode

:LIST:LOAD

:LIST:SETTle

:LIST

:OUTPut

Trigger/Synchronization

:ABORt

*TRG

*WAI

*OPC

*OPC?

:TRIGger:DELay

:TRIGger:DELay:ACTual

:TRIGger:MODE

:TRIGger:SOURce

:INITiate

Sync out

:SOUTput:IMMediate

:SOUTput:MODe

:SOUTput:POLarity

:SOUTput:OFFSet

ALC

:POWer:ALC:BOTune[:STATe]

:POWer:ALC:CWAVE[:STATe]

:POWer:ALC:CWAVe:TYPE

:POWer:ALC:CWAVE

:POWer:ALC:MODulation:TYPE

:POWer:ALC:MODulation[:STATe]

:POWer:ALC:SHOLd:REFResh

Frequency reference

:FREQuency:OFFSet

:IEVensecond:POLarity

:PHASe:ADJust

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce

MIMO (not applicable to Model 2910)

:MIMO:MODE

:MIMO:SYNC[:STATe]

:MASTer:SYNC[:STATe]

[:SOURce]:INTernal:CLOCk

[:SOURce]:VCO[:STATe]

[:SOURce]:PHASe:ADJust

Digital I/O

:TTL:INPut?

:TTL

External oscillator

:EEVensecond:POLarity

:IEVensecond:POLarity

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce

File management

*SAV

*RCL

:ASK:LOAD

:FSK:LOAD

:LIST:LOAD

:MMEMory:CATalog?

:MMEMory:DATA

:MMEMory:DELete

:PSK:LOAD

:QAM:LOAD

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

:RADio:CDMa:LOAD

:RADio:GPS:PATTern:OPEN

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD

:UFLatness:LOAD

Display

:DISPlay:CAPTure

:DISPlay:ENABle

:SYSTem:SSAVer:DELay

:SYSTem:SSAVer

Diagnostic/Errors

:DIAGnostic:FREQuency:EXTend

:DIAGnostic:INFormation:OPTions

:DIAGnostic:REMote:CLEar:LOG

:DIAGnostic:REMote:CLEar:OUTput

:DIAGnostic:REMote:ERRor:OUTPut

:DIAGnostic:REMote:LOG:OUTPut

:DIAGnostic:REMote:OUTPut

:DIAGnostic:REMote:QUERy:OUTPut

:DIAGnostic:REMote:SAVE

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

:SYSTem:ERRor:[NEXT]

Status registers

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement?

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement:EVENt

:STATus:MEASurement:NTRansition

:STATus:MEASurement:PTRansition

:STATus:OPERation?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:PRESet

:STATus:QUEStionable?

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable:EVENt

:STATus:QUEStionable:NTRansition

:STATus:QUEStionable:PTRansition

:STATus:OPERation:EVENt

:STATus:OPERation:NTRansition

:STATus:OPERation:PTRansition

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

Time and date

:SYSTem:TIME

:SYSTem:DATE

Preset

:ABORt

*RST

*SAV

*RCL

:STATus:PRESet

:SYSTem:PRESet

:SYSTem:PRESet:SAVE

:SYSTem:PRESet:TYPE

Remote and local operation

*IDN?

:MBOX:COMMand

:PMETer:COMMand

:SYSTem:COMMunicate:GPIB:ADDRess

:SYSTem:KLOCk

:SYSTem:LOCal

:SYSTem:PRESet

:SYSTem:REMote

Performance

:LPNoise[:STATe]

RF test accessory SCPI command pass-through

:MBOX:COMMand

:PMETer:COMMand

(Pass-through overview)


Series V2900 SCPI command tree

IEEE- 488.2 common commands
:ABORt
:DIAGnostic
:DISPlay
:FORMat
:INITiate[:IMMediate]
:MASTer
:MIMO
:MMEMory
:OUTPut
:PMETer:COMMand
:SOURce
 | :AM
 | :ASK
 | :FM
 | :FREQuency
 | :FSK
 | :IEVensecond:POLarity
 | :INTernal:CLOCk[:STATe]
 | :LIST
 | :LPNoise
 | :MODulation
 | :NOISe
 | :PHASe:ADJust
 | :PM
 | :POWer
 | :POWer:ALC
 | :PSK
 | :PULM
 | :QAM
 | :RADio:ARB
 | :RADio:CDMA
 | :RADio:GPS
 | :RADio:GSM
 | :RADio:WCDMa
 | :ROSCillator
 | :SWEep
 | :TTL
 | :TTONe
 | :UFLatness
 | :VCO[:STATe]
:SOUTput
:STATus
 | :MEASurement
 | :OPERation
 | :PRESet
 | :QUEStionable
 | :QUEue
:SYSTem
 | :CLEar
 | :COMMunicate
 | :DATE
 | :ERRor
 | :KLOCk[:STATe]
 | :LOCal
 | :PREset
 | :REMote
 | :SSAVer
 | :TIME
:TRIGger


IEEE- 488.2 common commands

Select a link below to navigate directly to that topic:

_____

*CLS | *RST
*ESE | *SAV
*ESE? | *SRE
*ESR? | *SRE?
*IDN? | *STB?
*OPC | *TRG
*OPC? | *WAI
*RCL |

*CLS -- Clear status

Clears the instrument status byte by emptying the error queue and clearing all event registers. Also cancels any preceding *OPC command or query. The standard event enable register is not reset by :STATus:PRESet or *CLS. Send the 0 parameter value with *ESE to reset all bits of that enable register to 0.

NOTE: :SYSTem:PRESet and *RST have no effect on status structure registers and queues.

*ESE -- Event status enable

Sets bits in the standard event status enable register. The parameter values to set the individual bits of the enable registers can be sent using the decimal format (NRf = 0 to 225). See the Standard event register topic for more information.

*ESE? -- Event status enable query

Returns the results of the standard event enable register. The register is cleared after reading it. See the Standard event register topic for more information.

*ESR? -- Event status register query

Reads the event status enable register. See [image] Status register commands and Reading registers.

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement?

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement:EVENt

:STATus:MEASurement:NTRansition

:STATus:MEASurement:PTRansition

:STATus:OPERation?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:PRESet

:STATus:QUEStionable?

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable:EVENt

:STATus:QUEStionable:NTRansition

:STATus:QUEStionable:PTRansition

:STATus:OPERation:EVENt

:STATus:OPERation:NTRansition

:STATus:OPERation:PTRansition

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

*IDN? -- Identify

Returns a string that uniquely identifies the instrument. The identification code includes the manufacturer, model number, serial number, and firmware revision levels and is sent in the following format:

Agilent Technologies, Inc.,MODEL nnnn,nnnnnnnn,xxx Jan 27 2008 14:59:09

Where:

nnnn is the model number

nnnnnnn is the serial number

xxx is the firmware revision level

Jan 27 2008 14:59:09 is the date and time (24hr format, hr:min:sec) for the firmware release

*OPC -- Operation complete command

The *OPC command sets the *OPC bit in the standard event register after all pending commands are complete.

After the *OPC command is sent and the last pending command is completed, the operation complete bit (bit B0) of the standard event status register will be set. If the corresponding bit (bit B0) in the standard event enable register and the event summary bit (bit 5) of the service request enable register are set, the master summary status (MSS) bit in the status byte register is set. See Event registers for more information.

When used with the immediate initiation command (:INITiate), the OPC bit in the standard event status register will not set until the instrument goes back into the idle state. See the description for *WAI for more information on command execution.

Programming example

The first group of commands sends the *OPC command after the :INITiate command and verifies that the OPC bit in the standard event status register does not set while the instrument continues to make measurements (not in idle). The second group of commands returns the instrument to the idle state and verifies that the OPC bit did get set.

:SYST:PRES | ' Returns the instrument to default setup.
:INIT:IMM;*OPC | ' Initiates one trigger cycle and sends the OPC command.
*ESR? | ' Reads the standard event status register.

The returned value of 0 denotes that the bit (bit 0) is not set indicating that the :INITiate operation is not complete.

*ESR?

' Reads the standard event status register.

The returned value of 1 denotes that the bit (bit 1) is set indicating that the :INITiate operation is now complete.

:SYST:PRES

' Returns the instrument to default setup.

NOTE: The following commands take a long time to process and may be optimized for speed by using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*OPC? -- Operation complete query

Places a "1" in the output queue after all pending operations are completed.

When this common command is sent, an ASCII "1" will be placed in the output queue after the last pending operation is completed. The "1" in the output queue will be sent to the controller.

The "1" in the output queue will set the MAV (message available) bit (B4) of the status byte register. If the corresponding bit (B4) in the service request enable register is set, the RQS/MSS (request for service/master summary status) bit in the status byte register will set.

When used with the :INITiate (initiate immediately) command, a "1" will not be placed into the output queue until the instrument goes back into the idle state. The :INIT command operation is not considered finished until the instrument goes back into the idle state. See the description for *WAI for more information about command execution.

The execution of OPC? is not completed until it has placed the "1" in the output queue.

Programming example

This command sequence demonstrates how to use *OPC? to signal the end of a measurement process:

:SYST:PRES | ' Returns instrument to default setup.
:INIT;*OPC? | ' Starts measurement process and sends OPC? command.

After the measurement is performed and the instrument returns to the idle state, an ASCII "1" will be placed in the output queue. The "1" from the output queue is sent to the controller.

:SYST:PRES

' Returns the instrument to default setup.

NOTE: The following commands take a long time to process and may be optimized for speed by using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*RCL -- Recall *SAV -- Save

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

NOTE: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

_____
Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

_ | *SAV 2 | ' Save present setup in memory location 2.
_ | *RST | ' Restore GPIB defaults.
_ | *RCL 2 | ' Recall location 2 setup.

*RST -- Reset

Returns the instrument to RST defaults.

  1. Returns the instrument to the RST default conditions, which is exactly the same as a SYSTem:PRESet (see "Default" area in SCPI commands).
  2. Cancels all pending commands.
  3. Cancels response to any previously received *OPC and *OPC? commands.

_

NOTE: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

-

NOTE: The frequency reference is not affected by Preset, *RST, or Save/Recall state.

*SAV -- Save*RCL -- Recall

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled from the instrument. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

Note: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

__
Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

_ | *SAV 2 | ' Save present setup in memory location 2.
_ | *RST | ' Restore GPIB defaults.
_ | *RCL 2 | ' Recall location 2 setup.

*SRE -- Service request enable command

Before reading a status register, bits must be enabled. This command enables bits in the service request register. The current setting is saved in non-volatile memory. See Service request enable register for more information.

*SRE? -- Service request enable query

Reads the current state of the Service request enable register. The register is cleared after reading it. The return value can be decoded using the table in Programming and reading registers.

__
See also: Reading registers

*STB? -- Status byte query

Reads the value of the instrument status byte. The register is cleared only when the registers feeding it are cleared.

_____
See Also

  • Programming and reading registers
  • Clearing registers and queues.

*TRG -- Trigger

Issues a GPIB trigger to the Series V2900. Use the *TRG command as an event to control operation. The Series V2900 reacts to this trigger if BUS is the programmed control source. See Triggering and Sync Out for more information.

_____
Programming example

The following command sequence configures the Series V2900 to be controlled by bus triggers. The last command, which sends a bus trigger, triggers one measurement. Each subsequent bus trigger will also trigger a single measurement.

NOTE: With TRIG:SOURce BUS selected, do not send any commands (except *TRG, GET, DCL, SDC, IFC, and ABORt) while performing measurements. Otherwise, erratic operation will occur.

*RST | ' Restore RST defaults.
TRIG:SOUR BUS | ' Select BUS control source.
INIT | ' Take instrument out of idle.
*TRG | ' Trigger one measurement.

*WAI -- Wait

The *WAI command prevents execution of commands until previous commands are completed and can be used with the following commands:

  • INITiate
  • *TRG

The INITiate command removes the instrument from the idle state. The device operations of :INITiate are not considered complete until the instrument returns to idle. By sending the *WAI command after the INITiate command, all subsequent commands will not execute until the instrument goes back into idle.

The *TRG command issues a bus trigger that could be used to provide the arm, scan, and measure events for the Trigger Model. By sending the *WAI command after the *TRG command, subsequent commands will not be executed until the pointer for the Trigger Model has finished moving in response to *TRG and has settled at its next state.

Programming example

The following command sequence shows how to use the *WAI command to allow the instrument to wait for the programmed measurements to be completed before requesting a reading.

_

:SYST:PRES

' Returns the instrument to default setup.

_

:INIT

' Starts measurement process.

_

*WAI

' Sends the WAI command. The program waits for
' the instrument to go into an idle state before
' executing the next command.


:ABORt

The ABORt command resets the trigger system and places all trigger sequences in the IDLE state. Any actions related to the trigger system that are in progress are aborted as quickly as possible.

This command is an event and has no associated *RST condition or query form.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :ABORt
Examples | :ABOR
 | :abort


:DIAGnostic

Controls remote command diagnostics.

Select a link to view the command details:

  • :DIAGnostic:FREQuency:EXTend[:STATe]
  • :DIAGnostic:INFormation:OPTions
  • :DIAGnostic:REMote:CLEar:LOG
  • :DIAGnostic:REMote:CLEar:OUTput
  • :DIAGnostic:REMote:ERRor:OUTPut[:STATe]
  • :DIAGnostic:REMote:LOG:OUTPut[:STATe]
  • :DIAGnostic:REMote:OUTPut[:STATe]
  • :DIAGnostic:REMote:QUERy:OUTPut[:STATe]
  • :DIAGnostic:REMote:SAVE

:DIAGnostic:FREQuency:EXTend[:STATe]

Queries or switches on/off the Extend Frequency feature.

Not applicable to the Model 2910 instruments.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 0 or Off | n/a | n/a | none

 | :DIAGnostic:FREQuency:EXTend[:STATe] 1
Examples | :DIAG:FREQ:EXT DEF
 | :diagnostic:frequency:extend default
 | :DIAGnostic:FREQuency:EXTend?

:DIAGnostic:INFormation:OPTions

Returns a string representing the installed options (comma delimited).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:INFormation:OPTions?
Examples | :DIAG:INF:OPT?
 | :diagnostic:information:options?

:DIAGnostic:REMote:CLEar:LOG

Clears the diagnostic output log contents

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:CLEar:LOG
Examples | :DIAG:REM:CLE:LOG
 | :diagnostic:remote:clear:log

:DIAGnostic:REMote:CLEar:OUTput

Clears the diagnostic output on-screen display list.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:CLEar:OUTput
Examples | :DIAG:REM:CLE:OUT
 | :diagnostic:remote:clear:output

:DIAGnostic:REMote:ERRor:OUTPut[:STATe]

Queries or switches on/off the remote error diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :DIAGnostic:REMote:ERRor:OUTPut:STATe DEFault
Examples | :DIAG:REM:ERR:OUTP DEF
 | :diagnostic:remote:error:output default
 | :DIAGnostic:REMote:ERRor:OUTPut?

:DIAGnostic:REMote:LOG:OUTPut[:STATe]

Queries or switches on/off logging the diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 0 or Off | n/a | n/a | none

 | :DIAGnostic:REMote:LOG:OUTPut:STATe DEFault
Examples | :DIAG:REM:LOG:OUTP DEF
 | :diagnostic:remote:log:output default
 | :DIAGnostic:REMote:LOG:OUTput?

:DIAGnostic:REMote:OUTPut[:STATe]

Queries or switches on/off the remote command diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 0 or OFF | n/a | n/a | none

 | :DIAGnostic:REMote:OUTput:STATe DEFault
Examples | :DIAG:REM:OUT:DEF
 | :diagnostic:remote:output default
 | :DIAGNOSTIC:REMOTE:OUTPUT?

:DIAGnostic:REMote:QUERy:OUTPut[:STATe]

Queries or switches on/off the remote query diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :DIAGnostic:REMote:QUERy:OUTPut:STATe DEFault
Examples | :DIAG:REM:QUER:OUTP DEF
 | :diagnostic:remote:query:output default
 | :DIAGnostic:REMote:QUERy:OUTPut?

:DIAGnostic:REMote:SAVE

Saves the diagnostic log to the specified file name. Use :MMEMory:DATA? to retrieve file.

NOTE: Only SCPI captured since :DIAGnostic:REMote:LOG:OUTPut:STATe ON is saved to the file.

The general context/process of using the :DIAG:REM:SAVE command is as follows:

  1. :DIAGnostic:REMote:LOG:OUTPut:STATe ON # Turn on file logging.
  2. :DIAGnostic:REMote:OUTPut:STATe ON # turn on SCPI debug/capture.
  3. ... send scpi commands ...
  4. :DIAGnostic:REMote:SAVE filename # save captured scpi to log file (only if LOG was turned on!)
  5. :MMEMory:DATA? user\filename # retrieve SCPI

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | string | Yes | filename | none | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:SAVE
Examples | :DIAG:REM:SAVE
 | :diagnostic:remote:save


:DISPlay

Controls the screen display.

Select a link to view the command details:

  • :DISPlay:CAPTure
  • :DISPlay:ENABle[:STATe]

:DISPlay:CAPTure

Captures the contents shown on the display and puts them in the specified file. See LXI web interface.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | filename | none | n/a | n/a | n/a | none

 | :DISPlay:CAPTure
Examples | DISP:CAPT
 | DISP:CAPT


:DISPlay:ENABle[:STATe]

Queries or switches on/off the instrument front panel display circuitry, which controls the backlight and all updating of the display. When the display is disabled, the instrument operates at a higher speed. This maximizes throughput when using the remote interface.

Normal display operation can be resumed by using the :ENABle command to enable the display or by putting the instrument into local mode (press Local). All front panel controls (except Local) are disabled.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :DISPlay:ENABle:STATe 0
Examples | :DISP:ENAB ON
 | :display:enable 0
 | :DISP:ENAB?


:FORMat:SREGister

Queries or sets the numeric format of query results for status registers and enable registers. See Status structure.

Parameters

The return parameters are a string that contains the capital letters from the currently set parameter:

  • ASCii sets the numeric format to ascii = 0 to 32767.
  • HEXadecimal sets the numeric format to hexadecimal = (x = 0 to 7FFF) = #Hx.
  • BINary sets the numeric format to binary = (each x = 1 or 0) = #Bxx...x.
  • OCTal sets the numeric format to octal = (x = 77777) =#Qx.
  • DEFault returns to the default (preset) mode.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ASC | HEX | BIN | OCT | DEF | Yes | ascii | hexadecimal | binary | octal | Default | ASC | n/a | n/a | none

 | :FORMat:SREGister ASC
Examples | :FORM:SREG ASC
 | :format:sregister octal
 | :FORM:SREG?


:INITiate[:IMMediate]

Initiates a single sweep or list, depending on mode. See Trigger.

When using this command to trigger a single sweep (or list), the command must be used in a single-string programming message that includes *OPC?, followed by a new-line character. When the source completes the sweep, the instrument responds with a "1."

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :INIT
Examples | :INIT:IMM
 | :initiate:immediate

NOTE: Sending :INITiate while the instrument is performing an measurement will cause error -213 (init ignored).


:MASTer

Select a link to view the command details:

  • :MASTer:SYNC[:STATe]

_____
For more detail see Master Sync.

:MASTer:SYNC[:STATe]

Queries or switches MIMO master sync on/off.

For more detail see Master Sync.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :MASTer:SYNC:STATe ON
Examples | :MAST:SYNC ON
 | :master:sync:state 0
 | :MAST:SYNC?

Master Sync

Caution: This control is not typically used during normal operation.

_____
Master Sync makes the unit the master in charge of controlling the MIMO synchronization signals. This selection allows for manual control when debugging with the assistance of an <company application engineer.

Related SCPI command:

  • :MASTer:SYNC[:STATe]


:MIMO

The following commands affect the MIMO (multiple in, multiple out) mode configuration:

  • :MIMO:MODE
  • :MIMO:SYNC[:STATe]
  • :MASTer:SYNC[:STATe]
  • [:SOURce]:INTernal:CLOCk[:STATe]
  • [:SOURce]:VCO[:STATe]

____

For further details on the MIMO Mode, see MIMO.

:MIMO:MODE

Queries or sets MIMO mode.

Note icon It is important to keep the center frequency of the master and all slaves the same. If you attempt to change the Center Frequency on a unit that is a Master or a Slave, the unit will respond with the error message "Verify MIMO Master and all MIMO Slaves are tuned to same frequency."

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | MAST | SLAV | MAN | Yes | OFF | MASTer | SLAVe | MANual | DEFault | OFF | n/a | n/a | none

 | :MIMO:MODE SLAVe
Examples | :MIMO:MODE SLAV
 | :mimo:mode master
 | :MIMO:MODE?

:MIMO:SYNC[:STATe]

Queries or switches on/off MIMO sync state.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or OFF | n/a | n/a | none

 | :MIMO:SYNC:STATe ON
Examples | :MIMO:SYNC ON
 | :mimo:sync:state 0
 | :MIMO:SYNC?


:MBOX:COMMand

Queries or sets the specified commands to RF test accessories (for example, the V2891A Upconverter or other V2891A accessory products) to the VSA, and returns responses to queries. See the V2891A product documentation for information about the relevant pass-through commands/queries.

See V2891A SCPI command pass-through

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | <V2981A command> | none | n/a | n/a | n/a | n/a

 | :MBOX:COMMand *RST
Examples | :MBOX:COMM *RST
 | :mbox:command *rst
 | :MBOX:COMM?


:MMEMory

Controls the file system.

Select a link to view the command details:

  • :MMEMory:CATalog
  • :MMEMory:DATA
  • :MMEMory:DELete

:MMEMory:CATalog

Queries the contents of the file system, starting at the specified directory root. The parameter is an alias for the physical file path. The contents of all subdirectories are included in the response. The response is per SCPI standard for :MMEMory:CATalog?. The file type is left blank. See File management operations.

Note: Syntax is ":MMEMory:Catalog? <directory path>".

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | (see path shortcut list below) | none | n/a | n/a | n/a | none

___

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:CATalog command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent **
USER | Generic use | ...\Agilent Series V2900 Documents\<model>
SETUPS | Store instrument saved state files. | ...\Agilent Series V2900 Documents\<model>\Setups
CDMA2000 FORWARD LINK\USER | Store cdma2000 forward link waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\cdma2000\Forward Link
CDMA2000 FORWARD LINK\REFERENCE | Store default cdma2000 forward link waveform file | ((restricted, read-only))
W-CDMA 3GPP DOWNLINK\USER | Store W-CDMA downlink waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\W-CDMA\Down Link
W-CDMA 3GPP DOWNLINK\REFERENCE | Store default W-CDMA downlink waveform file | ((restricted, read-only))
GSM EDGE\USER | Store GSM EDGE waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GSM EDGE
GSM EDGE\REFERENCE | Store default GSM EDGE waveform file | ((restricted, read-only))
GPS\USER | Store GPS waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GPS
ASK\USER | Store ASK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ASK
FSK\USER | Store FSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\FSK
PSK\USER | Store PSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\PSK
QAM\USER | Store QAM waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\QAM
ARB WAVEFORM\USER | Store arbitrary waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
ARB SEQUENCE\USER | Store arbitrary waveform sequence files | ...\Agilent Series V2900 Documents\<model>\Sequence
LIST\USER | Store List Mode (frequency, power, and dwell parameters) files | ...\Agilent Series V2900 Documents\<model>\List
USER FLATNESS\USER | Store user flatness files | ...\Agilent Series V2900 Documents\<model>\User Flatness
USB | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2 | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3 | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4 | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2920A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_____

Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog ask\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\V2920A\ASK. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Shared Documents\Agilent Series V2900 Documents\<model> (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\<model>).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\<user>\Agilent Series V2900 Documents\<model>.

_____

 | :MMEMory:CATalog? LIST\USER
Examples | :MMEM:CAT? LIST\USER
 | :mmemory:catalog? list\user

:MMEMory:DATA

Queries or creates a file in the location specified and copies the information in the programming message into the file. You can use the programming command :MMEM:DATA to create a file (with specified contents) in a directory in the Series V2900 instrument or a USB memory device connected to the Series V2900 instrument, or on the computer running the Desktop Control Panel application. See File management operations.

___________

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | #<number of digits representing the number of characters in the string in the file><number of characters in text string in the file>string | Yes | <path\filename>, #<number of digits representing the number of characters in the string in the file><number of characters in text string in the file>string | none | n/a | n/a | n/a | none

___________

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:DATA command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent **
USER\... | Generic use | ...\Agilent Series V2900 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2900 Documents\<model>\Setups
CDMA2000 FORWARD LINK\USER\... | Store cdma2000 forward link waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\cdma2000\Forward Link
W-CDMA 3GPP DOWNLINK\USER\... | Store W-CDMA downlink waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\W-CDMA\Down Link
GSM EDGE\USER\... | Store GSM EDGE waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GSM EDGE
GPS\USER\... | Store GPS waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GPS
ASK\USER\... | Store ASK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ASK
FSK\USER\... | Store FSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\FSK
PSK\USER\... | Store PSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\PSK
QAM\USER\... | Store QAM waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\QAM
ARB WAVEFORM\USER\... | Store arbitrary waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
ARB SEQUENCE\USER\... | Store arbitrary waveform sequence files | ...\Agilent Series V2900 Documents\<model>\Sequence
LIST\USER\... | Store List Mode (frequency, power, and dwell parameters) files | ...\Agilent Series V2900 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2900 Documents\<model>\User Flatness
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2920A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_____

Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog ask\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\V2920A\ASK. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Shared Documents\Agilent Series V2900 Documents\<model> (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\<model>).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\<user>\Agilent Series V2900 Documents\<model>.

_____

:MMEMory:DATA USER\example.txt, #211Hello world

Examples

:MMEM:DATA USER\example.txt, #211Hello world

:mmemory:data user\example.txt, #211Hello world

:MMEM:DATA? \list\user\listmodesample.txt

Examples

The following command creates a file named "example1.txt" on the second USB memory device that is inserted into the instrument's USB connectors.

:MMEM:DATA \USB2\example1.txt, #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the content of the file "example1.txt."

Examples

The following command creates a file named "whatsit.txt" on a USB memory device inserted into one of the computer's USB connectors (identified by the computer as drive "F").

:MMEM:DATA F:\data.txt, #265Hello! This is another example content for the whatsit text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 65 indicates that the transmission is 65 bytes. This number includes characters, spaces, and line breaks.
  • The text is the content of the file "whatsit.txt."

:MMEMory:DELete

Deletes a file or directory. The parameter is an alias for the physical file path. The root of the file path is one of the enumerated names. See File management operations.

______

NOTE: syntax is ":MMEMory:DELete <directory name[\subdirectory...]>".

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | <path> | none | n/a | n/a | n/a | none

___________

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:DElete command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent *
USER\... | Generic use | ...\Agilent Series V2900 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2900 Documents\<model>\Setups
CDMA2000 FORWARD LINK\USER\... | Store cdma2000 forward link waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\cdma2000\Forward Link
W-CDMA 3GPP DOWNLINK\USER\... | Store W-CDMA downlink waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\W-CDMA\Down Link
GSM EDGE\USER\... | Store GSM EDGE waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GSM EDGE
GPS\USER\... | Store GPS waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GPS
ASK\USER\... | Store ASK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ASK
FSK\USER\... | Store FSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\FSK
PSK\USER\... | Store PSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\PSK
QAM\USER\... | Store QAM waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\QAM
ARB WAVEFORM\USER\... | Store arbitrary waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
ARB SEQUENCE\USER\... | Store arbitrary waveform sequence files | ...\Agilent Series V2900Documents\<model>\Sequence
LIST\USER\... | Store List Mode (frequency, power, and dwell parameters) files | ...\Agilent Series V2900 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2900 Documents\<model>\User Flatness
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2920A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_____

Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog ask\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\V2920A\ASK. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Shared Documents\Agilent Series V2900 Documents\<model> (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\<model>).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\<user>\Agilent Series V2900 Documents\<model>.

_____

 | :MMEMory:DELete SETUPS\SETUP1.TXT
Examples | :MMEM:DEL setups\setup1.txt
 | :mmemory:delete setups\setup1.txt
Examples | The following command deletes a file named "example1.txt" on a USB memory device that is the first USB device inserted in the Series V2900 instrument. :MMEM:DEL \USB\example1.txt


Instrument directories

When using :MMEMory commands, you are encouraged to use the path shortcuts. If you wish, however, you may use the absolute path for the instrument directories as noted in the table below. To access the instrument directories, use the Remote File Browser, accessed from the LXI web interface.

Path Shortcut * | Directory purpose | Instrument absolute path equivalent
USER\... | Generic use | \Storage Card\User\...
SETUPS\... | Store instrument saved state files. | \Storage Card\SETUPS\...
CDMA2000 FORWARD LINK\USER\... | Store cdma2000 forward link waveform files | \Storage Card\CDMA2000 FORWARD LINK\USER\...
W-CDMA 3GPP DOWNLINK\USER\... | Store W-CDMA downlink waveform files | \Storage Card\W-CDMA 3GPP DOWNLINK\USER\...
GSM EDGE\USER\... | Store GSM EDGE waveform files | \Storage Card\GSM EDGE\USER\...
GPS\USER\... | Store GPS waveform files | \Storage Card\GPS\USER\...
ASK\USER\... | Store ASK waveform files | \Storage Card\ASK\USER\...
FSK\USER\... | Store FSK waveform files | \Storage Card\FSK\USER\...
PSK\USER\... | Store PSK waveform files | \Storage Card\PSK\USER\...
QAM\USER\... | Store QAM waveform files | \Storage Card\QAM\USER\...
ARB WAVEFORM\USER\... | Store arbitrary waveform files | \Storage Card\ARB WAVEFORM\USER\...
ARB SEQUENCE\USER\... | Store arbitrary waveform sequence files | \Storage Card\ARB SEQUENCE\USER\...
LIST\USER\... | Store List Mode (frequency, power, and dwell parameters) files | \Storage Card\LIST\USER\...
USER FLATNESS\USER\... | Store user flatness files | \Storage Card\USER FLATNESS\USER\...
USB\... | Root directory of the first USB device inserted into the instrument | \Hard Disk\...
USB2\... | Root directory of the second USB device inserted into the instrument | \Hard Disk2\...
USB3\... | Root directory of the third USB device inserted into the instrument | \Hard Disk3\...
USB4\... | Root directory of the fourth USB device inserted into the instrument | \Hard Disk4\...
All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.


:OUTPut

Controls the source output.

Select a link to view the command details:

  • :OUTPut[:STATe]
  • :OUTPut:IQ[:STATe]
  • :OUTPut:MODulation[:STATe]

Also see RF Out connector.

:OUTPut[:STATe]

Queries or switches RF output on/off. See RF On button.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :OUTPut:STATe ON
Examples | :OUTP:STAT ON
 | :output:state on
 | :OUTPut?

:OUTPut:IQ[:STATe]

Turns external IQ outputs on/off. RF output must be on for the signal to be routed to the IQ outputs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :OUTPut:IQ:STATe 0
Examples | :OUTP:IQ:STAT 1
 | :output:iq:state
 | :output:iq ?

:OUTPut:MODulation[:STATe]

Queries or switches modulation on/off. See Modulation On button.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :OUTPut:MODulation:STATe DEFault
Examples | :OUTP:MOD DEF
 | :output:modulation:state on
 | :OUTPut:MODulation?


:PMETer:COMMand

Queries or sets the specified Agilent V3500A power meter commands. See Power meter SCPI command pass-through.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | power meter command | none | n/a | n/a | n/a | none

 | :PMETer:COMMand
Examples | :PMET:COMM
 | :pmeter:command
 | :pmeter:command?


[:SOURce]:AM

Controls the source amplitude modulation.

Select a link to view the command details:

  • [:SOURce]:AM[:DEPTh]
  • [:SOURce]:AM:INTernal:FREQuency
  • [:SOURce]:AM:INTernal:WAVeform
  • [:SOURce]:AM:STATe

Also see Amplitude modulation (AM).

[:SOURce]:AM[:DEPTh]

Queries or sets the amplitude modulation depth. See Amplitude modulation (AM).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 50.0 | 0.0 | 100.0 | percent

 | :SOURce:AM:DEPTh MAXimum
Examples | :AM 15
 | :am:depth maximum
 | :AM:DEPTh?

[:SOURce]:AM:INTernal:FREQuency

Queries or sets the amplitude modulation frequency. See Amplitude modulation (AM).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1 | 100000 | Hz

 | :SOURce:AM:INTernal:FREQuency MAXimum
Examples | :AM:INT:FREQ MAX
 | :am:internal:frequency
 | :AM:INTernal:FREQuency?

[:SOURce]:AM:INTernal:WAVeform

Queries or sets the amplitude modulation waveform. See Amplitude modulation (AM).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SINE | DRAM | URAM | TRI | Yes | SINE | DRAMp | URAMp | TRIangle | DEFault | SINE | n/a | n/a | none

 | :SOURce:AM:INTernal:WAVeform TRIangle
Examples | :AM:INT:WAV TRI
 | :am:internal:waveform triangle
 | :AM:INTernal:WAVeform?

[:SOURce]:AM:STATe

Queries or switches the amplitude modulation on/off. See Amplitude modulation (AM).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:AM:STATE ON
Examples | :AM:STAT ON
 | :am:state 0
 | :AM:STATE?


[:SOURce]:ASK

Controls the ASK (amplitude-shift-keying) digital modulation.

Select a link to view the command details:

  • [:SOURce]:ASK:DENCoding
  • [:SOURce]:ASK:FILTer
  • [:SOURce]:ASK:LOAD
  • [:SOURce]:ASK:PATTern
  • [:SOURce]:ASK:PATTern:COUNt
  • [:SOURce]:ASK:PATTern:INVert[:STATe]
  • [:SOURce]:ASK:SPS
  • [:SOURce]:ASK[:STATe]
  • [:SOURce]:ASK:STYPe

_____
Also see: ASK (amplitude-shift-keying)

[:SOURce]:ASK:DENCoding

Queries or switches on/off the ASK (amplitude-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See ASK (amplitude-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:ASK:DENCoding ON
Examples | :ASK:DENC 1
 | :ask:dencoding 1
 | :ASK:DENCoding?

[:SOURce]:ASK:FILTer

Queries or sets the filter type, and optionally the filter factor, for ASK modulation. NRZ and WIDeband do not have filter factors.

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • NRZ selects the non-return-to-zero filter shape.
  • RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
  • WIDeband applies no filter.
  • DEFault returns to the default (preset) mode.
  • MINimum sets the minimum value for the filter factor. NRZ and WIDeband do not have a filter factors.
  • MAXimum sets the maximum value for the filter factor. NRZ and WIDeband do not have a filter factors.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NRZ | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | GAUS,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | WID |  | Yes | NRZ | RC [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] |GAUSsian [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] |NGAussian [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] |WIDeband | DEFault[,{MAXimum|MINimum|DEFault}] | NRZ | RC,0.35 | RRC,0.22 | GAUS,1.00 | NGA,1.00 | RC,0.20 | RRC,0.20 | GAUS,0.10 | NGA,0.10 | RC,1.00 | RRC,1.00 | GAUS,3.00 | NGA,3.00 | none
 |  | :SOURce:ASK:FILTer
Examples |  | :ASK:FILT
 |  | :ask:filter
 |  | :ask:filter?

[:SOURce]:ASK:LOAD

Queries or sets the ASK waveform to load. If no filename is specified then the current ASK parameter settings are loaded. Query returns the filename if ASK is enabled; returns null if no ASK file is loaded. See ASK (amplitude-shift-keying).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | stringfilename | none | Yes | stringfilename | none | DEFault | Ask Default | n/a | n/a | none

 | :SOURce:ASK:LOAD ASKmod 1.csv
Examples | :ASK:LOAD ASKmod 1
 | :ask:load askmod 1
 | ASK:LOAD?

Example:

You can use the programming command [:SOURce]:ASK:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted into the Series V2900, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
ASK User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ASK
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:ASK:PATTern

Queries or sets the pattern type, and optionally the pattern length, for ASK modulation. For ALTernating pattern the length is the number of alternating 1s and 0s. For example, Length=1 is 1010101. COUNt does not have a user-selectable length. See ASK (amplitude-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.
  • COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.
  • ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRBS,PN5 | PRBS,PN9 | PRBS,PN11 | PRBS,PN15 | COUN | ALT,Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | PRBS[,{PN5 | PN9 | PN11 | PN15}] | COUNt | ALTernating[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | PRBS: DEFault[,DEFault] COUNT: none ALTernating: ALTernating [,{MAXimum, MINimum, DEFault}] | PRBS,PN9 | ALT,1 | ALT,1 | ALT,16 | none

 | :SOURce:ASK:PATTern
Examples | :ASK:PATT
 | :ask:pattern
 | :ASK:PATT?

[:SOURce]:ASK:PATTern:COUNt

Queries the length of the Count pattern, which is the number of constellation points determined by [:SOURce]:ASK:STYPe.

___
See also: ASK (amplitude-shift-keying)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:ASK:PATTern:COUNt?
Examples | :ASK:PATTERN:COUNT?
 | :ask:pattern:count?

[:SOURce]:ASK:PATTern:INVert[:STATe]

Queries or switches pattern inversion on/off for ASK modulation.

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:ASK:PATTern:INVert:STATe ON
Examples | :ASK:PATT:INV 1
 | :ask:pattern:invert 1
 | :ASK:PATTern:INVert?

[:SOURce]:ASK:SPS

Queries or sets the speed at which data symbols are transmitted for ASK (amplitude-shift-keying) modulation. See ASK (amplitude-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 500 | 4000000 | Hz
 |  | :SOURce:ASK:SPS MINimum
Examples |  | :ASK:SPS MIN
 |  | :ask:sps minimum
 |  | :SOURce:ASK:SPS?

[:SOURce]:ASK[:STATe]

Queries or switches ASK modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none
 |  | :SOURCE:ASK:STATe ON
Examples |  | :ASK:STAT ON
 |  | ask:state 0
 |  | :ASK:STATe?

[:SOURce]:ASK:STYPe

Queries or sets the symbol type for ASK modulation.

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • OOK is a special case of general ASK that operates as a switch, using the presence of a carrier wave to indicate a binary '1' and its absence to indicate a binary '0.'
  • ASK4 sets the symbol type to amplitude-shift-keying4 that represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.
  • SASK2 sets the symbol type to signed amplitude-shift-keying2 that uses an additional amplitude level to represent data.
  • SASK4 sets the symbol type to signed amplitude-shift-keying4 that represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OOK | ASK4 | SASK2 | SASK4 | Yes | OOK | ASK4 | SASK2 | SASK4 | DEFault | OOK | n/a | n/a | none

Examples | :SOURce:ASK:STYPe ASK2
 | :ASK:STYP DEF :ask:stype ook
 | :ASK:STYPe?


[:SOURce]:FM

Controls the source frequency modulation.

Select a link to view the command details:

  • [:SOURce]:FM[:DEViation]
  • [:SOURce]:FM:INTernal:FREQuency
  • [:SOURce]:FM:INTernal:WAVeform
  • [:SOURce]:FM:STATe

Also see Frequency modulation (FM).

[:SOURce]:FM[:DEViation]

Queries or sets the frequency modulation deviation. See Frequency modulation (FM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000 | 0 | 1000000 | Hz
 |  | :SOURce:FM:DEViation MAXimum
Examples |  | :FM DEF
 |  | :fm:deviation max
 |  | :FM?

[:SOURce]:FM:INTernal:FREQuency

Queries or sets the FM rate (frequency). See Frequency modulation (FM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1 | 100000 | Hz
 |  | :SOURce:FM:INTernal:FREQuency MAXimum
Examples |  | :FM:INT:FREQ MAX
 |  | :fm:internal:frequency default
 |  | :FM:INTernal:FREQuency?

[:SOURce]:FM:INTernal:WAVeform

Queries or sets the frequency modulation (FM) waveform. See Frequency modulation (FM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SINE | DRAM | URAM | TRI |  | Yes | SINE | DRAMp | URAMp | TRIangle | DEFault | SINE | n/a | n/a | none
 |  | :SOURce:FM:INTernal:WAVeform TRIangle
Examples |  | :FM:INT:WAV TRI
 |  | :fm:internal:waveform triangle
 |  | :FM:INTernal:WAVeform?

[:SOURce]:FM:STATe

Queries or switches FM on/off. See Frequency modulation (FM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:FM:STATe ON
Examples |  | :FM:STAT ON
 |  | :source:fm:state 0
 |  | :FM:STATE?


[:SOURce]:FREQuency

Controls the source frequency.

Select a link to view the command details:

  • [:SOURce]:FREQuency[:CW]
  • [:SOURce]:FREQuency[:FIXed]
  • [:SOURce]:FREQuency:OFFSet
  • [:SOURce]:FREQuency:STARt
  • [:SOURce]:FREQuency:STOP

_
Also see Sweep and signal generation and Sweep and signal operations.

[:SOURce]:FREQuency[:CW]

Queries or sets the carrier frequency value. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 10000000 | 6000000000 | Hz

Note: For details see About the Model 2910 or About the Model 2920.

 | :SOURce:FREQuency:CW 10000000
Examples | :FREQ MAX
 | :frequency default
 | :FREQuency?

[:SOURce]:FREQuency[:CW]|[:FIXed]

Queries or sets the carrier frequency value. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 10000000 | 6000000000 | Hz

Note: For details see About the Model 2910 or About the Model 2920.

 | :SOURce:FREQuency:FIXed 10000000
Examples | :FREQ MAX
 | :frequency default
 | :FREQuency?

[:SOURce]:FREQuency:OFFSet

Not applicable to the Model 2910.

Queries or sets the carrier frequency offset (in increments of 0.1Hz over a range of +/- 40 MHz) applied to all absolute frequency values. This feature enables you to initiate a digitally implemented frequency translation independent of the frequency synthesizer circuitry. This is particularly useful when units are in a multi-channel configuration, sharing a common carrier or local oscillator via the Model V2895 Synchronization Unit. Adjusting this frequency offset allows independent frequency variation on each channel while still maintaining the precision timing and carrier synchronization of the multi-channel configuration.
_____

See Also:

  • Carrier Offsets
  • Sweep and signal generation

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -400000000 | 400000000 | Hz

 | :SOURce:FREQuency:OFFSet -40
Examples | :FREQ:OFFS 10000
 | :frequency:offset 200000
 | :FREQuency:OFFSet?

[:SOURce]:FREQuency:STARt

Queries or sets the start frequency for frequency sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 10000000 | 6000000000 | Hz

Note: For details see About the Model 2910 or About the Model 2920.

 | :SOURce:FREQuency:STARt MINimum
Examples | :FREQ:STAR DEF
 | :frequency:start maximum
 | :FREQuency:STARt?

[:SOURce]:FREQuency:STOP

Queries or sets the stop frequency for frequency sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 6000000000 | 10000000 | 6000000000 | Hz

Note: For details see About the Model 2910 or About the Model 2920.

 | :SOURce:FREQuency:STOP MINimum
Examples | :FREQ:STOP DEF
 | :frequency:stop maximum
 | :FREQuency:STOP?


[:SOURce]:FSK

Controls the FSK (frequency-shift-keying) digital modulation.

Select a link to view the command details:

  • [:SOURce]:FSK:DENCoding[:STATe]
  • [:SOURce]:FSK:FILTer
  • [:SOURce]:FSK:FSEParation
  • [:SOURce]:FSK:LOAD
  • [:SOURce]:FSK:PATTern
  • [:SOURce]:FSK:PATTern:COUNt
  • [:SOURce]:FSK:PATTern:INVert[:STATe]
  • [:SOURce]:FSK:SPS
  • [:SOURce]:FSK[:STATe]
  • [:SOURce]:FSK:STYPe

Also see FSK (frequency-shift-keying).

[:SOURce]:FSK:DENCoding[:STATe]

Queries or switches on/off the FSK (frequency-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:FSK:DENCoding:STATe ON
Examples |  | :FSK:DENC 1
 |  | :fsk:dencoding 1
 |  | :FSK:DENCoding?

[:SOURce]:FSK:FILTer

Queries or sets the filter type, and optionally the filter factor, for FSK modulation. RECTangular does not have a filter factor.

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RECT | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | GAUS,Digits with an explicit decimal point. |  | Yes | RECTangular | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | GAUSsian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | DEFault [,{MAXimum| MINimum|DEFault}] | RECT | RC,0.35 | RRC,0.22 | NGA, 1.00 | GAUS,1.00 | RC,0.20 | RRC, 0.20 | NGA, 0.10 | GAUS, 0.10 | RC,1.00 | RRC,1.00 | NGA, 3.00 | GAUS,3.00 | none
 |  | :SOURce:FSK:FILTer RC
Examples |  | :FSK:FILT NGAussian,MIN
 |  | :fsk:filter gaussian,minimum
 |  | :FSK:FILTer?

[:SOURce]:FSK:FSEParation

Queries or sets the value for the frequency separation for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 0 | 8000000 | Hz
 |  | :SOURce:FSK:FSEParation MINimum
Examples |  | :FSK:FSEP MIN
 |  | :fsk:fseparation minimum
 |  | :FSK:FSEParation?

[:SOURce]:FSK:LOAD

Sets the FSK waveform to load (full path filename). If no filename is specified then the current FSK parameter settings are loaded. Query returns the filename if FSK is enabled.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string(filename) | none |  | Yes | string(filename) | none | DEFault | Fsk Default | n/a | n/a | none
 |  | :SOURce:FSK:LOAD FSKmod1.csv
Examples |  | :FSK:LOAD FSKmod1
 |  | :fsk:load fskmod1
 |  | :FSK:LOAD?

Example:

You can use the programming command [:SOURce]:FSK:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
FSK User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\FSK
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:FSK:PATTern

Queries or sets the pattern type, and optionally the pattern length, for FSK modulation. For ALTernating pattern the length is the number of alternating 1s and 0s. For example, Length=1 is 1010101. COUNt does not have a user-selectable length. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.
  • COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.
  • ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRBS,PN5 | PRBS,PN9 | PRBS,PN11 | PRBS,PN15 | COUN | ALT,Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | PRBS[,{PN5 | PN9 | PN11 | PN15}] | COUNt | ALTernating[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | PRBS: DEFault[,DEFault] COUNT: none ALTernating: ALTernating[, {MAXimum, MINimum, DEFault}] | PRBS,PN9 | ALT,1 | ALT,1 | ALT,16 | none

 | :SOURce:FSK:PATTern
Examples | :FSK:PATT
 | :fsk:pattern
 | :FSK:FSK:PATT?

[:SOURce]:FSK:PATTern:COUNt

Queries the length of the Count pattern, which is the number of constellation points determined by [:SOURce]:FSK:STYPe.

___
See also: FSK (frequency-shift-keying)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:FSK:PATTern:COUNt?
Examples | :FSK:PATTERN:COUNT?
 | :fsk:pattern:count?

[:SOURce]:FSK:PATTern:INVert[:STATe]

Queries or switches on/off the FSK (frequency-shift-keying) modulation data pattern inversion. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none
 |  | :SOURce:FSK:PATTern:INVert:STATe ON
Examples |  | :FSK:PATT:INV 1
 |  | :fsk:pattern:invert 1
 |  | :FSK:PATTern:INVert?

[:SOURce]:FSK:SPS

Queries or sets the speed at which data symbols are transmitted for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 500 | 400000 | Hz
 |  | :SOURce:FSK:SPS MINimum
Examples |  | :FSK:SPS MIN
 |  | :fsk:sps minimum
 |  | :FSK:SPS?

[:SOURce]:FSK[:STATe]

Queries or switches FSK modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none
 |  | :SOURCE:FSK:STATe ON
Examples |  | :FSK:STAT ON
 |  | :source:fsk:state 0
 |  | :FSK:STATe?

[:SOURce]:FSK:STYPe

Queries or sets the symbol type for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FSK2 |  | Yes | FSK2 | DEFault | FSK2 | n/a | n/a | none
 |  | :SOURce:FSK:STYPe FSK2
Examples |  | :FSK:STYP DEF
 |  | :fsk:styp def
 |  | :FSK:STYPe?


[:SOURce]:IEVensecond:POLarity

Queries or sets the polarity of the internal even second reference.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL |  | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none
 |  | :SOURce:IEVensecond:POLarity RISing
Examples |  | :IEV:POL RIS
 |  | :ievensecond:polarity falling
 |  | :IEVensecond:POLarity?


[:SOURce]:INTernal:CLOCk[:STATe]

Queries or switches the internal clock oscillator on/off.

NOTE: In the instrument power-up default state, the MIMO Mode (:MIMO:MODE) is OFF and the [:SOURce]:INTernal:CLOCk[:STATe] command has no effect.

See Also:

  • :MIMO:MODE
  • MIMO configuration dialog

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or ON | n/a | n/a | none

 | :SOURce:INTernal:CLOCk:STATe 1
Examples | :SOUR:INT:CLOC OFF
 | :source:internal:clock on
 | :SOURce:INTernal:CLOCk?


[:SOURce]:LIST

Controls the list sweep. Select a link to view the command details:

  • [:SOURce]:LIST:LOAD
  • [:SOURce]:LIST:SETTle
  • [:SOURce]:LIST[:STATE]

Also see the following topics:

Sweep/list description and use

Sweep/list triggering description and use

Sweep/list dwell description and uses

To set up a list mode

[:SOURce]:LIST:LOAD

Queries or loads the file that describes the list frequency, power, and dwell-time vectors for a list mode sweep. See the following topics:

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode

_____

NOTE: The power settings in the file are affected by user flatness. If user flatness is on, regardless of the user flatness file contents, the power limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If user flatness is off, the power limits are at the -130/-110 dBm to +13 dBm range. Affected power settings are: [:SOURce]:POWer commands and [:SOURce]:RADio:ARB:SEQuence:POWer.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:LIST:LOAD
Examples |  | :SOUR:LIST:LOAD
 |  | :source:list:load
 |  | :SOURce:LIST?

Example:

You can use the programming command LIST:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
List User (default) | filename | ...\Agilent Series V2900 Documents\<model>\List
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:LIST:SETTle

Queries back an ascii list of comma separated values in seconds. (The actual per point settle time.)

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | csv List |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:LIST:SETTle?
Examples |  | :LIST:SETT?
 |  | :list:settle?

[:SOURce]:LIST[:STATE]

Queries or switches list playback on/off. See the following topics:

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:LIST:STATe ON
Examples |  | :LIST 1
 |  | :list:state on
 |  | :LIST ON?


[:SOURce]:LPNoise[:STATe]

This feature is available only for the Model 2920A instrument with the UPN option (2920A-UPN) and the V2920A with UPN option (V2920A-UPN.

_
Queries or switches Low Phase Noise on/off.

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:LPNoise:STATe 1
Examples | :LPN ON
 | :lpn:state 0
 | :LPN?


[:SOURce]:MODulation

Controls source modulation IQ offset, gain and phase.

Select a link to view the command details:

  • :SOURce:MODulation:IGAin
  • :SOURce:MODulation:IOFFset
  • :SOURce:MODulation:IQGain
  • :SOURce:MODulation:QGAin
  • :SOURce:MODulation:QOFFset
  • :SOURce:MODulation:QPHase

[:SOURce]:MODulation:IGAin

Queries or sets the I channel Gain Adjustment (DAC value).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | -128 | 127 | none
 |  | :SOURce:MODulation:IGAin 0
Examples |  | :MOD:IGA MAX
 |  | :modulation:igain minimum
 |  | :MOD:IGA?

[:SOURce]:MODulation:IOFFset

Queries or sets the I channel DC Offset Adjustment (DAC value).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | -4096 | 4095 | none

 | :SOURce:MODulation:IOFFset
Examples | :MOD:IOFF ON
 | :modulation:ioffset 2500
 | :MOD:IOFF?

[:SOURce]:MODulation:QGAin

Queries or sets the Q channel Gain Adjustment (DAC value).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | -128 | 127 | none
 |  | :SOURce:MODulation:QGAin 75
Examples |  | :MOD:QGA 100
 |  | :modulation:qgain 1
 |  | :MOD:QGA?

[:SOURce]:MODulation:IQGain

Queries or sets the I and Q Coarse channel Gain Adjustments (DAC value).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | 0 | 15 | none
 |  | :SOURce:MODulation:IQGain 0
Examples |  | :MOD:IQG 15
 |  | :modulation:iqgain
 |  | :MOD:IQG?

[:SOURce]:MODulation:QOFFset

Queries or sets the Q channel DC Offset Adjustment (DAC value).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | -4096 | 4095 | none
 |  | :SOURce:MODulation:QOFFset MAX
Examples |  | :MOD:QOFF 1
 |  | :modulation:qoffset minimum
 |  | :MOD:QOFF?

[:SOURce]:MODulation:QPHase

Queries or sets the IQ phase adjustment.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | -10.00 | 10.00 | degrees
 |  | :SOURce:MODulation:QPHase MAX
Examples |  | :MOD:QPH 5
 |  | :modulation:qphase minimum
 |  | :MOD:QPH?


[:SOURce]:NOISe

Controls the noise modulation.

Select a link to view the command details:

  • [:SOURce]:NOISe[:BWIDth]
  • [:SOURce]:NOISe:STATe

Also see Noise modulation.

[:SOURce]:NOISe[:BWIDth]

Queries or sets the noise modulation bandwidth. See Noise modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1000 | 2500000 | Hz
 |  | :SOURce:NOISe:BWIDth MAXimum
Examples |  | :NOIS MAX
 |  | :source:noise:bwidth maximum
 |  | :NOISe[:BWIDth]?

[:SOURce]:NOISe:STATe

Queries or switches noise modulation on/off. See Noise modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:NOISe:STATe ON
Examples |  | :NOIS:STAT ON
 |  | :source:noise:state 0
 |  | :NOISe:STATe?


[:SOURce]:PHASe:ADJust

NOTE: This feature is not available on the Model 2910.

Queries or sets carrier phase. This feature enables you to initiate a carrier phase shift of 0.0 degrees to ±180 degrees in relation to the frequency reference source. With two sources using a common external reference, this feature allows phase adjustment of the output of one source in relation to the phase of the other source. This capability is useful in beamforming applications where you need to steer antenna patterns.

See Also: Carrier Offsets (Menu > Global Settings > Carrier Offsets).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000 | -179.999 | 180.000 | degrees
 |  | :SOURce:PHASe:ADJust
Examples |  | :PHAS:ADJ
 |  | :source:phase:adjust 90
 |  | :PHAS:ADJ?


[:SOURce]:PM

Controls the source phase modulation. Also see Phase modulation (PM).

Select a link to view the command details:

  • [:SOURce]:PM[:DEViation]
  • [:SOURce]:PM:INTernal:FREQuency
  • [:SOURce]:PM:STATe

[:SOURce]:PM[:DEViation]

Queries or sets the phase modulation deviation. See Phase modulation (PM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | 0.00 | 100.00 | radians
 |  | :SOURce:PM:DEViation MAXimum
Examples |  | :PM MAX
 |  | :pm maximum
 |  | :PM:DEViation MAXimum?

[:SOURce]:PM:INTernal:FREQuency

Queries or sets the phase modulation rate (frequency). See Phase modulation (PM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1 | 100000 | Hz
 |  | :SOURce:PM:INTernal:FREQuency MAXimum
Examples |  | :PM:INT:FREQ MAX
 |  | :pm:internal:frequency maximum
 |  | :PM:INTernal:FREQuency?

[:SOURce]:PM:STATe

Queries or switches the phase modulation on/off. See Phase modulation (PM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEfault | 0 or Off | n/a | n/a | none
 |  | :SOURce:PM:STATe ON
Examples |  | :PM:STAT ON
 |  | :source:pm:state 0
 |  | :PM:STATe?


[:SOURce]:POWer

Controls the source power.

Select a link to view the command details:

  • [:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]
  • [:SOURce]:POWer:STARt
  • [:SOURce]:POWer:STOP
  • [:SOURce]:POWer:ALC

Also see To set up a frequency or power sweep.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]

Queries or sets the power value for non-swept power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -10.00 | see below * | see below * | dBm

_____

* Range depends on instrument version and options:

  • -130 dBm to +13.0 dBm for Models 2910 and 2920 and the V2920A with the LAR (low amplitude range) option.
  • -110 dBm to +13.0 dBm for Model 2920 and the V2920A without the LAR option.

__

NOTE: If user flatness is on, regardless of the user flatness file contents, the limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If an effective amplitude (that is, user flatness @ frequency + amplitude setting) is outside the supported range, the instrument reports the following error: 53, "Amplitude set too high for this modulation waveform".

_____

 | :SOURce:POWer:LEVel:IMMediate:AMPLitude 3
Examples | :POW MAX
 | :power default
 | :POWer?

[:SOURce]:POWer:STARt

Queries or sets the start power value for a power sweep. See To set up a frequency or power sweep.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | see below * | see below * | dBm

_____

* Range depends on instrument version and options:

  • -130 dBm to +13.0 dBm for Models 2910 and 2920 and the V2920A with the LAR (low amplitude range) option.
  • -110 dBm to +13.0 dBm for Model 2920 and the V2920A without the LAR option.

__

NOTE: If user flatness is on, regardless of the user flatness file contents, the limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If an effective amplitude (that is, user flatness @ frequency + amplitude setting) is outside the supported range, the instrument reports the following error: 53, "Amplitude set too high for this modulation waveform".

_____

 | :SOURce:POWer:STARt MAXimum
Examples | :POW:STAR MIN
 | :power:start minimum
 | :SOURce:POWer:STARt?

[:SOURce]:POWer:STOP

Queries or sets the stop power value for a power sweep. See To set up a frequency or power sweep.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | see below * | see below * | dBm

_____

* Range depends on instrument version and options:

  • -130 dBm to +13.0 dBm for Models 2910 and 2920 and the V2920A with the LAR (low amplitude range) option.
  • -110 dBm to +13.0 dBm for Model 2920 and the V2920A without the LAR option.

__

NOTE: If user flatness is on, regardless of the user flatness file contents, the limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If an effective amplitude (that is, user flatness @ frequency + amplitude setting) is outside the supported range, the instrument reports the following error: 53, "Amplitude set too high for this modulation waveform".

_____

 | :SOURce:POWer:STOP MAXimum
Examples | :POW:STOP MIN
 | :power:stop minimum
 | :POWer:STOP?


[:SOURce]:POWer:ALC

Controls the source power automatic leveling control (ALC).

Select a link to view the command details:

  • [:SOURce]:POWer:ALC:BOTune[:STATe]
  • [:SOURce]:POWer:ALC:CWAVe[:STATe]
  • [:SOURce]:POWer:ALC:CWAVe:TYPE
  • [:SOURce]:POWer:ALC:MODulation[:STATe]
  • [:SOURce]:POWer:ALC:MODulation:TYPE
  • [:SOURce]:POWer:ALC:SHOLd:REFResh

Also see ALC (automatic leveling control).

[:SOURce]:POWer:ALC:BOTune[:STATe]

Queries or sets the Blank On Tune attenuation during tuning. When ON, the maximum attenuation will be switched in while the system is tuning. When OFF, no changes in attenuation are made during tuning.

_____
See Also:

  • ALC (automatic leveling control).
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 (Off) | n/a | n.a | none
 |  | :SOURce:POWer:ALC:BOTune:STATe ON
Examples |  | :POW:ALC:BOT 1
 |  | :power:alc:botune on
 |  | :POWer:ALC:BOTune?

[:SOURce]:POWer:ALC:CWAVe[:STATe]

Queries or switches the ALC on/off when the RF output is a CW signal (Modulation OFF). See ALC (automatic leveling control).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none
 |  | :SOURce:POWer:ALC:CWAVe ON
Examples |  | :POW:ALC:CWAV ON
 |  | :source:power:alc:cwave off
 |  | :SOURce:POWer:ALC:CWAVe?

[:SOURce]:POWer:ALC:CWAVe:TYPE

Sets the automatic leveling control (ALC) type when the RF output is a CW signal (Modulation OFF). See ALC (automatic leveling control).

Parameters

  • SHOLd activates the sample-and-hold ALC. Whenever the frequency or amplitude changes, the level control is activated. The amplitude settles. Then the level control is deactivated.
  • FAST sets a wide bandwidth (1000 Hz). A wider bandwidth creates a quicker response (10x faster than medium) to changes in amplitude, providing faster settling. Yet, this also creates a slightly higher output level variability.
  • MEDium set a medium bandwidth (100 Hz). A medium bandwidth creates a response that is 10x faster than the slow setting.
  • SLOW sets a narrow bandwidth (10 Hz).
  • AUTO sets the automatic mode.
  • MPOWer sets the maximum power mode.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SHOL | FAST | MED | SLOW | AUTO | MPOW |  | Yes | SHOLd | FAST | MEDium | SLOW | AUTO | MPOWer | DEFault | AUTO | n/a | n/a | none
 |  | :SOURce:POWer:ALC:CWAVe:TYPE MEDium
Examples |  | :POW:ALC:CWAV:TYPE DEF
 |  | :power:alc:cwave:type medium
 |  | :POWer:ALC:CWAVe:TYPE?

[:SOURce]:POWer:ALC:MODulation[:STATe]

Queries or switches the ALC on/off when the RF output is a modulated waveform (Modulation ON). See ALC (automatic leveling control).

For the Model 2910 only, ALC is turned off when in Arb playback, including Sequence Mode.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none
 |  | :SOURce:POWer:ALC:MODulation ON
Examples |  | :POW:ALC:MOD DEF
 |  | :power:alc:modulation off
 |  | :POWer:ALC:MODulation?

[:SOURce]:POWer:ALC:MODulation:TYPE

Queries or sets the automatic leveling control (ALC) type when the RF output signal is a modulated waveform (Modulation ON). See ALC (automatic leveling control).

Parameters

  • SHOLd activates the sample-and-hold ALC. Whenever the frequency or amplitude changes, the level control is activated. The amplitude settles. Then the level control is deactivated.
  • AUTO sets the automatic mode. The Series V2900 uses the sample-and-hold setting, with the following exception:
    For the Model 2910 only, ALC is turned off when in Arb playback, including Sequence Mode.
  • DEFault sets the default mode, which is the AUTO (sample-and-hold) mode.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SHOL | AUTO |  | Yes | SHOLd | AUTO | DEFault | AUTO | n/a | n/a | none
 |  | :SOURce:POWer:ALC:MODulation:TYPE SHOLd
Examples |  | :POW:ALC:MOD:TYPE SHOL
 |  | :power:alc:modulation:type auto
 |  | :POWer:ALC:MODulation:TYPE?

[:SOURce]:POWer:ALC:SHOLd:REFResh

Refreshes the sample-and-hold mode, if enabled. See ALC (automatic leveling control).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SOURce:POWer:ALC:SHOLd:REFResh
Examples |  | :POW:ALC:SHOL:REFR
 |  | :power:alc:shold:refresh


[:SOURce]:PSK

Controls the PSK (phase-shift-keying) digital modulation.

Select a link to view the command details:

  • [:SOURce]:PSK:DENCoding[:STATe]
  • [:SOURce]:PSK:FILTer
  • [:SOURce]:PSK:LOAD
  • [:SOURce]:PSK:PATTern
  • [:SOURce]:PSK:PATTern:COUNt
  • [:SOURce]:PSK:PATTern:INVert[:STATe]
  • [:SOURce]:PSK:SPS
  • [:SOURce]:PSK[:STATe]
  • [:SOURce]:PSK:STYPe

Also see PSK (phase-shift-keying).

[:SOURce]:PSK:DENCoding[:STATe]

Queries or switches on/off the PSK (phase-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See PSK (phase-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:PSK:DENCoding ON
Examples |  | :PSK:DEN 1
 |  | :psk:dencoding 1
 |  | :PSK:DENCoding?

[:SOURce]:PSK:FILTer

Queries or sets the filter type for PSK (phase-shift-keying) modulation, and optionally the filter factor for PSK modulation. NRZ and WIDeband do not have a filter factor.

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • NRZ selects the non-return-to-zero filter shape.
  • RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
  • WIDeband applies no filter.
  • DEFault returns to the default (preset) mode.
  • MINimum sets the minimum value for the filter factor. NRZ and WIDeband do not have a filter factors.
  • MAXimum sets the maximum value for the filter factor. NRZ and WIDeband do not have a filter factors.

_
See Also:

  • PSK (phase-shift-keying).
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NRZ | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | GAUS,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | WID |  | Yes | NRZ | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | GAUSsian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | WIDeband | DEFault[,{MAXimum|MINimum|DEFault}] | NRZ | RC,0.35 | RRC, 0.22 | GAUS, 1.00 | NGA,1.00 | RC,0.20 | RRC, 0.20 | GAUS, 0.10 | NGA,0.10 | RC,1.00 | RRC,1.00 | GAUS,3.00 | NGA,3.00 | none
 |  | :SOURce:PSK:FILTer RC
Examples |  | :PSK:FILT GAUS,MIN
 |  | :psk:filter gaussian,minimum
 |  | :PSK:FILTer?

[:SOURce]:PSK:LOAD

Loads the PSK (phase-shift-keying) modulation waveform in the instrument (full path filename). If no filename is specified, the current PSK parameter settings are loaded. A query returns the filename, if the PSK modulation is enabled. See PSK (phase-shift-keying).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string(filename) | none |  | Yes | string(filename) | none | DEFault | Psk Default | n/a | n/a | none
 |  | :SOURce:PSK:LOAD FSKmod1.csv
Examples |  | :PSK:LOAD FSKmod1
 |  | :psk:load fskmod1
 |  | :PSK:LOAD?

Example:

You can use the programming command [:SOURce]:PSK:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
PSK User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\PSK
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:PSK:PATTern

Queries or sets the data pattern for the PSK (phase-shift-keying) modulation bit sequence. See PSK (phase-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.
  • COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.
  • ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.
  • [:SOURce]:PSK:PATTern DEFault sets the pattern type to PRBS and keeps the current length setting.
  • [:SOURce]:PSK:PATTern DEFault,DEFault sets the pattern type to PRBS and the length to PN9.
  • [:SOURce]:PSK:PATTern COUNt sets the pattern type to count and the value is set to the number of symbols in the constellation diagram.
  • [:SOURce]:PSK:PATTern ALTernating,DEFault set the pattern type to alternating and the pattern length to 1 (101010...).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRBS,PN5 | PRBS,PN9 | PRBS,PN11 | PRBS,PN15 | COUN | ALT,Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | PRBS[,{PN5 | PN9 | PN11 | PN15}] | COUNt | ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | PRBS: DEFault[,DEFault] COUNT: none ALTernating: ALTernating [,{MAXimum, MINimum, DEFault}] | PRBS, PN9 | ALT,1 | ALT,1 | ALT,16 | none
 |  | :SOURce:PSK:PATTern
Examples |  | :PSK:PATT
 |  | :psk:pattern
 |  | :PSK:PATTern?

[:SOURce]:PSK:PATTern:COUNt

Queries the length of the Count pattern, which is the number of constellation points determined by [:SOURce]:PSK:STYPe.

___
See also: PSK (phase-shift-keying)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:PSK:PATTern:COUNt?
Examples | :PSK:PATTERN:COUNT?
 | :psk:pattern:count?

[:SOURce]:PSK:PATTern:INVert[:STATe]

Queries or switches on/off the PSK (phase-shift-keying) modulation data pattern inversion. See PSK (phase-shift-key).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:PSK:PATTern:INVert ON
Examples |  | :PSK:PATT:INV 1
 |  | :psk:pattern:invert 1
 |  | :PSK:PATTern:INVert?

[:SOURce]:PSK:SPS

Queries or sets the speed at which data symbols are transmitted for PSK (phase-shift-keying) modulation. See PSK (phase-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 500 | 4000000 | Hz
 |  | :SOURce:PSK:SPS MINimum
Examples |  | :PSK:SPS MIN
 |  | :psk:sps minimum
 |  | :PSK:SPS?

[:SOURce]:PSK[:STATe]

Queries or switches PSK modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none
 |  | :SOURCE:PSK:STATe ON
Examples |  | :PSK:STAT ON
 |  | :source:psk:state 0
 |  | :PSK:STATe?

[:SOURce]:PSK:STYPe

Queries or sets the symbol type for PSK (phase-shift-keying) modulation. See PSK (phase-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • BPSK sets the symbol type to binary phase-shift-keying (BPSK) that uses two phases which are separated by 180°.
  • QPSK sets the symbol type to quaternary or quadriphase phase-shift-keying (QPSK) that uses four phases or points on the constellation diagram, equally spaced around a circle.
  • OQPSK sets the symbol type to offset quaternary or quadriphase phase-shift-keying (OQPSK) that delays one of the two symbol components (in-phase and quadrature) by the duration of half a symbol (one bit).
  • PFQPsk sets the symbol type to a version of QPSK that uses two identical constellations which are rotated by 45° (? /4 radians) with respect to one another.
  • TPFQsk sets the symbol type to a version of QPSK that uses two identical constellations which are rotated by 135° (3? /4 radians) with respect to one another.
  • PSK8 sets the symbol type to eight phase-shift-keying (8PSK) that uses eight phases or points on the constellation diagram, equally spaced around a circle.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BPSK | QPSK | OQPSK | PFQP | TPFQ | PSK8 |  | Yes | BPSK | QPSK | OQPSK | PFQP | TPFQ | PSK8 | DEFault | BPSK | n/a | n/a | none
 |  | :SOURce:PSK:STYPe PSK8
Examples |  | :PSK:STYP DEF
 |  | :psk:stype pfqpsk
 |  | :PSK:STYPe?


[:SOURce]:PULM

Controls the pulse modulation.

Select a link to view the command details:

  • [:SOURce]:PULM[:DCYCle]
  • [:SOURce]:PULM:INTernal:FREQuency
  • [:SOURce]:PULM:STATe

Also see Pulse modulation.

[:SOURce]:PULM[:DCYCle]

Queries or sets the pulse modulation duty cycle. See Pulse modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 50.0 | 0.0 | 100.0 | percent
 |  | :SOURce:PULM:DCYCle MINimum
Examples |  | :PULM MAX
 |  | :pulm default
 |  | :SOURce:PULM:DCYCle?

[:SOURce]:PULM:INTernal:FREQuency

Queries or sets the pulse modulation frequency (rate). See Pulse modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1 | 100000 | Hz
 |  | :SOURce:PULM:INTernal:FREQuency DEFault
Examples |  | :PULM:INT:FREQ MAX
 |  | :pulm:internal:frequency default
 |  | :PULM:INT:FREQ MAX?

[:SOURce]:PULM:STATe

Queries or switches the pulse modulation on/off. See Pulse modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURCE:PULM:STATe ON
Examples |  | :PULM:STAT ON
 |  | :source:pulm:state 0
 |  | :PULM:STATe?


[:SOURce]:QAM

Controls the QAM (quadrature-amplitude-modulation) digital modulation. Select a link to view the command details:

  • [:SOURce]:QAM:DENCoding
  • [:SOURce]:QAM:FILTer
  • [:SOURce]:QAM:LOAD
  • [:SOURce]:QAM:PATTern
  • [:SOURce]:QAM:PATTern:COUNt
  • [:SOURce]:QAM:PATTern:INVert
  • [:SOURce]:QAM:SPS
  • [:SOURce]:QAM:STATe
  • [:SOURce]:QAM:STYPe

_____
Also see: QAM (quadrature-amplitude-modulation)

[:SOURce]:QAM:DENCoding[:STATe]

Queries or switches on/off the QAM (quadrature-amplitude-modulation) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:QAM:DENCoding:STATe ON
Examples |  | :QAM:DENC 1
 |  | :qam:dencoding 1
 |  | :QAM:DENCoding?

[:SOURce]:QAM:FILTer

Queries or sets the filter type for QAM (quadrature-amplitude-modulation) digital modulation, and optionally the filter factor for QAM modulation. NRZ and WIDeband do not have filter factors.

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • NRZ selects the non-return-to-zero filter shape.
  • RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
  • WIDeband applies no filter.

_
See Also:

  • QAM (quadrature-amplitude-modulation)

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NRZ | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | GAUS,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | WID |  | Yes | NRZ | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | GAUSsian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | WIDeband | DEFault[,{MAXimum|MINimum|DEFault}] | NRZ | RC,0.35 | RRC, 0.22 | GAUS, 1.00 | NGA,1.00 | RC,0.20 | RRC, 0.20 | GAUS, 0.10 | NGA,0.10 | RC,1.00 | RRC,1.00 | GAUS,3.00 | NGA,3.00 | none
 |  | :SOURce:QAM:FILTer RC
Examples |  | :QAM:FILT GAUS,MIN
 |  | :qam:filter gaussian,minimum
 |  | :QAM:FILTer RC,MINimum?

[:SOURce]:QAM:LOAD

Loads the QAM (quadrature-amplitude-modulation) modulation waveform in the instrument, If no filename is specified, the current QAM parameter settings are loaded. A query returns the filename, if the QAM modulation is enabled. See QAM (quadrature-amplitude-modulation).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string(filename) | none |  | Yes | string(filename) | none | DEFault | QAM Default | n/a | n/a | none
 |  | :SOURce:QAM:LOAD QAMmod1.csv
Examples |  | :QAM:LOAD QAMmod1
 |  | :qam:load qammod1
 |  | :QAM:LOAD?

Example:

You can use the programming command [:SOURce]:QAM:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
QAMUser | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\QAM
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:QAM:PATTern

Queries or sets the data pattern for the QAM (quadrature-amplitude-modulation) modulation bit sequence. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.
  • COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.
  • ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRBS,PN5 | PRBS,PN9 | PRBS,PN11 | PRBS,PN15 | COUN | ALT,Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | PRBS[,{PN5 | PN9 | PN11 | PN15}] | COUNt | ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | PRBS: DEFault[,DEFault] COUNT: none ALTernating: ALTernating [,{MAXimum, MINimum, DEFault}] | PRBS, PN9 | ALT,1 | ALT,1 | ALT,16 | none
 |  | :SOURce:QAM:PATTern PRBS
Examples |  | :QAM:PATT ALT
 |  | :qam:pattern count
 |  | :QAM:PATTern?

[:SOURce]:QAM:PATTern:COUNt

Queries the length of the Count pattern, which is the number of constellation points determined by [:SOURce]:QAM:STYPe.

___
See also: QAM (quadrature-amplitude-modulation)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:QAM:PATTern:COUNt?
Examples | :QAM:PATTERN:COUNT?
 | :qam:pattern:count?

[:SOURce]:QAM:PATTern:INVert[:STATe]

Queries or switches on/off the QAM (quadrature-amplitude-modulation) modulation data pattern inversion. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:QAM:PATTern:INVert ON
Examples |  | :QAM:PATT:INV 1
 |  | :qam:pattern:invert 1
 |  | :QAM:PATTern:INVert?

[:SOURce]:QAM:SPS

Queries or sets the speed at which data symbols are transmitted for QAM (quadrature-amplitude-modulation) modulation. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 500 | 4000000 | Hz
 |  | :SOURce:QAM:SPS MINimum
Examples |  | :QAM:SPS MIN
 |  | :qam:sps minimum
 |  | :QAM:SPS?

[:SOURce]:QAM[:STATe]

Queries or switches QAM modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:QAM 1
Examples |  | :QAM:SPS OFF
 |  | :qam:sps on
 |  | :SOURce:QAM?

[:SOURce]:QAM:STYPe

Queries or sets the symbol type for QAM (quadrature-amplitude-modulation) modulation. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
_
Parameters

  • QAM16 sets the symbol type to quadrature amplitude modulation (QAM) that uses 16 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.
  • QAM32 sets the symbol type to quadrature amplitude modulation (QAM) that uses 32 phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing.
  • QAM64 sets the symbol type to quadrature amplitude modulation (QAM) that uses 64 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.
  • QAM128 sets the symbol type to quadrature amplitude modulation (QAM) that uses 128 phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing.
  • QAM256 quadrature amplitude modulation (QAM) uses 256 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | QAM16 | QAM32 | QAM64 | QAM128 | QAM256 |  | Yes | QAM16 | QAM32 | QAM64 | QAM128 | QAM256 | DEFault | QAM16 | n/a | n/a | none
 |  | :SOURce:QAM:STYPe QAM16
Examples |  | :QAM:STYP DEF
 |  | :qam:stype qam256
 |  | :QAM:STYPe?


[:SOURce]:RADio:ARB

Controls the arbitrary waveform settings.

Select a link to view the command details:

  • [:SOURce]:RADio:ARB:COPY
  • [:SOURce]:RADio:ARB:DELete
  • [:SOURce]:RADio:ARB:EIQ[:STATe]
  • [:SOURce]:RADio:ARB:LIST
  • [:SOURce]:RADio:ARB:LIST2
  • [:SOURce]:RADio:ARB:LIST3
  • [:SOURce]:RADio:ARB:MEMory
  • [:SOURce]:RADio:ARB:OPEN
  • [:SOURce]:RADio:ARB:PBLank[:STATe]
  • [:SOURce]:RADio:ARB:PFACtor
  • [:SOURce]:RADio:ARB:PLAY
  • [:SOURce]:RADio:ARB:ROW
  • [:SOURce]:RADio:ARB:SEQuence:AROW
  • [:SOURce]:RADio:ARB:SEQuence:DELete
  • [:SOURce]:RADio:ARB:SEQuence:FREQuency
  • [:SOURce]:RADio:ARB:SEQuence:OPEN
  • [:SOURce]:RADio:ARB:SEQuence:POWer
  • [:SOURce]:RADio:ARB:SEQuence:RUNNing
  • [:SOURce]:RADio:ARB:SEQuence:STARt
  • [:SOURce]:RADio:ARB:SEQuence[:STATe]
  • [:SOURce]:RADio:ARB:SEQuence:STOP
  • [:SOURce]:RADio:ARB:SEQuence:SWEep
  • [:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE
  • [:SOURce]:RADio:ARB:SRATe
  • [:SOURce]:RADio:ARB[:STATe]

_
See Also:

  • Programming example
  • Arbitrary waveforms

[:SOURce]:RADio:ARB:COPY

Queries or sets the currently playing digital modulation from/to the arbitrary modulation table. See Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:COPY
Examples |  | :RAD:ARB:COPY
 |  | :radio:arb:copy

[:SOURce]:RADio:ARB:DELete

Specifies the arbitrary waveform to delete. When you delete a waveform from the table, all the remaining waveform files below the deleted file move up a row in the table to fill the empty row. See Arbitrary waveform procedures.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | string | integer row number, ALL | n/a | n/a | n/a | none
  • Row number deletes the arbitrary waveform file in the modulation table row specified.
  • ALL deletes all waveforms from arbitrary waveform memory.

-

NOTES:

(A) You cannot delete an arbitrary waveform file while it is loaded or while it is playing. You must first stop the arbitrary waveform playback (using the :RADio:ARB: command), and then execute the :RADio:ARB:DELete command to delete the file.

(B) The RF is turned off during the deletion, and turned back on once the deletion is complete.

-

 | :SOURce:RADio:ARB:DELete 1
Examples | :RAD:ARB:DEL ALL
 | :radio:arb:delete 1

[:SOURce]:RADio:ARB:EIQ[:STATe]

Queries or switches on/off the external IQ input modulation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:RADio:ARB:EIQ 1
Examples | :RAD:ARB:EIQ ON
 | :radio:arb:eiq off

[:SOURce]:RADio:ARB:LIST

Queries the arbitrary modulation table and returns a list of the entire table contents as comma separated values. The values returned for each entry in the table are: row number, arb name, sample rate, and number of samples. These are the values that were in the table for Version 1.0 of the firmware.

See also: Arbitrary waveform procedures

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | <csv List> |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:LIST?
Examples |  | :RAD:ARB:LIST?
 |  | :radio:arb:list?

[:SOURce]:RADio:ARB:LIST2

Queries the arbitrary modulation table and returns a list of the entire table contents as comma separated values. The values returned for each entry in the table are: row number, arb name, sample rate, number of samples, and power factor. These are the values that were in the table for Version 2.0 of the firmware.

See also: Arbitrary waveform procedures

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | <csv List> |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:LIST2?
Examples |  | :RAD:ARB:LIST2?
 |  | :radio:arb:list2?

[:SOURce]:RADio:ARB:LIST3

Queries the arbitrary modulation table and returns a list of the entire table contents as comma separated values. The values returned for each entry in the table are: row number, arb name, sample rate, number of samples, power factor, and pulsed arb blanking state (1=on; 0=off). These are the values that are in the table for the current Version 3.0 of the firmware.

See also: Arbitrary waveform procedures

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | <csv List> |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:LIST3?
Examples |  | :RAD:ARB:LIST3?
 |  | :radio:arb:list3?

[:SOURce]:RADio:ARB:MEMory

Queries how many arbitrary samples are currently available. See Arbitrary waveform procedures.

HorizontalRuleSm
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a |  | No | n/a | n/a | n/a | n/a | n/a | samples
 |  | :SOURce:RADio:ARB:MEMory?
Examples |  | :RAD:ARB:MEM?
 |  | :radio:arb:memory?

[:SOURce]:RADio:ARB:OPEN

Copies the specified waveform file into arbitrary memory. However, this command does not playback the waveform. See Arbitrary waveform procedures.

HorizontalRuleSm
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:OPEN
Examples |  | :RAD:ARB:OPEN
 |  | :radio:arb:open

Example:

You can use the programming command RADio:ARB:OPEN to open a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or a directory on a computer. To open a file from one of the available directories, use the following paths in the programming message:

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
Arbitrary User (default) | filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:RADio:ARB:PBLank[:STATe]

Queries or switches Pulsed Arb Blanking on/off in context to the waveform's location (row) in the arb waveform playback table, as selected with [:SOURce]:RADio:ARB:ROW. For example, the following commands turn on Pulsed Arb Blanking for the waveform in the third row of the waveform playback table:

:RAD:ARB:ROW 3

:RAD:ARB:PBL ON
___

NOTE: The command setting affects the arb waveform whether or not it is loaded.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | (ON | 1 | OFF | 0) | DEFault | 1 or on | n/a | n/a | none
 |  | :SOURce:RADio:ARB:PBLank:STATe 1
Examples |  | :RAD:ARB:PBL ON
 |  | radio:arb:pblank off
 |  | RADio:ARB:PBLank:STATe?

[:SOURce]:RADio:ARB:PFACtor

Queries or sets the power factor for the selected arbitrary waveform file, for the row selected with [:SOURce]:RADio:ARB:ROW. See Arbitrary waveform procedures.

NOTE: The command setting affects the arb waveform whether or not it is loaded.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | 0.00 | 30.00 | none
 |  | :SOURce:RADio:ARB:PFACtor MAXimum
Examples |  | :RAD:ARB:PFAC MIN
 |  | :radio:arb:pfactor minimum
 |  | :SOURce:RADio:ARB:PFACtor?

[:SOURce]:RADio:ARB:PLAY

Queries or sets to playback the arbitrary waveform file. You can specify the arb waveform file by its filename, or by its location (row) in the arb waveform playback table. See Arbitrary waveform procedures.

NOTE: To stop and unload the waveform file playback, use the [:SOURce]:RADio:ARB:[STATe] command (for example: :RAD:ARB:STAT OFF stops playback and unloads the waveform).

_

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) |  | Yes | string | integer row number, filename | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:PLAY 3
Examples |  | :RAD:ARB:PLAY 80211b.arb
 |  | :radio:arb:play 3
 |  | :RADio:ARB:PLAY?

[:SOURce]:RADio:ARB:ROW

Queries or sets the indicated row in the arbitrary modulation table active. This is useful for changing the sample rate, power factor, or enabling/disabling Pulsed Arb Blanking after the waveform is loaded. See Arbitrary waveform procedures.

Note: Row numbering starts with 1, not 0. Row 1 is the top most row.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | csv List |  | Yes | "" | Digits with an implied decimal point assumed at the right of the least-significant digit. (integer row number) | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:ROW 4
Examples |  | :RAD:ARB:ROW 4
 |  | :radio:arb:row 4
 |  | :RADio:ARB:PLAY?

[:SOURce]:RADio:ARB:SEQuence:AROW

Queries the arbitrary sequence active row.

If a sequence has not been started, or if it is completed in Single mode, -1 is returned. If no row is active then -1 is returned.

If a sequence is started and waiting for a trigger, 0 is returned. This is also annotated on the instrument screen with the phrase "Waiting for trigger".

__
See Also: Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:AROW?
Examples |  | :RAD:ARB:SEQ:AROW?
 |  | :radio:arb:sequence:arow??

[:SOURce]:RADio:ARB:SEQuence:DELete

Deletes a row from the sequence file that is loaded in the Series V2900 arbitrary sequence memory. You can delete one row or delete ALL rows. If you delete one row, the remaining rows move up in the sequence file (their row numbers decreasing by 1). The first row is row 1 ("1").

See also: Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/s |  | Yes | string | integer row number, ALL | n/a | n/a | n/a | none
 |  | :SOURce:RADio:SEQuence:DELete 2
Examples |  | :RAD:ARB:SEQ:DEL ALL
 |  | :radio:arb:sequence:delete 1

[:SOURce]:RADio:ARB:SEQuence:FREQuency

Sets overriding current Arb Seq frequency.

See also: To playback a sequence of arbitrary waveforms

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 6000000000 | Hz
 |  | :SOURce:RADio:ARB:SEQuence:FREQuency MAX
Examples |  | :RAD:ARB:SEQ:FREQ:MIN
 |  | :radio:arb:sequence:frequency

[:SOURce]:RADio:ARB:SEQuence:OPEN

Queries the specified sequence file and reads it from the Series V2900 arbitrary sequence memory, or loads the specified sequence file in the Series V2900 arbitrary sequence memory. See Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:OPEN TRIALMOD1.CSV
Examples |  | :RAD:ARB:SEQ:OPEN TRIALMOD1
 |  | :radio:arb:sequence:open trialmod1
 |  | :RAD:ARB:SEQ:OPEN?

_
Example:

You can use the programming command [:SOURce]:RADio:ARB:SEQuence:OPEN to open and load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
ARB User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:RADio:ARB:SEQuence:POWer

Sets current Arb Sequence power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | see below * | see below * | dBm

_____

* Range depends on instrument version and options:

  • -130 dBm to +13.0 dBm for Model 2910, and for Models 2920 and 2920A with the LAR (low amplitude range) option.
  • -110 dBm to +13.0 dBm for Models 2920 and 2920A without the LAR option.

__

NOTE: If user flatness is on, regardless of the user flatness file contents, the limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If an effective amplitude (that is, user flatness @ frequency + amplitude setting) is outside the supported range, the instrument reports the following error: 53, "Amplitude set too high for this modulation waveform".

_____

 | :SOURce:RADio:ARB:SEQuence:POWer MAX
Examples | :SOUR:RAD:ARB:SEQ:POW MAX
 | :radio:arb:sequence:power max

[:SOURce]:RADio:ARB:SEQuence:RUNNing

Queries the running state of the Arb Sequence File.

_____
See also: Arbitrary waveform procedures
_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:RADio:ARB:SEQuence:RUNNing?
Examples | :RADIO:ARB:SEQUENCE:RUNNING?
 | :radio:arb:sequence:running?

[:SOURce]:RADio:ARB:SEQuence:STARt

Starts to playback the sequence file that is loaded in the Series 2900 arbitrary sequence memory. See Arbitrary waveform procedures.

To ascertain if a sequence is being played back, use the [:SOURce]:RADio:ARB:SEQuence:RUNNing command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SOURce:RADio:ARB:SEQuence:STARt
Examples | :RAD:ARB:SEQ:STAR
 | :radio:arb:sequence:start

[:SOURce]:RADio:ARB:SEQuence[:STATe]

Queries or switches the arbitrary sequence playback on/off. (It also loads/unloads the arb file.) See Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or off | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:STATe ON
Examples |  | :RAD:ARB:SEQ:STAT 1
 |  | :radio:arb:sequence:state 1
 |  | :SOURce:RADio:ARB:SEQuence:STATe?

[:SOURce]:RADio:ARB:SEQuence:STOP

Stops the sequence file that is playing back. See Arbitrary waveform procedures.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SOURce:RADio:ARB:SEQuence:STOP
Examples | :RAD:ARB:SEQ:STOP
 | :radio:arb:sequence:stop

[:SOURce]:RADio:ARB:SEQuence:SWEep

Queries or sets whether the arbitrary waveform sequence file plays once or continuously. See Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SING | CONT | ARES |  | Yes | SINGle | CONTinuous | AREStart | DEFault | CONT | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:SWEep SINGle
Examples |  | :RAD:ARB:SEQ:SWE CONT
 |  | :radio:arb:sequence:sweep continuous
 |  | :RADio:ARB:SEQuence:SWEep?

[:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE

Selects whether a trigger is required to start the arbitrary waveform sequence file and/or to proceed to the next step in the sequence, or queries the trigger mode. See Arbitrary waveform procedures.

Parameters

  • STEP requires a trigger to proceed to the next step in the sequence.
  • SSTep requires a trigger to start the sequence file and to proceed to the next step in the sequence.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | STEP | SST |  | Yes | STEP | SSTep | DEFault | STEP | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:TRIGger:MODE SSTep
Examples |  | :RAD:ARB:SEQ:TRIG:MODE DEF
 |  | :radio:arb:sequence:trigger:mode default
 |  | :SOURce:RADio:ARB:SEQuence:TRIGger:MODE?

[:SOURce]:RADio:ARB:SRATe

Queries or sets the sample rate for the arbitrary waveform file in the current row (selected with [:SOURce]:RADio:ARB:ROW). Changes to the sample rate take effect immediately. See Arbitrary waveform procedures. The command setting affects the arb waveform whether or not it is loaded.

NOTE: The maximum sample rate value for the Model 2910 is 50 MHz. The maximum sample rate value for the Model 2920 and the V2920A is 100 MHz.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 5000000 | 50000 | 100000000 | Hz
 |  | :SOURce:RADio:ARB:SRATe MIN
Examples |  | :RAD:ARB:SRAT MAX
 |  | :radio:arb:srate default
 |  | :RADio:ARB:SRATe?

[:SOURce]:RADio:ARB[:STATe]

Queries or switches the arbitrary waveform playback on/off. Switching playback off also unloads the waveform.

See Also: Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:RADio:ARB:STATe 1
Examples |  | :RAD:ARB:STAT ON
 |  | :radio:arb:state off
 |  | :RADio:ARB:STATe?


[:SOURce]:RADio:CDMA

  • [:SOURce]:RADio:CDMa:LOAD


[:SOURce]:RADio:CDMA:LOAD

Queries the CDMA waveform that is loaded in the instrument, or sets the CDMA waveform to load into the instrument. See cdma2000 forward link.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string(filename) | none |  | Yes | string (filename) | DEFault | cdma2000 Forward Pilot | n/a | n/a | none
 |  | :SOURce:RADio:CDMA:LOAD
Examples |  | :RAD:CDMA:LOAD
 |  | :radio:cdma:load
 |  | :RADio:CDMA:LOAD?

Example:

You can use the programming command RADio:CDMA:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
cdma2000 Reference (default) | filename | ((restricted, read-only))
cdma2000 User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\cdma2000\Forward Link
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

Note: All modulation waveform Reference directories in the Series V2900 are read-only.


[:SOURce]:RADio:GPS

Controls the global positioning system (GPS) settings.

Select a link to view the command details:

  • [:SOURce]:RADio:GPS:CACode
  • [:SOURce]:RADio:GPS:DSHift
  • [:SOURce]:RADio:GPS:PATTern
  • [:SOURce]:RADio:GPS:PATTern:OPEN
  • [:SOURce]:RADio:GPS:STATe

Also see GPS.

[:SOURce]:RADio:GPS:CACode

Queries or sets the GPS C/A code. The range is from 1 to 37. For details on GPS modulation, seeGPS .

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 37 | none
 |  | :SOURce:RADio:GPS:CACode MAXimum
Examples |  | :RAD:GPS:CAD 20
 |  | :radio:gps:cacode maximum
 |  | :RADio:GPS:CACode?

[:SOURce]:RADio:GPS:DSHift

Queries or sets the value of the GPS Doppler shift. The range is ±10 kHz. For details on GPS modulation, see GPS.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.0 | -10000 | 10000 | Hz
 |  | :SOURce:RADio:GPS:DSHift MINimum
Examples |  | :RAD:GPS:DSH MIN
 |  | :radio:gps:dshift 500
 |  | :RADio:GPS:DSHift?

[:SOURce]:RADio:GPS:PATTern

Queries or sets the data pattern for the GPS (global positioning system) modulation. For details on GPS modulation, see GPS.

Parameters

  • AONes sets the data pattern to be all binary 1s.
  • AZERos sets the data pattern to be all binary 0s.
  • PN9 sets the data pattern to be a PN9 pseudo-random binary sequence.
  • PN15 sets the data pattern to be a PN15 pseudo-random binary sequence.
  • SQuare1 sets the data pattern to 01.
  • SQuare2 sets the data pattern to 0011.
  • SQuare4 sets the data pattern to 00001111.
  • SQuare8 sets the data pattern to 0000000011111111.
  • SQuare16 sets the data pattern to 0000000000000000111111111111.
  • USER sets the data pattern to the contents of a user-provided file. User is valid only if a user pattern has been opened.
  • DEFault returns to the default (preset) data pattern of PN9.

Query

Return parameters

Set

Set parameters

Special parameters

DEF

MIN

MAX

Units

Yes

AON | AZER | PN9 | PN15 | SQ1 | SQ2 | SQ4 | SQ8 | SQ16 | USER

Yes

AONes | AZERos |
PN9 | PN15 |
SQuare1 | SQuare2 |

SQuare4 | SQuare8 | SQuare16 | USER

DEFault

PN9

n/a

n/a

none

:SOURce:RADio:GPS:PATTern AONes

Examples

:RAD:GPS:PATT SQ2

:radio:gps:pattern square16

:RADio:GPS:PATTern?

[:SOURce]:RADio:GPS:PATTern:OPEN

Queries or sets the user-provided data pattern file for the GPS (global positioning system) modulation that gets loaded into the instrument. The default file extension is '.csv. A query returns the filename, if the GPS modulation is enabled. Sending this command without a filename will generate a "missing parameter" error. For details on GPS modulation, see GPS.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:GPS:PATTern:OPEN GPSmod1.csv
Examples |  | :RAD:GPS:PATT:OPEN GPSmod1
 |  | :radio:gps:pattern:open gpsmod1
 |  | :RADio:GPS:PATTern:OPEN?

Example:

You can use the programming command [:SOURce]:RADio:GPS:PATTern:OPEN to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
GPS User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GPS
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:RADio:GPS[:STATe]

Queries or switches the global positioning system (GPS) modulation on/off. For details on GPS modulation, see GPS.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:RADio:GPS:STATe ON
Examples |  | :RAD:GPS:STAT 1
 |  | :radio:gps:state 1
 |  | :RADio:GPS:STATe?


[:SOURce]:RADio:GSM

  • [:SOURce]:RADio:GSM:LOAD

Also see GSM / EDGE.

[:SOURce]:RADio:GSM:LOAD

Sets the GSM waveform to load in the instrument, or queries the GSM waveform that is loaded in the instrument. See GSM / EDGE.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | DEFault | GSM Data Timeslot 0 | n/a | n/a | none
 |  | :SOURce:RADio:GSM:LOAD GSM Data Timeslot 0.csv
Examples |  | :RAD:GSM:LOAD Timeslot 0
 |  | :radio:gsm:load timeslot 0
 |  | :RADio:GSM:LOAD?

Example:

You can use the programming command RADio:GSM:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
GSM / EDGE Reference (default) | filename | ((restricted, read-only))
GSM / EDGE User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GSM EDGE
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

Note: All modulation waveform Reference directories in the Series V2900 are read-only.


[:SOURce]:RADio:WCDMa

Controls WCDMA waveforms and modulation.

Select a link to view the command details:

  • [:SOURce]:RADio:WCDMa:LOAD
  • [:SOURce]:RADio:WCDMa:STATe


[:SOURce]:RADio:WCDMa:LOAD

Sets the WCDMA waveform to load in the instrument, or queries the WCDMA waveform that is loaded in the instrument. See cdma2000® forward link.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | DEFault | CPICH | n/a | n/a | none
 |  | :SOURce:RADio:WCDMa:LOAD
Examples |  | :RAD:WCDM:LOAD
 |  | :radio:wcdma:load
 |  | :RADio:WCDMa:LOAD?

Example:

You can use the programming command RADio:WCDMa:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
W-CDMA Reference (default) | filename | ((restricted, read-only))
W-CDMA User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\W-CDMA\Down Link
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

Note: All modulation waveform Reference directories in the Series V2900 are read-only.

[:SOURce]:RADio:WCDMa:STATe

Queries or switches WCDMA modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:RADio:WCDMa:STATe ON
Examples |  | :RAD:WCDM:STAT 1
 |  | :radio:wcdma:state 1
 |  | :RADio:WCDM:STATe?


[:SOURce]:ROSCillator

Controls the reference oscillator settings.

Select a link to view the command details:

  • [:SOURce]:ROSCillator:EEVensecond:POLarity
  • [:SOURce]:ROSCillator:EXTernal:FREQuency
  • [:SOURce]:ROSCillator:SOURce

Also see REF IN and OUT connectors.

[:SOURce]:ROSCillator:EEVensecond:POLarity

Queries or sets the polarity of the external even second reference.

Parameters

  • RISing sets the even second polarity to rising.
  • FALLing sets the even second polarity to falling.
  • DEFault returns to the default (preset) mode or RISing.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL |  | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none
 |  | :SOURce:ROSCillator:EEVensecond:POLarity RISing
Examples |  | :ROSC:EEV:POL FALL
 |  | roscillator:eevensecond:polarity rising
 |  | ROSCillator:EEVensecond:POLarity?

[:SOURce]:ROSCillator:EXTernal:FREQuency

Queries or sets the external reference oscillator frequency. See REF IN and OUT connectors.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 1000000 | 20000000 | Hz
 |  | :SOURce:ROSCillator:EXTernal:FREQuency
Examples |  | :ROSC:EXT:FREQ MIN
 |  | :roscillator:external:frequency maximum
 |  | :ROSCillator:EXTernal:FREQuency?

[:SOURce]:ROSCillator:SOURce

Queries or sets the source for the reference oscillator. See REF IN and OUT connectors.

Parameters

  • INTernal selects the internal oscillator for the reference oscillator.
  • EXTernal selects the External Reference Input as the reference oscillator.
  • EEVensecond selects the GPS clock input as the reference oscillator.
  • DEFault returns to the default (preset) mode, which is INTernal.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | INT | EXT | EEV |  | Yes | INTernal | EXTernal | EEVensecond | DEFault | INT | n/a | n/a | none
 |  | :SOURce:ROSCillator:SOURce EXTernal
Examples |  | :ROSC:SOUR EXT
 |  | :roscillator:source external
 |  | :ROSCillator:SOURce?


[:SOURce]:SWEep

Controls the stepped sweep settings.

Select a link to view the command details:

  • [:SOURce]:SWEep:DWELl
  • [:SOURce]:SWEep:SETTle
  • [:SOURce]:SWEep:STATe
  • [:SOURce]:SWEep:STEP

Also see Sweep and signal generation and Sweep and signal operations.

[:SOURce]:SWEep:DWELl

Queries or sets the dwell time for each step in a stepped sweep or list mode sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.0000 | 0.0000 | 999.9990 | Seconds
 |  | :SOURce:SWEep:DWELl MAXimum
Examples |  | :SWE:DWEL MAX
 |  | :sweep:dwell maximum
 |  | :SWEep:DWELl?

[:SOURce]:SWEep:SETTle

Queries for the longest settle time over the last sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:SWEep:SETTle?
Examples |  | :SWE:SETT?
 |  | :sweep:settle?

[:SOURce]:SWEep:[STATe]

Queries or switches the source in a repetitive sweep mode on/off. When off (or 0), use a trigger to cause a single sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:SWEep:STATe 1
Examples |  | :SWE:STAT ON
 |  | :sweep:state off
 |  | :SWEep:STATe?

[:SOURce]:SWEep:STEP

Queries or sets the number of steps in a stepped sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 201 | 2 | 2000 | none
 |  | :SOURce:SWEep:STEP MAXimum
Examples |  | :SWE:STEP MAX
 |  | :sweep:step maximum
 |  | :SWEep:STEP?


[:SOURce]:TTL

Controls the digital I/O settings.

Select a link to view the command details:

  • [:SOURce]:TTL:INPut
  • [:SOURce]:TTL[:LEVel]

Also see Digital I/O.

[:SOURce]:TTL:INPut

Reads the digital I/O input. See Digital I/O.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:TTL:INPut?
Examples |  | :TTL:INP?
 |  | :ttl:input?

[:SOURce]:TTL[:LEVel]

Queries or sets the digital I/O output. See Digital I/O.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 15 | none
 |  | :SOURce:TTL:LEVel MAXimum
Examples |  | :TTL MAX
 |  | :ttl maximum
 |  | :TTL?


[:SOURce]:TTONe

Controls the two-tone modulation settings.

Select a link to view the command details:

  • [:SOURce]:TTONe:FREQuency:SPAN
  • [:SOURce]:TTONe:STATe

Also see 2 Tone modulation.

[:SOURce]:TTONe:FREQuency:SPAN

Queries or sets the span (or spacing) of the two CW tones in the two-tone application. See 2 Tone modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 2 | 2000000 | Hz
 |  | :SOURce:TTONe:FREQuency:SPAN MINimum
Examples |  | :TTON:FREQ:SPAN MIN
 |  | :ttone:frequency:span minimum
 |  | :TTONe:FREQuency:SPAN?

[:SOURce]:TTONe[:STATe]

Queries or switches the two-tone application on/off. See 2 Tone modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:TTONe:STATe 1
Examples |  | :TTON 1
 |  | :ttone:state on
 |  | :TTONe:STATe?


[:SOURce]:UFLatness

Controls the user-flatness settings.

Select a link to view the command details:

  • [:SOURce]:UFLatness:LOAD
  • [:SOURce]:UFLatness:STATe

Also see User flatness

[:SOURce]:UFLatness:LOAD

Selects the user flatness data file that gets loaded in the instrument. Sending this command without a filename will generate a "missing parameter" error. A query returns the filename, if the user flatness is enabled. See User flatness.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:UFLatness:LOAD TUESDAY1.csv
Examples |  | :UFL:LOAD TUESDAY1
 |  | :uflatness:load tuesday1
 |  | :SOUR:UFL:LOAD?

Example:

You can use the programming command [:SOURce]:UFLatness:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
User Flatness User | filename or \User\filename | ...\Agilent Series V2900 Documents\<model>\User Flatness
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:UFLatness[:STATe]

Queries or switches the user flatness operation on/off. See User flatness.
_____

NOTE: If user flatness is on, regardless of the user flatness file contents, the power limits become -230 dBm to +113 dBm (Model 2910, and Model 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If user flatness is off, the power limits are at the -130/-110 dBm to +13 dBm range. Affected power settings are: [:SOURce]:POWer commands and [:SOURce]:RADio:ARB:SEQuence:POWer.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEfault | 0 or Off | n/a | n/a | none
 |  | :SOURce:UFLatness:STATe ON
Examples |  | :UFL ON
 |  | :source:uflatness:state 0
 |  | :UFL?


[:SOURce]:VCO[:STATe]

Queries or switches the VCO (voltage-controlled oscillator) on/off.

NOTE: In the instrument power-up default state, the MIMO Mode (:MIMO:MODE) is OFF and the [:SOURce]:VCO[:STATe] command has no effect.

See Also:

  • :MIMO:MODE
  • MIMO configuration dialog

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEfault | 1 or On | n/a | n/a | none

 | :SOURCE:VCO:STATe 1
Examples | :VCO:STAT OFF
 | :source:vco:state off
 | :VCO:STATe?


:SOUTput

Controls the sync output settings.

Select a link to view the command details:

  • :SOUTput:IMMediate
  • :SOUTput:MODe
  • :SOUTput:POLarity
  • :SOUTput:OFFSet
  • :SOUTput:WRAPs

_____
See Also: Sync Output

:SOUTput:MODE

Queries or sets when a sync output pulse is generated. Sync output can be off, at a wrap point of an arb waveform, as each step in list or sweep settles, at the start of sweep/list, or at the end of sweep/list. See Sync out.

Parameters

  • OFF switches off the sync output.
  • WRAP sets the sync output at the wrap point of the arbitrary waveform playback.
  • STEP sets the sync output as each step in the sweep, list mode, or sequence settles.
  • STARt sets the sync output at the start of the sweep, list mode, or sequence.
  • STOP sets the sync output at the end of the sweep, list mode, or sequence.
  • DWELl sets the sync output at the end of a dwell time at each step in a stepped sweep, list mode or arb file sequence.
  • DEFault sets the sync output to the default (WRAP) mode.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | WRAP | STEP | STAR | STOP | DWEL |  | Yes | OFF | WRAP | STEP | STARt | STOP | DWELl | DEfault | WRAP | n/a | n/a | none
 |  | :SOUTput:MODE WRAP
Examples |  | :SOUT:MODE OFF
 |  | :soutput:mode start
 |  | :SOUTput:MODE?

:SOUTput:IMMediate

When set, immediately generates a sync out pulse. See Sync out.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SOUTput:IMMediate
Examples |  | :SOUT:IMM
 |  | :soutput:immediate

:SOUTput:POLarity

Queries or sets the sync output pulse. Sync output is a short TTL pulse. Normally, it is a rising pulse. If you select FALLing, the output is normally high and pulses off, providing a falling edge as the sync event. See Sync out.

Parameters

  • RISing sets the sync output to a TTL low and the sync event as a rising edge pulse.
  • FALLing sets the sync output to a TTL high and the sync event as a falling edge pulse.
  • DEFault sets the sync output to the default (Preset) setting or RISing.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL | Yes | RISing | FALLing | DEfault | RIS | n/a | n/a | none

 | :SOUTput:POLarity RISing
Examples | :SOUT:POL RIS
 | :soutput:polarity rising
 | :SOUTput:POLarity?

:SOUTput:OFFSet

Queries or sets the offset of the sync out relative to the ARB wrap as a percentage of the ARB waveform duration. This value is only used if :SOUTput:MODE is WRAP.

The Series V2900 allows entries for Sync Offset (from ARB Wrap) to extend to slightly below -100%. An entry of -100% positions the first sync at the nominal start of the arb playback at the RF output. Entries slightly more negative allow the sync output to occur after playback initiation, but before the waveform has fully propagated through it's signal generation circuitry and reached the RF output.

_____
See also: Sync out

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -101 | 100 | Percent

 | :SOUTput:OFFSet 5.3
Examples | :SOUT:OFFS 9.2
 | :soutput:offset 5.3
 | :SOUTput:OFFSet?

:SOUTput:WRAPs

Queries or sets the number of ARB waveform repetition wrap points that must occur before a sync output pulse is generated. This value is only used if :SOUTput:MODE is WRAP

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1000 | none

 | :SOUTput:WRAPs 150
Examples | :SOUT:WRAP 12
 | :soutput:wraps 85
 | :SOUTput:WRAPs?

See also: Sync Output


:STATus:MEASurement

Controls the measurement event status.

Select a link to view the command details:

  • :STATus:MEASurement:CONDition
  • :STATus:MEASurement:ENABle
  • :STATus:MEASurement[:EVENt]
  • :STATus:MEASurement:NTRansition
  • :STATus:MEASurement:PTRansition

_
See Also:

  • Measurement event register

:STATus:MEASurement:CONDition

Reads the measurement condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :STATus:MEASurement:CONDition?
Examples | :STAT:MEAS:COND?
 | :status:measurement:condition?

:STATus:MEASurement:ENABle

Programs the measurement event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which in turn sets the summary bit of the status byte register. See Measurement event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. the STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:MEASurement:ENABle
Examples |  | :STAT:MEAS:ENAB
 |  | :status:measurement:enable
 |  | :STAT:MEAS:ENAB?

:STATus:MEASurement[:EVENt]

Queries the Measurement Event Register. See Measurement event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:MEASurement:EVENt
 |  | :STAT:MEAS:EVEN
Examples |  | :status:measurement:event
 |  | :STAT:MEAS:EVEN?

:STATus:MEASurement:NTRansition

Programs the measurement negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:MEASurement:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:MEASurement:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:MEASurement:NTRansition 500
Examples | :STAT:MEAS:NTR 500
 | :status:measurement:ntransition 500
 | :STATus:MEASurement:NTRansition?

:STATus:MEASurement:PTRansition

Programs the measurement positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:MEASurement:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:MEASurement:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:MEASurement:PTRansition 500
Examples | :STAT:MEAS:PTR 500
 | :status:measurement:ptransition 500
 | :STATus:MEASurement:PTRansition?


:STATus:OPERation

Controls the operation event status.

Select a link to view the command details:

  • :STATus:OPERation:ARB:ENABle
  • :STATus:OPERation:ARB[:EVENt]
  • :STATus:OPERation:CONDition
  • :STATus:OPERation:ENABle
  • :STATus:OPERation[:EVENt]
  • :STATus:OPERation:NTRansition
  • :STATus:OPERation:PTRansition

_
See Also:

  • Operation event register

:STATus:OPERation:ARB:ENABle

Sets or queries the Arb Enable Register. Bit 1 of the Arb Event Register is set when an arb sequence, in single sweep mode, completes.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | 0 | 32767 | none
 |  | :STATus:OPERation:ARB:ENABle 22222
Examples |  | :STAT:OPER:ARB:ENAB 0
 |  | :status:operation:arb:enable 32767
 |  | :STAT:OPER:ARB:ENAB?

:STATus:OPERation:ARB[:EVENt]

Queries the Arb Event Register. Bit 1 is set when an Arb Sequence, in single sweep mode, completes. The Arb Event Register is summarized in Bit 9 of the operation event status register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:ARB:EVENt?
Examples |  | :STAT:OPER:ARB:EVEN?
 |  | :status:operation:arb:event?

:STATus:OPERation:CONDition

Reads the operation condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. For example, while the instrument is in the idle state, bit B10 (Idle) of the operation condition register will be set. When the instrument is taken out of idle, bit B10 clears. See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:CONDition?
Examples |  | :STAT:OPER:COND?
 |  | :status:operation:condition?

:STATus:OPERation:ENABle

Programs the operation event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:OPERation:ENABle
Examples |  | :STAT:OPER:ENAB
 |  | :status:operation:enable
 |  | :STATus:OPERation:ENABle?

:STATus:OPERation[:EVENt]

Reads the operation event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:EVENt?
Examples |  | :STAT:OPER?
 |  | :status:operation:event?

:STATus:OPERation:NTRansition

Programs the operation negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:OPERation:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:OPERation:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Operation event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:OPERation:NTRansition 500
Examples | :STAT:OPER:NTR 500
 | :status:operation:ntransition 500
 | :STATus:OPERation:NTRansition?

:STATus:OPERation:PTRansition

Programs the operation positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:OPERation:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:OPERation:EVENt?) will bet set

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Operation event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:OPERation:PTRansition 500
Examples | :STAT:OPER:PTR 500
 | :status:operation:ptransition 500
 | :STATus:OPERation:PTRansition?


:STATus:PRESet

Sets the following registers to the specified values:

  • measurement event enable (STATus:MEASurement:ENABle) = 0
  • measurement negative transition filter (STATus:MEASurement:NTRansition) = 0
  • measurement positive transition filter (STATus:MEASurement:PTRansition) = 32767 (0x7fff)
    __
  • operation event enable (STATus:OPERation:ENABle) = 0
  • operation negative transition filter (STATus:OPERation:NTRansition) = 0
  • operation positive transition filter (STATus:OPERation:PTRansition) = 32767 (0x7fff)
    __
  • questionable event enable (STATus:QUEStionable:ENABle) = 0
  • questionable negative transition filter (STATus:QUEStionable:NTRansition) = 0
  • questionable positive transition filter (STATus:QUEStionable:PTRansition) = 32767 (0x7fff)

_
See also:

  • Series V2800 Preset button
  • Series V2900 Preset button
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :STATus:PRESet
Examples |  | :STAT:PRES
 |  | :status:preset


:STATus:QUEStionable

Controls the questionable event status.

Select a link to view the command details:

  • :STATus:QUEStionable:CONDition
  • :STATus:QUEStionable:ENABle
  • :STATus:QUEStionable[:EVENt]
  • :STATus:QUEStionable:NTRansition
  • :STATus:QUEStionable:PTRansition

_
See Also:

  • Questionable event register

:STATus:QUEStionable:CONDition

Reads the questionable condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Questionable event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:QUEStionable:CONDition?
Examples |  | :STAT:QUES:COND?
 |  | :status:questionable:condition?

:STATus:QUEStionable:ENABle

Programs the questionable event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:QUEStionable:ENABle
Examples |  | :STAT:QUES:ENAB
 |  | :status:questionable:enable
 |  | :STAT:QUES:ENAB?

:STATus:QUEStionable[:EVENt]

Reads the questionable event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STAT:QUEStionable:EVENt?
Examples |  | :STAT:QUES?
 |  | :status:questionable:event?

:STATus:QUEStionable:NTRansition

Programs the questionable negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:QUEStionable:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:QUEStionable:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Questionable event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:QUEStionable:NTRansition 500
Examples | :STAT:QUES:NTR 500
 | :status:questionable:ntransition 500
 | :STATus:QUEStionable:NTRansition?

:STATus:QUEStionable:PTRansition

Programs the questionable positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:QUEStionable:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:QUEStionable:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Questionable event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:QUEStionable:PTRansition 500
Examples | :STAT:QUES:PTR 500
 | :status:questionable:ptransition 500
 | :STATus:QUEStionable:PTRansition?


:SYSTem:CLEar

Clears all codes and messages from the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:CLEar
Examples |  | :SYST:CLE
 |  | :system:clear


:STATus:QUEue:CLEar

Clears the status (error) queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :STATus:QUEue:CLEar
Examples |  | :STAT:QUE:CLE
 |  | :status:queue:clear


:SYSTem:COMMunicate:GPIB:ADDRess

Queries or sets the GPIB address. See System Setup for Remote Control.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :SYSTem:COMMunicate:GPIB:ADDRess 13
 |  | :SYST:COMM:GPIB:ADDR 13
Examples |  | :system:communicate:gpib:address 13
 |  | :SYST:COMM:GPIB:ADDR?


:SYSTem:DATE

Queries or sets the system clock date. See Time and date.

Query

Return parameters

Set

Set parameters

Special parameters

DEF

MIN

MAX

Units

Yes

Digits with an implied decimal point assumed at the right of the least-significant digit.,
Digits with an implied decimal point assumed at the right of the least-significant digit.,

Digits with an implied decimal point assumed at the right of the least-significant digit.
(year, month, day)

Yes

Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).

(year, month, day)

none

n/a

n/a

n/a

none

:SYSTem:DATE 08, 10, 03

:SYST:DATE 08, 10, 03

Examples

:system:date 08, 10, 03

:SYST:DATE?


:SYSTem:ERRor

Controls the error queue.

Select a link to view the command details:

  • :SYSTem:ERRor:ALL
  • :SYSTem:ERRor:CLEar
  • :SYSTem:ERRor:CODE:ALL
  • :SYSTem:ERRor:CODE:[NEXT]
  • :SYSTem:ERRor:COUNt
  • :SYSTem:ERRor:ENABle:ADD
  • :SYSTem:ERRor:ENABle:DELete
  • :SYSTem:ERRor:ENABle[:LIST]
  • :SYSTem:ERRor:[NEXT]

_____
Also see: Error queue

:SYSTem:ERRor:ALL

Reads all errors in the error queue. This query command is similar to the :SYSTem:ERRor:NEXT? command, except that all messages in the error queue are sent to the computer when the instrument is addressed to talk. All codes and messages are removed from the queue.

Return format:

__

<number>,"error description[; optional error details]",<number>,"error description[; optional error details]" ...
(sequence repeats to report every error in the queue)

If there are no errors in the queue, the return is 0,"No Error". If an error is present, the return is a list of errors.

Example return:

__

-100,"Command Error",-200,"Execute Error;Optimize Failed"

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :SYSTem:ERRor:ALL?
Examples | :SYST:ERR:ALL?
 | :system:error:all?

:SYSTem:ERRor:CLEar

Clears the error queue.

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CLEar
Examples |  | :SYST:ERR:CLE
 |  | :system:error:clear

:SYSTem:ERRor:CODE:ALL

Reads all errors by error code in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NR1,…, [image] NR1 Digits with an implied decimal point assumed at the right of the least-significant digit. Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CODE:ALL?
Examples |  | :SYST:ERR:CODE:ALL?
 |  | :system:error:code:all?

:SYSTem:ERRor:CODE:[NEXT]

Reads the next error-by-error code in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CODE:NEXT?
Examples |  | :SYST:ERR:CODE:NEXT?
 |  | :system:error:code?

:SYSTem:ERRor:COUNt

Reads the number of errors in the Error Queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:COUNt?
Examples |  | :SYST:ERR:COUN?
 |  | :system:error:count?

:SYSTem:ERRor:ENABle:ADD

Adds the specific errors to enable in the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:ADD
Examples |  | :SYST:ERR:ENAB:ADD
 |  | :system:error:enable:add

:SYSTem:ERRor:ENABle:DELete

Deletes the specific errors to enable the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:DELete
Examples |  | :SYST:ERR:ENAB:DEL
 |  | :system:error:enable:delete

:SYSTem:ERRor:ENABle[:LIST]

Sets or queries the specific errors in the error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list. See Error queue.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | list |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:LIST
Examples |  | :SYST:ERR:ENAB:LIST
 |  | :system:error:enable:list
 |  | :SYST:ERR:ENAB:LIST?

:SYSTem:ERRor[:NEXT]

Reads the next error in the queue. As error and status messages occur, they are placed in the error queue. The error queue is a first-in first-out (FIFO) register that can hold up to 10 messages. After sending this command and addressing the instrument to talk, the oldest code and message is sent to the computer and is then removed from the queue.

Return format:

__

<number>,"error description[; optional error details]"

If there are no errors in the queue, the return is 0,"No Error".

Example return:

__

-200,"Execute Error;Optimize Failed"

Returns a "0" (zero) if no errors are in the queue, otherwise it returns the latest error on the stack, last-in-first-out (LIFO).

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:NEXT?
Examples |  | :SYST:ERR?
 |  | :system:error?


:SYSTem:KLOCk[:STATe]

Locks out the instrument front panel Local and Preset key when in the Remote mode. Sending the command, *RST, switches off the lock. A query returns the state of the front panel Local and Preset key. See the Local and Preset topics for more information.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SYSTem:KLOCk:STATe ON
Examples |  | :SYST:KLOC ON
 |  | :system:klock 0
 |  | :SYST:KLOC?


:SYSTem:LOCal

Puts the instrument in the local mode. See Local button.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:LOCal
Examples |  | :SYST:LOC
 |  | :system:local


:SYSTem:PRESet

Restores the instrument settings to the preset state determined by SYSTem:PRESet:TYPE. If TYPE is set to FACTory, the preset state is the factory default. If TYPE is set to USER, the preset state is the state saved by SYSTem:PRESet:SAVE.
_

Series V2800 only -- see also:

  • Preset button
  • Series V2800 Preset conditions
  • Preset Type
  • Preset Save

Series V2900 only -- see also:

  • Preset button
  • Series V2900 Preset conditions
  • Preset Type
  • Preset Save

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:PRESet
Examples |  | :SYST:PRES
 |  | :system:preset

:SYSTem:PRESet:SAVE

Saves the current instrument state as a user-defined preset. This state is recalled if the SYSTem:PRESet:TYPE is set to USER when the:

  • Instrument is powered on
  • Front-panel Preset button is pressed
  • SYSTem:PRESet command is used

_____
See Preset and Preset Type.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:PRESet:SAVE
Examples |  | :SYST:PRES:SAVE
 |  | :system:preset:save

:SYSTem:PRESet:TYPE

Set or query the type of preset that is performed when:

  • The Preset button is used
  • The instrument is powered on
  • The SYSTem:PRESet command is used

If the Preset Type is FACTory, the instrument is set to the factory default state. If the Preset Type is USER, the instrument is set to the state saved by SYSTem:PRESet:SAVE (which is initially the factory default values shown in Preset conditions). See also, Preset and Preset Type.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | Yes | FACTory | USER | DEFault | FACTory | n/a | n/a | none
 |  | :SYSTem:PRESet:TYPE USER
Examples |  | :SYST:PRES:TYPE USER
 |  | :system:preset:type user
 |  | :SYSTem:PRESet:TYPE?


:SYSTem:REMote

Puts the instrument in the remote mode. See Remote and local operation differences.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:REMote
Examples |  | :SYST:REM
 |  | :system:remote


:SYSTem:SSAVer

Controls the screen saver.

Select a link to view the command details:

  • :SYSTem:SSAVer:DELay
  • :SYSTem:SSAVer[:STATe]

Also see Screen saver.

:SYSTem:SSAVer:DELay

Queries or sets the delay of the screen saver, in minutes. See Screen saver.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | minutes
 |  | :SYSTem:SSAVer:DELay 2
Examples |  | :SYST:SSAV:DEL 2
 |  | :system:ssaver:delay 2
 |  | :SYST:SSAV:DEL?

:SYSTem:SSAVer[:STATe]

Queries or switches the state of the screen saver on/off. See Screen saver.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SYSTem:SSAVer:STATe ON
Examples |  | :SYST:SSAV ON
 |  | :system:ssaver:state 0
 |  | :SYST:SSAV?


:SYSTem:TIME

Sets or queries the system time. See Time and date. Hour, minute, second -- numeric representation format. This parameter is a number that can be expressed as an integer (for example, 8).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. (hour, minute, second) |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). ,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). (hour, minute, second) | none | n/a | n/a | n/a | none
 |  | :SYSTem:TIME 08, 10, 03
Examples |  | :SYST:TIME 08, 10, 03
 |  | :system:time 08, 10, 03
 |  | :SYST:TIME?


:TRIGger

Controls the trigger functions.

Select a link to view the command details:

  • :TRIGger:DELay
  • :TRIGger:DELay:ACTual
  • :TRIGger:MODE
  • :TRIGger:SOURce

    _____
    NOTE: The trigger commands take effect immediately upon execution.

_____
See Also:

  • Trigger settings
  • *TRG

:TRIGger:DELay

Sets or queries a delay between a trigger event and the instrument response.

When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger. The trigger delay value is the point at the center of the data acquisition window. See Trigger.

_____
NOTE: The trigger commands take effect immediately upon execution.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.0000000 | -30 | 30 | seconds
 |  | :TRIGger:DELay MAXimum
Examples |  | :TRIG:DEL MAX
 |  | :trigger:delay maximum
 |  | :TRIG:DEL?

:TRIGger:MODE

Queries or sets the Input Trigger mode that only affects lists and sweeps. You can choose to start each step or start an entire list/sweep. See Trigger.

NOTE: The trigger commands take effect immediately upon execution.

_____
Parameters

  • OFF switches off the trigger mode.
  • TUNE changes to the next step (frequency/power values) in a stepped sweep.
  • STARt starts a stepped sweep or list sweep.
  • ARB starts an arbitrary waveform playback.
  • ASTep starts arbitrary waveform playback, and triggers the change to the next step (frequency/power values) in a stepped sweep. Note that on the first trigger, the arbitrary waveform playback will begin, and the frequency and power will tune to the first step in the stepped sweep. On subsequent triggers, arbitrary waveform playback will continue uninterrupted, and the instrument will tune to the next step in the sweep or list.
  • DEFault sets the trigger mode to the default.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | TUNE | STAR | ARB | AST |  | Yes | OFF | TUNE | STARt | ARB | AST | DEFault | Off | n/a | n/a | none
 |  | :TRIGger:MODE STARt
Examples |  | :TRIG:MODE STAR
 |  | :trigger:mode start
 |  | :trigger:mode start?

:TRIGger:DELay:ACTual

Queries the actual trigger delay. This value may be greater than the desired trigger delay. If an arb sequence is loaded this is the nominal delay value, as displayed on the trigger dialog. Each arb waveform may have a different trigger delay as a function of the sample rate. The nominal delay is the maximum delay for the waveforms in the sequence.

_____
See Also: Trigger

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. |  | No | n/a | n/a | n/a | n/a | n/a | seconds
 |  | :TRIGger:DELay:ACTual?
Examples |  | :trigger:delay:actual?
 |  | :TRIG:DEL:ACT?

:TRIGger:SOURce

Queries or sets the source of the trigger signal. See Trigger.

NOTE: The trigger commands take effect immediately upon execution.

_____
Parameters

  • BUS sets the instrument to receive a software trigger from either the front panel Trigger Now button or the *TRG command.
  • RISing sets the instrument to receive a trigger event as a rising edge TTL input signal on the rear panel TRIG IN connector.
  • FALLing sets the instrument to receive a trigger event as a falling edge TTL input signal on the rear panel TRIG IN connector.
  • DEFault sets the default value.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BUS | RIS | FALL |  | Yes | BUS | RISing | FALLing | DEFault | BUS | n/a | n/a | none
 |  | :TRIGger:SOURce BUS
Examples |  | :TRIG:SOUR RIS
 |  | :trigger:source falling
 |  | :trigger:source falling?


Series V2900 SCPI command error messages

Series V2900 SCPI error message strings
-430 | Query deadlocked
-420 | Query unterminated
-410 | Query interrupted
-360 | Communication error
-350 | Queue overflow
-258 | .Media protected
-257 | File name error
-256 | File name not found
-256 | File name not found; the system cannot find the path specified
-256 | File name not found; the filename, directory name or volume label syntax is incorrect
-256 | File name not found; the network path was not found
-256 | File name not found; the network name cannot be found
-254 | Media full
-253 | Corrupt media
-252 | Missing media
-251 | Missing mass storage
-250 | Mass storage error
-250 | Mass storage error; the system cannot open the file
-250 | Mass storage error; No more connections can be made to this remote computer at this time
-250 | Mass storage error; the system cannot find the drive specified
-250 | Mass storage error; the directory or file cannot be created
-240 | Hardware error
-230 | Data corrupt or stale
-225 | Out of memory
-224 | Illegal parameter value
-222 | Data out of range
-221 | Settings conflict
-220 | Parameter error
-213 | Init ignored
-161 | Invalid block data
-151 | Invalid string data
-138 | Suffix not allowed
-131 | Invalid suffix
-121 | Invalid character in number
-120 | Numeric data error
-115 | Unexpected number of parameters
-113 | Undefined header
-110 | Command header error
-109 | Missing parameter
-102 | Syntax error
-101 | Invalid character
-100 | Command error
0 | No error
10 | USB error
11 | USB cable not connected
12 | Active measurement does not support the command
15 | Extended frequency range cannot be turned off while in use;<list> ... where <list> is a list of the features using extended frequencies.
16 | Extended frequency range is required
Shared DSP error messages
20 | Bad run checksum
21 | Run sector erased
22 | Bad FPGA checksum
23 | FPGA sector erased
24 | Bad parms checksum
25 | Bad XParms checksum
26 | Bad basic Dsp command
27 | Bad DUC FS
28 | Task already on queue
29 | Bad cal table
30 | Flash not erasing
31 | Flash not programming
32 | Bad loader size
33 | Bad boot size
34 | Bad run size
35 | Checksum mismatch
36 | Bad USB command
37 | Reached breakpoint
38 | Resource not locked
39 | FATAL CRASH!
40 | Debug not available
41 | Unrecognized DSP error
42 | Missing task killed message
43 | Missing acknowledged message
44 | FPGA program failure
45 | Bad receiver bandwidth
46 | FPGA DCM not locked
47 | DAC PLL not locked
900 | Internal system error
Instrument specific DSP error messages
51 | Invalid change flag
52 | Invalid setting
53 | Amplitude set too high for this modulation waveform
54 | Missing "Source settled" message
55 | Missing "Single sweep complete" message
56 | Minimum power has been limited
Shared file and table loading error messages
70 | FILE ERROR: Cannot open
71 | FILE ERROR:Invalid file header
72 | FILE ERROR: Incorrect type
73 | FILE ERROR: Version not compatible
74 | FILE ERROR: Column header invalid
75 | FILE ERROR: "Begin Table" keyword not found
76 | FILE ERROR: Missing name/value pairs(s)
77 | FILE ERROR: Number of data rows exceeds maximum
78 | Table not loaded, bad input format
79 | Table not loaded, bad value
80 | ERROR: Bad checksum
81 | ERROR: Contents are corrupted
User data pattern file message
90 | No user data pattern file open
Power meter error messages
100 | Power meter not connected
101 | Power meter hardware error
102 | Power meter, bad command
Sweep list/trigger messages
200 | Sweep aborted
Arb messages
219 | Arb file error: Must have even number of samples, load aborted
220 | Operation failed because no digital modulation active
221 | Operation failed because no matching Arb record found
222 | File header error: invalid sample rate, load aborted
223 | File header error: invalid power factor, load aborted
224 | File error: Must contain an even number of 32 bit words, load aborted
225 | File error: An error occurred when reading the file
226 | File error: A write error occurred while storing the data
227 | File error: Out of Arb memory
228 | File error: License for Arb file type not installed
229 | Error: RF output and modulation must be on
List error messages
230 | At least one frequency in list limited
231 | At least one power in list limited
232 | At least one dwell in list limited
233 | Too many list points, list limited to 1000 points
234 | List file error
235 | At least one frequency in list limited because extended frequency range is off
Arb sequence and additional Arb messages
240 | Sequence file error
241 | Arb file has non-standard rate. Cannot load while Arb sequence is on
242 | Arb file error: Sample rate exceeded maximum licensed rate, load aborted
243 | Power factor cannot be changed while arb sequence is on
GPS messages
250 | Operation not allowed: Pattern length is greater than 32
Digital modulation message
260 | Data pattern is truncated: Increase symbols/second or select shorter pattern
User flatness error messages
270 | User flatness data file error
271 | User flatness file frequency rounded
272 | Waveform file error


MIMO Application Guide

This Agilent multiple-in multiple-out (MIMO) Application Guide introduces you to the concepts of MIMO technology with the associated topics: OFDMA, WLAN, and WiMAX.

It also describes how you can configure these Agilent products for a complete measurement solution:

  • Series V2800 RF Vector Signal Analyzer
  • Series V2900 RF Vector Signal Generator
  • V2895A MIMO Synchronization Unit
  • V2901A SignalMeister™ RF Communications Test Toolkit

_____
MIMO Application Guide Contents

  • Concept overview material:
    • SISO to MIMO
    • Orthogonal Frequency Division Multiplexing
    • Beam Forming
  • V2895A MIMO Synchronization Unit overview
  • MIMO system manual test procedure
  • MIMO troubleshooting tips
  • SignalMeister™ RF Communications Test Toolkit: Overview and usage for MIMO signal generation and analysis


Preface

This Agilent multiple-in multiple-out (MIMO) Application Guide introduces you to the concepts of MIMO technology with the associated topics: OFDMA, WLAN, and WiMAX.

It also describes how you can configure these Agilent products for a complete measurement solution:

  • Series V2800 RF Vector Signal Analyzer
  • Series V2900 RF Vector Signal Generator
  • V2895A MIMO Synchronization Unit
  • V2901A SignalMeister™ RF Communications Test Toolkit

_____
MIMO Application Guide Contents

  • Concept overview material:
    • SISO to MIMO
    • Orthogonal Frequency Division Multiplexing
    • Beam Forming
  • V2895A MIMO Synchronization Unit overview
  • MIMO system manual test procedure
  • MIMO troubleshooting tips
  • SignalMeister™ RF Communications Test Toolkit: Overview and usage for MIMO signal generation and analysis


SISO to MIMO

Commercial radio technology has reached a turning point where the move is from single carrier technologies (single-input single-output, SISO) where one digital symbol is transmitted at a time, to a new paradigm, where potentially hundreds of symbols are transmitted simultaneously (multiple-input multiple-output, MIMO). The change has been driven by customer demand for more mobile services, and the decreasing cost of the digital signal processing technology required to deploy high-bandwidth broadband wireless systems. The technology can now be used in a variety of commercial communications devices. For example, phones, PDAs, and the laptops on which we have become so dependent.

The technology of choice for this broadband connection is based on a modulation scheme called orthogonal frequency division multiplexing (OFDM). OFDM has very good spectral efficiency and is quite tolerant of the ever-present interference in the bands where it is used. One of the key reasons for this is that it transmits hundreds of symbols simultaneously, yet at a low rate per symbol.

SISO: Single-Input Single-Output

The figure below shows a typical SISO radio with one transmitter and one receiver with information sent over a single data channel. This configuration is used in almost all radio products today. While there may be an extra antenna for spatial diversity (constantly switched for the best signal path), there is a single upconverter and a single downconverter, a single demodulator/modulator in the radio, and a single data stream in the higher levels of the product's communications stack.

MIMO to SISO 1

Multi-Path

Multi-path architecture adds complexity to the SISO transmission. The figure below shows a Bluetooth signal with a symbol rate of 1M symbols per second. That means that the receiver will expect a specific symbol within a period of one microsecond. If the multi-path architecture delays the signal by more than one microsecond, the receiver will receive the symbol in the next symbol period, causing a significant symbol error.

MIMO to SISO 2

If the difference in path length between direct and reflected paths exceeds 1 ms, the receiver will receive the symbol in the next symbol period.

MIMO: Multiple-Input Multiple-Output

MIMO is the most significant change to radio architecture in radio history. The principle is simple: If you have one transmitter, you can transmit some data from point A to point B; If you have four transmitters (or four carriers) the data is four times more likely to get to its destination, but the transmission would take up four times as much bandwidth. MIMO aligns those four independently modulated OFDM carriers on top of each other resulting in four separate transmissions, sharing a single frequency. It can carry up to 3.5 times as much information in the same bandwidth as a single carrier (see the figure below). The most complex part of this operation is getting the transmission back to four independent radio signals at the receiver. The principle is not new, but the cost of the technology has decreased such that it is now commercially viable.

MIMO 4times BW

By using somewhere between two and four carriers to transmit the data, and having two and four receivers, the likelihood of receiving everything is much better, so the spectral efficiency rises dramatically, although that efficiency comes with a higher level of complexity.

MIMO Spectral efficiency2

MIMO Radio Configuration

The figure below shows some typical MIMO configurations. A 2×2 system contains two transmitters and two receivers; A 4×4 system has four transmitters and four receivers. Many commercial WLAN devices today employ a 3×2 configuration of three transmitters and two receivers.

MIMO Radio Configuration

Multiple paths degrade the signal quality on SISO systems, but are necessary for MIMO systems. If there are two unknown transmitted signals and two measurements at the receivers, and the two measurements are sufficiently independent, it is possible to identify the transmitted symbols. For example, if a MIMO transmitter transmits two signals on the same frequency, each signal takes a slightly different path to the receiver and each signal's characteristics diverge from the originally transmitted signals (mainly due to multi-path distortion). Both receivers receive a mixture of both the original signals. As the two receivers are independent, you can use simultaneous equations on the two received signals and identify the transmitted symbols.

Spectral Efficiency: SISO Versus MIMO

MIMO allows the same bandwidth to be used multiple times, allowing a higher spectral efficiency. You can see that when you compare the efficiency of 802.11a/g wireless LAN signals without MIMO to the 802.11n wireless LAN signals with MIMO.

Hardware

To transmit multiple signals you must synchronize the phase and sampling alignment on multiple channels. This can easily be achieved by using two Series V2900 Vector Signal Generators (VSGs) with the < company> V2895A MIMO Synchronization Unit. Conversely, to independently receive MIMO signals, it is necessary to synchronize two Series V2800 Vector Signal Analyzers (VSAs). In such a test setup, all Series V2800s and Series V2900s are identical standard units. The system also provides the flexibility to use Series V2900 VSGs as standalone generators.

When configured as a system, all the analyzers share common local oscillator and clock signals. The master provides the LO, a 100 MHz digital clock and trigger synchronization to the MIMO Synchronization Unit. The latter unit distributes those signals to all the other units. Signal sampling should be aligned within ±1 ns.

The Agilent second generation MIMO systems are:

  • Precise and stable relative to carrier phase
    • Up to ±60 degrees fixed phase offset. This varies with the instrument configuration.
    • <1 degree peak-peak relative phase jitter
  • Precise and stable ARB alignment
    • Up to ±1 ns fixed time offset
    • <1 ns peak-peak jitter between the ARB waveforms
  • ~60 ns burst rise and fall times (10% to 90%)
  • <-90 dBc on-off power ratio between bursts

MIMO 2b2 Meas example

This figure shows three MIMO measurements on a two-channel system. The upper measurement is an error vector magnitude (EVM) measurement across the OFDM subcarriers on each channel (shown by the yellow and red plots). Underneath that you can see the channel frequency response over 60 subcarriers. Finally, you see the constellation of a channel.

These scope screen shots show that the modulation from all of the RF sources are closely synchronized.

The Long-Term Evolution of Wireless

The Long Term Evolution of wireless (LTE), also known as Ultra Mobile Broadband (UMB) for cellular devices (see the figure below), is the migration from 3G technology to 4G technology. Fourth generation technology of radios, cellular phones, cellular data devices, or cellular terminals will be based on OFDM technology and MIMO radio configurations. Right now the commercial application is wireless LAN, which has moved to 4G. When choosing test equipment for testing today's radio standards, it is important to consider the evolution of wireless technology and to ensure that your purchases are forward compatible.


Orthogonal Frequency Division Multiplexing

Orthogonal frequency division multiplexing (OFDM) is a form of digital modulation used in a wide array of communications systems. The following topic will explain what OFDM is, why it is important, where it is used, and what test instrumentation is required to maintain it.

  • OFDM is spectrally efficient, carrying more data per unit of bandwidth than such services as GSM and W-CDMA. The figure below shows a comparison of the spectral efficiency of the leading cellular technologies and how they compare to WLAN and WiMAX. Fourth Generation technology, often referred to as the Long Term Evolution of wireless (LTE) and Ultra Mobile Broadband (UMB) for cellular devices, plans to use OFDM or OFDMA.

MIMO Spectral efficiency

  • OFDM tolerates environments with high RF interference. Some services that use OFDM, such as WLAN, operate in the unregulated Industrial Scientific Medical (ISM) bands, where they must coexist with many unregulated devices, including analog cordless phones (900 MHz), microwave ovens (2.45 GHz), Bluetooth devices (2.45 GHz), digital cordless phones (2.45 GHz or 5.8 GHz) and Wireless LAN (2.45 GHz or 5.8 GHz).

Digital Modulation Overview

Most forms of digital transmission involve modulating a pair of summed sine waves that differ in phase by 90°. The modulation signal can be represented by the vector sum of the in-phase (I) and quadrature (Q) components, as shown in the figure below.

MIMO Dig Mod

There are many ways to encode digital information. If you change the phase relationships between the two sine waves, the result is called phase shift keying (PSK). A common type of PSK is quadrature phase shift keying (QPSK), which uses four phases; if eight phases are used, the result is 8PSK.

If you vary both the amplitude and phase of the two sine waves, the result is quadrature amplitude modulation (QAM).

The best way to analyze the resulting signals is with a vector signal analyzer (VSA), for example, the Series V2800, that processes all of its data as quadrature pairs in a constellation diagram. The figure below shows constellation diagrams for three types of modulations: QPSK, 8PSK, and 16QAM.

MIMO EVM Key measurement2

Modulation Quality Analysis

A good measurement of the quality of a received digital signal is error vector magnitude (EVM). This is the ratio of the received signal's amplitude and phase compared to its ideal amplitude and phase. Mathematically, EVM is determined by:

______

______

NOTE: Cellular technology specifications are usually stated in percent, while the Wireless LAN industry tends to specify EVM using decibels.

______

MIMO EVM Key measurement1

The OFDM Radio

Many conventional instruments lack the signal processing capability to perform MIMO measurements quickly. As shown in the figure below, Agilent' DSP enhanced architecture makes it possible to perform the analysis very quickly.

MIMO OFDM radio block diagram

This block diagram shows the digital circuit in the Series V2800 Vector Signal Analyzer and the Series V2900 Vector Signal Generator.

OFDM is simple in concept, even though its implementation is complex. Mathematically, it can be implemented by using an Inverse fast Fourier transform (IFFT) in the transmitter and conversely an FFT in the receiver. The figure below shows the parallel symbols being converted to the two modulated sine waves in the output, as if the IFFT is a specialized multiplexer.

MIMO Symbol to Waveform2

In order to keep things synchronized, an OFDM signal includes several subcarriers (see the figure below) designated as pilot carriers. The pilot carriers are used as reference for phase and amplitude for synchronizing the receiver as it demodulates the data in the other subcarriers.

MIMO Pilot carriers

Key Measurements: Constellation and EVM

The figure below shows the constellation of a WLAN signal conforming to the 802.11j standard. Note that even though the signal has been transmitted using many carriers, it is still essentially a QAM signal. There are also two extra symbols, representing the information modulated on the pilot carriers.

MIMO EVM Key measurement

OFDM is very pervasive, as shown in Table 1.

Table 1: Communication services using OFDM

Wireless | Wireline
IEEE 802.11a, g, n (WiFi) Wireless LANs | ADSL and VDSL broadband access via POTS copper wiring
IEEE 802.15.3a Ultra Wideband (UWB) Wireless PAN | MoCA (Multi-media over Coax Alliance) home networking
IEEE 802.16d, e (WiMAX), WiBro, and HiperMAN Wireless MANs | PLC (Power Line Communication)
IEEE 802.20 Mobile Broadband Wireless Access (MBWA)
DVB (Digital Video Broadcast) terrestrial TV systems: DVB-T, DVB-H, T-DMB, and ISDB-T
DAB (Digital Audio Broadcast) systems: EUREKA 147, Digital Radio Mondiale, HD Radio, T-DMB, and ISDB-TSB
Flash OFDM cellular systems
3GPP UMTS and 3GPP@ LTE (Long Term Evolution) and 4G

WLAN

WLAN is defined by the IEEE 802.11 standard, of which there are several variations, a through g, as shown in Table 2 below. Within a 16.25 MHz bandwidth are 52 carriers, numbered -26 to +26, spaced 312.5 kHz apart. Carriers 7 and 21 (-21, -7, +7 and +21) are the pilots. The packet structure is Preamble - Header - Data Block, and the subcarrier modulation types are BPSK, QPSK, 16-QAM, or 64-QAM.

MIMO Subcarrier spacing

Each carrier within the modulation scheme is referred to as a subcarrier. The subcarriers are spaced at regular intervals called the subcarrier frequency spacing (DF). The subcarrier frequency relative to the center frequency is kDF, where k is the subcarrier number.

Table 2: WLAN Summary

802.11

Description

a

54 Mbps OFDM, 5.9 GHz Band, 20 MHz channels

b

11 Mbps CCK, 2.4 GHz (Legacy, not OFDM)

g

54 Mbps, 2.4GHz

j

Japanese version of g that uses half the sample rate

n
  • Not finished yet, expected to finalize in November 2009
  • Like g, but up to 600 Mbps
  • OFDM
  • MIMO
  • 20 and 40 MHz channels

The original WLAN standard is 802.11b, which is not based on OFDM. "a" and "g" are basically the same: "a" works in the 5 GHz ISM band and "g" works in the 2.4 GHz ISM band. "j" is a slower symbol rate version of "g" for the Japanese market, and "n" is based on MIMO technology.

Several organizations are involved with WLAN: WiFi is an industry consortium that defines a required subset of 802.11 to ensure better operation between different vendors' equipment, while EWC is an industry consortium that took the unfinished "n" standard, agreed upon a version, and is attempting to field solutions prior to 802.11N ratification.

Test Equipment Requirements for WLAN

Test equipment for WLAN must have a frequency range up to 6 GHz and be able to modulate or demodulate OFDM signals with a bandwidth of up to 16.25 MHz for all types except for 802.11n, which has a maximum bandwidth of 40 MHz.

WiMAX

The Worldwide Interoperability for Microwave Access (WiMAX) is very similar in concept to 802.11, but the demands of multiple simultaneous users make the implementation much more complex.

There are two major variations of WiMAX: fixed and mobile. The mobile version, 802.16e-2005 (often called 802.16e), facilitates the link between mobile devices. It uses Scalable OFDM Multiple Access (SOFDMA), which interoperates with OFDMA but requires new equipment. 802.16e also adds MIMO.

The fixed version of WiMAX, 802.16-2004 (often called 802.16d), uses OFDMA and operates from 2 GHz to 11 GHz (there is no regulatory approval above 5.9 GHz); it delivers a practical data rate of 10 Mbps over 2 km.

The differences are summarized in Table 3.

Table 3: Fixed and mobile WiMAX

802.16 | Description
802.16-2004 (also know as 802.16d) | Fielded system for fixed-point access (to the home or office)
 | OFDMA (OFDM multiple access) 2–11 GHz (no regulatory approval above 5.9 GHz) Practical rate: 10 Mbps over 2 km
802.16e-2005 | The current version of the standard, upgraded to include mobile wireless
 | SOFDMA interoperates with OFDMA, but requires new equipment. It Adds MIMOs

Fixed WiMAX is similar in some respects to WLAN, that is, it has an OFDM physical layer. Mobile WiMAX is based on an OFDMA physical layer. It uses both frequency division multiplex and time division multiplex. Groups of subcarriers (see figure below) represent individual data streams. Each group of subcarriers also has a frame structure.

Time division characteristics are shown in the figure below. The frame structure equates to a packet. There is a timing gap between the uplink and downlink called the transition gap.

Mobile WiMAX is a dynamic system. The amount of data transferred is a function of the modulation type and symbol rate on each set of subcarriers. If the link quality is good, a high throughput modulation type such as QAM is used, and most of the bandwidth is consumed, thus limiting the number of users on the system. As a user moves further away from the base station, the signal quality decreases, and with it the ability to maintain a high throughput. A lower throughput modulation scheme such as QPSK would then be employed. This does not require a large group of subcarriers, so the system can support more users.

The figures below show the V2901A SignalMeister 802.16e WiMAX waveform generation and analysis features. You can see (Waveform Setup Example) a packet structure containing downlink and uplink data, DL and UL, each separated by a transition gap. The WiMAX analysis (Analysis Example) shows some of the measurements that can be made for a demodulated waveform.

NOTE: One software application (SignalMeister) includes both the signal generation and analysis, and allows you to easy add signal impairments.

MIMO WiMAX Waveform Setup Example
Waveform Setup Example

MIMO WiMAX Analysis Example
Analysis Example


Beam Forming

Beam Forming is a signal processing technique used in sensor arrays for directional signal transmission or reception. This spatial selectivity is achieved by using adaptive or fixed receive/transmit beam patterns. The improvement compared with an omni-directional reception and transmission is known as the receive and transmit gain (or loss).

One of the key benefits of the Series V2800 Vector Signal Analyzers and Series V2900 Vector Signal Generators is their ability to align RF energy to specific uses by adjusting the phase and amplitude of each coherent transmitter or receiver for beam forming. Beam forming research today is based around developing higher configurations of radios within devices to maximize the amount of services that can be delivered to a customer. Radio configurations of 8×8 and higher are leading the way in broadband radio research. Agilent offers the industry's only phase-coherent measurement- grade 8×8 system.

MIMO Beam forming


V2895A MIMO Synchronization Unit

The Agilent V2895A MIMO Synchronization Unit provides synchronized signals to MIMO system instruments. This gives the MIMO system a highly precise and stable alignment between up to four signal analyzers or signal generators. The V2895A is designed to be used with Agilents Series V2800 Vector Signal Analyzers (VSA) and Series V2900 Vector Signal Generators (VSG).

Key features and benefits

  • Synchronization unit creates a MIMO system using standard MIMO-ready Agilent VSAs or VSGs
  • Two, three, or four channel configurations
  • Very wide bandwidth
  • Does not degrade instrument EVM measurements
  • Ideal for 802.11 n WLAN and 802.16e WiMAX Wave 2
  • Same synchronization unit works with both sources (VSGs) and receivers (VSAs)
  • Powerful MIMO signal-analysis software package option

V2895A Specifications

To view the latest version of V2895 specifications, go to www.agilent.com/find/V2895A.

Setting up the V2895A

To set up the MIMO system:

1. Connect the system equipment, using the cable configuration shown in the figure below.

  • 100 MHz clock
  • LO signal
  • Sync In signal received from each instrument
  • Sync Out signal sent to each instrument

MIMO 2895 wiring diagram

One instrument acts as the leader (or master), and provides all of the instruments in a MIMO system with a local oscillator (LO) signal. This instrument is identified as the master LO instrument. The MIMO synchronization unit takes the LO signal from the master instrument and distributes it to all the instruments in the group (the slaves).

2. The MIMO system instruments can be powered up at the same time if desired, or individually.

NOTE: If you power up the instruments individually, power them up in the following order:

  1. V2895A Synchronization Unit(s); these units supply the clock signals for the other instruments
  2. All master instruments
  3. All slave instruments

3. On each VSG, set the following parameters:

  1. Select RF: On.
  2. For the master instrument, select Menu > Global Settings > MIMO > Mode > Master > Close.
  3. For each of the slave instruments, select Menu > Global Settings > MIMO > Mode > Slave > Close.
  4. For master and slave instruments, select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of Arb waveform > Close.

4. On each VSA, set the following parameters:

  1. Select Spectrum > General Purpose > Zero Span.
  2. Select Sweep Single.
  3. For the master instrument, select Menu > Global Settings > MIMO > Mode > Master > Close.
  4. For each of the slave instruments, select Menu > Global Settings > MIMO > Mode > Slave > Close.

To Load ARB Waveforms and Synchronize the VSGs

1. Starting with the master VSG, load the same arbitrary waveform file into each instrument's waveform playback table:

Choose Select Modulation > Arb > Add Arb > Add Arb File.

  1. Locate and load the *.arb file:
    • If the file is in the User directory, select the filename and then select Open > Load.
    • If you do not see the file that you want in the User directory, open the Look in: drop-down menu and select the directory where the file is located. Select the filename and then select Open.

2. On each VSG, clear Modulation On to turn off the modulation.

3. Select Modulation On to turn on the modulation for each of the slave VSGs.

4. Select Modulation On to turn on the modulation for the master VSG.

5. Select Menu > Global Settings > Trigger > Trigger Now on each slave VSG to create a trigger event.

6. Select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of ARB waveform > Close on the master VSG.

To Center the Burst Across the VSA Display

On the master VSA, select the following parameters:

  1. Select Menu > Global Settings > Trigger > Trigger Source > Video > Close.
  2. Clear the BW Auto check box, then double-click Bandwidth > Set to Max.

Adjust the master VSA to view a complete burst on the VSA display

  1. Select Sweep Time and adjust the value to see a burst on the VSA display.
  2. Visually measure the width of the burst on the screen by counting the number of vertical divisions across the displayed burst.
  3. Multiply the number of divisions you counted by the scale per division. Then, set the master VSA sweep time to the value calculated in the previous step.
  4. Select Menu > Global Settings > Trigger > Trigger Delay and adjust the delay value to view the entire burst on the display.
  5. Select Close.
  6. Select Sweep Single to take a measurement sweep and see if the entire burst is centered on the VSA display. If necessary, adjust the sweep time and trigger delay values.
  7. Set the slave VSA's trigger source, sweep time, and trigger delay settings to the same values that you used for the master in the previous steps.


5x5 to 8x8 MIMO Systems

Systems larger than 4x4 need more ports than one V2895A MIMO Synchronization Unit can supply. So, larger systems daisy-chain three synchronization units together. The wiring diagrams for these systems are also different as shown in the following diagrams. Two special length SMB cables are used for the center synchronization unit's Sync In and Sync Out connectors. These cables are identified in purple on the Sync & Trigger Signal Distribution diagram below.

8x8 MIMO System Components

mimo system componets

LO Distribution

100 MHz Clock Distribution

Sync and Trigger Signal Distribution

Full Connectivity Diagram

full connectivity diagram


MIMO System Manual Test Procedure

For testing purposes, there are three types of MIMO configurations:

  • Series V2900 VSG Only Systems
  • Series V2800 VSA Only Systems
  • Series V2900 VSG and Series V2800 VSA Systems

_____

NOTE: Since a defective cable, an incorrectly wired connection, or an incorrect setting could prevent a MIMO system from working, it is best to perform a manual system functionality check.

_____

Series V2900 VSG Only Systems

Use a oscilloscope to check the RF signals and signal alignment. For a basic functionality check, a 400 MHz or better oscilloscope is sufficient.

  1. Connect the VSG RF outputs to the oscilloscope inputs as shown.
  2. Turn on all of the oscilloscope channels that are being used.
  3. Perform the tests as follows. If any of the tests fail, refer to Troubleshooting Tips.

mimo source only test

VSG Only Systems Step 1

  1. Power cycle all instruments.
  2. Check that there are no error messages on the VSG displays.
  3. Press the RF On button on each VSG.
  4. Verify that every VSG is generating a signal.
  5. If any problems are found, go to Troubleshooting Tips for VSG Systems Step 1.

VSG Only Systems Step 2

On each unit create a distinctive waveform so that the signal alignment can be displayed.

  1. On the VSG select Modulation > Digital > ASK > Load.

    If ASK is not available you can use Analog > Pulse. You can also use ARB to load a waveform and then set the highest possible sample or pulse rate.

  2. Select Edit > Symbols/s > Press the Middle Puck Button to open the number pad > Set to Max > Load > Close.

All VSGs should be generating waveforms that are out of synchronization with each other. If not, go to Troubleshooting Tips for VSG Systems Step 2.

VSG Only Systems Step 3

Perform the following sequence on each VSG.

  1. Select Menu > Global Settings > MIMO.
  2. Set the master LO VSG to Master and the other VSGs to Slave and then select Close.
  3. Select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of arb waveform to setup the trigger state.
  4. Turn Modulation to off by clearing the checkbox and then select the checkbox to turn Modulation back On again.
  5. Once steps 1 through 4 have been done for each VSG, select Trigger Now on each unit.

All VSGs should start generating waveforms that are in synchronized with each other as shown on the oscilloscope. If not go to Troubleshooting Tips for VSG Systems Step 3.

Series V2800 VSA Only Systems

A VSG with an RF splitter can be used to create identical RF signals that are fed to each of the VSAs.

Note: A 1 x 4 splitter is shown in the diagram. If you only have a 1 x 2 splitter available, you can verify two units at one time.

  1. Connect the VSG RF Out to the RF Splitter In.
  2. Connect the RF Splitter outputs to the VSAs as shown.
  3. Perform the following tests.
  4. If any of the tests fail, refer to Troubleshooting Tips.

reciever only tests

VSA Only Systems Step 1

  1. Power cycle all VSAs
  2. Check that there are no error messages on the VSA displays.
  3. Set the source to generate a signal where the alignment can be easily measured. For example,
    1. Set RF On.
    2. Select Modulation > Digital > ASK > Load.
    3. Select Edit > Press the Middle Puck Button to open the numeric keypad > Symbols/s > Set to Max > Load > Close.
  4. Check that each VSA is receiving the VSG signal.
  5. If any problems are found go to Troubleshooting Tips for VSA Systems Step 1.

VSA Only Systems Step 2

  1. Select Spectrum > General Purpose > Zero Span. To set all of the VSAs to zero span.
  2. Enter a sweep time of 4 ms.
  3. Set the maximum bandwidth (40 MHz).
  4. Select Single Sweep.

All VSAs should see pulses in the ASK signal, however, the displayed waveforms probably will not be aligned. If a problem is encountered, go to Troubleshooting Tips for VSA Systems Step 2.

VSA Only Systems Step 3

On each unit:

  1. Select Menu > Global Settings > MIMO.
    • for the master LO VSA, select Master.
    • for all other VSAs select Slave.
  2. Select Close.
  3. Set all units to Sweep Cont.
  4. On the master VSA only, select Single Sweep.

Every time you press the master's Single Sweep button you should see the exact same waveform on all the VSAs. If the units freeze or are not synchronized, go to Troubleshooting Tips for VSA Systems Step 3.

VSA Only Systems Step 4

  1. Enable triggered measurements on all VSAs by selecting Trigger > Trigger Source > Video > Close.

    With all of the slave instruments set to Sweep Cont., every press of the master's Sweep Single button should cause all of the units to take a new triggered trace.

  2. Verify that all waveforms display the exact waveform with identical alignment. If not, go to Troubleshooting Tips for VSA Systems Step 4.

Series V2900 VSG and Series V2800 VSA Systems

A Combination VSG and VSA system use the VSAs to view the waveforms to verify if both sides of the MIMO system are properly aligned.

  1. Connect each VSG to one of the VSAs. The order does not matter.
  2. Go to Series V2900 VSG Only Systems test procedure to set up the VSGs
  3. Go to Series V2800 VSA Only Systems to setup the VSAs.

source and receiver test

After performing both the VSG only and VSA only setup procedure, all VSAs should display the exact waveform with identical alignment. If you experience problems, go to Troubleshooting Tips.


MIMO Troubleshooting Tips

  • Troubleshooting Tips for VSG Systems Step 1
  • Troubleshooting Tips for VSG Systems Step 2
  • Troubleshooting Tips for VSG Systems Step 3
  • Troubleshooting Tips for VSA Systems Step 1
  • Troubleshooting Tips for VSA Systems Step 2
  • Troubleshooting Tips for VSA Systems Step 3
  • Troubleshooting Tips for VSA Systems Step 4
  • Generating WiMAX MIMO Signals and Analyzing Them on a VSA
  • MIMO Debugging for Control Software
  • MIMO Signal Descriptions and Troubleshooting Tips

Troubleshooting Tips for VSG Systems Step 1

Problem

Possible Causes

Possible Solutions

At power up the VSG reports "Could not init RF Hardware".
  • The VSG's rear panel 100 MHz clock is not properly connected to the V2895A Synchronization unit.
  • Check the cable connections.
  • The V2895A is not turned on.
  • Check the power light.
  • The V2895A was turned on later (after instruments were turned on.
  • The sync unit should be powered on before or at the same time as the instruments. The instruments need the 100 MHz clock supplied from the V2895A to be already running when they are powered-on. If the V2895A is turned on after the instruments are turned on the instruments will not start up correctly.
  • The VSG's 100 MHz input/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

No signal appears at the VSA output when MIMO sync is not turned on.
  • The VSG LO In is missing.
  • Make sure the VSAs rear panel LO In signal is properly connected to one of the V2895A LO Out connectors. Note: On the bottom of the MIMO menu, a LO power indicator is displayed to detect when the LO power is too low.
  • The master VSG LO Out is missing.
  • Make sure the master's VSG rear panel LO Out signal is properly connected to the 2895 LO In connector.
  • The V2895A is not turned on.
  • Check the power light.
  • The VSG LO inputs/outputs are swapped or mislabeled.
  • Check the cable connections.

Troubleshooting Tips for VSG Systems Step 2

Problem

Possible Causes

Possible Solutions

The VSG RF output or modulation does not start up as expected when MIMO is enabled.
  • The Front Panel RF button must be On.
  • For modulation, the Modulation button must be On.
  • One of the VSGs is waiting for one of the other VSGs to be triggered.
  • Trigger all instruments. (That is, if Trigger Source is set to "SCPI or front Panel Trigger") select Trigger Now on each VSG then enable Trigger start of arb waveform.
  • One of the VSGs does not have MIMO Sync turned on.
  • Select Menu > Global Settings > MIMO. Set each instrument to either master or slave. Then turn RF modulation on and trigger all instruments.
  • One of the V2895As Sync Out lines might not be properly connected.
  • Make sure all of the VSGs have EVEN Sync In connected to the V2895A Sync Out.
  • One of the V2895As Sync In lines might not be properly connected.
  • Make sure all of the VSGs have EVEN Sync Out connected to the V2895A Sync In.
  • One of the Sync cables might be bad or shorted.
  • Swapping the Sync cables with a known good cable is an option. Another option is removing all of the slave units Even Sec Out to Sync In cable connections; this will disconnect the slave units from the handshaking chain and prevent them from holding up a sweep. Then the master can be run to see if it will sweep correctly by itself. If it works, then add the slave units back in one by one. This can determine if one of these units or its cables is causing the problem.

Troubleshooting Tips for VSG Systems Step 3

Problem

Possible Causes

Possible Solutions

The VSG outputs are not synchronized.
  • The VSGs might have different firmware revisions.
  • Load identical firmware into all instruments.
  • MIMO sync might not be enabled.
  • Select Menu > Global Settings > MIMO. Set each VSG to either master or slave as applicable.
  • Triggering might not be turned on.
  • Select Menu > Global Settings > Trigger > Trigger start of arb waveform. Trigger each VSG to start synchronize the outputs.

Troubleshooting Tips for VSA Systems Step 1

Problem

Possible Causes

Possible Solutions

At power up the VSA reports "Could not init RF Hardware".
  • The VSA's rear panel 100 MHz clock is not properly connected to the V2895A Synchronization unit.
  • Check the cable connections.
  • The V2895A is not turned on.
  • Check the power light.
  • The V2895A was turned on later (after instruments were turned on.
  • The V2895A should be powered on before or at the same time as the other instruments. The VSAs need the 100 MHz clock supplied from the V2895A to be already running when they are powered-on. If the V2895A is turned on after the VSAs are turned on they will not start up correctly.
  • The VSA's 100 MHz input/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

No signal appears on the VSA display.
  • The VSA LO In is missing.
  • Make sure the VSAs rear panel LO In signal is properly connected to one of the V2895A LO Out connectors. Note: On the bottom of the MIMO menu, a LO power indicator is displayed to detect when the LO power is too low.
  • The master VSA LO Out is missing.
  • Make sure the master's VSA rear panel LO Out signal is properly connected to the V2895A LO In connector.
  • VSA LO inputs/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

Troubleshooting Tips for VSA Systems Step 2

Problem

Possible Causes

Possible Solutions

The VSAs hang up and do not sweep.
  • One of the V2895A Sync Out lines might not be properly aligned.
  • Make sure all of the V2895A "Sync Out" connectors are properly connected to each VSA EVEN SEC In connectors.
  • One of the V2895A Sync In lines might not be properly aligned.
  • Make sure all of the VSAs have the "Sync Out" connector properly connected to each V2895A "EVEN SEC In" connectors.
  • The VSA might be waiting for the master to trigger with either a video or external trigger.
  • Check if either external or video trigger is set on the master. If it is set to external trigger, verify that an external trigger is being provided. If it is set to video trigger, verify that the video trigger level is set properly, or if an input signal that would provide a trigger is being input.
  • One of the VSAs might not have MIMO Sync enabled.
  • Select Menu > Global Settings > MIMO. Set the VSA to either master or slave as applicable.
  • The VSA setup might not be correct.
  • Try switching the master VSA out of MIMO mode to see if it will operate and trigger on its own. When the setup is corrected go back into MIMO mode.
  • One of the Sync cables might be bad or shorted.
  • Swapping the Sync cables with a known good cable is an option. Another option is removing all of the slave unit's Even Sec Out to Sync In cable connections; this will disconnect the slave units from the handshaking chain and prevent them from holding up a sweep. Then the master can be run to see if it will sweep correctly by itself. If this works, the slave units can be added back in one by one. This can be done to determine if one of these units or cables is causing the problem.

Troubleshooting Tips for VSA Systems Step 3

Problem

Possible Causes

Possible Solutions

The instruments are not synchronized.
  • The instruments might have different firmware revisions.
  • Load identical firmware into all instruments.
  • MIMO sync might not be enabled.
  • Turn on under Menu > Global Settings > MIMO. While all instruments are in "hold" (not sweeping), set to either master or slave as applicable.
  • Triggering might not be set to the exact same mode on all instruments.
  • Set all instruments to the same triggering mode. Select Menu > Global Settings > Trigger. Note that instruments configured as a slave will ignore this setting and obtain their triggering from the master, but this trigger setting still needs to be set to the same selection on all instruments.
  • One of the V2895A sync units "Sync Out" lines might not be properly connected.
  • Make sure all of the V2895A Sync Out connectors are properly connected to each receivers EVEN SEC IN connectors.
  • MIMO mode might have been enabled when the receivers were in different states.
  • Switching receivers in MIMO mode while some receivers are sweeping or in different instrument states may put the instrument out of synchronization with each other. To fix this, place all of the instruments in hold (Sweep Single). Next, place all of the receivers into the same instrument state, then switch all receivers into MIMO mode.

Troubleshooting Tips for VSA Systems Step 4

Problem

Possible Causes

Possible Solutions

The instruments are not synchronized.
  • Triggering might not be set to the exact same mode on all instruments.
  • Set all instruments to the same triggering mode. Select Menu > Global Settings > Trigger. Note that instruments configured as a slave will ignore this setting and obtain their triggering from the master, but this trigger setting still needs to be set to the same selection on all instruments.

MIMO Debugging for Control Software

Problem

Possible Causes

Possible Solutions

One or more instruments do not respond to remote commands.
  • Instrument address is incorrect
  • With multiple instruments it is easy to have one instrument address wrong. Use the instrument front panels to bring up the addresses and make sure they match the addresses entered into the control software.
  • Cables are not properly connected
  • Ensure that all communications cables are present, fully inserted, and latched or fastened.
  • Bad cable
  • Try swapping cables with an instrument that is able to communicate to see if the cable is defective.
  • Instruments do not respond
  • Cycle the power on all instruments.

MIMO decoding software cannot detect all of the MIMO channels.
  • The sources are transmitting a non-MIMO arb file.
  • A MIMO arb file contains channel information for each source/antenna, but that information is missing from a non-MIMO arb file.
  • Some sources have been loaded with the same MIMO arb file.
  • To emulate multiple MIMO transmit channels, or antennas, it is necessary to use unique arb files in each source. MIMO arb files contain channel information and each source must use an arb file that broadcasts different channel information.

MIMO Signal Descriptions and Troubleshooting Tips

Signal Descriptions

Troubleshooting Tips

The 100 MHz clock is used to run the instrument's internal hardware. This is provided so the clocks in every instrument in a MIMO group will run in synchronization.

Since this clock runs the instrument's internal hardware, if this signal is not connected to the instrument (or if the V2985A is turned off) the instrument will not run and display the error "Could Not Init RF Hardware".

The common LO Carrier signal is provided by the "master LO" instrument, and is distributed back to all instruments so every instrument's carrier phase is synchronized exactly and does not deviate or jitter.

If this signal is not correctly connected, an instrument will not generate a signal at its RF output port.

On the V2895A menu, a LO power indicator is displayed to detect when the LO power is missing.

Since the LO signal is common to all of the instruments, "slave" instruments must be set to the identical instrument configuration settings as the "master" instrument, or "slave" instruments will not use this LO signal correctly.

The V2895A's "Sync In" input signal informs the V2895A when an instrument is ready to proceed. The signal runs from an instrument's "Even Sec Out" port to one of the V2895A's "Sync In" ports.

If an instrument is not in MIMO mode, or if the instrument is not programmed correctly, then this "ready to proceed" signal might be in the wrong state, which could prevent the MIMO group from starting.

The V2985A's "Sync Out" signal tells the instruments when to start generating signals (for VSGs), or when to start or end measurements (for VSAs). It connects to the instrument's "Even Sec In" port.

An instrument might freeze and refuse to trigger in MIMO mode if this signal is not properly connected.


SignalMeister

The Agilent V2901A SignalMeister™ RF Communications Test Toolkit is a PC-based software tool that allows you to easily create and analyze complex signals used in advanced wireless transmission protocols.

SignalMeister™ software works seamlessly with Agilent's Series V2900 Vector Signal Generators, Series V2800 Vector Signal Analyzers, and MIMO test systems.

Using a waveform file created with SignalMeister software requires one or more Series V2900 VSGs equipped with an arbitrary waveform generator (ARB) option and a SignalMeister license option that matches the waveform signal standard of the file being used.

Analyzing the signals created by the waveform files requires a Series V2800 VSA equipped with the appropriate license options, or a SignalMeister Signal Analysis license. There are two SignalMeister signal analysis software licenses available: The WLAN Analysis license (V2901A-WLN) and the WiMAX Analysis License (V2901A-WMX).

SignalMeister supports these wireless transmission formats

WLAN | 802.11a/g/j/p 802.11b 802.11n MIMO 802.11n SISO
WiMAX® | 802.16e OFDMA
3GPP | W-CDMA HSDPA HSUPA HSPA+
3GPP2 | cdma2000® cdmaOne® 1xEV-DV
DVB | DVB-T DVB-H

Note: All Agilent Series V2900 vector signal generators require firmware revision 3.11 or later to be compatible with the Agilent V2901A SignalMeister™ RF Communications Test Toolkit.

Learn about SignalMeister™

  • Application Interface Overview
  • Managing Licenses
  • Basic SignalMeister Tasks
  • Signal Generation (for MIMO and SISO systems)
  • Signal Analysis (for MIMO and SISO systems)

_____

To learn more detail about using the SignalMeister™ software, refer to the SignalMeister™ help system.

_____


Application Interface Overview

When the Agilent V2901A SignalMeister™ RF Communications Test Toolkit is first launched, the user interface displays the default docking layout shown below:

SignalMeister application initial view

Each of the windows has a docking menu allowing each of the windows to be docked in a new location, hidden from view, or "floating" allowing them to be moved to any convenient location on the screen.

Window docking menu

_____

NOTE: To restore the default docking layout to the application interface, select View > Restore Docking Layout from the Menu Bar. You can also restore the layout for individual windows from the View menu.

_____

The illustration below identifies each of the areas of the user interface.

______

main window with callouts

You can also refer to the following topics to learn more about the SignalMeister™ user interface:

Menu bar

Toolbars

Toolbox

Projects

Status window

Pan and Zoom

Options

_______

NOTE: SignalMeister's analysis features cannot be operated using remote computer access tools (for example, Desktop Control Panel).

_______


Managing SignalMeister™ Licenses

Displays the licenses available on your SignalMeister™ RF Communications Test Toolkit. The SignalMeister permanent license key serial number is also displayed. If you are using an evaluation license key, the expiration date of the key is displayed. Contact your Agilent representative about adding other licenses.

Manage License dialog

See Also:

  • License Requirements
  • RF Product Software License Agreement


Licensing

Signal Generation Software Licenses

The Series V2900 Vector Signal Generators can play back waveforms that are generated from the SignalMeister™ RF Communications Test Toolkit when the correct licenses are installed. To play back a SignalMeister™ software-generated waveform with a specific channel added and "Enabled" in the SignalMeister™ signal definition dialog box, you will need to have both the correct type of waveform playback license and a valid arbitrary waveform generator license loaded on your Series V2900 VSG.

To view the current instrument option licenses on the Agilent Series V2800 VSA and the Series V2900 VSG, select Menu > Utilities > Licensing from the front panel of the instrument.

To view the current SignalMeister licenses select File > Manage Licenses from the SignalMeister main menu.

See the tables below for available licensing options.

WLAN Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-205 | 802.11a/b/g/j Signal Generation | 802.11a, b, g, j | V2920A-B20 *
V2900A-206 | 802.11N Signal Generation (MIMO and SISO) | 802.11n | V2920A-B40 * V2900A-205
V2900A-207 | 802.11N Channel Modules A through F | WLAN | V2920A-B40 *
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2920A-B80.

______

WiMAX® Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-208 | 802.16E Signal Generation | 802.16e-2005 | V2920A-B40 *
V2900A-209 | 802.16E Channel Model Signal Generation | 802.16e-2005 |
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B40 may use V2920A-B80.

______

3GPP Licensing

License Model Number

License Identifier

Waveform Types

Additional Licenses Required

V2900A-202

WCDMA Signal Generation

WCDMA

V2920A-B20 *

V2900A-204

3GPP Channel Model Signal Generation

V2900A-203 **

HSPA Plus Signal Generation (uplink and downlink)

HSDPA
HSDPCCH
HSDPAFRC
HSUPA
HSUPAFRC
EHICH
ERGCH
EAGCH

V2920A-B20 *
V2900A-202
V2900A-105

* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2920A_B80.

** If you have the previous HSPA licenses, 2900-HSDPA-PC and 2900-HSUPA-PC, either one of these will enable the same functionality as V2900A-203.

______

3GPP2 Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-201 | CDMA Signal Generation | cdmaOne cdma2000 1xEV-DV | V2920A-B20 * V2900A-104
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2900A_B80.

______

Multi-Purpose Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-213 | DVB Signal Generation | DVB-H DVB-T | V2920A-B20 *
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2900A-B20 may use V2900A-B40 or V2920A_B80.

______

Signal Analysis Software Licenses

The V2901A SignalMeister RF Communications Test Toolkit software can be used to perform signal analysis functions when the correct licenses are installed in SignalMeister. The signal analysis licenses reside in the V2901A SignalMeister USB license key.

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2901A-WLN | WLAN Analysis | 802.11a,b,g,j,n-SISO 802.11n-MIMO | none
V2901A-WMX | WiMax Analysis | 802.16e-2005 | none

______

For more information about purchasing SignalMeister licenses, please visit the SignalMeister support page at www.agilent.com/find/V2901A.


Basic SignalMeister Tasks

  • Working with Elements
    • Connecting Elements
    • Renaming Elements
    • Creating an Element Shortcut
    • Using the Frequency Shift Element
  • Managing Project Files
  • Renaming Project Worksheets
  • Creating Project Templates
  • Printing a Worksheet
  • Generating ARB Files
  • Importing ARB and IQ File (user-provided files)
  • Downloading ARB files to a Series V2900 VSG
  • Adding Modifications and Impairments to ARB Files
  • Communicating with Signal Generators and Signal Analyzers
    • USB memory device
    • Using the LXI Web Interface
  • Working with analysis elements
    • Printing/copying/saving analysis displays
    • Setting up analysis windows


Working with Elements

NOTE: The elements provided in the Toolbox groups are samples that you can use as they are, or you can customize them for your particular testing needs. When viewing elements in the toolbox, remember that an element's label only indicates its present configuration. You can place an element on your worksheet and modify its properties as you see fit. If you modify an element, we suggest you edit the element's label so that it more accurately indicates how you have customized it or its relevance to your project.

______

The elements in the SignalMeister™ toolbox are the building blocks used to:

  • Define and process an arbitrary waveform file in one of the several available signal formats
  • create a waveform file based on your configuration;
  • download that waveform file to a signal generator to be played back and analyzed.

Each element, or icon, represents a specific function, or portion, of the waveform creation and playback process, and has a configuration dialog associated with it that allows you to set the parameters for that particular element, based on what the element represents. For example, the FFT size, bandwidth, guard interval, and so on, in a WiMAX® waveform can be configured for your specific waveform design, renamed to easily identify that particular configuration, and then saved to be used again to create other ARB files using a WiMAX element from the Toolbox.

To access the configuration dialog of any element, either double-click the element icon or right-click the element icon then select Edit Element Configuration... from the pop-up menu (below).

Element Configuration menu

Edit Element Configuration...

Opens the configuration dialog window of the selected element.

Save Element as User Template...

Opens a [image] dialog window that allows you to save the selected element as a user template. The dialog window provides you the opportunity to specify a template name and location for the saved element. The template is displayed in the My Templates toolbox with the icon of the selected element.

Save element as template dialog

NOTE: If the user template is stored in any location other than C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates, it will function as a template, but will not be shown in the My Templates toolbox.

Rename Element...

Opens the [image] Rename dialog that allows you to change the name of the selected element.

Rename Element dialog

Cut

Removes the selected element from the worksheet and places it on the system clipboard.

Copy

Places a copy of the selected element on the system clipboard.

Delete

Deletes the selected element.

Run Conflict Analyzer

Runs the conflict analyzer only on the selected element, not the entire worksheet. This is particularly valuable when checking for channel and code conflicts.

_____
See also:

  • Connecting Elements
  • Renaming Elements
  • Creating an Element Shortcut
  • Using the Frequency Shift Element
  • Basic SignalMeister Tasks
  • Working with Analysis Elements


Connecting Elements

Select the Connect Elements icon Connect Element icon in the tool bar to begin the sequence of connecting one or more elements together in your project. When Connect Elements is active Active Connect Elements Icon, begin by selecting the sink element, then select the source element to connect the two items. You can drag and drop multiple elements onto your worksheet, then connect them all as one step.

For example, to connect a WiMAX® signal element, an ARB File element and a 2900 VSG element together you would:

  1. Drag and drop the elements from the Toolbox to the Projects worksheet.
    ______
    Connecting Elements Step 1
    ______
  2. Select the Connect Elements button to make it active.
    ______
    Connecting Elements Step 2
    ______
  3. Click the WiMAX® element.
  4. Click the ARB file element (these are now connected).
    ______
    Connecting Elements Step 3 and 4
    ______
  5. Click the ARB file element again.
  6. Click the signal generator element (all three elements are now connected).
    ______
    Connecting Elements Step 5 and 6

_____
See also:

  • Working with Elements
  • Basic SignalMeister Techniques


Renaming Elements

NOTE: The elements provided in the toolboxes are samples that you can use as they are, or customize for your particular needs. When viewing elements in the toolbox, remember that an element's label only indicates its present configuration. You can place an element on your worksheet and modify its properties as you see fit. If you modify an element, we suggest you edit the element's label so that it more accurately indicates how you have customized it or its relevance to your project.

___
Select Rename Element to assign a unique, easy to remember name for your element. This is particularly useful after you have customized the settings for any element, and want to save those changes for future use.

Rename Element dialog


Creating an Element Shortcut
  1. In the Worksheet, click on a element or a group of elements to highlight.
  2. Right-click on the element and select Copy from the shortcut menu.
  3. From the main menu, click Worksheets > Paste as Shortcut.

    Notice that the new element or group of elements has a yellow border identifying it as a shortcut.

See also:

  • Working with Elements
  • Worksheets Menu
  • Basic SignalMeister Tasks


Using the Frequency Shift Element

SignalMeister™ generates signals at the baseband frequency. When they are played back on the Series V2900 Vector Signal Generator (VSG), their frequency spectrum is centered on the carrier frequency of the VSG.

Ideally, to generate interferer or jamming signals, you would use multiple VSG instruments. However, if you have only a single VSG you can generate a single ARB file with both a desired signal and an interferer, with some limitations. The jamming signal can only be a maximum of half the ARB generation bandwidth away from the carrier frequency. Additionally, you will run into resolution issues of the DAC, impairing the signal quality.

Example Project

The following example uses an 802.11 WLAN signal in the presence of an identical 802.11 WLAN signal on an adjacent channel 50 MHz away.

Start with an 802.11a,g signal object that is shifting by 20 MHz. This signal must be unsampled, because at the default 50 Msample/s rate used for two 802.11 signals, you are limited to a 40 MHz bandwidth. Shifting a 20 MHz wide 802.11 waveform by 20 MHz would not be possible, because you would be bandwidth limited (20 MHz offset + 20 MHz BW/2 = 50 MHz). Unsampling to 100 Msamples/s allows you to generate waveforms with bandwidth up to 80 MHz total. (That is, 40 MHz offset from each side of the carrier.

Next, the interferer is generated. A frequency shift element with a 20 MHz value is inserted. The output of the resampler is connected to both the frequency shift element and to the channel model element. The channel model element allows you to combine both the frequency-shifted and original 802.11 a,g signals into a single ARB file.

Step 1

Build the project using an 802.11a,g 54Mbps signal with the other elements as shown below.

sm frequency shift config

Step 2

Use the Channel Model Configuration to combine main signal with the frequency shift module (3 dB down).

sm channel model config

Step 3

Add a VSA Simulator and General Purpose Analysis elements to the project as shown below.

Step 4

Use the General Purpose Analysis element to view the results.

Frequency shift general purpose analysis screen capture


Managing Project Files

SignalMeister™ uses various file types when creating and executing projects. For example:

  • Project files (*.ksmp)
  • Component files, such as ARB files, map files, IQ files, bit reference files, and other data files. These can be a combination of files generated or referenced relative to the project directory, or referenced from an external source (for example, residing on another part of the hard drive, on a network drive, etc.).

_____

IMPORTANT: If you intend to share or move your SignalMeister™ projects (for example, email or move them to another computer), be sure to keep all the files located in the same directory as the project (*.ksmp) file, or a subdirectory of the project.

Regardless of how a project is saved or the component files are specified, if all the files are in the same directory as the project, or in a subdirectory of the project, then you can copy that directory (and subdirectory) to any other location and successfully open and use the project from the new location, including a different computer.

However, if a SignalMeister™ project uses any component file (ARB file, map file, etc.) that is specified in a location other than the project's directory (or subdirectory), then that file must exist in that exact absolute path for that project to be opened and used successfully.

For example, if you save a project in C:\MyProject and it specifies that the component files also reside in C:\MyProject\components, you can compress/zip the entire MyProject directory and move/send it to another computer, where it can be uncompressed/unzipped and used in any location.

Conversely, if you save a project in C:\MyProject and it specifies a user file in your computer's My Documents directory (for example, c:\documents and settings\johndoe\My Documents\) and you send all the files to another computer, the project will report a conflict because the specified user file cannot be found (c:\documents and settings\johndoe\My Documents\ does not exist on the other computer).


Renaming Project Worksheets

There are three ways available to rename the project worksheets; from the Worksheets menu in the menu bar, double-click the worksheet tab to highlight the worksheet name and type in the new name, or right-click the worksheet tab and select Rename Worksheet from the drop-down menu. The following steps explain how to rename a worksheet from the menu bar.

  1. From the main menu, select Worksheets > Rename Worksheets.
  2. In the Rename dialog box, enter a new name for the current worksheet.
  3. Select OK.

_____
See also:

  • Printing a Worksheet
  • Renaming Elements
  • Basic SignalMeister Tasks


Creating Project Templates

Any portion of a SignalMeister project can be saved as a user template allowing easy reuse of project elements. For example, after you have entered the communication addresses for the signal generator and signal analyzer, you could save this to reuse in future projects.

As you configure different test setups, you can save any element, group of elements or complete project as a template. When you first open the SignalMeister software, the My Templates category is not immediately available in the Toolbox, and there are no templates available for use. As soon as you save either a project or an element as a template, the My Templates category is displayed with the saved template available to use in your project.

There are two types of templates for use in SignalMeister; a project template (*.ksmp), and an element template (*ksmt):

  • A project template is made up of two or more individual elements, and is identified by a green, template icon, as shown in the figure below.
  • An element template is a single element that has been configured for your specific needs, and has been saved with that configuration. It is identified by the element icon from which it was created, as shown in the figure below.

    NOTE: Only single elements can be saved as an element template. If you want to save more than one element as a template, it must be saved as a project template with the project (*.ksmp) file extension.

Saving a template

  1. To save an existing project as a template, right-click anywhere in the Projects worksheet and select Save Project as Template… from the context menu.

    Alternately, from the main menu select Projects > Save Project as Template....

  2. To save an existing element (configured for future use), right-click on the element and select Save Element as User Template… from the context menu.

    Alternately, from the main menu select Elements > Save element as User Template....

  3. After the template is saved, SignalMeister automatically creates a "My Templates" group in the Toolbox and places the template in it. In the Toolbox select My Templates to view the new user-saved project template or element template.

Adding a template to a project

User template elements can be added to projects like any other elements. Once the user template is placed in a project, it will expand into all of the individual elements included in the template. To demonstrate this feature:

  1. From the main menu, select Worksheets > Add Worksheet to add a new worksheet into the existing project.
  2. Right-click on the Sheet 2 tab and select Rename Worksheet. You rename the worksheet for easy identification of the signal types and ARB file configurations.
  3. In the Toolbox, select the template element from the My Templates folder and click and drag it across to the new worksheet.

    Notice how the project element expands back into the three individual elements that were saved as the project template.

Deleting a template

To delete a user template, perform the following steps:

  1. From the main menu bar, select Elements > Delete User Templates.
  2. From the submenu, select the name of the user template you want to delete.
  3. As soon as you click the name of the template you want to delete, it will be removed from the My Template category.

_____
See also:

  • Basic SignalMeister Techniques


Printing a Worksheet

  1. From the main menu, select File > Print Worksheet... .
  2. From the Print dialog box, select the printer name and specify the Properties if needed.
  3. Select OK.

Tip: You can add descriptive text to a worksheet prior to printing.

  1. From the main menu, select Elements > Add Text Block.
  2. An editable text box appears in the center of the worksheet.
  3. Double-click inside the text box to open the Text Block Editor.
  4. Enter the desired text and then select OK.
  5. In the Worksheet, click and drag the text box to the desired location.

_____
See also:

  • Basic SignalMeister Tasks


Generating ARB Files

The basic process for creating ARB waveforms is described below.

  1. Drag and drop a signal generation element from the Toolbox onto the Projects worksheet. Choose from one of the available technologies, such as WLAN, WiMAX, 3GPP, 3GPP2, Digital Video, and so on.

    For this example, the WLAN 802.11a,g 54 Mbps element is used.
    ______

    ______

  2. Double-click the element or right-click on the element and select Edit Element Configuration… from the context menu to set the waveform parameters. The 802.11a,g,j,p Configuration dialog is displayed.
    ______

    ARB generation step 2
    ______

  3. From the Files section of the Toolbox, click and drag a ARB File element onto the worksheet.
    ______

    ARB file step 3
    ______

  4. Use the Connect Elements icon Connect Element icon (shown in the tool bar as a line with arrow heads on both ends) to connect the output of the waveform element to the input of the ARB file element. To do this, first click the source element then click the sink element to automatically connect them. In this step the source element is the WLAN element, and the sink element is the ARB File.
    ______

    ARB file genertion step 4

    ______

  5. Double-click the ARB File element to open the ARB File Configuration dialog and enter the ARB file name and storage location on the PC.
    ______

    ARB file generation step 5
    ______

  6. From the main menu, select Project > Build All to build the ARB file. When the build is complete, the Status area displays a results message, and the elements on the worksheet change color depending upon the status. In this case, the background color changes to green, indicating that the element configured without any errors or warnings. Yellow indicates that the element ran with warnings; Red indicates that the element had errors and the build was halted.
    ______

    ARB file generation step 6
    ______

    At this point, the ARB file is generated and can be loaded into the Series V2900 vector signal generator (VSG). The file can be manually moved using a USB memory device or you can use SignalMeister™ to copy the ARB file to the signal generator.

  7. To save the project select File > Save Project As. You can reload saved projects into SignalMeister™ at a later time.

_____
See also:

  • Importing ARB and IQ Files
  • Downloading ARB files to a Series V2900 VSG
  • Adding Modifications and Impairments to ARB Files
  • Managing Project Files
  • Communicating with Signal Generators and Signal Analyzers
  • USB memory device
  • Using the LXI Web Interface
  • Basic SignalMeister Techniques


Importing ARB and IQ Files (User-provided files)

SignalMeister™ can import a double- or single-precision IQ file and convert it into an ARB file for use with the Agilent Series V2900 Vector Signal Generators, as well as importing ARB files that were previously created and saved. The following instructions show how to import an IQ file, convert it to an ARB file that is saved to a file for future use, then import that ARB file into a project.

______

IMPORTANT: To play the ARB files created in this process, you must have a V2920A-Bxx ARB file playback license, either V2920A B20, V2920A B40 or V2920A B80, based on the sample rate. Less than 50 Msps requires a 20 MHz license, 50 Msps to 99 Msps requires a 40 MHz license and 100 Msps or greater requires an 80 MHz license. See Managing Licenses for more information on obtaining and installing licenses.

______

  1. Drag and drop the elements shown in the diagram below onto a project worksheet and connect them as shown. See Connecting Elements.

    IQ Import Example
  2. Double-click the DP IQ Import element to open the dialog, then enter the information about the file you want to import. See IQ Importer for information about the File Name, Sample Rate, Data Type and so on.

    IQ Data Importer Dialog
  3. Right-click on the first instance of the ARB File element, select Edit Element Configuration from the popup menu, then enter a name for the ARB file and the location where you would like to save the file in the Arb File Name field. Click OK.

    ARB File Configuration dialog
  4. Right-click on the first instance of the ARB File element and select Build from the popup menu.

    SignalMeister Element Popup Menu
  5. When the build is finished, the IQ Import and ARB File elements become green in color, indicating the .bin file has been converted into an .arb file without errors.

    ARB File Import Step 5
  6. Double-click the ARB File Importer to open the dialog, then enter the Arb File Name and location of the ARB file you saved in Step 3.

    ARB File Importer Dialog
  7. Right-click on the second instance of the ARB File element, select Edit Element Configuration from the popup menu, then enter a name for the ARB file and the location where you would like to save the file in the Arb File Name field. Click OK.

    ARB File Configuration dialog
  8. Right-click on the second instance of the ARB File element and select Build from the popup menu.

    SignalMeister Element Popup Menu
  9. When the build is finished, the ARB File Importer and ARB File elements become green in color, indicating the .arb file was imported without errors.

    ARB File Importer
  10. The ARB file is now ready to use in other projects.

See also:

  • Managing Project Files
  • Managing SignalMeister™ Licenses
  • Generating ARB Files
  • Downloading ARB files to a Series V2900 VSG


Downloading ARB files to a Series V2900 VSG

The Agilent V2901A SignalMeister™ RF Communications Test Toolkit allows you to create arbitrary waveform files (ARB) for Agilent Series V2900 signal generators and play them on Series V2900 vector signal generators.

  1. To copy the arb file automatically, add a signal generator element to your project by dragging and dropping a signal generator element from the Toolbox to the Project worksheet.
  2. Enter the LAN or GPIB address for the instrument. To open the configuration dialog window, use either of the two methods below:
    1. Right-click the signal generator element and select Edit Element Configuration from the context menu.
    2. Double-click the selected signal generator element.
  3. Select the VISA Resource tab, and then select the Configure button. If you are using a LAN connection, select the LAN/TCPIP tab. If you are using a GPIB connection, select the GPIB tab.
  4. Enter the TCP/IP address of the signal generator. The LAN/GPIB addresses for the Series V2900 Vector Signal Generators are viewed or set from the Utilities menu of the signal generator. From the front panel of the signal generator select Menu > Utilities > Ethernet Settings... to view the IP address.
  5. After the IP address has been configured, connect the Signal Generator element by selecting the Connect Element icon in the toolbar, then select the arb file and the signal generator on the worksheet.
  6. The arb file can now be downloaded and played by the signal generator using one of the methods shown below.
    1. Select Project > Load All from the main menu
    2. Select the Load All button from the Project toolbar
    3. Right-click the signal generator element and then select Load Arb File from the context menu. This method allows you to update only one arb file if you have several configured in a large project.

See also:

  • Generating ARB Files
  • Importing ARB and IQ Files (User-provided files)


Adding Modifications and Impairments to ARB Files

Modifications and impairments can be added to any type of ARB file by sending the output or the waveform generation element to an operation element before sending it to the ARB file element. Multiple modifications can be added to the same signal. Modification and impairment elements are contained in the Operations section of the toolbox. The available waveform operations include:

  • AWGN
  • IQ gain imbalance
  • IQ offset
  • Invert Q signal
  • Resample to a different sample rate
  • Apply a channel matrix to a MIMO signal

As an example, an AWGN will be added to the signal in the existing WLAN project.

  1. From the Toolbox, select the Operations tab and click and drag the AWGN element to the project.
    ______

    ARB modifications1
    ______

  2. Use the Connect Elements icon to connect the 802.11 signal element to the AWGN element.
  3. Double-click on the AWGN element to set the noise level.
    ______

    AWGN configuration
    ______

    At this point, there are two options.

    • First you can disconnect the output of the 802.11 signal generation element from the ARB file element and connect the output of the AWGN element to the ARB file input.
    • Or, you can create a second ARB file for the impaired waveform. The ARB file and signal generator elements can be added to the project from the toolbox, as shown earlier, or you can select the existing ARB file and signal generator elements in the project and copy them.
  4. To do this, on the worksheet click and drag a rectangle over the ARB file and signal generator elements to select.
  5. From the main menu, select Elements > Copy then Worksheet > Paste as New.
    ______

    modifications and impair 3
    ______

  6. Use the Connect Elements icon to connect the output of the AWGN element to the new ARB file as shown in the figure above.
  7. Double click on the new Agilent ARB File element to open the ARB File Configuration dialog, and then enter a file name.
    ______

    mod and impairments 4
    ______

  8. Double-click on the signal generator element and configure the communications settings for the signal generator communications type used.
  9. The project now illustrates the two methods for generating and downloading the ARB files. If you select Project > Force Load All, both files will be generated and loaded. If you right click on the new source element and select Load ARB File, only this file will be downloaded.


Communicating with Signal Generators and Signal Analyzers

  1. To Copy an ARB file automatically, add a signal generator to the project. Note this topic continues with the 802.11a,g 54Mbps setup described in the previous topic, Generating ARB Files.
    ______

    Adding a VSG
    ______

  2. Either double-click on the signal generator element, or right-click and select Edit Element Configuration, to open a dialog window where you enter the LAN or GPIB address, configure the Arb file, or start the LXI Web Interface for that signal generator.
    _____

    communicte with vsg step2
    ______

  3. Select the VISA Resource tab, then click Configure.
    ______

    Communicating with VSG

    ______

  4. Select either the LAN/TCPIP or GPIB tab as applicable, then configure your interface setup. Click OK when you have finished.

    The GPIB and LAN addresses for the Series V2900 Vector Signal Generator or the Series V2800 Vector Signal Analyzer are obtained from the Utilities menu of the instrument to which you want to connect. The following screen capture shows the LAN setup screen for the instrument.You would use the IP address shown in this field. The instruments allow static and dynamically allocated LAN addresses.
    ______

    communicate with vsg step 4

    ______

  5. Now that the communications address is configured, use the Connect Elements icon to connect the Signal Generator element to the output of the ARB file.
    ______

    communication with vsg step 5
    ______

    The ARB file can now be downloaded and played by the VSG using two different methods:

    • From the main menu, select Project > Reload All. This will regenerate the ARB files and then load them to the VSG.
    • Right-click on the Signal Generator element and select Load ARB File from the context sensitive menu.

    For this simple project, there is no difference between these methods. However, SignalMeister allows the creation of a large project that can produce multiple ARB files. For these projects, the second method allows you to update one file without regenerating all of the files in the project.

  6. When you select either method a dialog will be presented asking you to load or overwrite the existing files. Select OK to these dialogs to load the new file. The Signal Generator element will also turn color after the above process. A green background indicates that the operation completed successfully.

_____
See also:

  • Basic SignalMeister Tasks

USB memory device

Use the following steps to copy an ARB waveform file from your PC to a Series V2900 Vector Signal Generator:

  1. Insert a USB memory device into a USB port on your computer.
  2. Copy the generated waveform file (*.arb) to the memory device from the storage location of your PC.
  3. Remove the USB memory device from the computer and insert it into the Series V2900 VSG front panel USB port.
  4. From the Series V2900 VSG front panel, choose Select Modulation > Arb > Add Arb > Add Arb File.
  5. In the Open Arb dialog box, select the Look in: drop-down arrow and select USB.
  6. Select the *.arb file from the scroll list and select Open. The file is now loaded in the arbitrary waveform playback table.
  7. Select the row of the playback table containing the file that you just downloaded, then select Load Row#.
  8. Select RF: On to switch on the RF output.

For more information on signal control and playback, refer to the Series V2900 VSG help topics. See Arbitrary waveforms > Arbitrary waveform procedures for detailed information.


Using the LXI Web Interface

SignalMeister also allows a convenient method to access the LXI Web Interface for Agilent RF instruments. To access the LXI interface, double-click the signal generator or signal analyzer source element (refer to Communicating with Signal Generators and Signal Analyzers), select the LXI Web Interface tab and then click the Start LXI Web Interface button.

LXI interface step 1

The Agilent Series LXI interface has two very useful operations in this mode. First you can select a live display of the instrument. The following figure shows the vector signal analyzer welcome screen .

LXI web interface step 2
_____

TIP: The LXI interface screen capture can also be useful to copy the vector signal generator or vector signal analyzer display for report and data sheet generation.


Working with Analysis Elements

Following are common facets of working with the analysis elements:

  • Printing/copying/saving analysis displays
  • Setting up analysis windows

___
See Also:

  • Basic SignalMeister™ tasks
  • Signal analysis overview


Print/Copy/Save Analysis Displays

Analysis Window Print/Copy/Save Displays menu

This menu is specific to the analysis elements (Displays > Print/Copy/Save Displays), and provides access to the Print/Copy/Save commands for each of the active displays.

As displays are made active or are disabled, such as the parameters table, burst data table, and graph or strip chart displays, the list of Current Displays is updated as each is added or removed. Use the check-box(es) to select the items you wish to Print/Copy/Save.

_____
See Also:

  • Working with Analysis Elements
  • Basic SignalMeister Tasks

Copy Each To Clipboard

Copy each of the selected displays to the clipboard.

______

NOTE: When the contents of the Parameters Table is copied to the clipboard, it can be pasted as tab delimited text into applications such as Notepad®, or it can be pasted as comma separated values (CSV) into applications such as Excel®.

Print

Choose this to print the selected displays.

Print Preview

Select this to preview the current print job.

Save to PDF

Select this to save the selected displays to a PDF file.

Monochrome

Select this check-box to have each selected display shown in monochrome (black and white). De-select this check-box to show the displays in color.


Setting Up Analysis Windows

From the Analysis Window, individual windows can be selected from both the Displays Menu and the Settings Menu. Once selected, the positioning and some properties of the window can be set up using the View Menu.

_____
See also:

  • Working with Analysis Elements
  • Basic SignalMeister Techniques

Set Up Windows

To set up a window in Analysis Window element, do the following:

  1. Launch the Analysis Window.
  2. Select either Displays Menu or Settings Menu.
  3. Select a window from the menu.

    Example: Displays > Graphs > Constellation, or Settings > Instrument Control

    NOTE: The selected window opens in accordance to the settings in the View Menu with regard to position and size.

Arranging Windows

Docked Windows

If the windows are docked, there are several methods of arranging them.

Docking Windows

To dock a window:

  1. Right-click the graphical area of the display below the title bar.
  2. Select Dock to.
  3. Select either Left, Right, Top, or Bottom as the edge of the graph to dock to.

In this example the left edge of the window was selected to dock to.

Un-Docking Windows

To Un-Dock a window:

  1. Right-Click the graphical area of the display below the title bar.
  2. Clear the Docking selection.
  3. The window is now free to be moved by dragging.

Hiding Windows

To Hide a window:

  1. Right-click the graphical area of the display below the title bar.
  2. Select Hide.
  3. The window now disappears from view.


Signal Generation

The input parameter requirements for different communication standards vary significantly. As such, the displays for inputting this data in SignalMeister also vary significantly. The SignalMeister waveform parameter input screens are formatted in a manner that allows data entry consistent with the format and terminology of the standards.

  • Waveform generation process overview
  • WiMAX
  • WLAN
  • 8 x MIMO Signal Generation - IQ Files
  • 3GPP and 3GPP2


WiMAX

The 802.16e WiMAX® standard allows for a very high degree of flexibility. The SignalMeister™ parameter window for WiMAX® also allows this level of flexibility. There are three major sections of the WiMAX setup:

  • Common Parameters - specifies the input parameters such as FFT size, number of symbols, length of frame, It also allows you to create the uplink or downlink signal.
  • DL subframe - Specifies the zone and burst parameters for the downlink subframe.
  • UL subframe - Specifies the zone and burst parameters for the uplink subframe.

Because of the complexity of the WiMAX® map configuration, SignalMeister™ can save the map configuration into a file that can be loaded into the signal analyzer. The WiMAX® Map file element is located in the Files folder of the toolbox. The output of the Map File element can be connected to a signal analyzer element and is loaded into the VSA WiMAX measurement when the project is run. The following examples show this setup.

Generating a WiMAX SISO Signal

Put Elements in the Project View

  1. In the SignalMeister Toolbox, select the WiMAX folder to display the list of WiMAX elements.
  2. Drag and drop DL 10 MHz, 1024 FFT into the Projects view.
  3. In the Toolbox, select the Files folder to display the list of Files elements.
  4. Drag and drop the ARB File and WiMAX Map File elements into the Projects view.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop a 2900 VSG element into the Projects view.
  7. In the Toolbox, select the Signal Analyzers folder to display the list of signal analyzer elements.
  8. Drag and drop a 2800 VSA element into the Projects view.

Connect the Elements and Run the Project

  1. Use the Connect Elements icon to connect the output of the DL 10 MHZ, 1024 FFT element to the ARB File input.
  2. Connect the output of the ARB File element to the input of the 2900 VSG element.
  3. Connect the output of the DL 10 MHZ, 1024 FFT element to the input of the WiMAX Map File element.
  4. Connect the output of the WiMAX Map File element to the input of the 2800 VSA element.
  5. From the main menu, select File > Save Project As... and save the project.
    ______

Verify the Signals On the VSA

  1. Connect the output of the VSG to the input of the VSA.
  2. On the VSA, select Preset > Spectrum > Standards > 802.16x to view the constellation diagram and other parameters.

Generating WiMAX MIMO Signals

WiMAX MIMO, also known as Wave 2, supports space-time coding (STC) and spatial multiplexing (SM) in WiMAX signals. STC uses Alamouti scheme (Matrix A) to provide transmit diversity as shown in Figure 1. Spatial multiplexing is also referred to as MIMO and uses Matrix B, it is shown in Figure 2. STC/MIMO is often used to indicate WiMAX MIMO mode.

In WiMAX downlink, both STC and SM are used. In WiMAX uplink, collaborative spatial multiplexing is used. Two users, each with only one antenna, can transmit collaboratively in the same slot as if two streams are spatially multiplexed from two antennas of the same user.

Figure 1: Space-Time Coding Diagram

Figure 2: Spatial Multiplexing

Figure 3: Collaborative Spatial Multiplexing for Uplink

In SignalMeister, the MIMO mode offers WiMAX MIMO selection. There are two options: 2x Matrix A (STC) and 2x Matrix B (SM) in the downlink. MIMO mode is found in DL Subframe >Zone.

In uplink, the MIMO mode configuration is found in UL Subframe > Zone > Burst.

Generating WiMAX MIMO signals follows the same steps as in Generating WLAN MIMO Signals and Analyzing Them on a VSA. Here, WiMAX downlink MIMO is used as an example. However, the WiMAX files are not downloaded into Series V2800s because the Series V2800s will be used for data collection in MIMO mode and the analysis will be done on the PC in SignalMeister™. This is different from WiMAX SISO signal analysis which can be done in the embedded WiMAX analysis of the <SeriesVSAs.

Put Elements into the Projects View and Connect the Elements

  1. In the SignalMeister Toolbox, select the WiMAX folder to display the list of WiMAX elements.
  2. Drag and drop the DL 10 MHz, 1024 FFT 2x MIMO element into the Projects view.
  3. In the Toolbox, select the Files folder to display the list of Files elements.
  4. Drag and drop the 2x ARB File and WiMAX Map File elements into the Projects view.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop the signal generator 2900 Nx MIMO VSG element into the Projects view.
  7. Double-click the element to open the How Many Instruments dialog.
  8. Select the number of instruments in your configuration (in this example it is 2).
  9. Connect the elements as shown below.

    WiMAX MIMO Setup

Run the Project

  1. Configure each element appropriately by double-clicking on the element.
  2. From the main menu, select File > Save Project As... and save the project.
  3. Select Projects > Load All to download the file to the specified location in the VSA, and load it into the ARB memory.

    The elements will turn green to show a successful build.

Verify Signals On the VSAs

  1. Place both the Series V2800s and Series V2900s into MIMO mode.
  2. Load the corresponding ARB file into the Series V2900 ARB memory.
  3. Configure the frequency and power level, then turn the RF to On.
  4. On the Series V2900s
    • Set the master to Trigger Now.
    • Set the slave to Trigger Now.
  5. On the Series V2800s
    • Set the Frequency and Reference Level as appropriate.
    • Place both Series V2800s into Zero-Span mode.
    • Set the Sweep Time appropriately.
    • Set the Trigger Source to either Free Run or Video Trigger. If Video Trigger is selected, set the Trigger Level as well.

By now, waveforms should be displayed on the analyzers. If not,

  1. Connect the output of the VSG to the input of the VSA.
  2. On the VSA, select Preset > Spectrum > Standards > 802.16x to view the constellation diagram and other parameters.
  3. Then load the testing signals again for verification.

Successfully Triggering WiMAX MIMO Signals

WiMAX MIMO signals pose an interesting challenge to video triggering. Most OFDM MIMO standards have all of the transmitters come on synchronously, so you can choose a specific transmitter and successfully trigger a signal.

WiMAX, however, only uses MIMO as part of the data region. When the signal first comes on, only the master transmitter sends out the header information. Shown below is an example of a 2x2 WiMax MIMO transmission:

______

Trigger WiMAX MIMO Signals

______

Note that the master transmitter (Channel 1) comes on approximately 500 µsec prior to the slave transmitter (Channel 2). The problem can be described as such; a MIMO system must choose a single input from which to derive the video trigger. By convention, the master receiver is used. If you cable the slave transmitter to the master receiver, you get the situation shown below:

______

Trigger WiMAX Slave to Master

______

Channel 1 (the blue trace) is the signal received at the master receiver. The video trigger from the blue trace did not occur until 500 µsec after Channel 2 (the white trace) became active (you can only see about 200 µsec in this graph). Since the trigger was so late, the WiMax header was missed, and the signal was not demodulated.

Knowing that this situation exists, you have to decrease the video trigger delay by 500 µsec, so acquisition begins in time to capture both pulses in their entirety, as is shown in the figure below:

______

Trigger WiMAX MIMO 500 usec delay

______

In this case, the trigger delay was reduce from 322 µsec to -20 µsec. Determining the required trigger delay can be done from the SignalMeister™ analysis window. If you place SignalMeister™ in a Continuous sweep, display the IQ Amplitude graph, and begin reducing the video trigger delay, you can see when you are capturing enough of the signal to successfully demodulate.

In summary, there are 3 choices to get reliable acquisitions of WiMAX MIMO:

  • Always ensure that the master transmit goes to the master receive
  • Look for the case where the video trigger needs negative delay and add the delay when needed.
  • Use free run trigger, and an acquisition time long enough to always get a complete burst. This is typically twice the WiMAX frame time.

Optimizing WiMAX MIMO Signals

The SignalMeister™ optimize function assumes that the master transmitter is cabled to the master receiver. The Optimize function will fail in any other configuration, as it attempts to use video triggering. In order to use the Optimize function, you must ensure that the master transmitter output is connected to the master MIMO receiver. If the device being measured does not have the transmitter outputs labeled, it may take some trial and error to find the right connections.


WLAN

The configuration dialog windows for 802.11a/b/g/j all have a similar format. There are a relatively small number of parameters required for these standards. The basic parameters are entered on the following screen. These parameters either have a valid range of numbers from which to choose or an item to select from a drop down list.

WLAN signal generation1

The specific payload data can be entered by clicking the Configure PSDU button (see the figure above) and entering values in the WLAN PSDU Configuration dialog (see figure below).

Signal Generation WLAN2

Generating a WLAN SISO Signal

In this section, a SISO 802.11a/g signal is generated step by step. Then the Series V2800 embedded WLAN option is used to analyze and verify the generated signal.

Put Elements into the Projects View

  1. In the SignalMeister™ Toolbox, select the WLAN folder to display the list of WLAN elements.
  2. Drag and drop a WLAN element (for example, the 802.11a,g 54 Mbps) onto the Projects page.
  3. In the Toolbox, select the Files folder to display the list of File elements.
  4. Drag and drop the ARB File element onto the Projects page.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop the 2900 VSG element onto the Projects page.
  7. The three elements should be configured as shown in the figure below.
    ______

    WLAN Signal Generation3

Connect the Elements

  1. Use the Connect Elements button to connect the output of the 802.11a,g 54 Mbps element to the ARB File input. See Connecting Elements for detailed instructions on how to connect elements in SignalMeister™.
  2. Connect the output of the ARB File element to the input of the 2900 VSG.
  3. Click and drag a rectangle to enclose all three elements.
  4. From the main menu, select Worksheets > Align Horizontal (alternately, you can select the Align Horizontal icon from the toolbar).

    Now the elements are connected together and aligned as shown below.
    ______

    WLAN sig gen4

Configure the Elements

  1. Double-click each element to configure the parameters of each element. Refer to WLAN for more information. If you need more information regarding each individual parameter refer to the SignalMeister™ Help. Refer to Basic SignalMeister Tasks for information on ARB file and instrument configurations.
  2. From the main menu, select File > Save Project... to save the project.

Run the Project

There are four options to run the project from SignalMeister's Projects menu.

  • Run Conflict Analyzer - Displays any errors or conflicts in the current configuration in the Status area.
  • Build All - Builds an ARB file that contains all of the elements of the project including the elements on multiple worksheets. The ARB file is created and stored on your PC.
  • Download All - Downloads the ARB files from your PC to the signal generator memory.
  • Load All - Loads all of the ARB files in the current project to the signal generator that is configured in your project. This selection makes the ARB file ready to play in the signal generator.
  1. From the main menu, select Projects > Build All to build the arb file.

    Or, select Projects > Load All to download the arb file to the specified location in the VSA, and load it into the ARB memory.

Generating WLAN MIMO Signal

The input parameters for 802.11n are similar to Generating a WLAN SISO Signal. However, there is an additional parameter called the MCS (Modulation Coding Scheme) number. The MCS number of an 802.11n signal determines the modulation format, coding scheme, and also the number of MIMO output streams in the waveform data. For example, MCS 15 has two output streams. The following figure shows how to generate the 2x2 MIMO setup for MCS-15.

WLAN Sig Gen5

In this example, the two ARB file elements would have different file names. The 2x2 MIMO signal source object allows the input of communication addresses for both signal sources and configures the MIMO parameters for the system.

WLAN sig gen6

The PSDU configuration for 802.11n also contains additional controls, as shown below.

WLAN sig gen7

There are two default standard templates in the Toolbox under the Standard Templates folder. Use them as an example to customize your own project.

  1. From the Toolbox, select the Standard Template folder and click and drag the 4xMIMO Complex Impairments element to the Projects worksheet. Notice how the element automatically opens when it is placed on the worksheet.

    WLAN sig gen8


8 x MIMO Signal Generation - IQ Files

This procedure shows MIMO signal generation capability for eight Series V2800s. There is no specific supported standard in SignalMeister to generate 8x MIMO signals. In the case that you would like to develop your own 8x MIMO system, user-defined IQ data sources are used as the following example.

Put Elements in Projects View and Connect Them Together

  1. From the Toolbox, open the File folder and drag and drop the IQ Importer element (eight times) onto the Projects view.
  2. Open the Signal Analyzers folder and drag and drop 2800 Nx MIMO VSA to the Projects view.
  3. Connect the IQ Importer elements to the 2800 Nx MIMO VSA elements as shown below.

Configure the Elements and Run the Project

  1. Configure each user-defined data source in the DP IQ Importer appropriately.
  2. The Configuration window of the Series V2800 8X MIMO is similar to other Series V2800 MIMO configurations. It supports eight Series V2800s in VISA Resource, MIMO configuration, ARB configuration, and LXI Web Interface as shown below.


3GPP and 3GPP2

The 3GPP (WCDMA/HSPA) and 3GPP2 (cdmaOne/cdma2000/EV-DV) waveform parameters include a number of general parameters, a list of channels to include, and specific parameters for each channel. This complex data structure is displayed in a tree structure. This provides a quick view of the channel configuration and easy navigation to the specific channel parameters. Several default templates are provided for these standards, covering simple and complicated configurations. In addition, specific parameters (not all parameters) from anywhere in the tree can be defined as "Favorites" giving a quick way to change the most common parameters. This feature is shown in the following screen shots.

Building 3GPP and 3GPP2 signals is the same as building other signals in SignalMeister. Use the following steps to build a 3GPP downlink signal as shown. Default parameters will be used in this example.

  1. Put elements in Project View.
  2. Connect elements.
  3. Configure elements.
  4. Save and Run the Project.

    Refer to Generating WiMAX MIMO Signals and Analyzing them on a VSA for similar steps for the procedures above.

  5. Verify Signals on the VSA and VSG.
  6. After building the ARB file and loading it into the VSG ARB memory, connect the VSG to the VSA.
  7. Use the WCDMA Downlink personality to analyze the signal.


Signal Analysis

SignalMeister™ supports analyzing WiMAX and WLAN signals in both SISO (single-in, single-out) and MIMO (multiple-in, multiple-out) configurations. SISO analysis is similar to the corresponding embedded analysis using a Series V2800 VSA, but it provides more ways of displaying measurement data, reporting more measurement results, and offers easier and quicker transporting of measurement results to the PC. However, SISO analysis in SignalMeister is slower than embedded SISO analysis as it has to go through data collection over GPIB/LAN/USB.

MIMO analysis can only be done using the SignalMeister™ application. In this fashion, VSAs are used to collect IQ data, and all analysis is done in SignalMeister. No specific license is needed on the VSAs. Unlike the license for signal generation residing in a Agilent Series V2900 VSG, the licenses for signal analysis reside in the SignalMeister™ USB license key. With the license key connected to your PC using an available USB port, the valid licenses are displayed from the SignalMeister File > Manage Licenses window (below).

Select one of the links below to learn more about Signal Analysis.

  • WiMAX Analysis
  • WLAN Analysis

______

_______

NOTE: SignalMeister's analysis features cannot be operated using remote computer access tools (for example, Desktop Control Panel).

_______

See also:

  • Basic SignalMeister Tasks


WiMAX® Analysis

WiMAX® signal analysis requires use of the Map file that is generated with the ARB file. The Map file is stored on the PCs hard drive in the My Documents folder, and can be downloaded into the Agilent Series V2800 VSA using the SignalMeister™ application or a USB device.

To open a WiMAX Map file, select Use Map File from the Map Information Decoding drop-down menu, then either type in the location and file name of the Map file in the Map File Name text box, or click the More button SignalMeister More button to open a dialog that allows you to navigate to the Map file location.

______

______

Analyzing a SISO WiMAX Signal in SignalMeister

This tutorial demonstrates how to use SignalMeister's simulation mode to create a WiMAX® SISO downlink signal, add AWGN noise to the signal, and then demodulate the received transmission. The simulated analyzer displays both the graphical data and computed parameters. The final steps of the tutorial show you how to increase the noise power, then view the degraded signal.

______

Hint: This tutorial can be used for signal types other than WiMAX as the steps in building a project and analyzing a waveform are the same for all signal types. Simply follow each of the steps while substituting the appropriate elements for the type of waveform analysis you wish to perform.

______

Part 1 - Build the waveform

  1. Click the WiMAX button on the Toolbox to display the available elements. See Toolbox.
  2. Drag and drop the DL 10 MHz, 1024 FFT signal element from the WiMAX tool set onto the Projects worksheet.
  3. Click the Operations button on the Toolbox, then drag and drop the AWGN (Additive White Gaussian Noise) element to the right-hand side of the WiMAX signal element.
  4. Click the Signal Analyzers button on the Toolbox, then drag and drop the 1x VSA Simulator element to the right-hand side of the AWGN element.
  5. Re-open the WiMAX tool set, then drag and drop the WiMAX 1x Analysis element to the right-hand side of the 1x VSA Simulator.
  6. Your project should look like something like this so far:

  7. Click the Connect Elements button on the Main toolbar to make it active. See Connecting Elements.
  8. Beginning with the DL 10 MHz, 1024 FFT WiMAX element (far left), click on that element then click the AWGN element to connect them.
  9. Click the AWGN element then click the 1x VSA Simulator element to connect them.
  10. Repeat this until all elements are connected and a path exists from the signal element to the analysis function.
  11. Using the mouse (or the touchpad), left-click, hold and drag across all the elements to create a box around the project.

    WiMAX SISO Analysis Tutorial
  12. Click the Align Horizontal icon on the main toolbar to align the elements horizontally.

    WiMAX SISO Analysis Align Horizontally
  13. Your project should now look like this:

  14. On the main toolbar, select Project > Build All from the Project menu. If all of the files are built correctly, and there are no errors or conflicts, then the WiMAX signal, AWGN and VSA Simulator elements all become green in color. The Status window displays a message that no errors or conflicts were found.

    WiMAX SISO Tutorial (no conflicts)
  15. The WiMAX downlink signal has been created, Gaussian white noise has been added to it, and the VSA simulator is set to demodulate, display and compute parameters on the signal.

Part 2 - Analyze the signal

______

NOTE: The waveforms in the toolbox are example waveforms and are starting points for the creation of user-defined waveforms. Numerous parameters are programmable.

______

  1. Double-click the DL 10 MHz 1024 FFT signal element to open the WiMAX configuration dialog.
  2. Select Common from the tree view to see that the default parameters are:
    • FFT Size: 1024
    • Bandwidth: 10 MHz (the subcarriers are less than 10 kHz apart)

    WiMAX SISO Tutorial Common Parameters

  3. Select DCD from the tree view to see that the DCD (Downlink Channel Descriptor), that defines channel structure details, uses QPSK modulation.

    WiMAX SISO Tutorial DCD Coding Rate
  4. Select Burst from the tree view to see that the data is transmitted with 64QAM modulation.

    WiMAX SISO Tutorial Burst Parameters
  5. Now the WiMAX 1x Analysis element can plot, graph and perform computations on the received signal. This tutorial displays the constellation of the signal, the EVM vs. Subcarrier plot, a waveform amplitude plot (power vs. time), a table of computed parameters and a single-sweep/continuous-sweep instrument control function.
  6. Double-click the WiMAX 1x Analysis element to open the 802.16e OFDMA WiMAX Analysis window.
  7. Select Displays > Graphs, then click Constellation. Repeat this to also add the EVM vs. Subcarrier and Waveform Amplitude graphs. The EVM vs. Subcarrier graph shows the EVM for each carrier and the Waveform Amplitude graph shows the power vs. time plot of the 500 µs transmission burst.

    WiMAX SISO Tutorial Constellation menu
  8. Select Displays > 802.16e Parameters Table to display Relative Constellation Error (RCE) parameters, channel power and other computations.

    WiMAX SISO Tutorial Select Parameters Table
  9. Note that the 802.16e Parameters Table shows the number of sweeps and the minimum, maximum and average values for each of the parameters.

    802.16e Paramaters Table
  10. Select Settings > Instrument Control to display the control window for the WiMAX Analysis that allows you to select either a Single Sweep or Continuous Sweep.

    WiMAX Instrument Control (Tutorial)

    WiMAX Instrument Control (Sweep Buttons)

  11. Select View > Tile Vertically to see a display of all the open windows.

    WiMAX Analysis Tile Vertically Option

    WiMAX Analysis View Tiles
  12. Select View > Minimize to return to the SignalMeister project window.
  13. Double-click on the AWGN element, then raise the noise Power to -20 dBc and click OK.

    WiMAX Tutorial AWGN Configuration
  14. Return to the Instrument Control window and click Single Sweep. Note that the Constellation is less precise, the EVM vs. Subcarrier is higher (not as good) and the RCE is higher.

Part 3 - Optional steps for a more dynamic display

Additive White Gaussian Noise (AWGN) can be added to the VSA simulator to display more realistic data even if the AWGN element is not used. The noise in the VSA simulator is randomized so that it changes with each sweep, so using the VSA's internal noise source creates a changing and more realistic display.

  1. Minimize the Analysis window and return to the Projects window.
  2. Remove the AWGN element from your project, and remove one of the connectors.
  3. Connect the DL 10 MHz, 1024 FFT signal element to the 1x VSA Simulator element.
  4. Double-click on the 1x VSA Simulator.
  5. Select the Add Noise check-box and increase the power to -20 dBc, then click OK.

    WiMAX SISO Tutorial VSA Simulator Configuration
  6. Return to the Analysis window and click Continuous Sweep from the Instrument Control panel. Note the changing displays. The update rate is a function of your PC speed.
  7. Now check the 802.16e Parameters table, the Constellation and EVM vs. Subcarrier graphs to view the changes due to the addition of noise at the 1x VSA Simulator element.

Analyzing MIMO WiMAX Signals in SignalMeister

WiMAX MIMO Analysis Simulation
_____

WiMAX MIMO Analysis using an Instrument


WLAN Analysis

  • Analyzing a SISO Signal in SignalMeister
  • Analyzing MIMO 802.11n Signals in SignalMeister

Analyzing a SISO WLAN Signal in SignalMeister

Following the example in Generating a WLAN SISO Signal and Analyzing it on a VSA, now SignalMeister is used to analyze the same signals.

There are two ways to do this:

  • Use the SignalMeister built-in Series V2800 simulator
  • Use the Series V2800 VSA hardware with SignalMeister

The first method does not involve any hardware. It can be used for demonstration purposes and to verify the signal generated from SignalMeister in the baseband (IQ) level. A signal generation element is used as the starting point, which is the same as generating an ARB file. Instead of putting an ARB file element at the output of the signal generation element, a VSA simulator element is connected instead.

Using the Simulation Method

Put Elements in Projects View and Connect Them Together

  1. From the Toolbox, select the WLAN folder and drag and drop the 802.11 a,g 54 Mbps on to the Projects view.
  2. From the Toolbox, select the Signal Analyzer folder and drag and drop the 1x VSA Simulator element on to the Projects view.
  3. From the Toolbox, select the WLAN folder and drag and drop the 802.11 agj element on to the Projects view.
  4. Connect the elements together.

Configure the Elements, Save and Run the Project

  1. Configure 802.11 a,g 54 Mbps for the signal you want to analyze.
  2. Double click 802.11 agj Analysis. The 802.11 agj SISO analysis window is displayed.

    The startup window will be empty if it has never been configured before. The menu bar has four menus: File, View, Displays, and Settings.

    • The File menu is used to exit the Analysis window.
    • The View menu is used to globally maintain the Settings and Displays. You can open all of the windows from Settings and Displays and then rearrange them automatically.
    • The Settings Menu supports instrument control, IQ capture settings, specific settings for the type of to-be-analyzed signal, in this case, WLAN settings.
    • The Displays Menu supports various graphs, charts and a parameters reporting table.

    The following figure shows how analysis window may look like after opening and customizing sub-windows.

  3. Go back to the main SignalMeister window and select Projects > Build All to generate fresh data for analysis.

Using the Hardware Method

The second method uses instruments to do the SISO analysis. This is a little different from simulation mode. Here, it is assumed that a 802.11 a/g signal is fed into a Series V2800 VSA. In our case, such a signal is generated in the previous session of Generating a WLAN SISO Signal and Analyzing it on a VSA. It is output from the Series V2900 VSG and directly fed into the Series V2800. From here, there are only two elements needed as shown below.

Similar to the first example (the Simulation method), you need to configure instrument control and WLAN settings (such as sweep time and type of trigger source). What is different from the simulation method is that the control buttons in the Instrument Control sub-window are activated. The Initialize button allows initialization of the VSA as specified by the settings in this window. Single Sweep or Continuous Sweep offer two types of sweeping for your convenience. The Optimize button offers automatic optimization based on the existing settings.

Analyzing MIMO WLAN Signals in SignalMeister

Analyzing a MIMO 802.11n signal is similar to SISO analysis. Both simulation and non-simulation modes are available.

The following figures show a project that simulates 2x 802.11n MIMO analysis. Refer to Analyzing a SISO Signal in SignalMeister for the steps to build and run the project.


Glossary of Terms

16 Quadrature Amplitude Modulation (16QAM)

QAM is a modulation scheme which conveys data by changing (modulating) the amplitude of two carrier waves. These two waves, usually sinusoids, are out of phase with each other by 90° and are thus called quadrature carriers—hence the name of the scheme.

Absolute Radio Frequency Channel Number (ARFCN)

ARFCN specifies a certain radio frequency used for transmission and reception within wireless networks. Different frequencies, also known as ARFCNs, are used for the frequency based component of GSMs multiple access scheme (FDMA Frequency Division Multiple Access).

Access Point (AP)

Wireless devices can connect to a wired LAN through a hardware device called an access point. See Hot spot...

Acquisition Indicator Channel (AICH)

The AICH is a fixed rate physical channel with a spreading factor of 256, and is used to carry acquisition indicators that correspond to signatures on the physical random access channel (PRACH).

Adaptive Modulation and Coding Scheme (AMC)

Link adaptation, or adaptive modulation and coding (AMC), is a term used in wireless communications to denote the matching of the modulation, coding, and other signal and protocol parameters to the conditions on the radio link (for example, the path loss, the interference due to signals coming from other transmitters, the sensitivity of the receiver, the available transmitter power margin, and so on.). For example, EDGE uses a rate adaptation algorithm that adapts the modulation and coding scheme (MCS) according to the quality of the radio channel, and thus the bit rate and robustness of data transmission. The process of link adaptation is a dynamic one and the signal and protocol parameters change as the radio link conditions change -- for example in HSDPA in UMTS this can take place every 2 ms.

Adaptive modulation systems invariably require some channel information at the transmitter. This could be acquired in time division duplex systems by assuming the channel from the transmitter to the receiver is approximately the same as the channel from the receiver to the transmitter. Alternatively, the channel knowledge can also be directly measured at the receiver, and fed back to the transmitter. Adaptive modulation systems improve rate of transmission, and/or bit error rates, by exploiting the channel information that is present at the transmitter. Especially over fading channels which model wireless propagation environments, adaptive modulation systems exhibit great performance enhancements compared to systems that do not exploit channel knowledge at the transmitter.

Additive White Gaussian Noise (AWGN)

In communications, the additive white Gaussian noise (AWGN) channel model is one in which the information is given a single impairment: a linear addition of wideband or white noise with a constant spectral density (expressed as watts per hertz of bandwidth), and a Gaussian distribution of amplitude. The model does not account for the phenomena of fading, frequency selectivity, interference, nonlinearity, or dispersion. However, it produces simple and tractable mathematical models which are useful for gaining insight into the underlying behavior of a system before these other phenomena are considered.

Wideband Gaussian noise comes from many natural sources, such as the thermal vibrations of atoms in antennas (referred to as thermal noise or Johnson-Nyquist noise), shot noise, black body radiation from the earth and other warm objects, and from celestial sources such as the Sun.

The AWGN channel is a good model for many satellite and deep space communication links. It is not a good model for most terrestrial links because of multipath, terrain blocking, interference, and so on. However for terrestrial path modeling, AWGN is commonly used to simulate background noise of the channel under study, in addition to multipath, terrain blocking, interference, ground clutter, and self-interference that modern radio systems encounter in terrestrial operation.

Adjacent Channel Power Ratio (ACPR)

ACPR is a measurement of how much signal energy is introduced from one channel to the next, adjacent channel.

Advanced Mobile Phone Service (AMPS)

AMPS is an analog cellular radio standard that represents the first generation of wireless networks.

Air Interface

This is the wireless network's operating system that enables communication between a cellular phone and its carrier. Examples are CDMA, TDMA, GSM, and OFDM. See Carrier.

Alternating Current (AC)

An alternating current is an electric current whose direction reverses cyclically, as opposed to direct current (DC), whose direction remains constant. The usual waveform of an AC power circuit is a sine wave, as this results in the most efficient transmission of energy. However in certain applications different waveforms are used, such as triangular or square waves.

Used generically, AC refers to the form in which electricity is delivered to businesses and residences. However, audio and radio signals carried on electrical wires are also examples of alternating current. In these applications, an important goal is often the recovery of information encoded (or modulated) onto the AC signal.

American National Standards Institute (ANSI)

ANSI art is a computer art form that was widely used at one time on bulletin board systems (BBS). It is similar to ASCII art, but constructed from a larger set of 256 letters, numbers, and symbols — all codes found in IBM code page 437, often referred to as extended ASCII and used in MS-DOS environments. ANSI art also contains special ANSI escape sequences that color text with the 16 foreground and 8 background colors offered by ANSI.SYS, an MS-DOS device driver loosely based upon the ANSI X3.64 standard for text terminals. Some ANSI artists take advantage of the cursor control sequences within ANSI X3.64 in order to create animations, commonly referred to as ANSImations. ANSI art and text files which incorporate ANSI codes carry the concerning the fact .ANS file extension.

Amplitude Modulation (AM)

AM is a transmission technique where the amplitude of a carrier signal is modulated by the amplitude of a base band signal.

Analog

Analog is a technology which utilizes a continuous "wave" of signal to carry information over radio channels. Analog is an inefficient use of system bandwidth.

Antenna

An antenna is a physical device for sending or receiving radio signals. Antennas come in a variety of shapes and sizes. The size and shape of an antenna is carefully designed and tuned to the type of radio wave being transmitted and received.

Antenna Gain

This describes an antenna's transmission power as a ratio of its output signal strength to its input signal strength. It is usually expressed in dBi; a higher dBi means a stronger antenna.

Attenuation

Attenuation is the loss or weakening of a signal through a transmission line, transmission component, or signal path. This loss is typically measured in decibels.

Attenuator

An attenuator is a component that reduces the magnitude of current, voltage, or power of a signal in transmission between points.

Bandpass Filter

This is a signal filter designed to pass a particular range of frequencies, while attenuating frequencies that are outside that range.

Bandwidth

Bandwidth is the width or capacity of a communications channel or transmission path. It can apply to any analog and digital circuit or system through which data flows.

  • Analog bandwidth is measured in Hertz (Hz) or cycles per second. The actual bandwidth size is the difference between the lowest and highest frequency which can be transmitted at once.
  • Digital bandwidth is the amount or volume of data that may be sent through a channel, without distortion, measured in bits per second. An example of a low-bandwidth connection would be a 56 Kbps dial-up modem. High-bandwidth (broadband) connections deliver more information at a much faster speed, capable of delivering full-screen, full-motion video.

Base Station (BS or Tower)

A fixed station used for communicating with mobile stations (phones). It often consists of a cabinet or small building containing electronic equipment and associated antennas. See Cell site.

Base Transceiver Station (BTS)

A cellular base station.

Baseband Generator (BBG)
Baud

The number of signal level changes per second. Each signal level contains one or more bits of information.

Bias-T

This is an in-line device that couples DC power onto an RF circuit.

Binary

Is a number system that is base-two, meaning each position must be either "0" or "1." In digital communications systems, it is important to realize that "0" and "1" are states and not necessarily 0 volts and another voltage.

Binary Phase-Shift Keying (BPSK)

BPSK (also sometimes called PRK, phase reversal keying) is the simplest form of PSK. It uses two phases which are separated by 180° and so can also be termed 2-PSK. It does not particularly matter exactly where the constellation points are positioned, and in this figure they are shown on the real axis, at 0° and 180°. This modulation is the most robust of all the PSKs because it takes severe distortion to make the demodulator reach an incorrect decision. It is, however, only able to modulate at 1 bit/symbol and is unsuitable for high data-rate applications when bandwidth is limited.

Bit

Bit is an abbreviation for binary digit. A bit is a binary unit, represented by either a "0" or a "1." In digital communications, more than one state can be described by using more than one bit. For example two bits are capable of describing four states: 00, 01, 10 and 11.

Bit Error Ratio (BER)

The ratio between the number of incorrect bits transmitted to the total number of bits.

Bits Per Second (Bps)

Bits per second, a measure of how fast binary digits can be sent through a channel.

Bluetooth

This is a wireless personal area network specification that connects phones, computers, and other devices over short distances by using low-power radio frequencies.

Broadband

A broadband system can transmit more data at a higher speed than narrowband systems. In analog systems, broadband can be described as having a bandwidth of more than 3 MHz. In digital systems, broadband is associated with high-speed data transmission. Examples are high-speed Internet access and streaming video.

Broadcast Channel (BCH)

The BCH is a downlink UMTS transport channel that is used to broadcast cell and system information. The BCCH (Broadcast Control Channel) maps into the BCH transport channel, which in turn maps into the P-CCPCH (Primary Common Control Physical Channel) at the physical layer.

Broadcast Control Channel (BCCH)

The BCCH is a downlink channel with specific parameters needed by an MS (mobile station) so it can identify and gain access to the network. Typical information includes the LAC (Location Area Code) and RAC (Routing Area Code), the MNC (Mobile Network Code) and BA (BCCH Allocation) list.

Byte

A byte is a sequence of 8 adjacent bits. A byte can describe 256 unique states, ranging from 00000000 (0) to 11111111 (255).

Carrier
  1. Wireless carriers, also called service providers or operators, are the companies that operate the wireless networks and sell use of those networks (the service).
  2. Technical radio term for the radio wave that carries voice or data.

Carrier-to-Noise Ratio (C/N)

In telecommunications, the carrier-to-noise ratio, often written CNR or C/N, is the signal-to-noise ratio (SNR) of a modulated signal. The CNR is the quotient between the average received modulated carrier power C and the average received noise power N after the receiver filters. The aim of the term is to distinguish the CNR of the radio frequency passband signal from the SNR of an analogue base band message signal after demodulation, for example an audio frequency analogue message signal. If this distinction is not necessary, the term SNR is often used instead of CNR, with the same definition.

cdma2000

cdma2000® defines the third-generation (3G) version of CDMA technology. It supports high-speed data transmission, always-on data service and improved voice network capacity over CDMA. cdma2000® is in competition with WCDMA and will be deployed in at least three phases - 1xRTT, 1xEV-DO and 1xEV-DV.

  • cdma2000® 1xRTT, supports up to 144 Kbps packet data speeds. It also doubles voice capacity over previous CDMA networks (IS-95).
  • cdma2000® 1xEV-DO, stands for 1x Evolution Data Only and will support data rates up to 2.4Mbps.

cdma2000® 1xEV-DV stands for 1x Evolution Data Voice and supports circuit and packet data rates up to 3-5Mbps. It fully integrates with 1xRTT voice networks and supports wireless Voice over IP (VoIP) services.

See also the following GSM measurement definitions:

  • Channel Power
  • Code Domain Power
  • Conducted Spurious Emissions
  • Frequency Error
  • Occupied Bandwidth
  • Rho

cdmaOne (2G)

Interim Standard 95 (IS-95), is the first CDMA-based digital cellular standard pioneered by Qualcomm. The brand name for IS-95 is cdmaOne. IS-95 is also known as TIA-EIA-95.

Cell

The cell is the basic geographic unit of a cellular system. A geographic area is divided into smaller "cells," each of which is equipped with a low-powered radio transmitter/receiver.

Cell Phone

A cell phone is a wireless telephone that sends and receives messages using the radio frequency (RF) spectrum.

Cell Site

This is the location where the wireless antenna and network communications equipment is placed. A cell site consists of a transmitter/receiver, antenna tower, transmission radios and radio controllers. A cell site is operated by a wireless service provider (WSP).

Cellular

Cellular is the name given to wireless communications network architecture that employs cells or modular coverage areas. The area is normally serviced by a cell site and usually provides hand-off capability between cells for roaming devices.

Cellular Base Station

This is the transmission and reception equipment, including the base station antenna that connects a cellular phone to the network. This is also called a cell site.

Cellular Telecommunications Industry Association (CTIA)

Originally known as the Cellular Telephone Industries Association, CTIA is an international industry trade group representing all wireless communication sectors including cellular, personal communication services and enhanced specialized mobile radio. Founded in 1984, they are primarily involved in lobbying the US government and were instrumental in the passage of both the Electronic Communications Privacy Act and the Telecommunications Disclosure & Dispute Resolution Act.

The CTIA primarily represents the interests of wireless telecommunications companies. Their board is a mix of service providers, manufacturers and wireless data companies, as well as other contributors to the wireless industry. CTIA operates the industry's leading trade shows, and provides equipment testing and hardware certification programs.

The organization is now known as CTIA - The Wireless Association. The name was changed to better represent the expanding wireless industry. CTIA is now a orphan acronym, it no longer stands for anything and cannot be officially expanded.

Channel

A channel is an electrical, electromagnetic, or optical path for communication between two points.

Channel Power

The power (transmitted or received) in a bandwidth of at least (1+a) times the chip rate at the specified carrier frequency.

Channel Power (EDGE)

The measure, with sufficient accuracy, is equivalent to the long-term average of the power when taken over the useful part of the burst for random data at a specific carrier frequency.

Channel Power (GSM)

The measure of power when averaged over the useful part of the burst at a specific carrier frequency.

China Academy of Telecommunication Technology (CATT)
China Mobile Association Committee (CMAC)
China Wireless Telecommunication Standards Group (CWTS)
Chip

In spread spectrum, a chip is the time it takes to transmit a bit or single symbol of a PN code.

Circuit Switched Data (CSD)

Circuit switched data (CSD) is the original form of data transmission developed for the time division multiple access (TDMA)-based mobile phone systems like GSM. CSD uses a single radio time slot to deliver 9.6 Kbps data transmission to the GSM network and switching subsystem where it could be connected through the equivalent of a normal modem to the public switched telephone network (PSTN) allowing direct calls to any dial-up service.

Prior to CSD, data transmission over mobile phone systems was done by using a modem, either built into the phone or attached to it. Such systems were limited by the quality of the audio signal to 2.4 Kbps or less. With the introduction of digital transmission in TDMA-based systems like GSM, CSD provided almost direct access to the underlying digital signal, allowing for higher speeds. At the same time, the speech oriented audio compression used in GSM actually meant that data rates using a traditional modem connected to the phone would have been even lower than with older analog systems.

A CSD call functions in a very similar way to a normal voice call in a GSM network. A single dedicated radio time slot is allocated between the phone and the base station. A dedicated "sub-time slot" (16 Kbps) is allocated from the base station to the transcoder, and finally another time slot (64 Kbps) is allocated from the transcoder to the mobile switching center (MSC).

At the MSC, it is possible to use a modem to convert to an analog signal, though this will typically actually be encoded as a digital pulse-code modulation (PCM) signal when sent from the MSC. It is also possible to directly use the digital signal as an integrated services digital network (ISDN) data signal and feed it into the equivalent of a remote access server.

Clear to Send (CTS)
Coaxial Cable, Coax

A coaxial cable is a concentric two-conductor cable in which a central conductor is surrounded and shielded by another. The two conductors are separated by dielectric material.

Code

Code is a digital bit stream that has noise-like characteristics. In spread spectrum, code refers to the pseudorandom code used in the modulation technique to spread the carrier.

Code Division Multiple Access (CDMA)

CDMA is a digital spread-spectrum modulation technique. Signals are digitized and associated with a unique frequency code. The data is then scattered across the frequency band in a pseudorandom pattern. The receiving device is instructed to decipher only the data corresponding to a particular code to reconstruct the signal.

CDMA has no hard limit for the number of users who may share one base station (tower). Instead, additional users can connect until the base station determines that call quality would suffer beyond a set limit.

CDMA systems are sometimes referred to as cdmaOne. The next evolutionary step for CDMA to 3G services is cdma2000.

Code Domain Power

The code domain power is a measure of the power in each code channel of a CDMA channel.

Code Group (CG)

A code group is a logical grouping of code that has a membership condition. Any code that meets the membership condition is included in the group.

Common Control Physical Channel (CCPCH)

CCPCH is a broadcast radio channel by which the a mobile phone can decode and determine important system parameters before establishing a dedicated communications link.

In a frequency division duplexing (FDD) UMTS system, there is always exactly one Primary-CCPCH, which has a data rate of 27 kbit/s and is always broadcast using Channelization Code Cch,256,1. This channel can be detected by mobiles due to its fixed channelisation code, slot format and transmission time interval (TTI), as well as being time aligned to the Synchronization Channel which replaces the first 2 bits of
P-CCPCH in every slot. The broadcast control channel transport channel is mapped onto the P-CCPCH, allowing mobiles to decode important system parameters prior to establishing a dedicated connection. One or more Secondary-CCPCHs are also provided to broadcast paging blocks and FACH messages.

The P-CCPCH in a TDD-mode UMTS system also carries pilot bits in (in contract to FDD-mode which provides a distinct pilot channel named CPICH). The pilot bits on the CCPCH can be used for measurements of the signal quality (for example, received signal power (RSCP), Ec/Io, and so on.) and for synchronization and timing reference when decoding other channels from the same transmitter.

Complementary Code Distribution Function (CCDF)
Complementary Code Keying (CCK)

CCK is a modulation scheme used with wireless networks (WLANs) that employ the IEEE 802.11b specification. A complementary code contains a pair of finite bit sequences of equal length, such that the number of pairs of identical elements (1 or 0) with any given separation in one sequence is equal to the number of pairs of unlike elements having the same separation in the other sequence. A network using CCK can transfer more data per unit time for a given signal bandwidth than a network using the previously employed Barker code.

Compression

In RF amplification, an amplifier is said to be "in compression" (distorting) when the output is no longer a linear representation of the input signal. This is typically at the operational limits of the amplifier.

Conducted Spurious Emissions

Emissions at frequencies that are outside the assigned CDMA channel, measured at the mobile station antenna connector. This test measures the spurious emissions during continuous transmission.

Consultative Committee for International Telegraphy and Telephony (CCITT)

The CCITT was superseded by the ITU–T (International Telecommunications Union – Telecommunications Standardization Sector).

Continuous Wave (CW)

CW is an electromagnetic wave of constant amplitude and frequency; and in mathematical analysis, of infinite duration. Continuous wave is also the name given to an early method of radio transmission, in which a carrier wave is switched on and off. Information is carried in the varying duration of the on and off periods of the signal. In radio transmission, CW waves are also known as "undamped waves," to distinguish this method from damped wave transmission.

Convolutional Code

A convolutional code is a type of error-coding code in which each m-bit information symbol to be encoded is transformed into an n-bit symbol, where m/n is the code rate (n ³ m) and (b) the transformation is a function of the last k information symbols, where k is the constraint length of the code.

Coverage Area

Is the name given to a geographic area within which a carrier provides service. It is the area within which a phone will complete calls using a specific carrier's network or partner networks.

Crest Factor (CF)

Peak to average power ratio of the RF envelope.

Crosstalk

Interference caused by the electric or magnetic fields of one signal affecting a signal in another circuit or channel. On wireless networks, crosstalk can sometimes result in your hearing part of a voice conversation from another circuit or channel.

Cyclic Redundancy Check (CRC)

A cyclic redundancy check (CRC) is a type of function that takes as input a data stream of any length, and produces as output a value of a certain space, commonly a 32-bit integer. The term CRC denotes either the function or the function's output. A CRC can be used as a checksum to detect accidental alteration of data during transmission or storage.

Cyclic Shift (CS)
Data Rate

Data rate or data transfer rate is the average number of bits, characters, or blocks (per unit of time), passing between equipment in a data transmission system.

dB

Decibel is a unit of measure used to express the relative difference in power or intensity of sound (ratio in log scale).

dBc

Decibels relative to the main signal power.

dBm

Decibel relative to one milliwatt.

De-spreading

De-spreading is the process used to recover narrowband information from a spread spectrum signal.

Dedicated Channel (DCH)

A Universal Mobile Telecommunications System (UMTS) logical channel allocated to an individual user and typically used to support a speech channel.

Dedicated Control Channel (DCCH)

A Universal Mobile Telecommunications System (UMTS) point to point bidirectional channel that transmits dedicated control information between a UE (user equipment, handset) and the network. The channel is established through the RRC (radio resource control) connection setup procedure.

Dedicated Physical Channel (DPCH)
Dedicated Physical Control Channel (DPCCH)

The dedicated physical control channel is a type of uplink dedicated physical channel. It is an I/Q code, multiplexed within each radio frame. The uplink DPCCH is used to carry the dedicated channel (DCH) transport channel. The uplink DPCCH is used to carry control information generated at Layer 1.

Demodulate

To demodulate is to convert a modulated carrier signal back to the original modulating base band signal.

Differential Binary Phase Shift Keying (DBPSK)
Differential Phase Shift Keying (DPSK)
Differential Quadrature Phase Shift Keying (DQPSK)
Digital Audio Broadcasting (DAB)

DAB, also known as Eureka 147, is a digital radio technology for broadcasting radio stations, used in several countries, particularly in Europe. As of 2006, approximately 1,000 stations worldwide broadcast in the DAB format.

The DAB standard was designed in the 1980s, and receivers have been available in many countries for several years. Proponents claim the standard offers several benefits over existing analogue FM radio, such as higher fidelity audio, more stations in the same broadcast spectrum, and increased resistance to noise, multipath, fading, and co-channel interference. However, listening tests carried out by experts in the field of audio have shown that the audio quality on DAB is lower than on FM in the UK for stationary receivers, due to 98% of stereo stations using a bit rate of 128 kbit/s with the MP2 audio codec, which requires double that amount to achieve perceived CD quality.

An upgraded version of the system was released in February 2007, which is called DAB+. This is not backward-compatible with DAB, which means that DAB-only receivers will not be able to receive DAB+ broadcasts. DAB+ is approximately 2 times more efficient than DAB due to the adoption of the AAC+ audio codec, and DAB+ can provide high quality audio with as low as 64kbit/s. Reception quality will also be more robust on DAB+ than on DAB due to the addition of Reed-Solomon error correction coding.

Italy, Malta, Switzerland have started transmitting DAB+ stations. Hungary is due to launch DAB+ stations in 2008 and Australia and Germany are planning to launch DAB+ in 2009. The radio industry in the United Kingdom (UK) is expecting DAB+ stations to launch between the year2010 - 2013, and podcast services using the DAB+ format will be launched in the UK in 2009.

Digital Modulation

Digital modulation is a method of encoding information using a binary code of 0s and 1s from electrical pulses. The nature of this encoding allows increased data security and system capacity compared to analog modulation.

Digital Signal Processor (DSP)

A DSP is a specialized microprocessor containing hardware features specifically for processing analog signals.

Digital to Analog Converter (DAC)

In electronics, a digital-to-analog converter (DAC or D-to-A) is a device for converting a digital (usually binary) code to an analog signal (current, voltage or electric charge).

Dipole Antenna

A type of antenna commonly used with wireless networking devices. It has a signal range of 360 degrees horizontally and 75 degrees vertically.

Direct Current (DC)

Direct current is the unidirectional flow of electric charge. Direct current is produced by such sources as batteries, thermocouples, solar cells, and commutator-type electric machines of the dynamo type. Direct current may flow in a conductor such as a wire, but can also be through semiconductors, insulators, or even through a vacuum as in electron or ion beams. In direct current, the electric charges flow in a constant direction, distinguishing it from alternating current (AC). A term formerly used for direct current was Galvanic current.

Direct current may be obtained from an alternating current supply by use of a current-switching arrangement called a rectifier, which contains electronic elements (usually) or electromechanical elements (historically) that allow current to flow only in one direction. Direct current may be made into alternating current with an inverter or a motor-generator set.

The first commercial electric power transmission (developed by Thomas Edison in the late nineteenth century) used direct current. Because of the advantage of alternating current over direct current in transforming and transmission, electric power distribution today is nearly all alternating current. For applications requiring direct current, such as third rail power systems, alternating current is distributed to a substation, which utilizes a rectifier to convert the power to direct current. See War of Currents.

Direct current is used to charge batteries, and in nearly all electronic systems as the power supply. Very large quantities of direct-current power are used in production of aluminum and other electrochemical processes. Direct current is used for some railway propulsion, especially in urban areas. High voltage direct current is used to transmit large amounts of power from remote generation sites or to interconnect alternating current power grids.

Direct Digital Synthesizer (DDS)
Direct Sequence (DS)

A technique used in spread spectrum modulation where a pseudorandom code directly modulates the phase of a carrier. This increases the bandwidth of the transmission and results in a signal with a noise-like spectrum. The signal is de-spread by reversing the process using the same pseudorandom code.

Direct Sequence Code Division Multiple Access (DS-CDMA)
Direct Sequence Spread Spectrum (DSSS)

DSSS is a modulation technique. As with other spread-spectrum technologies, the transmitted signal takes up more bandwidth than the information signal that is being modulated. The name 'spread spectrum' comes from the fact that the carrier signals occur over the full bandwidth (spectrum) of a device's transmitting frequency.

Direct Video Broadcasting (DVB)
Direct Video Broadcasting - Cable (DVB-C)
Direct Video Broadcasting - Satellite (DVB-S)
Direct Video Broadcasting - Terrestrial (DVB-T)
Directional Antenna

There are many different types of directional antenna. They commonly redirect the signal received from a transmitter to enhance its strength in a certain direction. This is unlike the omnidirectional antenna.

Discrete Fourier Transform (DFT)

In mathematics, the discrete Fourier transform (DFT) is one of the specific forms of Fourier analysis. It transforms one function into another, which is called the frequency domain representation, or simply the DFT, of the original function (which is often a function in the time domain). But the DFT requires an input function that is discrete and whose non-zero values have a limited (finite) duration. Such inputs are often created by sampling a continuous function, like a person's voice. And unlike the discrete-time Fourier transform (DTFT), it only evaluates enough frequency components to reconstruct the finite segment that was analyzed. Its inverse transform cannot reproduce the entire time domain, unless the input happens to be periodic (forever). Therefore it is often said that the DFT is a transform for Fourier analysis of finite-domain discrete-time functions. The sinusoidal basis functions of the decomposition have the same properties.

Since the input function is a finite sequence of real or complex numbers, the DFT is ideal for processing information stored in computers. In particular, the DFT is widely employed in signal processing and related fields to analyze the frequencies contained in a sampled signal, to solve partial differential equations, and to perform other operations such as convolutions. The DFT can be computed efficiently in practice using a fast Fourier transform (FFT) algorithm.

Since FFT algorithms are so commonly employed to compute the DFT, the two terms are often used interchangeably in colloquial settings, although there is a clear distinction: "DFT" refers to a mathematical transformation, regardless of how it is computed, while "FFT" refers to any one of several efficient algorithms for the DFT. This distinction is further blurred, however, by the synonym finite Fourier transform for the DFT, which apparently predates the term "fast Fourier transform" but has the same initialism.

Discrete Multi-Tone (DMT)

Also known as OFDM.

Diversity

Describes a receiver's ability to select between two receive antennas, often one horizontal and one vertical. Diversity is useful for operating in areas susceptible to the effects of multi-path interference.

DL-MAP

A burst that contains any downlink broadcast messages.

Double Side Band Suppressed Carrier (DSBSC)
Downlink (DL)

The portion of a telecommunications path from a base station or satellite to the ground; also referred to as the forward link.

Droop

Droop is the decline of signal pulse amplitude over time.

Dual Mode

A dual-mode phone can have different meanings around the globe. Common descriptions are:

  • A phone that supports both analog (that is, AMPS) and a digital technology (CDMA or TDMA). In addition, the digital mode could be dual band, operating in either the 800/850 MHz frequency band or the 1900 MHz band.
  • A phone that supports both 2G and 3G technologies, for instance, a GSM/UMTS phone.

Dual-Band

A dual-band digital phone will work in two frequency bands, for example, North American TDMA and CDMA phones. Dual-band indicates that the phone will work in both the 800/850 MHz band and the 1900 MHz band. Note: dual-band phones can also be dual mode, working in both analog and digital modes.

Duplexer

A device allowing simultaneous reception and transmission on one transmission line.

Duty cycle

The percentage of the "on time" (transmitting) versus "off time" (not transmitting). Continuous transmission is referred to as 100% duty cycle.

Dwell Time

A settable value that dictates the minimum time between the Series 2900 starting to change frequency for point N-1 and starting to change frequency for point N. The actual time between the start points can never be less than the hardware settling time.

Effective Radiated Power (ERP)

The product of the transmitter peak envelope power delivered to the antenna and the relative gain of the antenna over that of a half wave dipole antenna.

Electromagnetic Interference / Radio Frequency Interference (EMI/RFI)

Electromagnetic interference (or EMI, also called radio frequency interference or RFI) is an unwanted disturbance that affects an electrical circuit due to electromagnetic radiation emitted from an external source. The disturbance may interrupt, obstruct, or otherwise degrade or limit the effective performance of the circuit. The source may be any object, artificial or natural, that carries rapidly changing electrical currents, such as an electrical circuit, the Sun or the Northern Lights.

EMI can be intentionally used for radio jamming, as in some forms of electronic warfare, or can occur unintentionally, as a result of spurious emissions for example through intermodulation products, and the like. It frequently affects the reception of AM radio in urban areas. It can also affect cell phone, FM radio and television reception, although to a lesser extent.

Electronics Industry Alliance (EIA)

The EIA is a national trade organization that includes the full spectrum of U.S. manufacturers. The Alliance is a partnership of electronic and high-tech associations and companies whose mission is promoting the market development and competitiveness of the U.S. high-tech industry through domestic and international policy efforts. EIA, headquartered in Arlington, Va., comprises nearly 1,300 member companies whose products and services range from the smallest electronic components to the most complex systems used by defense, space and industry, including the full range of consumer electronic products.

Encryption

The process of encoding a message (that is, a digital phone signal) to prevent it from being deciphered.

Energy Per Bit to Noise Ratio (EBNR)
Enhanced data rates for GSM evolution (EDGE)

Enhanced data rates for GSM evolution (EDGE), enhanced GPRS (EGPRS), or international mode telecommunications (IMT) single carrier (IMT-SC) is a backward-compatible digital mobile phone technology that allows improved data transmission rates, besides standard GSM. EDGE can be considered a 3G radio technology and is part of International Telecommunication Union's (ITU) 3G definition, but is most frequently referred to as 2.75G.

EDGE is standardized by 3GPP as part of the GSM family, and it is an upgrade that provides a potential three-fold increase in capacity of GSM/GPRS networks. The specification achieves higher data-rates by switching to more sophisticated methods of coding, within existing GSM timeslots. Introducing 8PSK encoding, EDGE is capable of delivering higher bit-rates per radio channel in good conditions.

EDGE can be used for any packet switched application, such as an Internet connection. High-speed data applications such as video services and other multimedia benefit from EGPRS' increased data capacity.

Evolved EDGE was added in Release 7 of the 3GPP standard. This is a further extension on top of EDGE, providing reduced latency and potential speeds of 1Mbit/s by using even more complex coding functions than the 8PSK originally introduced with EDGE.

See also the following GSM measurement definitions:

  • Channel power
  • Droop
  • Frequency error
  • EVM
  • IQ gain error
  • IQ origin offset
  • Output RF spectrum
  • Time mask

Error Correcting Code (ECC)
Error Vector Magnitude (EVM)

EVM is a measure used to quantify the performance of a digital radio transmitter or receiver. A signal sent by an ideal transmitter or received by a receiver would have all constellation points precisely at the ideal locations, however various imperfections in the implementation (such as carrier leakage, low image rejection ratio, phase noise etc.) cause the actual constellation points to deviate from the ideal locations. Informally, EVM is a measure of how far the points are from the ideal locations.

Ethernet

A standard for connecting computers into a local-area network (LAN). It is also called 10/100BaseT, which denotes a peak transmission speed of 10 Mbps using copper twisted-pair cable.

EVM (EDGE)

The modulation accuracy is defined by the error vector between the vector representing the actual transmitted signal and the vector representing the error-free modulated signal. The magnitude of the error vector is called error vector magnitude (EVM).

Evolved HSPA

Evolved HSPA (also known as: HSPA Evolution, HSPA+, I-HSPA or Internet HSPA) is a wireless broadband standard defined in the 3GPP release 7.

Evolved HSPA provides HSPA data rates up to 42 Mbit/s on the downlink and 22 Mbit/s on the uplink with MIMO technologies and higher order modulation. It also introduces an optional all-IP architecture for the network where base stations are directly connected to the internet. The technology also delivers significant battery life improvements and dramatically quicker start-up-from-idle time - delivering a true always-on connection. Evolved HSPA should not be confused with LTE, which uses a new air interface.

Fast Fourier Transform (FFT)

An FFT is an efficient algorithm to compute the discrete Fourier transform (DFT) and its inverse. There are many distinct FFT algorithms involving a wide range of mathematics, from simple complex-number arithmetic to group theory and number theory; this article gives an overview of the available techniques and some of their general properties, while the specific algorithms are described in subsidiary articles linked below.

A DFT decomposes a sequence of values into components of different frequencies. This operation is useful in many fields (see discrete Fourier transform for properties and applications of the transform) but computing it directly from the definition is often too slow to be practical. An FFT is a way to compute the same result more quickly: computing a DFT of N points in the obvious way, using the definition, takes O(N 2) arithmetical operations, while an FFT can compute the same result in only O(N log N) operations. The difference in speed can be substantial, especially for long data sets where N may be in the thousands or millions—in practice, the computation time can be reduced by several orders of magnitude in such cases, and the improvement is roughly proportional to N/log(N). This huge improvement made many DFT-based algorithms practical; FFTs are of great importance to a wide variety of applications, from digital signal processing and solving partial differential equations to algorithms for quick multiplication of large integers.

Fast Physical Access Channel (FPACH)
Federal Communications Commission (FCC)

The FCC is the government agency responsible for regulating telecommunications in the United States.

Femtocell

A small cellular base station, typically designed for use in a home or small business. It connects to the service provider's network via broadband (such as DSL or cable). Typically supports 2 to 4 active mobile phones in a residential setting. A femtocell allows service providers to extend service coverage indoors, especially where access would otherwise be limited or unavailable. The femtocell incorporates the functionality of a typical base station but extends it to allow a simpler, self-contained deployment. An example is a UMTS femtocell containing a Node B, RNC, and GPRS Support Node (SGSN) with Ethernet for backhaul. Although much attention is focused on UMTS, the concept is applicable to all standards, including GSM, CDMA2000, TD-SCDMA and WiMAX solutions.

Filter

A device used to separate signals at certain frequencies. Common filters are low pass, high pass and band pass. These respectively allow transmission of low, high and a band of frequencies to pass through them.

Finite Impulse Response (FIR)

A finite impulse response filter is a type of a digital filter. The impulse response, the filter's response to a Kronecker delta input, is 'finite' because it settles to zero in a finite number of sample intervals. This is in contrast to infinite impulse response filters which have internal feedback and may continue to respond indefinitely. The impulse response of an Nth order FIR filter lasts for N+1 samples, and then dies to zero.

Forward Access Channel (FACH)

The FACH forms the downlink half of a transport channel pair known as the Random Access Channel (RACH) / Forward Access Channel (FACH) combination. It is used for downlink signaling and small quantities of data.

Forward Common Control Channel (FCCCH)

A control channel used for the transmission of control information from a base station to one or more mobile stations.

Forward Dedicated Control Channel (FDCCH)

A Dedicated Control Channel that is transmitted on the Forward CDMA (Code Division Multiple Access) Channel.

Forward Error Correction (FEC)

In telecommunication and information theory, forward error correction (FEC) is a system of error control for data transmission, whereby the sender adds redundant data to its messages, also known as an error correction code. This allows the receiver to detect and correct errors (within some bound) without the need to ask the sender for additional data. The advantage of forward error correction is that a back-channel is not required, or that retransmission of data can often be avoided, at the cost of higher bandwidth requirements on average. FEC is therefore applied in situations where retransmissions are relatively costly or impossible. In particular, FEC information is usually added to most mass storage devices to protect against damage to the stored data.

FEC devices are often located close to the receiver of an analog signal, in the first stage of digital processing after a signal has been received. That is, FEC circuits are often an integral part of the analog-to-digital conversion process, also involving digital modulation and demodulation, or line coding and decoding. Many FEC coders can also generate a bit-error rate (BER) signal which can be used as feedback to fine-tune the analog receiving electronics. Many FEC detection algorithms, such as the soft Viterbi algorithm, can take (quasi-) analog data in, and generate digital data on output.

The maximum fraction of errors that can be corrected is determined in advance by the design of the code, so different forward error correcting codes are suitable for different conditions.

Forward Link

The forward link is the wireless connection over which information is sent from a cellular base station (tower) to a mobile phone. It is also referred to as the downlink.

Frame Check Sequence (FCS)
Frame Control (FC)
Frame Error Ratio (FER)
Freedom of Mobile Multimedia Access (FOMA)

FOMAä is the brand name for the 3G services being offered by the Japanese mobile phone operator NTT DOCOMO.

FOMA was the world's first W-CDMA 3G service when launched in 2001. FOMA is compatible with standard UMTS, both by means of the radio link as well as by USIM card exchange, and hence provides several alternative options for global roaming: either with or without change of handset.

Frequency

The number of oscillations of radio waves per unit of time, usually expressed in either cycles-per-second or Hertz (Hz).

Frequency Division Duplex (FDD)
Frequency Division Multiplexing (FDM)

FDM is a form of signal multiplexing which involves assigning non-overlapping frequency ranges to different signals or to each "user" of a medium.

Frequency Error

The difference between actual measured carrier frequency and specified carrier frequency.

Frequency Error (GSM and EDGE)

The frequency error is the difference in frequency (after adjustment for the effect of the modulation and phase error) between the RF transmission from the mobile station (MS) and either the:

  • RF transmission from the base station (BS), or
  • Nominal frequency for the ARFCN used.
Frequency Hopping (FH)

FH is a spread spectrum modulation technique where the transmitter frequency hops from channel to channel in a predetermined but pseudorandom manner. The same is done in reverse at the receiver to recover the original signal.

Frequency Hopping Spread Spectrum (FHSS)

FHSS is a type of spread spectrum radio technology where the sender and receiver hop together from one frequency to another to avoid detection or jamming.

Frequency Modulation (FM)

FM is an analog modulation technique that varies the carrier frequency in proportion to the amplitude of the modulating signal.

Frequency Reuse

Frequency reuse is the ability to use the same frequencies repeatedly across a cellular system. Each cell is designed to use radio frequencies only within its boundaries. By design, the same frequencies can be reused in other cells not far away with little potential for interference.

Frequency Shift Keying (FSK)

Frequency-shift keying is a frequency modulation scheme in which digital information is transmitted through discrete frequency changes of a carrier wave. The simplest FSK is binary FSK (BFSK). BFSK literally implies using a couple of discrete frequencies to transmit binary (0s and 1s) information. With this scheme, the "1" is called the mark frequency and the "0" is called the space frequency. The time domain of an FSK modulated carrier is illustrated in the figures to the right.

Full Usage of Sub Channels (FUSC)

FUSC is relative to the WiMAX® air interface downlink and is a technique which allocates all available sub channels to the transmitter.

Full-duplex Transmission

A channel that allows transmission in two directions at the same time, for example, talking and listening.

Gain

The relative increase in power or magnitude of a signal, normally measured in decibels.

Gaussian Minimum Shift Keying (GMSK)
General Packet Radio Service (GPRS)

GPRS is a packet oriented mobile data service available to users of 2G cellular communication systems, as well as 3G systems. In the 2G systems, GPRS provides data rates from 56 up to 114 Kbps.

GPRS data transfer is typically charged per megabyte of traffic transferred, while data communication via traditional circuit switching is billed per minute of connection time, independent of whether the user actually is using the capacity or is in an idle state. GPRS is a best effort packet switch service, as opposed to circuit switching, where a certain quality of service (QoS) is guaranteed during the connection for non-mobile users.

2G cellular systems combined with GPRS are often described as "2.5G", that is, a technology between the second (2G) and third (3G) generations of mobile telephony. It provides moderate speed data transfer, by using unused time division multiple access (TDMA) channels in, for example, the GSM system.

A GPRS connection is established by reference to its access point name (APN). The APN defines the services such as wireless application protocol (WAP) access, short message service (SMS), multimedia messaging service (MMS), and for Internet communications services such as email and the World Wide Web access.

General Purpose Interface Bus (GPIB)

IEEE-488 is a short-range, digital communications bus specification that has been in use for over 30 years. Originally created for use with automated test equipment, the standard is still in wide use for that purpose. IEEE-488 is also commonly known as HP-IB (Hewlett-Packard Instrument Bus) and GPIB (General Purpose Interface Bus).

IEEE-488 allows up to 15 devices to share a single 8-bit parallel electrical bus by daisy chaining connections. The slowest device participates in control and data transfer handshakes to determine the speed of the transaction. The maximum data rate is about one MBps in the original standard, and about 8 MBps with later extensions.

The IEEE-488 connector has 24 pins. The bus employs 16 signal lines — eight bi-directional used for data transfer, three for handshake, and five for bus management — plus eight ground return lines.

Global Positioning System (GPS)

A GPS is a system of satellites for identifying earth locations. By triangulation of signals from three satellites, a receiving unit can pinpoint its current location anywhere on earth to within a few meters.

Global System for Mobile Communications (GSM)

GSM is based on time division multiple access (TDMA). TDMA works by dividing the frequency band up into individual time slots. Each time slot corresponds to an individual communications channel. There are eight time slots in GSM: a cell phone transmits during one time slot, receives in another and stays silent for the remaining six time slots. The GSM signal, therefore, appears as a signal burst in the time domain.

See also the following GSM measurement definitions and related standards:

  • Channel Power (GSM)
  • Circuit Switched Data
  • Frequency Error (GSM and EDGE)
  • General Packet Radio Service (GPRS)
  • High Speed Circuit-Switched Data
  • Output RF spectrum
  • Peak Phase Error
  • Phase Error (GSM)
  • Time Mask (GSM and EDGE)
Green Field (GF)

In software engineering jargon, a greenfield is a project which lacks any constraints imposed by prior work. The analogy is to that of construction on greenfield land where there is no need to remodel or demolish an existing structure. Such projects are often coveted by software engineers for this reason, but in practice, they can be quite rare.

Ground

A ground is a connection between a device or circuit and the earth, or some device serving as the earth.

Guard Interval (GI)

A GI or guard interval is used to ensure that distinct transmissions do not interfere with one another. These transmissions may belong to different users (as in TDMA) or to the same user (as in OFDM). The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

Guard Period (GP)

In telecommunications, guard intervals or periods are used to ensure that distinct transmissions do not interfere with one another. These transmissions may belong to different users (as in TDMA) or to the same user (as in OFDM). The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

Half-duplex transmission (HDX)

An HDX channel allows transmission in only one direction at a time: transmission and receiving cannot occur simultaneously.

Handoff

In wireless mobile phone systems, a "handoff" is the process of transferring a phone call in progress from one base station (tower) to another base station, without interruption (dropping) of the call.

Many phones and networks are also capable of performing handoffs between different technologies. A digital (CDMA or TDMA) call might be handed off to an analog (AMPS) tower in the middle of the call if the digital signal becomes too weak.

Hertz (Hz)

Hertz (cycles per second) is the unit of frequency measurement which equates to one cycle per second. It is abbreviated Hz and named after Heinrich R. Hertz.

High Definition Television (HDTV)

High-definition television is a digital television broadcasting system with higher resolution than traditional television systems (standard-definition TV, or SDTV). HDTV is digitally broadcast; the earliest implementations used analog broadcasting, but today digital television (DTV) signals are used, requiring less bandwidth due to digital video compression.

High Speed Circuit-Switched Data (HSCSD)

High-Speed Circuit-Switched Data (HSCSD), is an enhancement to circuit switched data (CSD), the original data transmission mechanism of the GSM mobile phone system, four times faster than GSM, with data rates up to 38.4 kbit/s.

Like in CSD, channel allocation is done in circuit switched mode. The difference comes from the ability to use different coding methods and multiple time slots to increase data throughput.

One innovation in HSCSD is to allow different error correction methods to be used for data transfer. The original error correction used in GSM was designed to work at the limits of coverage and in the worst case that GSM will handle. This means that a large part of the GSM transmission capacity is taken up with error correction codes. HSCSD provides different levels of possible error correction which can be used according to the quality of the radio link. This means that in the best conditions 14.4 kbit/s can be put through a single time slot that under CSD would only carry 9.6 kbit/s, for a 50% improvement in throughput.

The other innovation in HSCSD is the ability to use multiple time slots at the same time. Using the maximum of four time slots, this can provide an increase in maximum transfer rate of up to 57.6 kbit/s (4 times 14.4 kbit/s) and, even in bad radio conditions where a higher level of error correction needs to be used, can still provide a four times speed increase over CSD (38.4 kbit/s versus 9.6 kbit/s). By combining up to 8 GSM time slots the capacity can be increased to 115 kbit/s.

HSCSD requires the time slots being used to be fully reserved to a single user. It is possible that either at the beginning of the call, or at some point during a call, it will not be possible for the user's full request to be satisfied since the network is often configured to allow normal voice calls to take precedence over additional time slots for HSCSD users.

The user is typically charged for HSCSD at a rate higher than a normal phone call (for example, by the number of time slots allocated) for the total period of time that the user has a connection active. This makes HSCSD relatively expensive in many GSM networks and is one of the reasons that packet-switched GPRS, which typically has lower pricing (based on amount of data transferred rather than the duration of the connection), has become more common than HSCSD.

Apart from the fact that the full allocated bandwidth of the connection is available to the HSCSD user, HSCSD also has an advantage in GSM systems in terms of lower average radio interface latency than GPRS. This is because the user of an HSCSD connection does not have to wait for permission from the network to send a packet.

HSCSD is also an option in EDGE and UMTS systems where packet data transmission rates are much higher. In the UMTS system the advantages of HSCSD over packet data are even lower since the UMTS radio interface has been specifically designed to support high bandwidth, low latency packet connections. This means that the primary reason to use HSCSD in this environment would be access to legacy dial up systems.

High Speed Downlink Packet Access (HSPDA)

HSDPA provides improved theoretical downlink performance of up to 14.4 Mbit/s. Existing deployments provide up to 14.4 Mbit/s in downlink. Uplink performance is a maximum of 384 kbit/s. The Round-trip delay time is around 150 ms.

For operational reasons, service providers may cap this rate to lower rates than the maximum 3.6 Mbit/s that most HSDPA handsets support. Voice calls are usually prioritized over data transfer. The Australian provider, Telstra uses up to 14.4 Mbit/s nationwide. The Croatian VIPnet network supports the speed of 7.2 Mbit/s in down-link as does Rogers Wireless in Canada. In South Korea, a nationwide 7.2 Mbit/s coverage is now established by SK Telecom and KTF. In Hong Kong, PCCW also provide 7.2 Mbit/s coverage. In Portugal all the mobile phone operators support 7.2 Mbit/s HSDPA, and Mobitel Pvt Ltd of Sri Lanka also provides 7.2 Mbit/s in the Asian region.

High Speed Packet Access (HSPA)

HSPA is a collection of mobile telephony protocols that extend and improve the performance of existing UMTS protocols. Two standards, HSDPA and HSUPA, have been established and a further standard, HSPA+ is soon to be released.

See also:

  • High Speed Downlink Packet Access (HSPDA)
  • High Speed Uplink Packet Access (HSUPA)
  • Evolved HSPA
High Speed Uplink Packet Access (HSUPA)

HSUPA provides improved uplink performance of up to 5.76 Mbit/s theoretically.

High-Pass Filter

This is a signal filter that passes frequencies above a certain frequency, and attenuates frequencies below that frequency.

High-Throughput (HT)
Hot Spot

In wireless networking, a hot spot is a specific part of an access point's range in which the general public can walk up and use the network. The service may be available for a fee, the range short to control the physical proximity of the user.

IEEE

A non-profit organization, IEEE is the world's leading professional association for the advancement of technology.

The IEEE name was originally an acronym for the Institute of Electrical and Electronics Engineers, Inc. Today, the organization's scope of interest has expanded into so many related fields, that it is simply referred to by the letters I-E-E-E (pronounced Eye-triple-E).

Impedance

Impedance is made up of a resistive component and a frequency variable component. One common measure of impedance with frequency is the voltage standing wave ratio (VSWR).

Insertion loss

This is the loss in signal strength due to the insertion of a device in the signal path.

Integrated Digital Network (IDN)
Inter-Carrier Interference (ICI)
Inter-Modulation Distortion (IMD)

Intermodulation or intermodulation distortion is the result of two or more signals of different frequencies being mixed together, forming additional signals at frequencies that are not usually at harmonic frequencies (integer multiples) of either.

Intermodulation is caused by non-linear behavior of the signal processing being used. The theoretical outcome of these non-linearities can be calculated by conducting a Volterra series of the characteristic, while the usual approximation of those non-linearities is obtained by conducting a Taylor series.

Intermodulation is not usually desirable in radio or audio processing, as it creates spurious emissions, which can create minor to severe interference to other operations on the signal. Intermodulation should not be confused with general harmonic distortion (which does have widespread use in audio effects processing). Intermodulation specifically creates non-harmonic tones ("off-key" notes, in the audio case) due to unwanted mixing of closely spaced frequencies.

Inter-Symbol Interference (ISI)

Intersymbol interference is a form of distortion of a signal where one symbol interferes with subsequent symbols. This is an unwanted phenomenon as the previous symbols have similar effect as noise, thus making the communication less reliable. ISI is usually caused by multipath propagation and the inherent non-linear frequency response of a channel. ISI occurs because of imperfections in the overall frequency response of the system. The presence of ISI in the system, however, introduces errors in the decision device at the receiver output. Therefore, in the design of the transmitting and receiving filters, the objective is to minimize the effects of ISI, and thereby deliver the digital data to its destination with the smallest error rate possible. Some ways to fight against intersymbol interference include adaptive equalization and error correcting codes.

Interim Standard 95 (IS-95)

Interim Standard 95 (IS-95), is the first CDMA-based digital cellular standard pioneered by Qualcomm. The brand name for IS-95 is cdmaOne. IS-95 is also known as TIA-EIA-95. It is a 2G Mobile Telecommunications Standard that uses CDMA, a multiple access scheme for digital radio, to send voice, data and signaling data (such as a dialed telephone number) between mobile telephones and cell sites.

Intermediate Frequency (IF)

An intermediate frequency (IF) is a frequency to which a carrier frequency is shifted as an intermediate step in transmission or reception. The intermediate frequency is created by mixing the carrier signal with a local oscillator signal in a process called heterodyning, resulting in a signal at the difference or beat frequency. Intermediate frequencies are used in superheterodyne radio receivers, in which an incoming signal is shifted to an IF for amplification before final detection is done. There may be several such stages of intermediate frequency in a superheterodyne, which is called double (or triple) conversion.

Intermodulation (Intermod)

The distortion product of an amplifier, caused by the interaction of different signal products within the amplifier.

International Mobile Telephone Standard 2000 (IMT-2000)

A vision for a single global standard for wireless networks, proposed by the ITU (International Telecommunications Union). It is often perceived as a global 3G system.

International Telecommunication Union (ITU)

The ITU was established by the United Nations in order to determine a set of international telecommunications standards and to allocate radio frequencies for specific uses.

Inverse Fast Fourier Transform (IFFT)
IQ Gain Error (EDGE)

Also called IQ gain imbalance. It is the difference in scaling between the I and Q components of IQ data.

IQ Offset

This is the DC offset of the signal in % or dB.

IQ Origin Offset (EDGE)

Also called carrier feedthrough or DC offset. It is DC that leaks into I/Q path. It is a complex signal impairment that shifts the locus of ideal symbol coordinates off-center in the I/Q plane. A DC offset can be added to the baseband I component, the Q component, or both. The DC offset can be either positive or negative, with the sign indicating direction of the shift. DC offset is expressed as a percentage of full scale, where "full scale" (fs) is the amplitude of the baseband QM waveform.

IQ Signals

Orthogonal components of a signal. In-phase and quadrature phase are two components of a signal that are 90 degrees out of phase with each other.

Isotropic Antenna

This is a theoretical, ideal antenna whose signal range is 360 degrees in all directions. It is used as a baseline for measuring a real antenna's signal strength in dBi, where the "i" stands for Isotropic antenna.

Jamming

This is typically the intentional interference with another radio signal.

Land Line

Traditional, wired phone service providing voice, video and data transmission technology over wires.

Least Significant Bit (LSB)
Linear Amplifier

This is a device that accurately reproduces a radio wave in magnified form. The output signal has a linear relationship to the input signal.

List

An ordered list of frequency, power, and dwell triplets that the instrument plays back in an infinite loop. The sync is available point-by-point or sweep-by-sweep.

Local Oscillator (LO)

A local oscillator is an electronic device used to generate a signal normally for the purpose of converting a signal of interest to a different frequency using a mixer. This process of frequency conversion, also referred to as heterodyning, produces the sum and difference (with the utilization of trigonometric angle sum and difference identities) of the local oscillator and input signal of interest. These are the beat frequencies. Normally the beat frequency is associated with the lower sideband, the difference between the two.

Several local oscillators can be strung in series to form a local oscillator chain (LO chain).

Historically, most applications of local oscillators were widely used in radio physics over frequencies from kHz to GHz. After spreading of nonlinear optics, the same terms and principles apply also to the optical frequencies of order of 1015 Hz.

Local-Area Network (LAN)

A LAN is a short-distance network used to link a group of computers together, usually within a building. Ethernet is the most commonly used type of LAN. A hub serves as the common wiring point, enabling data to be sent from one machine to another over the network.

Long Term Evolution (3GPP LTE)

3GPP LTE is the name given to a project within the Third Generation Partnership Project to improve the UMTS mobile phone standard to cope with future technology evolutions. Goals include improving spectral efficiency, lowering costs, improving services, making use of new spectrum and reframed spectrum opportunities, and better integration with other open standards. Although an evolution of UMTS, the LTE air interface is a completely new system based on OFDMA in the downlink and SC-FDMA (DFTS-FDMA) in the uplink that efficiently supports multi-antenna technologies, Multiple-In Multiple-Out (MIMO). The architecture that will result from this work is called EPS (Evolved Packet System) and comprises E-UTRAN (Evolved UTRAN) on the access side and EPC (Evolved Packet Core) on the core side.

Long Training Field (LTF)
Low Chip Rate (LCR)

This is another version of TD-SCDMA. Compatible with the 3GPP core network.

Low-Noise Amplifier (LNA)

This is typically a precision, small-signal amplifier used in receiver applications.

Low-Pass Filter

This signal filter passes all frequencies below a certain frequency, and attenuates all higher frequencies.

MAC Filtering

A network checks a device's MAC address against a database to see if it is authorized to access the network.

MAC Protocol Data Unit (MPDU)

MPDUs are the fragmented units of MSDU.

See also MAC.

MAC Service Data Unit (MSDU)

The MSDU is that unit of data that is received from the LLC sub-layer which lies above the MAC sub-layer in a protocol stack. The LLC and MAC sub-layers are collectively referred to as the DLL.

Medium Access Control (MAC)

The Media Access Control data communication protocol sub-layer, also known as the Medium Access Control, is a sublayer of the Data Link Layer specified in the seven-layer OSI model (layer 2). It provides addressing and channel access control mechanisms that make it possible for several terminals or network nodes to communicate within a multipoint network, typically a local area network (LAN) or metropolitan area network (MAN). The hardware that implements the MAC is referred to as a Medium Access Controller.

The MAC sub-layer acts as an interface between the Logical Link Control (LLC) sublayer and the network's physical layer. The MAC layer emulates a full-duplex logical communication channel in a multipoint network. This channel may provide unicast, multicast or broadcast communication service.

See also MPDU.

Mega Bits Per Second (Mbps)

Mega bits per second (1 * 1,000,000 bps). A megabit is approximately a million bits of data.

Megahertz (MHz)

Megahertz - 1 * 1,000,000 Hz.

Microwave

Usually refers to the band of frequencies above the radio frequency band and below the millimeter frequency band.

Midamble

Midamble is communication of timing information that is passed between the user equipment with the base station to maintain synchronization between them. Each timeslot in the 5 ms subframe has a midamble that the mobile phone uses to indicate a timing reference. The base station then uses this midamble to determine the timing adjustment information to pass back to the mobile. Each mobile user for a particular cell is assigned a unique phase-shifted version of the midamble.

Mobile Phone

A term often used interchangeably with "cellular phone" or "wireless phone."

Mobile Station (MS)

The mobile station comprises all user equipment and software needed for communication with a wireless telephone network.

Modulate

The characteristics of a base band signal are used to modify the amplitude, frequency or phase of an RF carrier signal. The carrier signal can then be transmitted with the base band signals incorporated in it.

ms

Milliseconds.

MSB

Most significant bit.

Multi-Frame

The term multi-frame is used to describe a set of consecutive frames in which the position of each frame can be identified by reference to a multi-frame alignment signal. Multi-frame is the frame structure pattern for CCPCH.

Multi-Path

The phenomenon of a radio device receiving the same signal multiple times, slightly offset in time. This often happens when a radio signal is received directly from the transmitter, and also reflected off of one or more nearby objects. Because a reflected signal takes a longer path, it is slightly delayed compared to the direct signal. Although many standard formats are degraded by multi-path, CDMA signals can actually benefit from multi-path.

Multi-Path Interference

Signal reflections and delayed signal images interfere with the desired signal. These situations are typically associated with high-rise city buildings and indoor wireless LAN applications.

Multiple Access

A system technique for accommodating many users in the same frequency band.

Multiple-Input Multiple-Output (MIMO)

In radio, multiple-input and multiple-output, or MIMO, is the use of multiple antennas at both the transmitter and receiver to improve communication performance. It is one of several forms of smart antenna technology.

MIMO technology has attracted attention in wireless communications, since it offers significant increases in data throughput and link range without additional bandwidth or transmit power. It achieves this by higher spectral efficiency (more bits per second per hertz of bandwidth) and link reliability or diversity (reduced fading). Because of these properties, MIMO is a current[update] theme of international wireless research.

Multiple-Input Single-Output (MISO)

Multiple-input Single-output (transmitter has multiple antennas, receiver has single antenna).

Multiplexing

Multiple signals are carried in the same frequency band at the same time. In wireless applications, common multiplexing methods include TDMA, FDMA, and CDMA.

Narrowband

A signal where the transmission bandwidth is on the order of its information bandwidth.

Network

A system designed to provide access paths for communication between users at different geographic locations. Networks may be designed for voice, text, data, fax and video. They may feature limited access (private networks) or open access (public networks). The analog or digital switching and transmission technologies used can vary greatly between networks.

Network Address

A unique number associated with a host that identifies it to other hosts during network transactions.

Noise Figure (NF)

Noise figure is a measure of degradation of the signal to noise ratio (SNR), caused by components in the RF signal chain. The noise figure is the ratio of the output noise power of a device to the portion thereof attributable to thermal noise in the input termination at standard noise temperature T0 (usually 290 K). The noise figure is thus the ratio of actual output noise to that which would remain if the device itself did not introduce noise. It is a number by which the performance of a radio receiver can be specified.

Occupied Bandwidth

Occupied bandwidth is a measure of the bandwidth containing 99% of the total integrated power of the transmitted spectrum, centered on the assigned channel frequency. The occupied channel bandwidth shall be less than 5 MHz based on a chip rate of 3.84 Mcps.

Omnidirectional Antenna

This is like a dipole antenna because it radiates its signal 360 degrees horizontally; however because its signal is flatter than a dipole's, it has a higher gain.

Orthogonal Channel Noise Simulator (OCNS)

To ensure that the summed power level of all active channels is equal to the cell power setting, the orthogonal coded noise simulator switches on to simulate additional users if additional power usage is needed

Orthogonal Frequency-Division Multiple Access (OFDMA)

Orthogonal Frequency-Division Multiple Access (OFDMA) is a multi-user version of the popular orthogonal frequency-division multiplexing (OFDM) digital modulation scheme. Multiple access is achieved in OFDMA by assigning subsets of subcarriers to individual users.

Orthogonal Frequency-Division Multiplexing (OFDM)

Orthogonal frequency-division multiplexing (OFDM) — essentially identical to Coded OFDM (COFDM) and Discrete multi-tone modulation (DMT) — is a frequency-division multiplexing (FDM) scheme utilized as a digital multi-carrier modulation method. A large number of closely-spaced orthogonal sub-carriers are used to carry data. The data are divided into several parallel data streams or channels, one for each sub-carrier. Each sub-carrier is modulated with a conventional modulation scheme (such as quadrature amplitude modulation or phase shift keying) at a low symbol rate, maintaining total data rates similar to conventional single-carrier modulation schemes in the same bandwidth.

OFDM has developed into a popular scheme for wideband digital communication, whether wireless or over copper wires, used in applications such as digital television and audio broadcasting, wireless networking and broadband internet access.

The primary advantage of OFDM over single-carrier schemes is its ability to cope with severe channel conditions — for example, attenuation of high frequencies in a long copper wire, narrowband interference and frequency-selective fading due to multipath — without complex equalization filters. Channel equalization is simplified because OFDM may be viewed as using many slowly-modulated narrowband signals rather than one rapidly-modulated wideband signal. The low symbol rate makes the use of a guard interval between symbols affordable, making it possible to handle time-spreading and eliminate intersymbol interference (ISI). This mechanism also facilitates the design of single-frequency networks, where several adjacent transmitters send the same signal simultaneously at the same frequency, as the signals from multiple distant transmitters may be combined constructively, rather than interfering as would typically occur in a traditional single-carrier system.

Oscillator

This is a device which produces a "vibration," or variation in amplitude level at a given frequency.

Output RF Spectrum (GSM and EDGE)

Due to the bursted nature of the signal, the output RF spectrum results from two events:

  • The modulation process.
  • The power ramping up and down (switching transients).

Output RF spectrum is a narrow-band measurement that provides information about the distribution of the mobile station transmitter's out-of-channel spectral energy due to modulation and switching.

Oversampling Ratio (OSR)

In signal processing, oversampling is the process of sampling a signal with a sampling frequency significantly higher than twice the bandwidth or highest frequency of the signal being sampled.

Packet

In data communication, a packet is a sequence of binary digits, including control signals and a small amount of data, which is transmitted and switched as a unit. In network applications a large file can be broken into many packets, which can be sent to the same destination over different network paths and reassembled at the destination.

Packet Binary Convolutional Code (PBCC)
Packet Error Rate (PER)
Packet Switching

The process of routing and transferring data by means of addressed packets. A channel is occupied during the transmission of the packet only. Upon completion of the transmission, the channel is made available for the transfer of other packets or traffic. Due to its nature, packet-switched data is generally faster than circuit-switched data.

Paging Channel (PCH)

This forward link transport channel in UMTS carries the PCCH (paging control channel.) This channel is used to send paging and notification messages in a cell.

Partial Usage of Sub Channels (PUSC)

PUSC is used in the uplink or downlink of the WiMAX air interface. In PUSC, some of the sub channels are allocated to the transmitter, with each sub channel containing its own set of pilot sub carriers.

Path Loss

Path loss is the weakening of a signal over its path of travel due to various factors, such as terrain and environmental conditions.

Peak Code Domain Error (PCDE)

Peak code domain error is a measure of how much cross-talk exists between different channels within the WCDMA signal. In other words, it is an indication of how well the orthogonality between different code channels is maintained.

From 3GPP standard:

The code domain error is computed by projecting the error vector power onto the code domain at a specific spreading factor. The error power for each code is defined as the ratio to the mean power of the reference waveform expressed in dB. The peak code domain error is defined as the maximum value for code domain error.

Peak Phase Error

The peak phase error is the maximum difference between the phase error trajectory and its linear regression on the active part of the time slot.

Peak Reduction Carriers (PRC)
Peak to Average Power Ratio (PAPR)

The crest factor or peak-to-average ratio or peak-to-average power ratio (PAPR) is a measurement of a waveform, calculated from the peak amplitude of the waveform divided by the RMS (time-averaged) value of the waveform.

Personal Communication System (PCS)
Personal Computer (PC)
Personal-Area Network (PAN)

A personal area network is a computer network used for communication among computer devices (including telephones and personal digital assistants) close to one person. The devices may or may not belong to the person in question. The reach of a PAN is typically a few meters. PANs can be used for communication among the personal devices themselves (intrapersonal communication), or for connecting to a higher-level network and the Internet (an uplink).

Personal area networks may be wired with computer buses such as USB and FireWire. A wireless personal area network (WPAN) can also be made possible with network technologies such as IrDA, Bluetooth, UWB, Z-Wave and ZigBee.

Phase Error

For any 148-bits sub-sequence of the 511-bits pseudorandom sequence (defined in CCITT Recommendation O.153 fascicle IV.4) the phase error trajectory on the useful part of the burst (including tail bits) is measured by computing the difference between the phase of the transmitted waveform and the phase of the expected one after adjustment for the effect of the frequency error.

Phase Locked Loop (PLL)

A phase-locked loop or phase lock loop (PLL) is a control system that generates a signal that has a fixed relation to the phase of a "reference" signal. A phase-locked loop circuit responds to both the frequency and the phase of the input signals, automatically raising or lowering the frequency of a controlled oscillator until it is matched to the reference in both frequency and phase. A phase-locked loop is an example of a control system using negative feedback.

In simpler terms, a PLL compares the frequencies of two signals and produces an error signal which is proportional to the difference between the input frequencies. The error signal is then low-pass filtered and used to drive a voltage-controlled oscillator (VCO) which creates an output frequency. The output frequency is fed through a frequency divider back to the input of the system, producing a negative feedback loop. If the output frequency drifts, the error signal will increase, driving the frequency in the opposite direction to reduce the error. Thus the output is locked to the frequency at the other input. This input is called the reference and is often derived from a crystal oscillator, which is very stable in frequency.

Phase-locked loops are widely used in radio, telecommunications, computers and other electronic applications. They may generate stable frequencies, recover a signal from a noisy communication channel, or distribute clock timing pulses in digital logic designs such as microprocessors. Since a single integrated circuit can provide a complete phase-locked-loop building block, the technique is widely used in modern electronic devices, with output frequencies from a fraction of a cycle per second up to many gigahertz.

Phase Modulation (PM)

Phase modulation is a form of modulation that represents information as variations in the instantaneous phase of a carrier wave.

Unlike its more popular counterpart, frequency modulation (FM), PM is not very widely used. This is because it tends to require more complex receiving hardware and there can be ambiguity problems in determining whether, for example, the signal has changed phase by +180° or -180°

Phase Quadruple

Four consecutive phases of the SYNC-DL are used to indicate the presence of the P-CCPCH in the following four sub-frames. In a case where the presence of a P-CCPH is indicated, the next following sub-frame is the first sub-frame of the interleaving period.

Phase Shift Keying (PSK)

Phase-shift keying is a digital modulation scheme that conveys data by changing, or modulating, the phase of a reference signal (the carrier wave). Any digital modulation scheme uses a finite number of distinct signals to represent digital data. PSK uses a finite number of phases, each assigned a unique pattern of binary bits.

Physical Downlink Shared Channel (PDSCH )

In UMTS, the physical downlink shared channel is used to carry the DSCH (downlink shared channel).

Physical Layer (PHY)

The Physical Layer is the first level in the seven-layer OSI model of computer networking. It translates communications requests from the Data Link Layer into hardware-specific operations to effect transmission or reception of electronic signals.

The Physical Layer is a fundamental layer upon which all higher-level functions in a network are based. However, due to the plethora of available hardware technologies with widely varying characteristics, this is perhaps the most complex layer in the OSI architecture. The implementation of this layer is often termed PHY.

The Physical Layer defines the means of transmitting raw bits rather than logical data packets over a physical link connecting network nodes. The bit stream may be grouped into code words or symbols and converted to a physical signal that is transmitted over a hardware transmission medium. The Physical Layer provides an electrical, mechanical, and procedural interface to the transmission medium.

Physical Layer Convergence Protocol (PLCP)

See also PPDU.

Physical Medium Dependent (PMD)

Physical Medium Dependent sublayers or PMDs further help to define physical layer specifications for Fast Ethernet, Gigabit Ethernet and 10 Gigabit Ethernet. These sublayers define physical layer specifications in Gigabit and 10 Gigabit Ethernet transmissions. It is responsible for the transmission and reception of individual bits on a physical medium. These responsibilities encompass bit timing, signal encoding, interacting with the physical medium, and the cable or wire itself.

Point-to-Multipoint

A communications channel that transmits between one point and several other points is referred to as "point-to-multipoint."

Point-to-Point

A communications channel that transmits between one point and another point is referred to as "point-to-point."

Power Meter

A device used to measure radio energy; this is often a broadband instrument.

Primary Common Control Physical Channel (P-CCPCH)
Propagation

Propagation is the travel of a signal through a medium such as air or free space.

Protocol Data Unit (PPDU)

In telecommunications, the term protocol data unit has the following meanings: Information that is delivered as a unit among peer entities of a network and that may contain control information, address information, or data. In layered systems, a unit of data that is specified in a protocol of a given layer and that consists of protocol-control information of the given layer and possibly user data of that layer.

Pseudo Noise (PN)

PSeudo noise a digital signal with noise-like properties.

Pseudo Random Binary Sequence (PRBS)

A PRBS is random in a sense that the value of an element is independent of the values of any of the other elements, similar to real random sequences.

It is "pseudo" because it is deterministic and after N elements it starts to repeat itself, unlike real random sequences, such as sequences generated by radioactive decay or by white noise. The PRBS is more general than the n-sequence, which is a special pseudo-random binary sequence of n bits generated as the output of a linear shift register. An n-sequence always has a 1/2 duty cycle and its number of elements N = 2k - 1. PRBS's are used in telecommunication, encryption, simulation, correlation technique and time-of-flight spectroscopy.

Pseudo Random Sequence (PRS)
Quadrature Amplitude Modulation (QAM)

QAM is a modulation scheme which conveys data by changing (modulating) the amplitude of two carrier waves. These two waves, usually sinusoids, are out of phase with each other by 90° and are thus called quadrature carriers—hence the name of the scheme.

Quadrature Phase Shift Keying (QPSK)

QPSK is a digital frequency modulation technique used for sending data over coaxial cable networks. Since it is both easy to implement and fairly resistant to noise, QPSK is used primarily for sending data from the cable subscriber upstream to the Internet.

Quality of Service (QoS)

Quality of service can be used to describe how a network provider guarantees a service's performance.

Radiation

Electromagnetic energy, such as radio waves projected from a transmitter.

Radio Frequency (RF)

Radio frequency (RF) is a frequency or rate of oscillation within the range of about 3 Hz to 300 GHz. This range corresponds to frequency of alternating current electrical signals used to produce and detect radio waves. Since most of this range is beyond the vibration rate that most mechanical systems can respond to, RF usually refers to oscillations in electrical circuits or electromagnetic radiation.

Radio Wave

A radio wave is a combination of electric and magnetic fields varying at a radio frequency and traveling through space. Radio waves are often described as electromagnetic energy with frequencies in the kHz to 300 GHz portion of the electromagnetic spectrum.

Random Access Channel (RACH)

RACH is used in mobile phones or other wireless devices on a TDMA-based network to get the attention of a base station in order to initially synchronize its transmission with the base station.

Receive Gain

A measure of receive signal boost contributed by an amplifier or antenna system.

Received Signal Code Power (RSCP)

RSCP is an acronym used in UMTS and other CDMA cellular communications systems and stands for Received Signal Code Power.

While RSCP can be defined generally for any CDMA system, it is more specifically used in UMTS. Also, while RSCP can be measured in principle on the downlink (DL) as well as on the uplink (UL), it is usually associated only with the downlink and thus it is presumed to be measured by the UE and reported to the Node B. It is defined by 3GPP as follows:

Definition: the received power on one code after de-spreading measured by the wireless telephone (UE) on the pilot bits on a given channel. The reference point for the RSCP is the antenna connector of the UE. If Tx diversity is applied on the measured channel then the received code power from each antenna is separately measured and summed together in watt to produce a total received code power on the measured channel.

RSCP is used in UMTS as a handover criterion, also in DL and UL open loop power control and for calculation of path loss using the formula:

Path loss = Transmitted channel power [dBm] - RSCP [dBm]

In UMTS FDD-mode RSCP is measured on Primary CPICH, in TDD-mode it is measured on the pilot bits of Primary CCPCH.

In UMTS RSCP is measured in dBm (decibels relative to 1 milliwatt power) within a bandwidth of 3.84 MHz. In UMTS FDD messages RSCP is transmitted as an integer value in the range of -120 dBm to -25 dBm.

Receiver Sensitivity

This is the ability of a receiver to differentiate a signal from the background noise.

Reference Measurement Channel (RMC)

A method for setting up a signal.

Request to Send (RTS)
Reverse Link

The wireless connection over which information is sent from a mobile phone to a cellular base station. It is also referred to as the uplink.

Rho

RHO is the normalized, correlated power between the measured and ideally generated reference signal.

RMS Phase Error

The RMS phase error is the difference between the phase error trajectory and its linear regression on the active part of the time slot.

Roaming

The ability to use a cellular phone outside its usual service area when traveling outside of the home service area (as defined by a service provider).

Root Mean Square (RMS)

In mathematics, the root mean square (abbreviated RMS or rms), also known as the quadratic mean, is a statistical measure of the magnitude of a varying quantity. It is especially useful when variates are positive and negative, for example, sinusoids. It can be calculated for a series of discrete values or for a continuously varying function.

Rx

Receive or receiver.

Safety ground

This is the local earth ground that grounds the neutral return.

Saturation

A term that describes the point at which the amplifier is in an over-driven situation. A device driven to saturation is no longer performing in a linear or distortion-free manner.

Second Generation (2G)

The term 2G is short for second-generation wireless telephone technology. Second generation 2G cellular telecoms networks were commercially launched on the GSM standard in Finland by Radiolinja (now part of Elisa) in 1991. Three primary benefits of 2G networks over their predecessors were that phone conversations were digitally encrypted, 2G systems were significantly more efficient on the spectrum allowing for far greater mobile phone penetration levels; and 2G introduced data services for mobile, starting with SMS text messages.

Segment

Segment is a subdivision of the set of OFDMA subchannels.

Settled (source)

The frequency is within 100 Hz, and the output power has settled according to the current ALC mode. The modulation waveform has been calculated and is being played back.

Short Training Field (STF)
Signal to Interference Ratio (SIR)

The signal-to-interference ratio (S/I or SIR), also known as the carrier-to-interference ratio (C/I, CIR), is the quotient between the average received modulated carrier power S or C and the average received co-channel interference power I, i.e. cross-talk, from other transmitters than the useful signal.

Signal-to-Noise Ratio (SNR)

SNR is the measure of the magnitude of a desired signal relative to the magnitude of an undesired signal or noise.

Single Side Band (SSB)
Single-Input Multiple-Output (SIMO)

Single-input multiple-output (transmitter has a single antenna, receiver has multiple antennas).

Single-Input Single-Output (SISO

SISO is an acronym for single-input and single-output system. In control engineering usually refers to a simple control system with one input and one output. In radio it is the use of only one antenna both in the transmitter and receiver. SISO systems are typically less complex than Multiple-Input Multiple-Output systems.

Slot

A Slot is the minimum possible data allocation unit.

Smart Antenna

A smart antenna system is one that focuses on a desired signal to reduce interference. A wireless network employs smart antennas in an effort to improve call quality and improve channel capacity.

Soft Handoff

In wireless mobile phone systems, a "soft handoff" is the process of transferring a phone call in progress from one base station (tower) to another base station. Both base stations hold on to the call until the handoff is completed (the first cell site does not cut off the conversation until it receives information that the second is maintaining the call).

Space-Time Block Code (STBC)

Space–time block coding is a technique used in wireless communications to transmit multiple copies of a data stream across a number of antennas and to exploit the various received versions of the data to improve the reliability of data-transfer. The fact that the transmitted signal must traverse a potentially difficult environment with scattering, reflection, refraction and so on and may then be further corrupted by thermal noise in the receiver means that some of the received copies of the data will be 'better' than others. This redundancy results in a higher chance of being able to use one or more of the received copies to correctly decode the received signal. In fact, space-time coding combines all the copies of the received signal in an optimal way to extract as much information from each of them as possible.

Spectrum

Spectrum is the range of electromagnetic radio frequencies.

Spectrum Analyzer

This is an instrument which can be used to view signals across a range of frequencies. Some spectrum analyzers can measure a vector, giving amplitude and phase information and decoding complex digital modulation formats.

Spectrum Assignment

Spectrum is assigned or authorized by the Federal Communications Commission (FCC). It specifies the frequencies that can be used at specific geographic locations.

Splitter/Combiner

This is a transmission component that divides or sums power between two or more ports.

Spread Spectrum (SS)

This is a wireless communications technology that scatters data transmissions across the allocated frequency band in a pseudorandom pattern. Spreading the data across the frequency spectrum greatly increases the bandwidth and it also makes the signal resistant to noise, interference, and eavesdropping. At the receive end, the signal is de-spread to recover the original signal.

Spurious Emissions (spurs)

Spurs are unwanted frequency signals that can cause interference in receiver systems.

Subcarrier

A Subcarrier is either data, pilot, or null transmission signals.

Subchannels

Subchannels are subsets of subcarriers.

Super Harvard Architecture (SHARC)

The Super Harvard Architecture Single-Chip Computer (SHARC) is a high performance floating-point and fixed-point DSP from Analog Devices, not to be confused with Hitachi 's SuperH (SH) microprocessor. SHARC is used in a variety of signal processing applications ranging from single-CPU guided artillery shells to 1000-CPU over-the-horizon radar processing computers.

Sweep

A stepped frequency and power sweep. A user specifies start/stop frequency, start/stop power, a dwell and number of points. A sweep can be free running, triggered sweep by sweep, or triggered point by point. A hardware sweep is available at start of sweep, end of sweep, or each point in sweep.

Switch

A switch is a mechanical, electrical or electronic device that opens or closes circuits or paths.

Sync Output

An output from the Series V2900 VSG that tells the outside world that it has completed some task, such as settling to a specific value, started an ARB playback frame, or completed a list sequence. This is a single TTL-level sync output, whose meaning is software configuration.

System Frame Number (SFN)

SFN is used in the UMTS system to identify the framing and timing of a cell on a Node B.

Telecommunications

The transmission of words, sounds, or images (usually over great distances) in the form of electromagnetic energy (for example, by telephone, radio, or television).

Telecommunications Industry Association (TIA)

The Telecommunications Industry Association (TIA) is a global trade association headquartered in the United States that represents about 600 telecommunications companies. TIA helps create universal networking and education standards for the telephony, data networking, and convergence industry. TIA has helped develop networking standards that have been used worldwide.

The Third Generation Partnership Project (3GPP)

The 3rd Generation Partnership Project (3GPP) is a collaboration between groups of telecommunications associations, to make a globally applicable third generation (3G) mobile phone system specification within the scope of the International Mobile Telecommunications-2000 project of the International Telecommunication Union (ITU). 3GPP specifications are based on evolved Global System for Mobile Communications (GSM) specifications. 3GPP standardization encompasses Radio, Core Network and Service architecture.

The groups are the European Telecommunications Standards Institute, Association of Radio Industries and Businesses/Telecommunication Technology Committee (ARIB/TTC) (Japan), China Communications Standards Association, Alliance for Telecommunications Industry Solutions (North America) and Telecommunications Technology Association (South Korea). The project was established in December 1998.

3GPP should not be confused with 3rd Generation Partnership Project 2 (3GPP2), which specifies standards for another 3G technology based on IS-95 (CDMA), commonly known as CDMA2000.

The Third Generation Partnership Project 2 (3GPP2)

The Third Generation Partnership Project 2 (3GPP2) is a collaborative, third generation (3G) telecommunications specifications-setting project, comprised of North American and Asian interests. Their goals include developing global specifications for ANSI/TIA/EIA-41 Cellular Radio telecommunication Intersystem Operations and network evolution to 3G and global specifications for the radio transmission technologies (RTTs) supported by ANSI/TIA/EIA-41. For more information about the 3GPP2 project, go to www.3gpp2.org.

Third Generation (3G)

The third generation of mobile communication systems offer improved services such as video and multimedia. The main 3G technologies include UMTS and CDMA2000®.

Throughput

This describes the volume of data which can be transmitted through a communications system.

Time Division Multiple Access (TDMA)

TDMA is a digital multiplexing technique whereby each signal is sent and received at a fixed time slot in a series of time slots. The transmitter and receiver must be time-synchronized so as to demodulate the signal at the receive end.

Time Division Multiplexing (TDM)

Time-Division Multiplexing (TDM) is a type of digital or (rarely) analog multiplexing in which two or more signals or bit streams are transferred apparently simultaneously as sub-channels in one communication channel, but are physically taking turns on the channel. The time domain is divided into several recurrent timeslots of fixed length, one for each sub-channel.

Time Division-Synchronous Code Division Multiple Access (TD-SCDMA)

Time division synchronous code division multiple access. Mobile radio transmission method that combines SCDMA technique with TD-CDMA.

Time Mask (GSM and EDGE)

The time mask is a structure to test the acquired signal against the modulation standard. If the mobile station's transmitter power falls outside the specified power and timing ranges, the signal fails to comply to this standard.

Time-Division Duplex (TDD)

TDD is the application of time-division multiplexing to separate outward and return signals. It emulates full duplex communication over a half-duplex communication link. Time division duplex has a strong advantage in the case where the asymmetry of the uplink and downlink data speed is variable. As the amount of uplink data increases, more bandwidth can dynamically be allocated to that and as it shrinks it can be taken away. Another advantage is that the uplink and downlink radio paths are likely to be very similar in the case of a slow moving system. This means that techniques such as beamforming work well with TDD systems.

Timeslot (TS)

In a TDMA (time division multiple access) system, the carrier is split into multiple timeslots; the duration is dependent on the technology. Each user is assigned one or more timeslots for communication purposes.

Total Power

The total power of the signal in a certain bandwidth at a carrier frequency; see Channel Power.

Transceiver

A combination of a transmitter and a receiver.

Transmission Time Interval (TTI)

To combat errors due to fading and interference on the radio link, data is divided at the transmitter into blocks and then the bits within a block are encoded and interleaved. The length of time required to transmit one such block determines the TTI.

Transmit Power Control (TPC)

The user equipment and Node B generate the TPC commands to control each others transmit power. This information is sent to the TPC field of the DPCCH (dedicated physical control channel). TPC commands are sent at the rate of 1500 per second.

Transport Format Combination Indicator (TFCI)

This is a representation of the current TFC (transport format combination) being used. The TFCI is transferred across the air interface and allows the receiving of layers to identify the current valid TFC. That is, how to decode, de-multiplex and deliver the received data on the appropriated transport channels.

Traveling Wave Tube Amplifier (TWTA)

A traveling-wave tube is an electronic device used to amplify radio frequency signals to high power, usually in an electronic assembly known as a traveling-wave tube amplifier (TWTA). The bandwidth of a broadband TWT can be as high as three octaves, although tuned (narrowband) versions exist, and operating frequencies range from 300 MHz to 50 GHz.

Trigger

An input to the instrument that causes it to do something. Series 2900 has a single analog, TTL level input for hardware triggers, and will accept a SCPI trigger.

Tx

Transmit or transmitter

UL-MAP

A burst that contains uplink broadcast messages.

Ultra High Frequency (UHF)

Ultra high frequency radio waves are in the 300 MHz to 3,000 MHz frequency range.

Universal Mobile Telecommunications System (UMTS)

UMTS-TDD is a mobile data network standard built upon the UMTS 3G cellular mobile phone standard, using a TD-CDMA, TD-SCDMA, or other 3GPP-approved, air interface that uses time division duplexing to duplex spectrum between the uplink and downlink. While a full implementation of UMTS, it is mainly used to provide Internet access in circumstances similar to those where WiMAX might be used.

See also:

  • TD-SCDMA (Time Division-Synchronous Code Division Multiple Access)
  • 3GPP LTE (Long Term Evolution)
Uplink (UP)

The uplink portion of a telecommunications path is from the ground to the base station or satellite. It is also referred to as the reverse link.

Very High Frequency (VHF)

VHF is in the 30 MHz to 300 MHz frequency range.

Vestigial Side Band (VSB)

A vestigial sideband (in radio communication) is a sideband that has been only partly cut off or suppressed. Television broadcasts (in NTSC, PAL, or SECAM analog video format) use this method if the video is transmitted in AM, due to the large bandwidth used. It may also be used in digital transmission, such as the ATSC standardized 8-VSB. The Milgo 4400/48 modem (circa 1967) used vestigial sideband and phase-shift keying to provide 4800-bit/s transmission over a 1600 Hz channel.

The video baseband signal used in TV in countries that use NTSC or ATSC has a bandwidth of 6 MHz. To conserve bandwidth, SSB would be desirable, but the video signal has significant low frequency content (average brightness) and has rectangular synchronizing pulses. The compromise is vestigial sideband modulation. In vestigial sideband the full upper sideband of bandwidth W2 = 4 MHz is transmitted, but only W1 = 1.25 MHz of the lower sideband is transmitted, along with a carrier. This effectively makes the system AM at low modulation frequencies and SSB at high modulation frequencies. The absence of the lower sideband components at high frequencies must be compensated for, and this is done by the RF and IF filters.

Virtual Private Network (VPN)

A virtual private network is a computer network in which some of the links between nodes are carried by open connections or virtual circuits in some larger network (for example, the Internet) instead of by physical wires. The link-layer protocols of the virtual network are said to be tunneled through the larger network when this is the case.

Voltage Standing Wave Ratio (VSWR)

VSWR is the amount of reflected signal due to impedance mismatch.

Watt (W)

The watt is a measure of energy per unit time, which is one joule per second.

Wavelength

The wavelength is the distance covered by one cycle of a wave.

Wi-Fi Protected Access (WPA )

WPA is a specification for improving the security of Wi-Fi networks. It replaces the weaker WEP (wired equivalent privacy) specification for current and future 802.11 standards.

Wide Area Network (WAN)

If two local-area networks (LANs) are connected, a wide-area network results. The Internet can be considered to be a WAN.

Wide-Band Code Division Multiple Access (W-CDMA)

W-CDMA has been designed for high-speed data services, and more particularly, internet-based packet-data offering up to 2 Mbps in stationary or office environments, and up to 384 Kbps in wide area or mobile environments. It also increases data transmission rates in GSM systems by using CDMA instead of TDMA.

See also the following GSM measurement definitions and related standards:

  • Channel Power
  • Code Domain Power
  • Error Vector Magnitude (EVM)
  • Freedom of Mobile Multimedia Access (FOMA)
  • Frequency Error
  • IQ Offset
  • Occupied Bandwidth
  • Peak Code Domain Error (PCDE)
  • Total Power

Wireless Application Protocol (WAP)

WAP is an open standard for communication between handsets and the Internet. WAP is a wireless communications environment for delivering web data to wireless terminals with minimal screen display.

Wireless Fidelity (Wi-Fi)

Originally referred to the 802.11b specification for wireless LANs, but it is now used to describe any of the 802.11 wireless networking specifications.

Wireless Local Area Network (WLAN)

A WLAN is a short-range computer-to-computer wireless data communications network.

Wireless Personal Area Network (WPAN)

A WPAN is a PAN that uses wireless connections. However, because all current PAN technologies (such as Bluetooth) are wireless, the terms WPAN and PAN are synonymous.

Wireline

Traditional telephone technology that relies upon wires is called a wire line or land line.

Worldwide Interoperability for Microwave Access (WiMAX)

The term WiMAX has become synonymous with the IEEE (Institute of Electrical and Electronic Engineers) 802.16 suite of standards. These define the radio or air interface within two broad radio bands 2GHz to 11 GHz and 10 GHz - 66 GHz.

Zone

A zone is the number of contiguous OFDMA symbols that use the same permutation formula.


*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement?

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement:EVENt

:STATus:MEASurement:NTRansition

:STATus:MEASurement:PTRansition

:STATus:OPERation?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:PRESet

:STATus:QUEStionable?

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable:EVENt

:STATus:QUEStionable:NTRansition

:STATus:QUEStionable:PTRansition

:STATus:OPERation:EVENt

:STATus:OPERation:NTRansition

:STATus:OPERation:PTRansition

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]


:OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

:SWEep:DWELl

:SWEep:SETTle?

:SWEep:STEP

:SWEep:STATe

:UFLatness:LOAD

:UFLatness:STATe


:LIST:LOAD

:LIST:SETTle

:LIST

:OUTPut


:ABORt

*TRG

*WAI

*OPC

*OPC?

:TRIGger:DELay

:TRIGger:DELay:ACTual

:TRIGger:MODE

:TRIGger:SOURce

:INITiate


:SOUTput:IMMediate

:SOUTput:MODe

:SOUTput:POLarity

:SOUTput:OFFSet


:POWer:ALC:BOTune[:STATe]

:POWer:ALC:CWAVE[:STATe]

:POWer:ALC:CWAVe:TYPE

:POWer:ALC:CWAVE

:POWer:ALC:MODulation:TYPE

:POWer:ALC:MODulation[:STATe]

:POWer:ALC:SHOLd:REFResh


:FREQuency:OFFSet

:IEVensecond:POLarity

:PHASe:ADJust

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce


GSM

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GSM:LOAD

cdma2000

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD

W-CDMA

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:WCDMa:LOAD

:RADio:WCDMa:STATe

GPS

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe

ASK Digital

:ASK:DENCoding

:ASK:FILTer

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:COUNt

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STATe

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation

FSK Digital

:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:COUNt

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STATe

:FSK:STYPe

:OUTPut

:OUTPut:MODulation

PSK Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:COUNt

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STATe

:PSK:STYPe

QAM Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:COUNt

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STATe

:QAM:STYPe

Analog

:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM[:DEViation]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation

Arbitrary Waveforms

:OUTPut

:OUTPut:MODulation

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

IQ

:MODulation:IGAin

:MODulation:IOFFset

:MODulation:QGAin

:MODulation:IQGain

:MODulation:QOFFset

:MODulation:QPHase

:OUTPut:IQ


:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM[:DEViation]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation


:OUTPut

:OUTPut:MODulation

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe


:TTL:INPut?

:TTL


*SAV

*RCL

:ASK:LOAD

:FSK:LOAD

:LIST:LOAD

:MMEMory:CATalog?

:MMEMory:DATA

:MMEMory:DELete

:PSK:LOAD

:QAM:LOAD

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

:RADio:CDMa:LOAD

:RADio:GPS:PATTern:OPEN

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD

:UFLatness:LOAD


:DISPlay:CAPTure

:DISPlay:ENABle

:SYSTem:SSAVer:DELay

:SYSTem:SSAVer


:ABORt

*RST

*SAV

*RCL

:STATus:PRESet

:SYSTem:PRESet

:SYSTem:PRESet:SAVE

:SYSTem:PRESet:TYPE


*IDN?

:MBOX:COMMand

:PMETer:COMMand

:SYSTem:COMMunicate:GPIB:ADDRess

:SYSTem:KLOCk

:SYSTem:LOCal

:SYSTem:PRESet

:SYSTem:REMote


:EEVensecond:POLarity

:IEVensecond:POLarity

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce


Each available digital modulation has a choice of modulation symbols. For details on the symbol type for each digital modulation, refer to the following topics:

  • ASK symbol types
  • FSK symbol types
  • PSK symbol types
  • QAM symbol types


FSK2 is made by having one frequency represent binary 1 and another frequency represent binary 0. The modulation frequency separation sets the relative value that the frequency shifts between the two discrete values termed the mark frequency and the space frequency.


Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.


This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, it is the changes in the symbol alphabet that are transmitted, not the symbols themselves.


Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference (ISI). However, achieving these two goals requires you to consider balancing the results. The instrument allows you to apply the following filters to the signal:

NRZ (non-return-to-zero) format always keeps the signal level precisely continuous for the duration of the signal. Ideally, the output signal then switches from the previous (I,Q) value to the next (I,Q) value instantaneously at the symbol rate. This information transfer comes at the expense of bandwidth. You can use other baseband filters to reduce the transmitted bandwidth while keeping an acceptable information transfer.

RC (raised-cosine) filter provides good bandwidth suppression while minimizing inter-symbol interference (ISI). The raised-cosine filter is an implementation of a low-pass Nyquist filter, where the pulse shape exhibits a zero crossing at the sampling point of all other interacting pulse intervals. In the frequency domain, the filter transition is shaped with a raised cosine wave that yields a complicated waveform in the time domain.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the alpha (a) parameter where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

RRC (root-raised-cosine) filter has a frequency response that is expressed as the square root of magnitude spectrum P (j) of the raised-cosine filter shape. This filter is useful when sharing the pulse-shaping load between the transmitter and receiver where a root-raised-cosine filter is typically used at each end of the communication system. The total response of the system is then raised-cosine.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the parameter alpha (a) where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

NRZ Gaussian and pure Gaussian filter types:

The Gaussian filter functions are used to limit the bandwidth of a symbol in the frequency domain and manage its inter-symbol interference (ISI) impact in the time domain, just as Raised-Cosine (RC) and Root Raised-Cosine (RRC) filters do. Furthermore, the Gaussian filter shapes provide a manageable bandwidth limitation for frequency modulation schemes such as FSK. By contrast, RC and RRC filter responses, once transformed by frequency modulation, do not provide a rapid stop-band transition and thereby allow unacceptable residual signal amplitude in adjacent channels.

The Gauss Function (sometimes known as the Normal Distribution Function) pulse shape is of the form e-t2. This is implemented in Agilent's general-purpose modulations as the Gaussian filter type. The filter factor, B*T, determines the compromise between occupied bandwidth and ISI. The BT product parameter is B (the filter's 3dB bandwidth) times the input signal's symbol period. Low B*T numbers limit bandwidth and high numbers reduce ISI. The basic Gaussian function shape is centered on the instant of the symbol impulse. Within these limits, the symbol shape approaches an impulse as B*T increases. The following figure shows the Gaussian pulse shapes for various BT values.

The Error function, which is the integral of the Gaussian function, is the basis of the NRZ Gauss filter type. Two copies of the error function (one centered at the symbol instant and another, inverted, centered at the following symbol instant) are added to form a shaped rectangular pulse beginning at the symbol being transmitted and ending at the following symbol instant. Again, the filter factor, B*T, determines the compromise between occupied bandwidth and ISI. Low B*T numbers limit bandwidth and high numbers reduce ISI. Within these limits, as B*T increases, the symbol shape approaches a rectangular zero-order hold function. An alternative interpretation of the NRZ Gauss option is a rectangular filter (NRZ) convolved with the pure Gaussian pulse. The following figure shows the NRZ Gauss pulse shapes for various BT values.

Wideband does not apply any pulse shaping filters to the modulation symbol. Ideally, the symbol is an impulse that remains intact when this modulation filter is selected.


:ASK:DENCoding

:ASK:FILTer

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:COUNt

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STATe

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation


:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:COUNt

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STATe

:FSK:STYPe

:OUTPut

:OUTPut:MODulation


:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:COUNt

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STATe

:PSK:STYPe


:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:COUNt

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STATe

:QAM:STYPe


:MIMO:MODE

:MIMO:SYNC[:STATe]

:MASTer:SYNC[:STATe]

[:SOURce]:INTernal:CLOCk

[:SOURce]:VCO[:STATe]

[:SOURce]:PHASe:ADJust


  • (NRZ) non-return-to-zero
  • (RC) raised cosine
  • (RRC) root-raised-cosine
  • Gaussian
  • Wideband
  • NRZ Gauss


  • (NRZ) non-return-to-zero
  • (RC) raised cosine
  • (RRC) root-raised-cosine
  • Gaussian
  • Wideband
  • NRZ Gaussian


:OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

*RST

:STATus:PRESet

:SYSTem:PRESet

:SYSTem:PRESet:SAVE

:SYSTem:PRESet:TYPE


:DIAGnostic:FREQuency:EXTend

:DIAGnostic:INFormation:OPTions

:DIAGnostic:REMote:CLEar:LOG

:DIAGnostic:REMote:CLEar:OUTput

:DIAGnostic:REMote:ERRor:OUTPut

:DIAGnostic:REMote:LOG:OUTPut

:DIAGnostic:REMote:OUTPut

:DIAGnostic:REMote:QUERy:OUTPut

:DIAGnostic:REMote:SAVE

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

:SYSTem:ERRor:[NEXT]


:MODulation:IGAin

:MODulation:IOFFset

:MODulation:QGAin

:MODulation:IQGain

:MODulation:QOFFset

:MODulation:QPHase

:OUTPut:IQ


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GSM:LOAD


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:WCDMa:LOAD

:RADio:WCDMa:STATe


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe


:MBOX:COMMand

:PMETer:COMMand

(Pass-through overview)